Welcome

SecureCRT Icon Welcome

This help manual documents the VanDyke Software® SecureCRT®, version 8.7 terminal emulation package. If you do not find the information you need here, or if you have any comments or suggestions, please visit the following web page:

https://www.vandyke.com/feedback.php

For the latest information on SecureCRT and VanDyke Software, check out our home page:

https://www.vandyke.com

Make sure you don't miss important software releases and updates. Subscribe to our product mailing lists to receive email notifications when new releases of VanDyke products are announced.

https://www.vandyke.com/cgi-bin/subscribe.php?PID=3

For in-depth tips, calls for testers, and overviews of the latest beta and official releases, visit the VanDyke Software What's New page:

https://whatsnew.vandyke.com

Thank you! The SecureCRT Product Team

Copyright and trademark notices


New in SecureCRT

SecureCRT Icon New in SecureCRT 8.7

SecureCRT 8.7 increases your efficiency with a keyword highlighting enhancement that allows phrase and substring matches. On Windows, a dockable Command Manager lets you organize, filter, and launch commands, and local shell support lets you work in a tabbed CMD or PowerShell session. Also new are Xterm True Color (24-bit) support and the ability to include folders when filtering sessions in the Session Manager. On macOS, Dark Mode is supported.

Here are some of the new features in SecureCRT 8.7:

Keyword highlighting enhancement

Keyword highlighting is more versatile with the ability to match phrases and substrings for literal strings and regular expressions.

Command Manager (Windows only)

Streamline repetitive tasks with the dockable Command Manager, which makes it easy to organize commands into named folders, filter commands by name, and launch them with a double-click or by pressing ENTER. Commands and command folders can also be shared with the button bar and vice versa.

Local shell session (Windows)

On Windows 10 and Windows Server 2019 or later, you can open a local shell session within SecureCRT. A tabbed CMD or PowerShell session makes it easy to work on the local system without having to leave SecureCRT. Local shell was already supported on macOS and Linux.

True Color support

Xterm 24-bit color (True Color) is now supported.

UI enhancements

Session folder filter: Include top-level folders in the Session Manager or Connect dialog filtered sessions by adding a forward slash to the end of the search text in the session filter box. Folders that match and the sessions in those folders are included in the filtered sessions. Partial matches are supported, making it even faster to find the session you’re looking for.

Dark Mode support (macOS): Dark Mode support has been added for macOS 10.14 and later.

Horizontal and vertical tiling (macOS and Linux): Tile session windows in both horizontal and vertical layouts on all platforms.

Hide output for locked sessions: An option was added to hide all output when a session is locked, adding an extra layer of security.

Improved Hex View interface

The Hex View now shows hex data independently for each connected session, making it easier to work with multiple Serial sessions. A selection made on the hexadecimal pane or the ASCII pane is reflected in the other pane and the ASCII pane can also be hidden. The performance of the Hex View has been improved when the window contains thousands of lines.

Other enhancements

New algorithm support: SecureCRT now supports x509v3-ecdsa-sha2 algorithms per RFC 6187 for PKCS #11 as well as SSH2 support for the diffie-hellman-group14-sha256, diffie-hellman-group16-sha512, and diffie-hellman-group18-sha512 key-exchange algorithms.

Local proxy command: A new firewall type, "Proxy command", allows a local proxy command to be run when connecting to a remote server.

Audio bell: The audio bell can be configured to play a sound file.

Command window option: A new global option allows Send Characters Immediately to be enabled by default for the Command window.

Import/export button bars: You can now import and export just the button bars.

Log all data: A "Log Screen" INI-file-only session option allows all data displayed in the terminal to be logged to a file.

Command-line key exchange: A new /KEX flag allows the key-exchange algorithm(s) to be specified on the command line.

TFTP server: New TFTP server enhancements include honoring the block size set by the TFTP client as specified in RFC 2347 and a global option Allow overwrite of existing files that allows TFTP transfers to overwrite existing files. Also new is status bar display of the running TFTP server listen address and port, and the ability to use templated paths for TFTP upload, download, and log file paths, which get modified to an appropriate path on each platform.

Scripting: The script functions WaitForCursor, WaitForKey, WaitForString, and WaitForStrings allow the wait time to be specified in milliseconds. Also, global configuration options can be retrieved and set from a script.

Platform support

Support for Ubuntu 19.x and macOS 10.15 Catalina has been added.

Please see the History tab in the SecureCRT About box for the complete list of new features, changes, and bug fixes.


What is SecureCRT?

SecureCRT Icon What is SecureCRT?

SecureCRT protects your passwords, user accounts, and data, combining rock-solid terminal emulation with the strong encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption., broad authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. options, and data integrity The concept that information can be verified as original and unaltered. If data integrity is ensured, information can only be modified by those with proper authorization. See also: MAC. of the Secure Shell protocol.

SecureCRT provides versatile solutions for business, network management, information security, and development tasks, from accessing host-based applications and administering servers to securely accessing behind-the-firewall network resources like email, files, and printers.

SecureCRT supports SSH2, SSH1, Telnet, Serial, and Raw on all platforms. On Windows, Telnet/TLS, RLogin, and TAPI are supported. Authentication methods include password, public key, X.509 certificate, Kerberos v5 (via GSSAPI), and keyboard interactive. Ciphers include ChaCha20/Poly1305, AES-GCM, AES-CTR, and AES.

Choose from a wide range of emulations — most with ANSI color. Unicode support includes the ability to display character sets from multiple languages, support for languages with right-to-left reading order, and a character encoding list that includes commonly-used encodings as well as all encodings supported by the local system.

SecureCRT features a multi-session tabbed or tiled interface with extensive session management and customization features. Customization options include keymaps, button bar, and login scripts, as well as fonts, cursors, and color schemes. A dockable session manager provides quick connection to sessions.

Named sessions and firewalls let you create individual configurations that can be used on a session-specific basis. A personal data folder provides private and separate storage of sensitive information so that other configuration data can be stored on a network drive or in the cloud for use on different systems or for sharing with colleagues. Other features include auto logon, printing, Emacs mode, and SOCKS firewall support.

Routine configuration tasks can be automated using powerful scripting capabilities including ActiveX scripting support for VBScript, JScript, and PerlScript on Windows, embedded Python support on all platforms, and the script recorder. Securely transfer files using Zmodem, Xmodem, Ymodem, or Kermit from an SSH1, SSH2, or TLS session. Upload files easily by dragging and dropping them onto an SFTP tab or session window. A built-in TFTP server provides additional flexibility for transferring files.

Save steps with the close integration of SecureCRT and the SecureFX(R) file transfer client, which share sessions and settings that let you run SFTP, FTP, SCP, and FTP/TLS file transfer sessions without reentering passwords. SecureCRT includes a 30-day try-before-you-buy evaluation license for the fully functional application and access to VanDyke Software technical support.

For a list of new features in SecureCRT, see New in SecureCRT 8.7.

Support for SSH1 and SSH2 Secure Shell protocols

• SSH2 Protocol support:

• ChaCha20/Poly1305, AES-GCM, AES-128-CTR, AES-192-CTR, AES-256-CTR, AES-128, AES-192, AES-256, Twofish, Blowfish, 3DES, and RC4 ciphers.

• RSA, Ed25519, ECDSA (RFC 5656), DSA, and X.509 host key support.

• Multiple ordered authentication methods, ciphers and MACs.

• Public Key Assistant makes it easier to upload public keys.

• Local port forwarding, X11 forwarding, remote forwarding, and dynamic forwarding.

• OpenSSH agent forwarding.

• SHA2, SHA1, UMAC, and MD5 MACs.

• Public key with support for RSA (up to 16,384 bits), Ed25519, ECDSA (RFC 5656), DSA, PuTTY PPK, OpenSSH certificates, and X.509 certificates (including SmartCards, PKCS #11, and PKCS #12), and Kerberos v5 (via GSSAPI). Password and keyboard-interactive authentication methods are also supported.

• SFTP tab creates an SFTP session to an existing SSH session.

• Passphrase and password caching options.

• Built in SSH agent allows keys to be explicitly added and removed.

• SSH1 Protocol support:

• Blowfish, DES, 3DES, and RC4 ciphers.

• RSA, TIS, and password authentication.

• Local port forwarding, X11 forwarding.

Session Management

• Dockable Session Manager.

• Named sessions store different preferences for different hosts.

• Tabbed sessions allow multiple sessions in the same window.

• Tabbed sessions can be moved in and out of windows.

• Tab groups make it easier to group related sessions.

• Launch multiple selected sessions in tabs with a single click.

• Tiling allows multiple sessions to be viewed at once.

• A session can be logged to a file, including options for logging custom data and an option for creating a new log file at midnight.

Configuration & Customization

• Easy configuration of basic SSH, port forwarding, remote forwarding and other settings in Session Options dialog.

• Named firewalls.

• Personal data folder for separate storage of logon credentials.

• Dependent session option (jump host).

• User-defined number of savelines (scrollback) up to 128,000.

• User-configurable number of rows and columns.

• User-defined foreground, background, and bold colors.

• User-defined keymaps.

• User-defined button bar.

• User-defined word delimiter characters for double-click.

• Emacs mode maps ALT+<key> to send ESC+<key>.

• Real-time keyword highlighting.

Advanced Terminal Emulation

• Quality VT100, VT102, VT220, VT320, Linux console, SCO ANSI, TN3270, TVI910, TVI925, Wyse 50/60, and ANSI emulations.

• VT line drawing.

• Support for bold, underline, and reverse attributes.

• Double-width and double-height fonts.

• 80/132 column switching.

• VT100 and VT220 keyboard emulation.

• Optional ANSI color.

• 256-color Xterm.

• 24-bit color (True Color) Xterm.

• Xterm extensions for mouse support and changing title bar.

• Multi-byte character set support for Japanese, Korean, and Chinese.

• Unicode support includes the ability to display character sets from multiple languages, support for multi-byte character sets, right-to-left reading order languages, and an extensive character encoding list.

Other Features

• FIPS 140-2 validated cryptographic library support.

• Variable compression increases performance on slow connections.

• Simple interface for automating logins.

• Support for Telnet, Telnet/TLS, and RLogin protocols:

• Telnet supports Negotiate About Window Size (NAWS).

• Telnet supports Local Flow control (LFLOW).

• Local shell support.

• Serial (COM) device support.

• Hex view.

• Integrates with SecureFX.

• Scripting language support for VBScript, JScript, and Perlscript.

• Embedded support for Python scripting.

• Script recorder.

• Zmodem , Xmodem, Ymodem, and Kermit file transfer (upload and download).

• Built-in TFTP server.

• Drag-and-drop file transfer (upload).

• Auto print, selection, screen, and pass-through printing.

• Modem dialer support: configure and save modem, country code, phone, and redial settings for TAPI sessions.

• SOCKS firewall support with password authentication.

• Unauthenticated and basic HTTP proxy support.

• Generic and local proxy firewall support.

• Copy and paste, including an "auto copy" option and a "paste on middle or right mouse click" option.

• Command window option provides an editable type-ahead buffer with history support and the ability to send text to the active window, all sessions, specified tab groups, or visible sessions. Use Send characters immediately mode to stop commands, edit files using vi, send escape sequences, and do tab completion.

• Support for use from the command line or web browsers.

• Support for standard insertion caret so that it can be tracked by screen access technology for the blind.

• Import/export tool makes it easy to copy settings between systems.


System Requirements

SecureCRT Icon System Requirements

Minimum System Requirements

· Windows® Server 2019

· Windows Server 2016

· Windows 10

· Windows 8.1

· Windows Server 2012 R2

· Windows Server 2012

· Windows Server 2008 R2


License Agreement

SecureCRT Icon License Agreement

End-User License Agreement for SecureCRT 8.7 ("Software")

Copyright (c) 1995-2020 VanDyke Software, Inc.

All Rights Reserved.

AGREEMENT. After reading this agreement carefully, if you ("Customer") do not agree to all of the terms of this agreement, you may not use this Software. Unless you have a different license agreement signed by VanDyke Software, Inc. that covers this copy of the Software, your use of this Software indicates your acceptance of this license agreement and warranty. All updates to the Software shall be considered part of the Software and subject to the terms of this Agreement. Changes to this Agreement may accompany updates to the Software, in which case by installing such update, Customer accepts the terms of the Agreement as changed. The Agreement is not otherwise subject to addition, amendment, modification, or exception unless in writing signed by an officer of both Customer and VanDyke Software, Inc.

This Software is owned by VanDyke Software, Inc. and is protected by national copyright laws and international copyright treaties.

1. EXPORT LAW. This Software is subject to export control. The Software may be transmitted, exported, or re-exported only under applicable export laws and restrictions and regulations of the United States Bureau of Industry and Security or foreign agencies or authorities. By downloading or using the Software, you are agreeing to comply with export controls. The Software may not be downloaded or otherwise exported or re-exported to any country subject to U.S. trade sanctions governing the Software, sanctioned countries including Cuba, Iran, North Korea, Sudan, and Syria, or by citizens or residents of such countries except citizens who are lawful permanent residents of countries not subject to such sanctions, or by anyone on the U.S. Treasury Department's list of Specially Designated Nationals and Blocked Persons or the U.S. Commerce Department's Table of Denial Orders.

2. GRANT OF LICENSE AND PROHIBITIONS. This Software is licensed to you. You are not obtaining title to the Software or any copyrights. You may not sublicense, rent, lease, convey, modify, translate, convert to another programming language, decompile, or disassemble the Software for any purpose. The license may be transferred to another individual (not resold) if you keep no copies of the Software. Permission must be obtained before mirroring or redistributing the evaluation copies of the Software.

3. USE AND EVALUATION PERIOD. You may use copies of this Software (one copy being the server application, the client application, or both) on the number of computers authorized in your registration documentation. A copy of this Software is considered "in use" when loaded into temporary memory (i.e., RAM) and/or installed on a permanent storage device (i.e., hard disk, CD-ROM, etc.). Each instance of a virtual machine on which the software is installed is considered one "computer". For Terminal Server installations (e.g., Microsoft RDS), where a software or hardware client ("seat") can access a copy of this Software installed on a centralized machine, a "seat" is considered a "computer". You may also use a copy of the Software on one additional computer, provided you make certain only one copy of the Software is "in use" at a time. You may use an evaluation copy of the Software for only thirty (30) days in order to determine whether to purchase the Software.

If you desire authorization to use the Software in an environment not described in this section, please send your request to licensing@vandyke.com.

4. MULTI-COMPUTER LICENSES. If this is a multi-computer license, you may make, install, and use additional copies of this Software up to the number of copies authorized in your registration documentation. If this is an educational license, use is restricted to non-commercial use by students, faculty, and staff using campus facilities, and to off-campus non-commercial use by students, faculty, and staff primarily for school business.

5. LIMITED WARRANTY. THE SOFTWARE IS PROVIDED AS IS AND VANDYKE SOFTWARE DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

6. LIMITATION ON DAMAGES. NEITHER VANDYKE SOFTWARE NOR ANYONE INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE EVEN IF VANDYKE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. IN NO EVENT SHALL VANDYKE SOFTWARE'S LIABILITY FOR ANY DAMAGES EXCEED THE PRICE PAID FOR THE LICENSE TO USE THE SOFTWARE, REGARDLESS OF THE FORM OF CLAIM. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

7. TERMINATION. This Agreement terminates on the date of the first occurrence of either of the following events: (1) The expiration of one (1) month from written notice of termination from Customer to VanDyke Software, Inc.; or (2) One party materially breaches any terms of this Agreement or any terms of any other agreement between Customer and VanDyke Software, Inc., that are either uncorrectable or that the breaching party fails to correct within one (1) month after written notification by the other party.

8. GOVERNING LAW. The agreement shall be governed by the laws of the State of New Mexico. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a state or federal court of competent jurisdiction located in Bernalillo County, New Mexico. The parties hereby consent to the personal jurisdiction of such courts.

9. U.S. GOVERNMENT RESTRICTED RIGHTS. This Software is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (a) of the Rights in Commercial Computer Software clause at DFARS 227.7202-3 or subparagraphs (c)(1) and (2) of the Commercial Computer Software -- Restricted Rights clause at 48 CFR 52.227-19, as applicable. Manufacturer is:

VanDyke Software, Inc.

4848 Tramway Ridge Dr. NE, Suite 101

Albuquerque, NM 87111 USA

Inquiry form: https://www.vandyke.com/feedback.php


Product Announcements

SecureCRT Icon Product Announcements

If you would like to receive email notification of new releases, please go to:

https://www.vandyke.com/cgi-bin/subscribe.php?PID=3

Also, visit our web page:

https://www.vandyke.com


Copyright and Trademark Notices

SecureCRT Icon Copyright and Trademark Notices

SecureCRT® 8.7 Documentation Copyright © 1995-2020 VanDyke Software® , Inc. All Rights Reserved.

VanDyke Software, SecureCRT, SecureFX, and VShell are trademarks or registered trademarks of VanDyke Software, Inc. in the United States and/or other countries.

All other products and services mentioned are trademarks or registered trademarks of their respective companies.


Reporting Problems

SecureCRT Icon Reporting Problems

You can submit any problems you are having with SecureCRT at our website:

https://www.vandyke.com/cgi-bin/customer_form.php?cft=support

VanDyke Software will try to respond to all bug reports within one to two business days, and will try to resolve the problem as quickly as possible.


Feature Requests and Questions

SecureCRT Icon Feature Requests and Questions

We are very interested in hearing from our users. If there is a feature that you would like to see added to SecureCRT, or if you have a general question about SecureCRT, please go to

https://www.vandyke.com/cgi-bin/customer_form.php?cft=feature

If you would like to receive email notification of new releases, please go to:

https://www.vandyke.com/cgi-bin/subscribe.php?PID=3


Support FAQ

SecureCRT Icon Support FAQ

The SecureCRT FAQ (Frequently Asked Questions) can be found on our website at:

https://www.vandyke.com/support


Connection_Overview

SecureCRT Icon Connection Overview

This section provides crucial information to those who are interested in getting connected to a remote machine as quickly as possible, putting aside any environmental customizations such as font color, etc.

When you start SecureCRT, you will see the Quick Connect dialog appear along with the main SecureCRT window.

There are several interfaces you can use to connect to a remote machine: the Quick Connect dialog, the connect bar on the toolbar, the Session Manager, and the Connect dialog.

If this is your first time using SecureCRT, you may prefer to use the Quick Connect dialog.

If you are a seasoned user of SecureCRT and have already defined one or more sessions, you may prefer to use the Session Manager or the Connect dialog.

Regardless of the interface you choose, you will be able to establish a connection A data path or circuit between two computers over a phone line, network cable, or other means. to a remote machine using the serial, Telnet Telnet is a protocol that provides an interface for communications between clients and servers., SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server., SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides., Telnet/TLS , and RLogin protocols. If you need to establish a connection to a remote machine (such as a BBS) by dialing it directly with a modem, see the topic on Connecting with the TAPI dialer.

Related Topics

  1. Creating a New Session with Connect
  2. Creating a New Session with Quick Connect
  3. Sessions Overview


Session Manager

SecureCRT Icon Session Manager

The dockable Session Manager lets you quickly connect to defined sessions (or to create and connect to new sessions) in the SecureCRT window. The Session Manager pane can be positioned on the left, right, top, or bottom of the SecureCRT window or undocked as a modeless dialog. To change the location, make sure the Session Manager is pinned and then drag it by the toolbar to the desired location.

Note: To use the Connect dialog instead of the Session Manager, uncheck the Use dockable Session Manager option in the General category of the Global Options dialog.

From the Session Manager, you can connect to multiple sessions and folders. You can also select and edit multiple sessions from the Session Manager; only the changed fields will be applied to the selected sessions, allowing specific settings to be changed for a group of sessions. When editing multiple sessions, SecureCRT will display the first session that was selected.

The toolbar on the Session Manager provides quick access to the following actions:

Button | Description
 | Connect: Causes SecureCRT to connect to the remote server named in the selected session.
 | Connect in Tab/Tile: Connects the selected session in a tab or tile in the current window.
 | New Session: Opens the Session Options dialog for a new session.
 | Cut: Copies the selected session or folder to the clipboard. When it is pasted, the session or folder is moved to the new location.
The Copy Button | Copy: Copies the selected session or folder to the clipboard. The session name is also placed on the clipboard for pasting outside of the Session Manager or Connect dialog.
The Paste Button | Paste: Pastes a session or folder that was previously cut or copied into the specified folder.
 | Delete: Deletes the selected sessions and/or folders.
The Properties Button | Properties: Opens the Session Options dialog for the selected session.
 | Find: Searches the contents of the session tree for a given string. The accelerator for this command is CTRL+F, and pressing the F3 key will result in a "find next" operation.
 | New Folder: Creates a new folder in the folder tree list.
 | Create Desktop Shortcut: Creates a desktop shortcut to the selected session.

Below the toolbar is a filter box. As text is typed into the filter box, the session list is updated to include only the items that match the text. To include folders in the filtered sessions, type "/" after text in the filter box. Partial matches are supported. For example, if "Rout/" is typed in the filter box, a folder named "MyRouters" and all of its contents would be included in the filtered session list.


Command Manager

SecureCRT Icon Command Manager

The dockable Command Manager lets you quickly access frequently needed user-defined commands. These commands can be organized by saving them in user-created folders. The Command Manager pane can be positioned on the left, right, top, or bottom of the SecureCRT window or undocked as a modeless dialog. To change the location, make sure the Command Manager is pinned and then drag it by the toolbar to the desired location.

The toolbar on the Command Manager provides quick access to the following actions:

Button | Description
 | Send: Sends the selected command to the currently active session.
 | New Command: Opens the Command Properties dialog.
 | Cut: Copies the selected command to the clipboard. When it is pasted, the command is moved to the new location in the Command Manager.
The Copy Button | Copy: Copies the selected command to the clipboard. A copied command can be added to a button bar by right-clicking anywhere in the button bar and selecting Paste Command.
The Paste Button | Paste: Pastes a command that was previously cut or copied into the specified folder. To paste a button from the button bar, right-click on a button in the button bar and select Copy Button. To paste an entire button bar into the Command Manager, click in the empty space in the button bar and select Copy Button Bar. Then right-click on a folder in the Command Manager and select Paste Button Bar. The button bar will be pasted into the selected folder with the button bar name as the folder name.
 | Delete: Deletes the selected command or folder.
The Properties Button | Properties: Opens the Command Properties dialog for the selected command.
 | New Folder: Creates a new folder in the folder tree list.

Below the toolbar is the command filter bar, which allows the folder tree list to be filtered. As characters are typed in the filter bar, the folder tree will be modified to show only commands that match the text. If you would like folders to be included when filtering, press "/" after typing any number of characters (substrings are matched).

To send commands to multiple sessions, right-click on a command in the Command Manager and choose one of the following from the Send Commands to pull-right menu:

· All Sessions - Send commands to all your open sessions at once.

· Selected Tab Group(s) - Send commands to one or more tab groups. This setting is automatically selected when you right-click on a tab and enable Send Commands to This Group. When commands are being sent to selected tab groups, the tabs of the sessions that commands will be sent to contain an asterisk in front of the session name.

· Visible Sessions - Send commands to all visible tabbed sessions. When there are multiple tab groups, commands will be sent to the currently active session in each tab group.


Creating a New Session with Quick Connect

SecureCRT Icon Creating a New Session with Quick Connect

The Quick Connect dialog is the fastest way to create a new session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. and connect to the machine associated with it. By default, the Quick Connect dialog (see figure below) is shown when SecureCRT is started.

SecureCRT Quick Connect Dialog

The dialog can also be opened by clicking on the Quick Connect toolbar button Quick Connect button on either the SecureCRT session window or the Connect dialog, or by opening the File menu and selecting the Quick Connect menu option.

In the Quick Connect dialog, specify the protocol you will be using, the hostname or IP address, and any other information necessary to make the connection A data path or circuit between two computers over a phone line, network cable, or other means..

When you are finished entering the necessary settings for the connection, click on the Connect button and you will be connected to the specified host. If the Save session option is selected (this option is on by default), a session will be created and stored for future use under the name of the host or IP address you specified.

Note: You can customize SecureCRT to display the Quick Connect dialog on startup rather than the Connect dialog by selecting the Show quick connect on start up option located in the Quick Connect dialog.

Once you have created a session, you may wish to customize its behavior. For more information, see the topics under Session Options.

Related Topics

  1. Connecting with the Connect Dialog
  2. Creating a New Session with Connect
  3. Sessions Overview


Connecting with the Connect Dialog

SecureCRT Icon Connecting with the Connect Dialog

The Connect dialog can be accessed with the Connect button on the toolbar or by selecting the Connect menu item from the File menu. In order to connect to a remote machine using the Connect dialog, you must select a previously created session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

You can quickly create a new session by clicking on the New Session button, or by right-clicking on any folder in the Connect dialog and selecting New Session from the pop-up menu. If you would like to learn more about creating new sessions, see Creating a New Session with Connect.

To connect using a session you have already created, select the session and click on the Connect button. You can also connect to a session by double-clicking on the session name or by right-clicking on the session name and selecting Connect from the pop-up menu.

To display the Connect dialog automatically at startup, select the Show dialog on startup option found in the lower left corner of the Connect dialog.

To open the selected session as a tab in the SecureCRT window, select the Open in a tab option.

Related Topics

  1. Creating a New Session with Connect
  2. Creating a New Session with Quick Connect
  3. Sessions Overview


Connecting with the TAPI Dialer

SecureCRT Icon Connecting with the TAPI Dialer

To connect to a remote machine (such as a BBS) by dialing it directly, you will need to create a new session for the connection, or use the Quick Connect dialog with the following steps:

1. Specify TAPI as the connection A data path or circuit between two computers over a phone line, network cable, or other means. protocol.

2. In the Dial using entry box, specify the modem you will use for dialing the remote machine.

3. If necessary, specify the country and/or area code for the number of the machine you will be dialing.

4. In the Phone number entry box, enter the phone number of the machine you will be dialing. If the remote machine or BBS you are attempting to dial provides you with alternate numbers, you can specify any alternate numbers by clicking on the TAPI/Advanced category in the Session Options dialog.

5. Click on the Connect button and SecureCRT will begin dialing the remote computer.


Starting a Session Automatically

SecureCRT Icon Starting a Session Automatically

SecureCRT can be configured to automatically connect to one or more specific sessions on startup. If you intend to use one particular session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. each time you run SecureCRT, you may want to enable the Use auto session option.

To enable Use auto session:

1. Select the General/Default Session category in the Global Options dialog.

2. In the Auto session setup group, select the Use auto session option and specify a session name or names.

Creating a Desktop Shortcut to a SecureCRT Session

With SecureCRT, you can easily create a shortcut on the desktop that will start SecureCRT and automatically begin connecting with a certain session.

To create a shortcut to a SecureCRT session:

1. In the Session Manger, right-click on the specific session that you want SecureCRT to begin connecting with once the shortcut is launched from the desktop.

2. Select the Create Desktop Shortcut menu item from the pop-up menu.

Related Topics

  1. Overview of Command-Line Options


Reconnecting Automatically

SecureCRT Icon Reconnecting Automatically

SecureCRT can be set up to automatically reconnect to a remote machine when a connection A data path or circuit between two computers over a phone line, network cable, or other means. is terminated.

To enable this feature for all sessions:

1. Open the Terminal category in the Global Options dialog.

2. Select the Auto reconnect option.

To enable or disable this feature on a per-session basis:

1. In the Session Options dialog, open the Terminal category.

2. Select the Auto reconnect option.


Running SecureFX from SecureCRT

SecureCRT Icon Running SecureFX from SecureCRT

Integration of SecureCRT and SecureFX

SecureCRT supports the integration of its configuration settings with those of VanDyke Software's secure file transfer client SecureFX®. This makes it simpler to create and maintain sessions; set your options once and they are used by both programs.

To integrate SecureCRT with SecureFX, use the bundled installer to install both applications to the same machine, and then start SecureCRT.

Starting SecureFX from SecureCRT

From SecureCRT, you can start SecureFX in several different ways, including the following:

· Clicking on the SecureFX toolbar button.

· Right-clicking on a tab and selecting the Start SecureFX option.

· Selecting a SecureFX session from the Session Manger or Connect dialog.

Starting SecureCRT from SecureFX

You can also start SecureCRT from SecureFX if you prefer.

If you open the SecureCRT Global Options or Session Options dialogs, you will see options for both SecureCRT and SecureFX. From here, you can configure sessions for both applications.

If you want to share your SecureCRT and SecureFX configuration settings and want to see both the terminal emulation and file transfer sessions in your SecureCRT Connect dialog, right-click on the Connect dialog and check the Show Transfer Sessions option.

SecureFX Single Instance

This feature, introduced in version 8.5, causes each new SecureFX session to be started in a new tab in the same SecureFX instance. It prevents multiple SecureFX processes from running simultaneously. If a SecureFX process is already running, attempts to start another will simply give focus to the existing process.

You can override this behavior by editing the Global.ini file in the Configuration folder. The Configuration folder is found in the General / Configuration Paths category of SecureCRT's Global Options dialog.

To have each new SecureFX session start in a separate SecureFX process, edit the line:

D:"SecureFX Single Instance"=00000001

Change this to:

D:"SecureFX Single Instance"=00000000

Important: To avoid the possibility of damaging INI files, always close SecureCRT and SecureFX before editing INI files.


Menus

SecureCRT Icon Menus

SecureCRT application window has a number of menus that provide access to program dialogs, controls, and features. The menus are listed below:

· System Menu

· File Menu

· Edit Menu

· View Menu

· Options Menu

· Transfer Menu

· Script Menu

· Tools Menu

· Window Menu

· Help Menu


System Menu

SecureCRT Icon System Menu

This topic lists the options available on the System menu. The System menu is accessed by clicking on the small SecureCRT icon located in the upper left-hand corner of the SecureCRT window. The System menu can also be accessed by right-clicking in the SecureCRT title bar.

The System menu allows you to accomplish basic tasks such as minimizing, maximizing, moving, and resizing the SecureCRT window on systems that do not have a mouse attached. To access the System menu without using the mouse, use the ALT+SPACE key combination. To select a menu item found in the System menu, press the key associated with the entry as designated with an underline.

The SecureCRT System Menu

SecureCRT System Menu

Restore

Restores the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. window to its original size.

Move

Changes the mouse pointer into a handle to move the session window.

Size

Changes the mouse pointer into a handle to resize the session window.

Minimize

Minimizes the session window to the taskbar or, if you are using the Activator, to the system tray.

Maximize

Enlarges the session window to fill the entire screen.

Always on Top

Keeps the session window in front or "on top" of other windows on your screen. This option is also available on the View menu.

Save Settings Now

Saves your current global and session option settings to the initialization file. These settings will be the ones retrieved the next time you start SecureCRT. This option is also available on the Options menu.

Toggle Menu Bar

Toggles the menu bar on and off. This option is also available on the View menu.

Close

Disconnects any sessions in progress and closes the session window.


File Menu

SecureCRT Icon File Menu

This topic lists the options available on the File menu including connection, printing, and logging commands.

Connect...

Opens the Connect dialog where you can connect to or edit existing sessions, or create new sessions. If you choose to open a new session and the current tab or window is disconnected, SecureCRT will display the new session in the current tab or window. If the current tab or window is connected, a new window will be opened.

Quick Connect...

Opens the Quick Connect dialog. This is the quickest way to define a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. and is often used to make one-time connections.

Connect in Tab/Tile...

Opens the Connect in Tab/Tile dialog where you can open a session as a new tab or as a new tiled session if you are in tiled mode. If you choose to open a new session, if the current tab/tiled session is connected, a new tab/tiled session will be opened in the current window.

Connect Local Shell

Opens a local shell session in a tab.

Reconnect

Reconnects you to the session that most recently had focus.

Reconnect All

Re-establishes a connection on all currently disconnected sessions (honors the Connect to multiple sessions sequentially option setting).

Disconnect

Disconnects you from the current session.

Disconnect All

Disconnects you from all currently connected sessions.

Clone Session

Creates a new session that is identical to the current session. For more information, see the Session Tabs topic.

Connect SFTP Session

Opens a new tab or tiled session containing an SFTP command line.

Lock/Unlock Session

Locks or unlocks the current session.

Print

Auto Print

Toggles on and off the Auto Print feature. When on, this feature directs terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. output to the printer; each line of output to the terminal screen is sent to the printer as soon as a CR, LF, FF, or VT character is received.

Note: This output will be buffered by the Windows spooler unless you have enabled the Use raw mode or Direct pass-through printing option in either the Session Options or Global Options dialog.

You can also turn this feature on and off by clicking the Auto Print button located on the SecureCRT toolbar. Selecting Print/Cancel from the File menu, also turns off the Auto Print feature.

Note: If Auto Print is on, the Auto Print button on the toolbar will appear depressed. If auto print is off, the Auto Print button will appear as normal.

Screen

Prints the contents displayed in the terminal screen. You can also print the contents of the terminal screen by clicking on the Print Screen button on the SecureCRT toolbar.

Selection

Prints the text selected in the terminal screen to the printer.

Eject Page

Sends a formfeed command to the printing system.

Cancel

Cancels all pending SecureCRT print jobs. This will not affect print jobs that are already in the print buffer.

Print Setup...

Opens the Windows Print Setup dialog.

Log Session

Records the current session in a log file. When first logging a session, the Save As dialog will appear. Enter the desired log filename and click on the Save button. Also, see the Terminal/Log File category of the Session Options dialog. By default, logging is off.

Raw Log Session

Writes every character received by SecureCRT , including terminal escape sequences, to the session log file. By default, Raw log is off.

Trace Options

Displays normally hidden protocol negotiation information along with standard information shown in the SecureCRT window.

When SecureCRT attempts to connect to a target server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. , a great deal of information is passed between the two machines. Most of this information is visible in the SecureCRT window but some of it (the underlying "handshaking" commands) is generally unimportant to the user and is hidden from view. However, there are times when this handshaking information is useful, for example, it can be very valuable when trying to solve a connection A data path or circuit between two computers over a phone line, network cable, or other means. problem. For these instances, SecureCRT provides the Trace Options feature which, when turned on, displays the handshaking information.

Recently Used Session List

Displays the names of the most recently used sessions used to connect to remote machines. The number of session shown can be configured in the Global Options/General dialog.

File Menu and Recently Used Session List

SecureCRT File Menu

Exit

Closes the SecureCRT application.


Edit Menu

SecureCRT Icon Edit Menu

This topic lists the options available on the Edit menu.

Copy

Copies selected text from the SecureCRT session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. window to the Windows Clipboard.

Paste

Pastes the contents of the Windows clipboard to the session window at the point of the text cursor

Copy and Paste

Copies selected text from the SecureCRT session window and pastes it at the location of the text cursor.

Paste as Quotation

Pastes text from the system clipboard, prefaced by or enclosed between the Quotation character(s) specified in the Terminal category in the Global Options dialog.

Select All

Selects all the text in the active session window including text in the scrollback buffer.

Find...

Opens the Find dialog which lets you search the text in a session window and scrollback buffer for a specific character string.

Note: The Find option can only find text contained on a single line of output.

Print Selection

Sends the text selected in the session window to the printer.

Go to Session/Command Window

This menu item reads Go to Session Window when the Command window is displayed and has focus. When selected it causes the focus to go to the session window.

When the Command window is displayed and focus is in the session window, this menu item reads Go to Command Window and selecting it causes the focus to go to the Command window.

Go to Session Manager/Session Window

This menu item reads Go to Session Manager when the Session Manager is enabled and does not have focus. When selected it causes the focus to go to the Session Manager.

When the Session Manager has focus, this menu item reads Go to Session Window and selecting it causes the focus to go to the session window.

Clear Scrollback

Clears the scrollback buffer.

Clear Screen

Clears the session window.

Clear Screen and Scrollback

Clears both the session window and the scrollback buffer.

You can also automatically clear the session window when you disconnect To close a Telnet or other type of communication connection between a client and a server. from a remote machine by checking the Clear on disconnect option in the Session Options/Terminal dialog

Send Break

Sends a Telnet break to the session.

Reset

Resets SecureCRT the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulator. This option is useful for clearing incidental display abnormalities (e.g., accidental display of binary data).


View Menu

SecureCRT Icon View Menu

This topic lists the options available on the View menu.

Menu Bar

Toggles the menu bar on and off. The menu bar can also be toggled on and off from the System menu.

Toolbar

Toggles the toolbar on and off.

Session Tabs

Toggles the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. tabs on and off. Tabs can also be enabled using the Show session tabs option on the Global Options/Terminal/Appearance dialog.

Command Window

Toggles the Command window on and off.

The SecureCRT Command window provides an interface to the remote command line that is unaffected by concurrent output to the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen. The Command window is useful for issuing subsequent commands. While waiting for the output of a previous command to complete, you can prepare the next command by typing it into the Command window. The contents of the Command window are sent to the command line as soon as the ENTER key is pressed in the Command window.

You can prepare multiple lines in the Command window with CTRL+ENTER.

SecureCRT will remember the number of recently used Command window commands that are specified in the Command window history option of the Global Options/Terminal/Appearance dialog. You can cycle through these commands using your UP and DOWN arrow keys. Entering a 0 for the Command window history will turn off this feature.

To select the sessions that commands will be sent to, right-click in the Command window and choose one of the following from the Send Commands to submenu:

• Active Session - Send commands only to the active session. This is the default.

• All Sessions - Send commands to all your open sessions at once.

• Selected Tab Group(s) - Send commands to one or more tab groups. This setting is automatically selected when you right-click on a tab and enable Send Commands to This Group. When commands are being sent to selected tab groups, the tabs of the sessions that commands will be sent to contain an asterisk in front of the session name.

• Visible Sessions - Send commands to all visible tabbed sessions. When there are multiple tab groups, commands will be sent to the currently active session in each tab group.

If you want to send control characters to a session or edit files using an editor like vi, right-click in the Command windows and select the Send Characters Immediately option. Characters will be sent as soon as they are typed as long as this option is enabled. This option can be used in conjunction with the Send Commands to All Sessions option.

Connect Bar

Toggles the connect bar on and off.

Status Bar

Toggles the status bar on and off.

Button Bar

Toggles the button bar on and off.

Session Manager

Toggles the Session Manager on and off.

Command Manager

Toggles the Command Manager on and off.

Hex View

Opens the Hex View dialog which displays the session data as hexadecimal. Selections can be made on either side, allowing the ASCII or hexadecimal text to be copied and pasted. The Hex View dialog also has a context menu that allows the font to be configured, the view to be cleared, and the ASCII text to be hidden. The size of the buffer for the Hex View dialog can be configured in the Terminal/Appearance category of the Global Options dialog.

Themes

Allows you to select from the available Windows display themes.

Zoom

Opens a submenu allowing you to perform the following actions:

Zoom in

Increases the zoom level of the currently active session.

Zoom out

Decreases the zoom level of the currently active session.

100%

Restores the zoom level of the currently active session to its initial state.

Window Transparency

Toggles the active window transparency between fully opaque and the transparency value set in the Terminal/Appearance/Advanced category of the Global Options dialog.

Horizontal Scroll Bar

Toggles the horizontal scroll bar on and off. Turning off the scroll bar does not turn off scrolling.

Vertical Scroll Bar

Toggles the vertical scroll bar on and off. Turning off the scroll bar does not turn off scrolling.

Always on Top

Keeps the session window in front or "on top" of other windows on your screen.

Full Screen

Enlarges the session window to full screen size. The ALT+ENTER key combination returns the window to its standard size.


Options Menu

SecureCRT Icon Options Menu

This topic lists the options available on the Options menu.

Session Options...

Opens the Session Options dialog.

Edit Default Session...

Opens a dialog that allows the Default session to be edited.

Global Options...

Opens the Global Options dialog.

Keyword Highlighting

If keyword highlighting is not enabled for the session, this menu item is disabled. If keyword highlighting is enabled for the session, it can be toggled using this menu item. The state is only remembered until the session is closed.

When you start SecureCRT, the program retrieves your global and session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. option settings from an initialization file. While you are running SecureCRT, you can make changes to your settings, but these changes will be lost when you close SecureCRT unless you save your changes to the initialization file using the Save Settings Now command and/or the Auto Save Options command.

Auto Save Options

Automatically saves changes that you make in the Global Options dialog or Session Options dialog to the initialization file when you click on the OK button on the dialog.

If this option is off (unchecked), changes made to your global or session options will be lost when you close SecureCRT unless you have saved the settings using the Save Settings Now command.

Note: When the Auto Save Options command is being used by more than one instance of SecureCRT, the settings of the last instance to be closed will be the settings saved to the initialization file.

Save Settings Now

Saves your current global and session option settings to the initialization file. These settings will then be the ones retrieved the next time you start SecureCRT.


Transfer Menu

SecureCRT Icon Transfer Menu

This topic lists the options available on the Transfer menu.

Send ASCII...

Opens the Select File to Send as ASCII dialog.

Receive ASCII...

Opens the Specify Filename to Receive as ASCII dialog.

Send Binary...

Opens the Select File to Send as Binary dialog.

Send Kermit...

Opens the Select Files to Send using Kermit dialog.

Receive Kermit...

Starts the transfer of the file(s) from the currently connected server.

Send Xmodem...

Opens the Select File to Send using Xmodem dialog. For more information on Xmodem, see Overview of Xmodem.

Receive Xmodem...

Opens the Specify Filename to Receive using Xmodem dialog. For more information on Xmodem, see Overview of Xmodem.

Send Ymodem...

Opens the Select Files to Send using Ymodem dialog. For more information on Ymodem, see Overview of Ymodem.

Receive Ymodem...

Starts the transfer of the file(s) from the currently connected server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . For more information on Ymodem, see Overview of Ymodem.

Zmodem Upload List...

Opens the Select Files to Send using Zmodem dialog. For more information on Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. , see Overview of Zmodem.

Start Zmodem Upload

Starts the transfer of the file(s) selected in the Select Files to Send using Zmodem dialog to the currently connected server. For more information on Zmodem, see Overview of Zmodem.

Start TFTP Server

Starts the TFTP server. You will be prompted for the local upload and download directories for the TFTP server to use if they are not specified in the Global Options / Terminal / TFTP Server dialog.

Stop TFTP Server

Stops the TFTP server.


Script Menu

SecureCRT Icon Script Menu

This topic lists the options available on the Script menu.

Run...

Opens the Select Script to Run dialog where you can choose and start a script. For more information on scripts, see Creating ActiveX Scripts and Creating Python Scripts.

Cancel

Cancels the currently running script.

Start Recording Script

When this option is selected, all keystrokes and responses in the current session will be recorded until the Stop Recording Script or Cancel Recording Script option is selected. If a script is being recorded and a session is disconnected, you will be prompted to save the script.

Stop Recording Script...

Stops the recording in progress and prompts you to save the recorded script as a Visual Basic (.vbs) or Python (.py) script file. If a script is being recorded and a session is disconnected, you will also be prompted to save the script.

Cancel Recording Script

Stops the recording in progress and nothing is saved.

Recent Script

Lists the most recently used scripts. For more information on scripts, see Creating ActiveX Scripts and Creating Python Scripts.


Tools Menu

SecureCRT Icon Tools Menu

This topic lists the options available on the Tools menu.

Keymap Editor...

Opens the Keymap Editor.

Create Public Key...

Opens the Key Generation wizard.

Convert Private Key to OpenSSH Format...

Converts a VanDyke generated private key to OpenSSH format so that it can be used for authentication with other SSH2 clients. You will be prompted for the key to convert and where to save the converted key.

Export Public Key from Certificate...

Exports the public key from an X.509 certificate. You will be prompted for the certificate to use and where to save the public key. After the public key has been exported, you will need to complete these instructions in order to use it.

Public-Key Assistant...

Opens the Public-Key Assistant dialog, allowing you to manage your public keys on remote servers.

This option is only available when you are using the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. protocol. Also note that not all remote systems support the public-key assistant subsystem.

Manage Agent Keys...

Opens the Manage Agent Keys dialog which allows you to add keys to and remove keys from the list of accepted agent keys.

Change Configuration Passphrase...

Allows you to change, reset, or remove the passphrase the next time SecureCRT starts. This is the only way to add a passphrase if you currently do not have one.

Export Settings...

Opens the Export Settings dialog which allows you to choose the settings to export to the specified file. If a personal data folder is being used for storing sensitive information, nothing in that folder will be exported.

Import Settings...

Opens the Import Settings dialog which allows you to choose the settings to import from the specified file.


Window Menu

SecureCRT Icon Window Menu

This topic lists the options available on the Window menu.

Of the following four options, only one can be selected at a time.

Tabs

Displays all open session windows in tabs.

Tile Vertically

Re-sizes and displays all open session windows vertically descending from the top of the main window. The specified geometry settings are used.

Tile Horizontally

Re-sizes and displays all open session windows horizontally from left to right in the main window. The specified geometry settings are used.

Cascade

Re-sizes and displays all open session windows to be slightly overlapped and descending from the upper-left corner of the main window. The specified geometry settings are used.

Single Tab Group

Puts individual tab "groups" into a single tab group. This menu item is only available when there is more than one tab group.

Active Session List

Displays the names of the currently active sessions.


Help Menu

SecureCRT Icon Help Menu

This topic lists the options available on the Help menu.

Help Topics

Opens the SecureCRT Help system.

SecureCRT Web Page...

Opens your default web browser to the SecureCRT product web page.

Order SecureCRT...

Opens your default web browser to the SecureCRT order web page.

Update Now...

Checks to see if a newer version of SecureCRT (and SecureFX if also installed) is available that is valid with the current license. If a newer version is available and you choose to install it, the installer will be downloaded and run. Note that a beta version will never be installed over an official version.

Check for Updates...

Opens your default web browser to a SecureCRT web page that will let you know if there are any versions available that are newer than the one you are currently running.

Contact Support...

Opens your default web browser to the VanDyke Software website where you can complete a form requesting technical support.

VanDyke Software Forum...

Opens your default web browser to the VanDyke Software web forum where you can read and participate in discussions about SecureCRT and other VanDyke products.

Enter License Data...

Opens the License Wizard which will step you through entering your license data. If you select this option with valid license data already in the clipboard, SecureCRT completes the process of applying the license data for you automatically.

About SecureCRT...

Opens the About dialog which contains information about SecureCRT and your license data.


Connect Dialog

SecureCRT Icon Connect Dialog

The Connect dialog allows you to connect to a defined session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. or to create and connect to a new session.

Note: The Connect dialog is used for managing sessions when the global option Use dockable Session Manager is unchecked.

The Connect dialog can be accessed by clicking on Connect... in the File menu, by clicking on the Connect button on the SecureCRT toolbar, or by entering the keyboard shortcut ALT+C.

From the Connect dialog, you can connect to multiple sessions and folders. You can also select and edit multiple sessions from the Connect dialog; only the changed fields will be applied to the selected sessions, allowing specific settings to be changed for a group of sessions. When editing multiple sessions, SecureCRT will display the first session that was selected.

The toolbar on the Connect dialog provides quick access to the following actions:

Button | Description
The Connect Button | Connect (Connect dialog): Connects to selected session.
The Quick Connect Button | Quick Connect: Brings up the Quick Connect dialog.
 | New Session (Connect dialog): Opens the Session Options dialog for a new session.
 | Cut: Copies the selected session or folder to the clipboard. When it is pasted, the session or folder is moved to the new location.
The Copy Button | Copy: Copies the selected session or folder to the clipboard. The session name is also placed on the clipboard for pasting outside of the Session Manager or Connect dialog.
The Paste Button | Paste: Pastes a session or folder that was previously cut or copied into the specified folder.
 | Delete: Deletes the selected sessions and/or folders.
The Properties Button | Properties: Opens the Session Options dialog for the selected session.
 | Find: Searches the contents of the session tree for a given string. The accelerator for this command is CTRL+F, and pressing the F3 key will result in a "find next" operation.
 | New Folder: Creates a new folder in the folder tree list.
 | Create Desktop Shortcut: Creates a desktop shortcut to the selected session.
The Help Button | Help: Invokes the online help manual.

Below the toolbar is a filter box. As text is typed into the filter box, the session list is updated to include only the items that match the text. To include folders in the filtered sessions, type "/" after text in the filter box. Partial matches are supported. For example, if "Rout/" is typed in the filter box, a folder named "MyRouters" and all of its contents would be included in the filtered session list.

Organized in a folder tree arrangement, the list window of the Connect dialog lists the sessions that have been defined.

The Connect dialog also contains the following options:

Show dialog on startup

Check this box to have the Connect dialog displayed whenever SecureCRT starts.

Open in a tab (if you are in tab mode)

Opens the selected session(s) in a tab in the SecureCRT window. If this option is checked and there is a session open, the selected item(s) will be opened in the current window. If this option is unchecked and there is a session open, the selected item(s) will be opened as tabs in a new window.

Open in a tiled window (if you are in tiled mode)

Opens the selected session(s) in a tiled session in the SecureCRT window. If this option is checked and there is a session open, the selected item(s) will be opened in the current window. If this option is unchecked and there is a session open, the selected item(s) will be opened as tiled sessions in a new window.

Connect

Press this button to connect to the session selected in the session window.

Close

Press this button to close the Connect dialog.

If you are sharing your SecureCRT and SecureFX configuration settings, you can control whether or not you see both the terminal emulation and file transfer sessions in your SecureCRT Connect dialog by right-clicking in the session list and toggling the Show Transfer Sessions option.

Related Topics

  1. Connecting with the Connect Dialog
  2. Connection_Overview


Quick Connect Dialog

SecureCRT Icon Quick Connect Dialog

The Quick Connect dialog (shown below) allows you to quickly define and connect to a remote host.

The Quick Connect dialog can be accessed by clicking on Quick Connect... in the File menu, by clicking on the Quick Connect button on the SecureCRT toolbar, or by entering the keyboard shortcut ALT+Q.

The Quick Connect dialog options are based on the choice of Protocol In other words, if SSH2 is selected as the protocol, the options displayed on the dialog will be different than if Telnet is selected. Below is a list of the protocols and options available in SecureCRT.

SSH2 Quick Connect Options

SSH1 Quick Connect Options

Telnet Quick Connect Options

Telnet/TLS Quick Connect Options

RLogin Quick Connect Options

Serial Quick Connect Options

TAPI Quick Connect Options

Raw Quick Connect Options

The Quick Connect dialog also contains the following options:

Show quick connect on startup

Check this box to have the Quick Connect dialog displayed whenever SecureCRT starts.

Save session

Check this box to save the session settings that have been defined. The session will be stored for future use under the specified hostname or IP address. To customize the behavior of a saved session, see the topics in the "Customizing Session Behavior" section.

Open in a tab

Opens the session as a tab in the session window.

Connect

Press this button to connect to the specified host. If the Save session option is selected, the session is saved at this time.

Cancel

Press this button to close the Quick Connect dialog without saving the specified settings.

Related Topics

  1. Connection_Overview
  2. Creating a New Session with Quick Connect


Global Options Dialog

SecureCRT Icon Global Options Dialog

The Global Options dialog is accessed by opening the Options menu and selecting Global Options... .

Global options apply to all sessions unless they are specifically overridden on a per session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. basis.

The available categories and subcategories are as follows:

· General

· Configuration Paths

· Default Session

· Terminal

· Appearance

· ANSI Color

· Advanced

· Tabs/Tiling

· Printing

· Web Browser

· TFTP Server

· Advanced

· File Transfer

· Options

· Advanced

· View

· FTP

· FTP/TLS

· Sound

· File Types

· Filters

· Firewall

· SSH2

· SSH Host Keys


Global Options/General

SecureCRT Icon General

The General category of the Global Options dialog allows you to configure general SecureCRT options.

Dialogs group

This group contains options that control the display of optional dialogs. These dialogs are displayed by default.

Show connection closed dialog

Check this option to display a connection A data path or circuit between two computers over a phone line, network cable, or other means. closed message when the connection is closed.

Show confirm disconnect dialog

Check this option to display a message asking for confirmation before disconnecting Closing a communications connection between a client and a sever..

View group

This group includes options that allow you to show or hide components of the SecureCRT application window. To turn off any of these options, clear the associated check box. The available options are as follows:

Show toolbar

Show status bar

Show menu bar

Show connect bar

Session management group

This group includes options that deal with SecureCRT sessions. The available options are as follows:

Use dockable Session Manager

Check this option to use the Session Manager for managing sessions. Uncheck this option to use the Connect dialog for managing sessions.

Show Session Manager or Connect dialog on startup

Check this option to display the Session Manager or Connect dialog on startup of SecureCRT.

Session list sort order

Select the method by which you want to sort the entries listed in the session tree of the Connect dialog. Sessions can be sorted alphabetically (i.e., A1, A10, A2, B), logically (i.e., A1, A2, A10, B), or manually. This option can also be controlled from the Connect dialog's Arrange Tree context menu option. See also Arranging Entries in the Connect Dialog.

Save expanded folder state in connect dialog

Check this option to have SecureCRT remember the state (expanded or collapsed) of folders in the Connect dialog.

When a session is renamed/moved, updated sessions that use it as a firewall

By default when a session is renamed or moved, any sessions that use it as a firewall (dependent session) get updated. This can take a while if there are a lot of sessions or the configuration folder is located on a network drive. This option can be unchecked if there is a significant delay when sessions are renamed or moved. If a session is used as a dependent sessions, the sessions using it will need to be updated manually.

New session uses wizard

Enabling this option causes the New Session toolbar button in the Connect dialog to start the New Session wizard. Disabling this option uses this button to open the Session Options dialog instead. This option is enabled by default.

Recently used session list

This option allows you to configure the number of sessions A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. listed in the Recently Used Sessions section of the File menu. The Recently Used Sessions list displays a list of sessions that have recently been used to connect to a remote machine. The default value is 4.

Note: Entering a value of 0 (zero) in the Recently used sessions list entry box will disable the list in the File menu and clear the list of all entries.

Related Topics

  1. Global Options/General/Default Session


Global Options/General/Configuration Paths

SecureCRT Icon General / Configuration Paths

The General/Configuration Paths category of the Global Options dialog allows you to configure where SecureCRT stores your session and personal data.

Configuration folder

This entry box displays and allows you to change the SecureCRT configuration folder. This folder is where the SecureCRT configuration files are stored. SecureCRT will look for the configuration settings in the application directory before using the folder specified in this entry box. Folders specified using the command-line option /F will take precedence over both these locations.

Note: To change your configuration information, you must have write privileges to this folder.

Personal data folder

This option allows you to specify where your personal data is stored.

Store personal data separately

Check this option if you want to store personal data such as usernames, passwords, and automated logon information separately from all other configuration data. You will need to specify the path for the personal data folder. Changing this option will not take effect until the next time SecureCRT starts. Note that it may take several minutes to make this change if there are a lot of sessions.

Related Topics

  1. Global Options/General


Global Options/General/Default Session

SecureCRT Icon General / Default Session

The General/Default Session category of the Global Options dialog allows you to configure SecureCRT to automatically connect to a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. on startup and it also allows you to configure the SecureCRT default session which is used as the template for all new sessions.

Auto session setup group

This group contains configuration options for automatically connecting to sessions on startup.

Do not connect automatically on startup

Check this option to instruct SecureCRT not to automatically connect when the application starts.

Remember and connect to sessions from last use

Check this option to instruct SecureCRT to remember the sessions used during the last time SecureCRT was used and to connect to those sessions the next time the application is used.

Use auto session

Check this option to automatically connect to one or more sessions when SecureCRT starts. The window below this option displays the sessions configured to connect on startup. You can add or delete sessions using the Add... and Delete buttons.

Edit default settings group

SecureCRT maintains an internal session that is used whenever a new session is being created or when a session has not been specified for a connection A data path or circuit between two computers over a phone line, network cable, or other means. . This internal session is known as the "Default" session. For example, when using Quick Connect or when starting SecureCRT from the command line with no session argument, SecureCRT uses the settings specified in the Default session to make the connection requested.

Edit Default Settings

Press this button to open the Session Options - Default dialog for the default session. In this dialog, you can customize the settings in any category. When you have finished making your changes, click on the OK button and the Apply default session changes dialog is displayed.

The Apply default session changes dialog allows you to choose between Change the Default session only (this is the same behavior provided by the No option in previous versions) and Change ALL sessions (no undo) (this is the same behavior provided by the Yes option in previous versions). The dialog also includes a WARNING that there is no UNDO for this change.

Related Topics

  1. Global Options/General


Global Options/Terminal

SecureCRT Icon Terminal

The Terminal category of the Global Options dialog allows you to configure SecureCRT terminal emulation-related options.

Save window state for each session

Check this option to save the window size and position of each session window.

Auto reconnect

Check this option to automatically reconnect to a remote machine when a connection is terminated. This feature can also be enabled or disabled on a per session basis.

Connect sessions in tabs

Check this option to open new sessions as tabs in the active window.

Exit when last session is disconnected

Check this option to exit SecureCRT when the last session is disconnected.

Prompt on multi-line paste

Check this option to get prompted before multiple lines are pasted into a session.

Quotation character(s)

This option allows you to specify which character or characters to use as the quotation characters for the Paste as Quotation operation.

Insert pasted text between

Check this option to insert the pasted text between the specified Quotation character(s) on a Paste as Quotation operation.

Mouse group

This group contains options that affect mouse behavior.

Copy on select

This option allows you to speed up the process of copying text from the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen to the Clipboard. Check this option to allow text to be copied to the Clipboard as soon as it is selected.

Paste on middle/right button

This option allows you to speed up the process of pasting content from the Clipboard to the terminal screen. Check this option to allow text to be pasted from the Clipboard to the terminal screen as soon as the middle or right mouse button is pressed. If your mouse does not have a middle mouse button, a middle button click can be simulated by pressing both the left and right mouse buttons simultaneously.

Hide mouse pointer on keypress

Check this option to hide the mouse pointer when you start typing.

Open URL with CTRL+click

Check this option to allow a URL in the terminal window to be opened by clicking on it using the CTRL+left-click key combination.

Triple-click selection includes newline

Check this option to include the end-of-line character(s) with a triple-click selection.

Related Topics

  1. Global Options/Terminal/Appearance
  2. Global Options/Terminal/Appearance#ShowSessionTabs
  3. Global Options/Terminal/Appearance/ANSI Color
  4. Global Options/Terminal/Appearance/Advanced
  5. Global Options/Firewall
  6. Global Options/Terminal/Printing
  7. Global Options/Terminal/Tabs/Tiling
  8. Global Options/Terminal/Web Browser


Global Options/Terminal/Appearance

SecureCRT Icon Terminal / Appearance

The Terminal/Appearance category of the Global Options dialog allows you to configure the appearance of your SecureCRT application window.

Options group

This group includes options that deal with the SecureCRT application window's appearance. To turn off any of these options, clear the associated check box. The available options are as follows:

Show session tabs

This option enables or disables the session tabs. This can also be controlled from the Session Tabs option on the View menu

Show Command window

Show button bar

By checking or unchecking this option, you can display or hide the button bar (this can also be controlled from the View menu). This option also allows you to display the button bar either at the bottom of the window or at the top.

Show horizontal scroll bar

Show vertical scroll bar

Use ClearType to smooth edges of screen fonts

Check this box to use ClearType which will smooth edges of screen fonts and may improve readability on some displays. Depending on your platform, you may need to enable ClearType font smoothing at the system display level.

Note: This feature applies only to systems using ClearType fonts.

Window left margin

Enter the left margin of the SecureCRT application window in pixels.

Maximum columns

Enter the maximum columns to be displayed in the SecureCRT application window.

Hex view buffer

Enter the number of lines of session data to be displayed in hexadecimal when Hex View is selected from the File menu.

Status bar group

This group includes options that deal with the status bar. To turn off any of these options, clear the associated check box. The available options are as follows:

Show cursor position

Show window size

Show elapsed time

Never show seconds

Accessibility group

This group includes options that deal with accessibility issues.

Use trackable insertion caret

For users with accessibility issues, SecureCRT supports the use of a standard insertion caret. Check this option to enable SecureCRT to work with screen access technology for the blind (e.g., screen reading and screen magnification programs) that track the position of the caret.

Note: Turning on the Use trackable insertion caret option will cause the loss of control over some session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. cursor options: the cursor color will always be the inversion of the screen color, and the user will not be able to turn off cursor blinking.

Related Topics

  1. Global Options/Terminal/Appearance/ANSI Color
  2. Global Options/Terminal/Appearance/Advanced


Global Options/Terminal/Appearance/ANSI Color

SecureCRT Icon Terminal / Appearance / ANSI Color

The Terminal/Appearance/ANSI Color category of the Global Options dialog allows you to customize the ANSI colors displayed in your SecureCRT application window.

Remote applications may send ANSI color escape sequences to specify that various portions of that application's display appears in one of 16 colors. Eight of the escape sequences correspond to what are called "normal" colors and the other eight typically correspond to "bold" versions of those colors. It is difficult to classify or label these colors beyond "normal and "bold" because an application may use any of the colors for whatever it wants.

Any application that you connect to with SecureCRT may use any ANSI color escape sequence (and its associated color) for its own purposes. While it is possible to configure SecureCRT globally to display 16 specific colors in response to ANSI color escape sequences, two different applications may specify different escape sequences for similar features. For example, when displaying filenames, one application may use the escape sequence that defaults to blue and another application may use the escape sequence that defaults to cyan.

Note: ANSI color palettes can be specified for color schemes from the Color Schemes dialog.

Palette name group

This group allows ANSI color palettes to be modified or created.

Normal colors group

This area displays the colors that are associated with the eight "normal" ANSI color escape sequences for the selected palette.

Bold colors group

This area displays the colors that are associated with the eight "bold" ANSI color escape sequences for the selected palette.

Customizing ANSI Colors

To customize ANSI color selections, click on the color block that you want to change and select a new color from the Color dialog. Pressing the Reset button returns the color blocks to their original settings.

Related Topics

  1. Global Options/Terminal/Appearance
  2. Global Options/Terminal/Appearance/Advanced


Global Options/Terminal/Appearance/Advanced

SecureCRT Icon Terminal / Appearance / Advanced

The Terminal/Appearance/Advanced category of the Global Options dialog allows you to control the color scheme for your application window, and to control the transparency/opacity of the window.

Color schemes group

This group allows you to create color schemes used in your SecureCRT application window. By using the Edit... and New... buttons, you can modify existing schemes or create new ones.

Tip: Using different color schemes for different session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows makes quick identification easier. You can change color schemes for individual sessions in the Terminal/Appearance category of the Session Options dialog.

Window transparency group

This group allows you to control the transparency/opacity of your application window.

Active window

This option determines how transparent or opaque the SecureCRT window is when it is the active window on the desktop. The minimum allowed value for the active window is 15 so that the active window can never be completely transparent.

Inactive window

This option determines how transparent or opaque the SecureCRT window is when it is NOT the active window on the desktop.

Note: The SecureCRT window will become completely transparent (invisible) if this option is set to 0 (all the way to the left).

Title bar

Check this option if you want to change the title displayed in the application title bar. Enter the alternate title in the associated entry box. You can also use the following variables which will be expanded when SecureCRT writes to the title bar.

%H - hostname

%S - session name

%U - username

%I - IP address (session must be fully authenticated for the IP address to appear in the title bar)

%P - port

Note: It is possible for some remote systems to change the title bar text by sending an escape sequence. If you want these escape sequences to be ignored, set the Ignore window title change requests option found in the Terminal / Emulation / Advanced category.

You can also use the commands listed in the Send String & Function Commands topic.

Related Topics

  1. Creating or Modifying a Color Scheme
  2. Global Options/Terminal/Appearance
  3. Global Options/Terminal/Appearance/ANSI Color
  4. Overview of Color Schemes


Global Options/Terminal/Tabs/Tiling

SecureCRT Icon Terminal / Tabs/Tiling

The Terminal/Tabs/Tiling category of the Global Options dialog allows you to configure the look and behavior of tabs and tiled session windows in SecureCRT. Some options only apply to tabs. See below for information about which options apply to both tabs and tiled sessions.

Appearance group

This group allows you to set the appearance of the tabs in SecureCRT.

Connected

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for connected sessions.

Disconnected

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for disconnected sessions.

New Input

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for sessions that have received new input.

Inactivity

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for sessions that have been inactive for longer than the number of seconds specified below in the Show inactivity status after option.

Locked

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for sessions that have been locked.

Show status indicators

This option allows you to select how status indicators are displayed on the tabs: icons, background colors, or colored rectangles. Icons are always shown when sessions are tiled.

Show inactivity status after n seconds

Enter the number of seconds after which the session will be considered inactive. The range is 1 to 999 seconds; the default is 5. This option is also used by tiled sessions. A session is considered inactive if text was being output and then the output stops for the specified number of seconds. This is useful for being able to tell if a command or script has finished.

Show script running status

When this option is set, if a script is running in a session, the tab or tile status indicator will indicate that a script is running.

Tab width

Enter the minimum width of your tabs. Since SecureCRT will try to shrink multiple tabs to fit in one window, this option can be useful to keep your tabs readable. This option can be set from 20 to 999 pixels.

Minimum

When this option is checked, the full tab name is always shown unless the tabs do not fit in the window. When this option is unchecked, tabs are always the specified width.

Note: In this case where tab names are truncated, you can view the full name in a tooltip by hovering your pointer over the tab name.

Options group

This group allows you to set the behavior of tabs in your system.

Double-click action

This option allows you to choose the action taken when you double-click on a tab. The actions include the following:

• Close Tab – Disconnects the tab's session and closes the tab.

• Clone Tab – Creates a new session that is identical to the tab's session and opens it in a new tab.

• Clone Tab in New Window – Creates a new session that is identical to the tab's session and opens it in a new window.

• Send Tab to New Window – Removes the tab from the current window and moves it into a new window.

• Reconnect Tab – Reconnects the tab's session if it is disconnected.

Note: For tiled sessions, double-clicking maximizes the session.

Tab location

This option allows you to choose the placement of the tabs, either at the top or the bottom of the window.

Confirm when closing multiple tabbed or tiled sessions

Select this option to have SecureCRT alert you when you are closing more than one tab or tiled session (for example, if you close a window containing more than one open session). If the option Show confirm disconnect dialog is checked, SecureCRT will always alert you if one or more sessions is open.

Only show tabs when there are more than one

Select this option to only have tabs displayed when there are multiple tabs.

CTRL+TAB switches to most recently used tab or tiled session

Instructs SecureCRT to apply this operation to the stated keystrokes.

ALT+N switches to the Nth tabbed or tiled session

This option allows you to specify whether pressing ALT+N switches to the Nth tabbed or tiled session or the ALT+N should be passed through to the remote system.

Reuse disconnected tabs

When opening a new session, this option instructs SecureCRT to reuse the currently selected tab if it is disconnected. This option is enabled by default. This option is also used by tiled sessions.

Append (n) to session name when connecting to same session

This option allows you to specify whether or not "(n)" should be appended to the tabbed or tiled session name when another connection to a session that is already open is made.


Global Options/Terminal/Printing

SecureCRT Icon Terminal / Printing

The Terminal/Printing category of the Global Options dialog allows you to set up your printer configuration.

Disable all printing

Check this option to disable all printing; this can be helpful to prevent accidental printing and alleviate sluggishness caused by printer polling.

Margins group

This group allows you to set the margins on your printed pages. Margins are measured in inches. By default, all print margins are set at 0.5 inches.

Margins group

This group allows you to set the margins on your printed pages. Margins are measured in inches. By default, all print margins are set at 0.5 inches.

Note: These settings may also be configured on a per session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Printer fonts group

This group displays the font currently being used for printed pages and also allows you to choose a different font.

Choose...

Press this button to open the Font dialog where you can choose the font you want to use for printed pages.

Note: This setting may also be configured on a per session basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Print Setup...

Press this button to open the Windows Print Setup dialog where you can modify your printer configuration.

Pass-through printing group

Pass-through printing in SecureCRT allows the use of special print control escape sequences that turn on/off a printer control that sends characters directly to the printer. Depending on the sequence received, SecureCRT may bypass the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. display and send the data directly to the printer.

Disable pass-through printing

Check this option to disable pass-through printing and cause SecureCRT to ignore all printer control escape sequences it receives:

Note: This setting may also be configured on a per session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Buffer pass-through printing

Check this option to buffer pass-through printing. This will avert the issue of some applications that frequently toggle pass-through printing mode on and off, resulting in printed pages with only one line or pages that are otherwise incomplete. This option buffers all pass-through printing data and does not send it to the printer until you instruct SecureCRT to print the contents of the pass-through printing buffer.

To print the contents of the pass-through printing buffer:

1. Open the File menu and select Print.

2. In the Print menu, select Eject Page.

Use raw mode

Check this option to allow the use of a network printer when using pass-through printing.

Raw mode pass-through printing allows you to send data to a named printer as defined in Windows. In addition, raw mode instructs Windows to allow the data to be sent to the named printer without being interpreted (i.e. by the printer driver). If your host or application sends embedded printer commands (e.g., change font, etc.), enabling raw mode pass-through printing will allow these commands to be sent directly to the printer. If raw mode pass-through printing is enabled, SecureCRT will not interpret any embedded printer commands.

Note: This setting may also be configured on a per session basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Direct pass-through printing to port n

Check this option to print directly to the COM or LPT port on the local machine to which a printer is attached.

Direct pass-through printing to a port essentially bypasses the Windows operating system, providing SecureCRT with direct communication to the local printer. If direct pass-through printing is enabled, print jobs are not spooled but are sent directly to the printer. The port to which the printer is attached will not be accessible to other applications until the current print job has been completed. For these reasons, it is suggested that you use raw mode pass-through printing rather than direct pass-through printing to port (see Use raw mode above).

Note: This setting may also be configured on a per session basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Settings...

Click on this button to open the Direct Pass-Through Printing Settings dialog, which allows you to configure the serial device settings for pass-through printing.

Other

Force black on white

Check this option to force your printer to print as though your session's foreground color is set to black and your background color is set to white, regardless of your session's actual color settings. This option is off by default.

Enable print screen (PrtScn) key

When this option is unchecked, SecureCRT will ignore the print screen key being pressed. This option is off by default.


Global Options/Terminal/Web Browser

SecureCRT Icon Terminal / Web Browser

The Terminal/Web Browser category of the Global Options dialog allows you to choose your default web browser and Telnet Telnet is a protocol that provides an interface for communications between clients and servers. application.

Web browser group

With SecureCRT, you can open a URL by right-clicking on the URL text and selecting Open URL from the pop-up menu. This group allows you to specify which web browser SecureCRT should use for this operation.

Use registry setting for web browser

By default, this option is checked and SecureCRT will open a URL using the default web browser for Windows as defined in the Windows registry. To specify a web browser other than the default browser for Windows, clear this option and enter the full path to the web browser that you want to use or use the Browse button to select the browser application..

To open a URL with SecureCRT, right-click on the URL text and select Open URL from the pop-up menu. If you have trouble opening a URL or if you want to open a root folder of a URL follow these steps:

1. In the SecureCRT window, select all or part of the URL.

2. Right-click on the selected text.

3. Click on the Open Selection as URL item in the pop-up menu.

For example, suppose that your SecureCRT window displayed the following URL:

https://www.vandyke.com/products/securecrt/index.html

You could open the URL www.vandyke.com by selecting just that text and using the Open Selection as URL command.

Default URL handler

Make SecureCRT your Default Application

Click on this button to make SecureCRT the default application rather than using the Windows application when it opens a URL of one of the forms:

For Telnet:

telnet://...

For SSH1:

ssh1://...

ssh://...

For SSH2:

ssh2://...

ssh://...

Note: URL formats are as follows.

Telnet URLs must be in the following format:

telnet://[<user>[:<password>]@]<host address>[:<port>][?<query string>]

SSH URLs must be in the following format:

ssh://[<user>[:<password>]@]<host address>[:<port>][?<query string>]

The title for the connected session can be specified by using the query string "title=name".


Global Options/Terminal/TFTP Server

SecureCRT Icon Terminal / TFTP Server

The Terminal/TFTP Server category of the Global Options dialog allows you to configure the settings for the built-in TFTP server. Any changes made on this page will take effect the next time the TFTP server starts. The TFTP server supports RFC 1350 and RFC 2348. Files larger than 32MB can be transferred if the client supports packet wrapping.

Server group

This group allows you to control when the TFTP server starts.

Start TFTP server when:

Select this option to start the TFTP server when SecureCRT starts or when any session connects.

Local directories group

Specify the local (SecureCRT machine) directories where TFTP clients will send (Upload to) or receive (Download from) files.

Upload to:

Specify the local directory (on the SecureCRT machine) in which files uploaded by a TFTP client will be saved.

Download from:

Specify the local directory (on the SecureCRT machine) where files exist that you wish to make available for TFTP clients to download.

Security group

This group includes options that deal with TFTP server security.

Only allow connections from IP addresses of open terminal sessions.

Select this option to increase security by controlling which remote computers have access to the TFTP upload and download directories.

Options group

This group includes options that deal with accessibility issues.

Listen Port:

Enter the UDP port on which the TFTP server will listen (default is 69).

Log File:

Enter the location of the log file. If this option is left blank, SecureCRT will not save any log files.

Allow overwrite of existing files

Select this option to allow an upload to overwrite the file, if it exists, instead of returning an error.


Global Options/Terminal/Advanced

SecureCRT Icon Terminal / Advanced

The Terminal/Advanced category of the Global Options dialog allows you to configure SecureCRT advanced terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulation-related options.

Options group

This group contains various SecureCRT options.

Enable execute escape sequence

This option allows you to enable and disable the ability to send escape sequences.

Disable resize

Check this option to globally disallow the resizing of session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows by means of the resize handles. Note that even though you may change the setting of this option globally, it is possible to make exceptions for one or more sessions by setting this option on a per session basis. Resizing the SecureCRT window can affect the number of rows and columns (see the Size group of the Session Options dialog, Terminal/Emulation category, for more information). By default, the Disable resize option is not selected.

Note: Full screen mode is not allowed when the Disable resize feature is set.

Connect to multiple sessions sequentially

When multiple sessions are connecting, check this option to have the sessions connect one after the other instead of all at once.

Disable session zooming with mouse scrollwheel

This option allows you to enable and disable the ability to use the mouse scrollwheel to zoom a session.

Disable session zooming with keyboard shortcuts

This option allows you to enable and disable the ability to use keyboard shortcuts to zoom a session.

Command window group

This group contains various Command window options.

Swap ENTER and CTRL+ENTER in Command window

When this option is enabled, SecureCRT swaps the Command window behaviors of the ENTER key (send command, by default) and the CTRL+ENTER key combination (queue command, by default).

Send characters immediately

Setting this option makes Send characters immediately the Command window default.

Initially send commands to:

Use the drop-down list to the right to select the initial state of the Send Commands to option in the Command window.

Command window history

Enter the number of recently used Command window commands that you want SecureCRT to remember. In your Command window, you can cycle through these commands using your UP and DOWN arrow keys. The history for a session is cleared when its tabbed or tiled window is closed.

Note: To disable the Command window history, enter a zero (0) in this entry box.

Audio bell group

This group contains audio bell options.

File

This option allows you to specify a WAV file to be used as the audio bell. Use the Browse button to locate and select a file, and the Play button to test the selected file.

Custom menu and toolbar file

This entry box displays and allows you to change the SecureCRT menu and toolbar configuration file. This file defines the appearance of the SecureCRT main window menus and toolbar.

Related Topics

  1. Global Options/Terminal


Global Options/File Transfer

SecureCRT Icon File Transfer

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer category of the Global Options dialog allows you to control attributes of transfers and FTP connections.

Transfer options group

This group contains options that define your file transfer parameters.

Default transfer type

Choose the default file transfer type for undefined file types.

· ASCII - Select this mode to transfer text files.

· Binary - Select this mode to transfer program files, or other non-text files such as ZIP files.

· Prompt for type - Select this option if you want to be prompted for the transfer type each time a file of the selected type is transferred.

Use this type for all files

Select this option to make the chosen transfer type the default for all file transfers regardless of registered file type settings.

Action for existing files

Choose the default overwrite action when files in a target directory already exist. The choices are:

· Confirm overwrite - Presents a dialog confirming whether or not to overwrite files. The confirmation dialog allows you to confirm overwrites individually, or to choose the action for all files in the transfer with "Yes to All" or "No to All".

· Always overwrite - Always overwrites existing files in the destination directory.

· Never overwrite - Never overwrites existing files in the destination directory.

· Overwrite if older - Overwrite existing files whose timestamp is older than the source file.

Preferences group

This group contains options that define your general preferences.

Prompt to resume interrupted transfer

Select whether or not to be prompted to resume interrupted transfers when starting a session. If this option is not selected, SecureFX will not attempt to resume interrupted transfers at startup. This option is enabled by default.

Close window on disconnect

Choose whether or not to close session windows when a session is disconnected. This option is disabled by default.

Restore last session directory

Choose if you want to restore the last remote directory that was visited when starting a session. This option is disabled by default.

Action for pressing ENTER or double-clicking a file

Choose the default action for a file. The choices are:

· Transfer - uploads the local file or downloads the remote file if it is double-clicked or it is selected and ENTER is pressed.

· Open - opens the file in the appropriate application if it is double-clicked or it is selected and ENTER is pressed.

Connection retry options group

This group contains options that allow you to create a retry strategy.

Maximum number of attempts

Choose the maximum number of logon retry attempts that will be performed after a failed logon attempts.

Delay between attempts

Choose the number of seconds to delay between retry attempts.

Remote edit options group

This group contains options that allow you to define actions to be taken after editing a file.

When the editor exits

Choose the action to be taken when the editor exits after a file has been modified.

· Prompt - asks the user to enter an action.

· Always upload - always uploads the edited file in the destination directory.

· Never upload - never uploads a file whether or not it has been modified.

Upload when the file is saved in the editor

Check this box to execute the action selected above when a file has been modified and saved. SecureFX determines when to take action by checking the timestamp on the file being edited to see if the file has been modified before the editor exits. If the file has been modified, SecureFX implements the action defined by the above option.

Note: If you are using an editor, such as MS Word, that locks files while they are open, SecureFX cannot upload the updated file while the editor is running. You will need to close the file or exit the editor before the file can be uploaded.

Related Topics

  1. Global Options/File Transfer/File Types
  2. Global Options/File Transfer/FTP
  3. Global Options/File Transfer/Options
  4. Global Options/File Transfer/Options/Advanced
  5. Global Options/File Transfer/Sound
  6. Global Options/File Transfer/View


Global Options/File Transfer/Options

SecureCRT Icon File Transfer / Options

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/Options category of the Global Options dialog allows you to control attributes of transfers and of SFTP, FTP, HTTPS, and HTTP connections connections.

Local directories group

Local window

Enter the path of a local directory that a local window should display on startup. Click on the browser button to select the directory.

Download directory

Enter the path of a local directory that is to be used as the destination folder when the Download command is used and the Download directory field in the Session Options/File Transfer dialog is left blank. Click on the browser button to select the directory.

Cache directory

Choose the directory where SecureFX will place its temporary files. Click on the browser button to select the directory.

Anonymous login group

Password

Enter the anonymous password (usually an email address) that you want to use as the default when you are creating anonymous login sessions. Note that if you do not fill in this field, SecureFX will attempt to fill in anonymous password fields with a password of the form: username@.

Note: Anonymous login is only applicable to FTP sessions.

Directory tree options group

Disable directory tree detection

This option is unchecked by default. It sets the default behavior for the identical Session Options/File Transfer option. Checking this option (in Session Options / File Transfer category) will disable the directory tree for the current session.

Transfer options group

Verify file status on retrieve

This option is checked by default. It causes a LIST command to be sent prior to retrieving a file from the server in order to obtain the most current statistics (i.e., size and date) for the file.

Maximum number of parallel transfers

This option allows you to set the maximum number of transfer operations that can be performed simultaneously, giving you control over your bandwidth usage. This value applies to all transfer operations, including the transfer queue, the synchronize view, and SFXCL. Note that specifying a large number could cause CPU and/or network bandwidth issues.

Bandwidth limit

This option allows you to control the maximum amount of data that can be sent during an individual transfer operation thus controlling your bandwidth usage. Specifying 0 for this field means that there is no limit (i.e., SecureFX will use as much bandwidth as is available).

Directory listing options group

Resolve symbolic links

Checking this box causes SecureFX to include the "L" flag when listing files and directories.

Related Topics

  1. Global Options/File Transfer/Options/Advanced


Global Options/File Transfer/Options/Advanced

SecureCRT Icon File Transfer /Options / Advanced

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/Options/Advanced category of the Global Options dialog allows you to access advanced features in SecureFX.

Options group

Move deleted local files to the Recycle Bin

This option is enabled by default. Disabling this option causes deleted local files to be deleted from the file system.

Keep connections alive

This option is off by default. Enabling this option causes SecureFX to send SFTP/FTP NO-OP commands to the SFTP/FTP server whenever 1 minute or more has passed without sending a normal file operation command. This will usually keep the SFTP/FTP server from detecting that the connection is idle and, consequently, disconnecting the session.

It is not recommended that you leave this feature enabled.

Never use cached file for remote editing

Enabling this option instructs SecureFX never to use the locally cached copy of a file to perform remote editing.

Log group

Enable log output to file

Enabling this option causes the SecureFX output to be logged to the specified file.

Log filename

This is the log file's full path.

Permissions group

This group contains options that allow you to specify file and directory permissions. The permissions should be specified in the appropriate octal representation. For FTP connections, these options only work with UNIX systems.

File permissions

This option allows you to specify the read/write/execute permissions on uploaded files. For example, entering 660 in the entry box gives read and write access permissions to the file owner and the group. If this option is left blank/empty, no attempt will be made to set the permissions and the permissions used on the files will be set according to the user's UMASK settings on the remote system.

This option only affects new files that are uploaded (i.e., it will not change the permissions on files that already exist). The exception to this rule is that when the Always overwrite option is chosen for existing files, the permissions will be overwritten even for existing files.

Directory permissions

This option allows you to specify the read/write/execute permissions on created directories. For example, entering 775 in the entry box gives read and write access permissions to the directory owner and the group, and read access to the world. If this option is left blank/empty, no attempt will be made to set the permissions and the permissions used on the directories will be set according to the user's UMASK settings on the remote system.

Transfer queue group

Suspend transfer of queued items

Check this option to postpone the transfer of queued files and folders. You can start the transfer of one or all items in the transfer queue by right-clicking in the transfer queue window and selecting the desired option.

Related Topics

  1. Global Options/File Transfer/Options


Global Options/File Transfer/View

SecureCRT Icon File Transfer / View

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/View category of the Global Options dialog allows you to control the attributes of local windows or of session windows.

General group

This group contains general view options.

Show file attributes in details view

Select this option to include an Attributes column in windows that use the Details icon view. In local windows this column will display Windows file attributes. In remote session windows this column displays UNIX-style permissions, owner and group ownership of files. This information is usually only available on UNIX-based FTP servers.

Display the folder tree

Select this option to display the folder tree view. This default behavior can be temporarily superseded with the use of the SecureFX Folder Tree command on the View menu or with the SecureFX Folder Tree toolbar button.

Sort folders at top

Select this option to force the folders always to be sorted at the top of the local and remote windows regardless of which column is used for sorting and whether the order is ascending or descending.

Number style

This option sets the manner in which numbers are displayed in the tree view. The default selection is Plain. The available options are:

· Plain - Selecting this option will cause numbers to be displayed without punctuation or abbreviations.

· Abbreviated - Selecting this option will cause numbers to be displayed using an appropriate abbreviated size quantity (i.e., KB, MB, GB). Numbers less than 1 kilobyte are not abbreviated.

· Punctuated - Selecting this option will cause numbers to be punctuated using the Regional parameters defined in the system settings (e.g., numbers would be displayed with commas after every three digits on U.S. systems).

· KB - Selecting this option will cause numbers to be displayed as kilobytes.

Local window group

This group contains options that control local windows.

Display filenames using Explorer attributes

Enabling this option forces SecureFX to display filenames with the same alphabetic case as the Windows Explorer. For example, an uppercase filename stored on disk as AUTOEXEC.BAT will normally display in Windows Explorer as Autoexec.bat. By default, this option is disabled, which causes filenames to be displayed using the same alphabetic case in which the name is actually stored on disk.

Note: When a file is uploaded to a remote site, the real filename case is used regardless of this setting.

Do not show hidden or system files

This option affects local windows only and is disabled by default.

Position on bottom/right when tabbed horizontally/vertically

This option controls the location of the local tab and the remote tabs. When this option is enabled, the local tab appears at the right or bottom of the window. This option is off by default.

Remote window group

This group contains options that control the remote window.

Do not show dot files

Enabling this option prevents filenames beginning with a dot (.) in remote directories from displaying. By default, it is enabled. This option may be temporarily superseded using the Dot Files command on the View menu. However, the Do not show dot files option will take precedence over the All entries option in the Connection//FTP category of the Session Options dialog.

Display file times in local time zone

Enabling this option causes the remote directory file times to be displayed in the time zone being used by the local machine rather than the time zone defined for the session. This option may be helpful when visually comparing the file times displayed on the remote machine to the file times displayed in local windows. By default, this option is disabled.

Display the log view

Select this option to display the session window's log view. This default behavior can be temporarily superseded with the use of the SecureFX Log View toolbar button.

Save session window position

Checking this option instructs SecureFX to store your session window positions when you close the windows and reopen them in the same place.

Log window buffer size (lines)

This option sets the maximum number of lines that each log window can display. The default value is 500.

Transfer window group

This group contains options that affect the transfer window.

Number style

This option sets the way that numbers are displayed in the transfer window. The default selection is Abbreviated. The available options are:

· Plain - Selecting this option will cause numbers to be displayed without punctuation or abbreviations.

· Abbreviated - Selecting this option will cause numbers to be displayed using an appropriate abbreviated size quantity (i.e., KB, MB, GB). Numbers less than 1 kilobyte are not abbreviated.

· Punctuated - Selecting this option will cause numbers to be punctuated using the Regional parameters defined in the system settings (e.g., numbers would be displayed with commas after every three digits on U.S. systems).

· KB - Selecting this option will cause numbers to be displayed as kilobytes.


Global Options/File Transfer/FTP

SecureCRT Icon File Transfer / FTP

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/FTP category of the Global Options dialog allows you to control the attributes of FTP transfers.

Receive buffer group

Use system default size

By default the system default buffer size is used. It is highly recommended that you use the system default buffer size.

Size

If you decide not to use the system default buffer size, enter the buffer size here.

Send buffer group

Use system default size

By default the system default buffer size is used. It is highly recommended that you use the system default buffer size.

Size

If you decide not to use the system default buffer size, enter the buffer size here.

Data connection options group

Use outgoing data connections (PASV/EPSV)

Checking this box forces all data connections to be originated by SecureFX (using the FTP PASV or EPSV command). This setting is often needed where a firewall will not allow incoming connections from external FTP servers. If the PASV or EPSV connection fails, SecureFX automatically tries to reconnect using the original host/IP address. When this check box is unchecked, SecureFX will have the FTP server create an incoming data connection instead (using the FTP PORT or EPRT command).

This option is on by default. This is used as the default setting for the identical Session Options/File Transfer option.

Disable direct server-to-server transfers

This option is unchecked by default. Checking this option will force all server-to-server transfers to be handled by establishing indirect data connections through the local host. This option is sometimes needed where a server behaves poorly after receiving a request to establish a server-to-server connection.

Limit local ports used for PORT connections

This option, when enabled, allows you to specify a range of ports for SecureFX to use when making an FTP or FTP/TLS data connection.


Global Options/File Transfer/TLS

SecureCRT Icon File Transfer / TLS

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/TLS category of the Global Options dialog allows you to choose or create authentication certificates for TLS transfers (FTPS and HTTPS).

Certificate group

SecureFX supports generating and using self-signed certificates, which allows mutual authentication.

Path

Enter the path of the certificate you want SecureFX to use when authenticating.

Create...

Press this button to configure and generate a new certificate.

Allowed TLS versions group

This list displays the TLS versions that SecureFX can use when establishing a connection. If a TLS version is checked and it's enabled on both the local and remote systems, it can be used to secure the connection. If unchecked, that version cannot be used to secure the connection.


Global Options/File Transfer/Sound

SecureCRT Icon File Transfer / Sound

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/Sound category of the Global Options dialog allows you to choose the sounds used by SecureFX for specified events. SecureFX supports .wav sound files.

You can assign sounds for the following events:

· Connect

· Unexpected disconnect

· Transfer complete

· Error

Use the Browse button to locate and select a sound file, and the Play button to test the selected file.


Global Options/File Transfer/File Types

SecureCRT Icon File Transfer / File Types

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/File Types category of the Global Options dialog allows you to configure the registered file types and their associated actions for remote sessions.

File types can be registered with SecureFX so that specific actions are taken when files are opened in a remote session. For example, you can configure SecureFX to automatically download, then open remote text documents with Notepad when you double-click on them in a remote session. The initial file types used by SecureFX are imported from the settings used by Explorer when SecureFX is installed. You may add, edit, or remove any of the registered file types.

Note: The actions and applications for the registered file types described here apply only to files opened in remote session windows. Each file type also includes information that applies only when opening a remote file, such as transfer type and save-to-disk options. The file types used when opening files in the SecureFX local window are the same file types used by Windows Explorer. (Refer to "File Types" in Windows Explorer Help for more information.)

Registered file types

This window displays the file associations that SecureFX currently uses.

New

Opens a blank Edit File Type dialog where you can add and configure a new file type.

Delete

Deletes the currently selected file type.

Edit

Opens the Edit File Type dialog for the selected file type.

Search

You can search for a file type that is associated with a file extension by entering the file extension in the Ext. edit box. Pressing return in this edit box or clicking the Search button will cause the file type that is associated with the entered file extension to be displayed and highlighted in the file types list.

Reset All

Click this button to cause all of the file types known by Windows Explorer to be reloaded into SecureFX.

Details

This window displays the detail for the file type selected in the Registered file types window..


Global Options/File Transfer/Filters

SecureCRT Icon File Transfer / Filters

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/Filters category of the Global Options dialog allows you to configure filters to be used in file transfer operations.

Filters

This window displays the filters that SecureFX can use in synchronize operations.

To create a new filter, click on the Add... button to open a blank Filter Properties dialog. To modify and existing filter, select that filter and click on the Edit... button to open that filter's Filter Properties dialog. To remove an existing filter, select that filter and click on the Delete button.


Global Options/Firewall

SecureCRT Icon Firewall

The Firewall category of the Global Options dialog allows you to configure one or more named firewalls. SecureCRT supports connections through generic proxy firewalls as well as SOCKS versions 4 and 5 firewall types.

Firewalls

This window lists the firewalls that you have configured. These firewalls can be applied to specific SSH1, SSH2, Telnet/TLS , and Telnet sessions using the applicable protocol category of the Session Options dialog.

Name

Displays the unique identifying name for the firewall. This name will be used in the Session Options dialog to specify a specific firewall for a given session.

Type

Displays the type of firewall to be used.

Hostname

Displays the hostname or IP address used by the firewall.

Port

Displays the port used by the firewall.

To create a new firewall, click on the Add... button to open a blank Firewall Properties dialog. To modify an existing firewall, select that firewall and click on the Edit... button to open that firewall's Firewall Properties dialog. To remove an existing firewall, select that firewall and click on the Delete button.

Related Topics

  1. Firewall Properties Dialog


Global Options/SSH2

SecureCRT Icon SSH2

The SSH2 category of the Global Options dialog allows you to configure your SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. public-key and agent settings.

See Public-Key Authentication for SSH2 for details on setting up public-key authentication on both the local machines and the SSH2 server.

Public key group

Use identity or certificate file

Selecting this option instructs SecureCRT to use the identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file., OpenSSH certificate, or PKCS #12 file A PKCS #12 file is a file that contains your X.509 certificate and its associated private key. stored on the local system as your method of authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair.. To use an existing file, enter the full path to the file or click on the browse button to open a file browser to locate the file. For more information on configuring your system to use identity files, see Public-Key Authentication for SSH2.

Use a certificate from your personal CAPI store or a PKCS #11 provider DLL

Selecting this option instructs SecureCRT to use X.509 certificates from your Microsoft CAPI personal store or PKCS #11 An API defining a generic interface to cryptographic tokens. provider DLL as your method of authentication. If you select PKCS #11 in the dropdown list, you will need to specify the path to the PKCS #11 provider DLL. For both CAPI and PKCS #11, SecureCRT will try all certificates by default. Click on the browse button in order to select a specific certificate to be used for authentications.

For more information on X.509 certificates, see Using X.509 Certificates.

Get username from certificate

Check this option to use the Common Name or Principle Name from the certificate as the username when authenticating.

Use certificate as raw SSH2 key (server does not support X.509)

Check this box in order to send the certificate as a raw key. This option is on by default. When this option is set, the certificate will be treated like a key pair, which is necessary in order to use a certificate to authenticate to a server that does not support X.509 certificates.

Fingerprint

This entry box will be filled in automatically when an identity file is entered above.

Create Identity File...

Press this button to start the Key Generation wizard. Follow the instructions in the wizard to create an identity file for the public and private keys.

Note: SecureCRT supports RSA, Ed25519, ECDSA, and DSA key types.

Export Public Key...

Press this button to export your public key. You will be prompted for the certificate to use and where to save the public key.

Change Passphrase...

Press this button to activate the Change Passphrase dialog. This dialog allows you to change the passphrase associated with the selected identity file.

Note: Passphrases for specific session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. identity files can be changed using that session's Public Key Properties dialog which is opened by pressing the Properties button on the Connection/SSH2 category of the Session Options dialog.

Advanced group

Add keys to agent

Check this option to enable the SSH2 agent. Agents are programs that work in the background gathering information or performing small processing tasks. In SecureCRT, the implemented agent temporarily holds private keys for use with public-key authentication to multiple remote hosts. For more information on agents, see Using the Agent.

Enable OpenSSH agent forwarding

Check this option to use the agent to connect to a remote machine through another remote machine (see Using the Agent). This option can be overridden on a per-session basis from the Session Options/Connection/SSH2/Advanced category.

Enable deprecated GSSAPI

Check this option to have SecureCRT first attempt to connect using GSSAPI with MIC and then, if that is not successful, try regular GSSAPI. If this box is not checked, SecureCRT will only try to connect using GSSAPI with MIC.

Note: When using Kerberos host and user authentication via GSSAPI, the connection could be vulnerable to a man-in-the-middle attack. Using GSSAPI with MIC eliminates this risk. Although the GSSAPI method has been deprecated, GSSAPI with MIC is not yet widely supported. SecureCRT allows you to attempt to connect using GSSAPI with MIC if it is available on the server.

Cache session password

When this option is set, passwords will be cached while SecureCRT, SecureFX®, or the Activator is running so that when re-connecting to that session or connecting in one of the other applications, the password does not have to be re-entered.

Related Topics

  1. Global Options/SSH Host Keys


Global Options/SSH Host Keys

SecureCRT Icon SSH Host Keys

The SSH Host Keys category of the Global Options dialog allows you to manage your host keys. SecureCRT provides support for viewing, importing, exporting and deleting host keys.

Accepted host keys

This list displays your host keys by Host (hostname and IP address) and Port. You can also select one of the existing host keys from the list and view, export, or delete it by pressing the appropriate button.

View Key...

Press this button to view the selected host key in textual format.

Import Key...

Press this button to import a new host key file.

Export Key...

Press this button to create a text file of the selected host key that is suitable for sending to server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. administrators and others.

Delete

Press this button to remove the selected host key from the list and delete the host key file from your system.

Host key database location

This entry box displays and allows you to change the location of the host key database.

X.509 Host Keys

SecureCRT supports automatic acceptance of X.509 host keys. This means that if the following conditions are met, the host key will be accepted without prompting the user.

Before accepting a certificate, SecureCRT checks to ensure the following conditions:

1. The hostname to which you are connecting matches the common name part of the subject name of the certificate.

2. The current date is between the start and end validity dates of the certificate.

3. The certificate chains to a trusted root certificate (anchor) installed in the Microsoft CAPI store.

4. If the Check certificate revocation lists option below has been checked, SecureCRT checks to ensure that the certificate (and any in its chain) have not been listed as revoked in a certificate revocation list (CRL) installed in the Microsoft CAPI store.

Digital certificates group

Check certificate revocation lists

Check this option to have SecureCRT check the certificate revocation lists before accepting a host key.

Related Topics

  1. Global Options/SSH2
  2. Key Terminology


Session Options Dialog

SecureCRT Icon Session Options Dialog

The Session Options dialog allows you to create a new session or to modify an existing session. The dialog can be accessed from the main SecureCRT window by clicking on Session Options... in the Options menu or by clicking on the Session Options button on the toolbar. The Session Options dialog can also be accessed from the Connect dialog by clicking on either the New Session button or Properties button.

The Session Options dialog lists the available categories and displays the options for the category selected. The options change with the selection in the Category window.

IMPORTANT: If you edit a session to which you are currently connected, the settings will revert back to your old settings when you close the session. To permanently change session options, close the session, make the edits, and then reopen the session.

The session option categories displayed will change depending on the Protocol selected in the Connection category. The available categories and subcategories are as follows:

· Connection

· Logon Actions

· SSH1 (when SSH1 is the selected protocol)

· Advanced

· SSH2 (when SSH2 or SFTP is the selected protocol)

· SFTP Session

· Advanced

· Telnet (when Telnet is the selected protocol)

· Telnet/TLS (when Telnet/TLS is the selected protocol)

· RLogin (when RLogin is the selected protocol)

· FTP (when FTP is the selected protocol)

· TLS Options (when FTP/TLS is the selected protocol)

· HTTP (when HTTP or HTTPS is the selected protocol)

· TLS Options (when HTTPS is the selected protocol)

· Serial (when serial is the selected protocol)

· Local Shell (when Local shell is the selected protocol)

· TAPI (when TAPI is the selected protocol)

· Advanced

· Raw (when Raw is the selected protocol)

· Port Forwarding (when SSH1 or SSH2 is the selected protocol)

· Remote/X11 (when SSH2 is the selected protocol)

· Terminal

· Emulation

· Modes

· Emacs

· Mapped Keys

· Advanced

· Appearance

· Window

· Keyword Highlighting

· Advanced

· Log File

· Printing

· X/Y/Zmodem

· File Transfer

· FTP/SFTP (when FTP or SFTP is the selected transfer protocol)

· Advanced


Session Options/Connection

SecureCRT Icon Connection

The Connections category of the Session Options dialog allows you to configure a session connection A data path or circuit between two computers over a phone line, network cable, or other means..

The options of the Connection category of the Session Options dialog are based on the choice of Protocol. In other words, if Telnet is selected as the protocol, the options displayed on the dialog will be different than if SSH2 is selected. Below is a list of the protocols and options available in SecureCRT.

The following options are displayed for all protocols.

Name

Enter a uniquely identifying name for this session.

Protocol (This option appears if only SecureCRT is installed)

Select the protocol that you want to use for this session. SecureCRT supports the following protocols: SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server., SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides., Telnet Telnet is a protocol that provides an interface for communications between clients and servers., Telnet/TLS, RLogin, serial (COM), TAPI Telephony API. A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. This terminal emulation application uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis., Local Shell, and Raw.

Protocol group (This group appears if SecureCRT and SecureFX are both installed)

Select the protocol that you want to use for the stated type of session.

Note: If FIPS mode is enabled, the following protocols cannot be used: SSH1, Telnet/TLS, and FTP/TLS.

Terminal

Select the terminal emulation protocol that you want to use for this session. SecureCRT supports the following protocols: SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server., SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides., Telnet Telnet is a protocol that provides an interface for communications between clients and servers., Telnet/TLS, RLogin, serial (COM), TAPI Telephony API. A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. This terminal emulation application uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis., Local Shell, and Raw.

File transfer

Select the file transfer protocol that you want to use for this session. SecureFX supports the following protocols: SFTP, FTP, and FTP/TLS.

Local shell command group

Pre-connect

Enter a command to be executed in a separate process on the local machine prior to establishing the connection for the session.

Description group

Enter a session description to be displayed in the Connect window.

Related Topics

  1. Session Options/Connection/TAPI/Advanced
  2. Session Options/Connection/TAPI
  3. Session Options/Connection/FTP
  4. Session Options/Connection/Logon Actions
  5. Session Options/Connection/Port Forwarding
  6. Session Options/Connection/Port Forwarding/Remote/X11
  7. Session Options/Connection/RLogin
  8. Session Options/Connection/Serial
  9. Session Options/Connection/SSH1
  10. Session Options/Connection/SSH2
  11. Session Options/Connection/SSH2/Advanced
  12. Session Options/Connection/Telnet


Session Options/Connection/Logon Actions

SecureCRT Icon Connection / Logon Actions

The Logon Actions category of the Session Options dialog allows you to run scripts to automate logging on to a remote machine and perform other functions.

Automate logon

Check this option to create a simple script to automate logging on to a remote machine. Use the Expect and Send fields to enter the character strings that SecureCRT should expect to receive from the remote machine and should send as its response. If you want SecureCRT to send a carriage return before running a script, check the Send initial carriage return option.

Send initial carriage return

Check this option if you want SecureCRT to send a carriage return to the remote machine before starting the automated logon script. Some systems will not display a logon prompt until receiving a carriage return.

Expect / Send

In the Expect entry boxes, enter the character strings that SecureCRT should expect to receive from the remote machine in the order that they should be received. In the associated Send entry boxes, enter the strings that you want SecureCRT to send in response when it receives the Expect string. For a list of function key commands that can be included in Send strings, see Send String and Function Key Commands.

Note: SecureCRT works through the Expect strings from top to bottom; in other words, if SecureCRT does not receive the first expected string, it will not send the associated Send string or listen for the next expected string.

Example script:

The following is an example script that will instruct SecureCRT to listen for the logon prompt "Logon>" and respond with the username "johnsmith" when the prompt is received. SecureCRT will then listen for "Password>" and respond to it with "way2easy". Finally, SecureCRT will listen for the string "Welcome" and respond with the directory request "dir".

Expect: | Logon> | Send: | johnsmith
Expect: | Password> | Send: | way2easy
Expect: | Welcome | Send: | dir

Hide

Check this box to have the Send string shown as asterisks. This option lets you avoid displaying confidential information such as a password.

Logon script

Check this option to select a script file that you want SecureCRT to run when it makes a connection A data path or circuit between two computers over a phone line, network cable, or other means. .

Note: If the Automate logon option is also selected, it will be executed first.

Arguments

Enter arguments to be passed to the specified logon script.

Remote command

Enter the command that you want SecureCRT to instruct the remote machine to run when a connection A data path or circuit between two computers over a phone line, network cable, or other means. is made. If the remote command is prefixed with subsystem::, the command will be executed as a subsystem.

Note: The remote command is the only command that the session will run. Once the command exits, the session will disconnect.

Display logon prompts in terminal window

Check this option to have SecureCRT display logon prompts in the terminal window.

Related Topics

  1. Creating ActiveX Scripts
  2. Session Options/Connection


Session Options/Connection/SSH1

SecureCRT Icon Connection / SSH1

The SSH1 category of the Session Options dialog allows you to configure your SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. connection A data path or circuit between two computers over a phone line, network cable, or other means. . The SSH1 category only appears when you have selected SSH1 as your Protocol.

SSH1 Overview

Port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. is another feature based on SSH security. See Port Forwarding with SSH to learn more about encrypting connections for other applications (such as IMAP) that are not secure by default.

SSH1 connection settings include hostname, port, username, authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair., and key exchange.

Hostname

The hostname or IP address of the remote machine that provides the SSH1 service.

Port

The port number of the SSH1 service on the remote machine. For SSH1, the default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Authentication

SecureCRT supports three types of authentication for connecting to SSH1 servers: password, RSA, and TIS.

Password authentication transmits the user's password to the server to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption of the data channel. For this reason, some SSH1 servers reject the use of password authentication if the cipher is set to None.

RSA authentication uses a public/private key pair to authenticate the connection. The general mechanism behind RSA authentication is that the SSH1 server "challenges" the client A computer or application that uses services provided by a server. to decrypt a message encoded using the user's public key stored on the server. Upon connecting, the SSH1 server generates a random value, encrypts the value using the user's public key and sends the encrypted challenge to the client. The client authenticates the connection by successfully decrypting the challenge using the user's private key. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. . The first time you connect to an SSH1 server using RSA authentication, SecureCRT will prompt you for the location of this file. Also, prior to using RSA authentication, the public key must be made available to the SSH1 server.

TIS firewall authentication uses the TIS firewall server to provide a challenge phrase / response combination. SSH1 servers must be configured to offer TIS authentication.

Key exchange group

Key exchange is part of establishing trust between a client and a Secure Shell server. SecureCRT supports the rsa-ssh1 key exchange method for SSH1 sessions.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH1/Advanced


Session Options/Connection/SSH1/Advanced

SecureCRT Icon Connection / SSH1 / Advanced

The SSH1/Advanced category of the Session Options dialog allows you to further configure your SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. connection A data path or circuit between two computers over a phone line, network cable, or other means.. The SSH1/Advanced category only appears when you have selected SSH1 as your Protocol.

Cipher

The encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. algorithm to use for data privacy The concept that data should only be viewed or accessed by those with authorization to do so. Data privacy is achieved using a cipher to encrypt data.. The default cipher is 3DES. DES, RC4, and Blowfish ciphers are also available for use with the SSH1 protocol. You may also set the cipher to None, which will effectively render your connection non-secure. No encryption will occur if the cipher is set to None, and all data will be transmitted in plain text.

WARNING: Setting cipher to None causes the data channel to be left unencrypted and offers no security.

Cipher Speed Information -- The DES and 3DES ciphers are very CPU intensive (slow). The RC4 and Blowfish ciphers are considerably less CPU intensive (faster).

MAC (Message Authentication Code) (SSH2 Only)

The SSH2 protocol provides increased security over SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. by means of a MAC Message Authentication Code. A component of the SSH2 protocol consisting of a hashing algorithm used to ensure data integrity between an SSH2 client and an SSH2 server communicating over a TCP/IP network such as the internet. The MAC ensures data integrity by protecting against message alteration. (Message Authentication Codes) which ensures data integrity . Although specifying a MAC is optional, it is highly recommended that a MAC be specified in order to ensure data integrity.

WARNING: Data integrity cannot be ensured if MAC is set to None.

SecureCRT will attempt to connect using the first selected MAC in the MAC list and then, if not successful, work down the list trying each selected MAC. To reorder the list, select the MAC that you want to reposition and use the buttons to the right of the list to move the MAC up or down.

Options group

Compression

Enable this option to have SecureCRT use compression when transferring data.

Level

This option controls the level of compression. The compression level ranges from 0 (minimal compression) to 9 (maximum compression). A higher level means better compression but slower performance. The default value is 5.

Enable OpenSSH agent forwarding

Check this option to use the agent to connect to a remote machine through another remote machine (see Using the Agent).

Force session channel to close on disconnect

When this option is checked and a session is disconnected by the user, SecureCRT will force the connection to close immediately without waiting for a response from the remote system.

Related Topics

  1. Session Options/Connection/SSH1


Session Options/Connection/SSH2

SecureCRT Icon Connection / SSH2

The SSH2 category of the Session Options dialog allows you to configure your SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. connection A data path or circuit between two computers over a phone line, network cable, or other means. . The SSH2 category only appears when you have selected SSH2 or SFTP as your Protocol.

SSH2 Overview

SSH2 provides secure communication over an unsecure channel by encrypting the data channel using the cipher An algorithm used to encrypt data at varying levels of security. Examples include 3DES, AES, Blowfish, RC4, and Twofish. algorithm selected for the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. by the user. The cipher selected must also be supported by the destination SSH2 server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. (an error will be reported during a connection attempt if the chosen cipher is not supported by the server). A cipher is used to encrypt network traffic between the local machine and the SSH2 server, thus providing data privacy The concept that data should only be viewed or accessed by those with authorization to do so. Data privacy is achieved using a cipher to encrypt data. .

Port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. is another feature based on SSH security. See Port Forwarding with SSH to learn more about encrypting connections for other applications (such as IMAP) that are not secure by default.

SSH2 connection settings include hostname, port, username, authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair., and key exchange.

Hostname

The hostname or IP address of the remote machine that provides the SSH2 service.

Port

The port number of the SSH2 service on the remote machine. For SSH2, the default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Authentication group

SecureCRT supports several authentication methods for connecting to SSH2 servers, and will attempt to connect using them in the order that you specify.

Password authentication transmits the user's password to the server to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. of the data channel.

Note: If the remote machine supports both the SSH2 protocol and changing passwords at the protocol level, the password for an SSH2 session can be changed from the Password Properties dialog, which is accessed by selecting Password in the Authentication group and clicking on the Properties button.

PublicKey authentication uses a public/private key pair to authenticate the connection. During the authentication process, the client A computer or application that uses services provided by a server. and the server negotiate a public key to use for the connection. Once a public key has been determined, the client uses the corresponding private key to perform a signature operation over a unique connection identifier. This signature is then sent to the server for verification. If verification is successful, the client is given permission to connect to the server. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. . Also, prior to using public-key authentication, the public key must be made available to the SSH2 server. For more information on generating private-public key pairs, see Public-Key Authentication for SSH2.

Keyboard Interactive authentication allows you to use the keyboard to respond to challenges put forth by the server.

GSSAPI (Generic Security Services Application Program Interface) is a generic API for performing client/server authentication. GSSAPI allows SecureCRT to authenticate with a server without knowing anything about the specific authentication mechanism in use. For more information about using GSSAPI, see the GSSAPI Properties dialog.

SecureCRT also supports the use of X.509 certificates.

Key exchange group

Key exchange is part of establishing trust between a client and a Secure Shell server. SecureCRT supports several algorithms for doing key exchange and will attempt to use them in the order that you specify.

Diffie-Hellman key exchange algorithms are common cryptographic protocols which are supported by Secure Shell servers.

GSSAPI key exchange algorithms can be used to connect to SSH2 servers that support GSSAPI. When a GSSAPI key exchange algorithm is specified and the server supports it, further authentication is not needed if you already have GSSAPI credentials (e.g., by logging onto a Windows machine that is part of an Active Directory domain).

If a GSSAPI key exchange algorithm is specified and is not supported by the server, there could be a delay during connection because the server is waiting to time out. To prevent this delay, uncheck the GSSAPI key exchange algorithms.

Minimum group exchange prime size

Allows the minimum size prime number that can be used for group exchange to be specified.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH2/Advanced


Session Options/Connection/SSH2/Advanced

SecureCRT Icon Connection / SSH2 / Advanced

The SSH2/Advanced category of the Session Options dialog allows you to further configure your SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. connection A data path or circuit between two computers over a phone line, network cable, or other means. . The SSH2 category only appears when you have selected SSH2 or SFTP as your Protocol.

Cipher

The encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. algorithm to use for data privacy The concept that data should only be viewed or accessed by those with authorization to do so. Data privacy is achieved using a cipher to encrypt data.. The ciphers provided for use with the SSH2 protocol in SecureCRT are AES, ChaCha20-Poly1305, Twofish, Blowfish, 3DES, and RC4. You may also set the cipher to None, which will effectively render your connection unsecure. No encryption will occur if the cipher is set to None, and all data will be transmitted in plain text.

WARNING: Setting cipher to None causes the data channel to be left unencrypted and offers no security.

SecureCRT will attempt to connect using the first selected cipher in the Cipher list and then, if not successful, work down the list trying each selected cipher. To reorder the list, select the cipher that you want to reposition and use the buttons to the right of the list to move the cipher up or down.

MAC (Message Authentication Code)

The SSH2 protocol provides increased security over SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. by means of a MAC (Message Authentication Codes) which ensures data integrity The concept that information can be verified as original and unaltered. If data integrity is ensured, information can only be modified by those with proper authorization. See also: MAC. . Although specifying a MAC is optional, it is highly recommended that a MAC be specified in order to ensure data integrity. The MACs provided for use with the SSH2 protocol in SecureCRT are SHA1, SHA2, MD5, and UMAC..

WARNING: Data integrity cannot be ensured if MAC is set to None.

SecureCRT will attempt to connect using the first selected MAC in the MAC list and then, if not successful, work down the list trying each selected MAC. To reorder the list, select the MAC that you want to reposition and use the buttons to the right of the list to move the MAC up or down.

Options group

Compression

Select the type of compression that you want for this SSH2 session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Level

This option controls the level of compression. The compression level ranges from 0 (minimal compression) to 9 (maximum compression). A higher level means better compression but slower performance. The default value is 5.

Enable OpenSSH agent forwarding

Check this option to use the agent to connect to a remote machine through another remote machine (see Using the Agent). This is a tri-state option; If this option is set to the tri-state value (square), the setting from the Global Options/SSH2 category will be used.

Force session channel to close on disconnect

When this option is checked and a session is disconnected by the user, SecureCRT will force the connection to close immediately without waiting for a response from the remote system.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH2


Session Options/Connection/SSH2/SFTP Session

SecureCRT Icon Connection / SSH2 / SFTP Session

The SSH2/SFTP Session category of the Session Options dialog allows you to specify the directories you want to connect to upon starting the session.

Initial Directories

Local directory

Enter the path of the local directory that you want the local windows to display on startup of the session. This is the default folder from which you want to transfer files to the remote machine. Click on the browser button to use a directory browser to select the directory.

Remote directory

Enter the full path of the directory on the remote host that you want to be the current directory upon connecting to the remote host. If the this is not specified, the default or home directory for the username on the remote system will be used.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH2


Session Options/Connection/Telnet

SecureCRT Icon Connection / Telnet

The Telnet category of the Session Options dialog allows you to further configure your Telnet Telnet is a protocol that provides an interface for communications between clients and servers. connection A data path or circuit between two computers over a phone line, network cable, or other means. . The Telnet category only appears when you have selected Telnet as your Protocol.

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine. For Telnet, the default port is 23.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Advanced group

Will LFLOW

Select this option to enable local flow control when connecting to Telnet sites that support LFLOW. This option is selected by default.

Enable NAWS

Select this option to enable the Negotiate About Window Size (NAWS) feature. NAWS allows a Telnet client and a Telnet server to negotiate resizing the terminal window.

Note: NAWS may not be applicable to all systems.

Force character at a time mode

Select this option to force SecureCRT to be in "character at a time" Telnet mode. This option may be required in rare cases where Telnet negotiation between the client A computer or application that uses services provided by a server. and server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. does not occur correctly.

WARNING: For most users, this option should not be selected.

Send SGA (port 23 only)

Select this option to initiate Telnet negotiation by sending the Telnet SGA command. Most Telnet servers expect this from the Telnet client.

WARNING: For most users, this option should be selected.

Send SGA

Select this option to send the DO SGA command immediately after connecting.

Enable NTLM authentication

Select this option to enable NT LAN Manager (NTLM) authentication. This option is enabled by default.

Server requires bare CR

Select this option to instruct SecureCRT how to encode carriage returns when sending them to the remote host.

Related Topics

  1. Session Options/Connection
  2. Using NTLM


Session Options/Connection/Telnet/TLS

SecureCRT Icon Connection / Telnet/TLS

The Telnet/TLS category of the Session Options dialog allows you to further configure your Telnet Telnet is a protocol that provides an interface for communications between clients and servers. connection A data path or circuit between two computers over a phone line, network cable, or other means. over the cryptographic communications protocol TLS . The Telnet/TLS category only appears when you have selected Telnet/TLS as your Protocol.

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine. For Telnet/TLS, the default port is 992.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Advanced group

Will LFLOW

Select this option to enable local flow control when connecting to Telnet sites that support LFLOW. This option is selected by default.

Enable NAWS

Select this option to enable the Negotiate About Window Size (NAWS) feature. NAWS allows a Telnet client and a Telnet server to negotiate resizing the terminal window.

Note: NAWS may not be applicable to all systems.

Force character at a time mode

Select this option to force SecureCRT to be in "character at a time" Telnet mode. This option may be required in rare cases where Telnet negotiation between the client A computer or application that uses services provided by a server. and server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. does not occur correctly.

WARNING: For most users, this option should not be selected.

Send SGA (port 992 only)

Select this option to initiate Telnet negotiation by sending the Telnet SGA command. Most Telnet servers expect this from the Telnet client.

WARNING: For most users, this option should be selected.

Send SGA

Select this option to send the DO SGA command immediately after connecting.

Enable NTLM authentication

Select this option to enable NT LAN Manager (NTLM) authentication. This option is enabled by default.

TLS group

Disable certificate validation

Select this option to discontinue checking the validity of X.509 certificates.

WARNING: While selecting this option may speed up your connection time, it may leave you vulnerable to invalid certificates.

Related Topics

  1. Session Options/Connection
  2. Using NTLM


Session Options/Connection/RLogin

SecureCRT Icon Connection / RLogin

The RLogin category of the Session Options dialog allows you to further configure your RLogin connection A data path or circuit between two computers over a phone line, network cable, or other means. . The RLogin category only appears when you have selected RLogin as your Protocol.

RLogin connection settings include hostname or IP address, and username.

Hostname

Enter the hostname or IP address of the remote host.

Username

Enter the username used to log onto the remote machine. The substitution parameter %USERNAME% can be used.

Related Topics

  1. Security Considerations
  2. Session Options/Connection


Session Options/Connection/Serial

SecureCRT Icon Connection / Serial

The Serial category of the Session Options dialog allows you to further configure your serial connection A data path or circuit between two computers over a phone line, network cable, or other means. . The Serial category only appears when you have selected Serial as your Protocol.

The serial protocol is used to connect to another computer with your computer's COM port or with a modem attached to your computer's COM port.

Port

Enter the serial port (COM1, COM2, etc.) used by the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Baud rate

Select the baud rate for the device. The default value is 38400. The baud rate can be changed while a session is connected.

Data bits

Select the number of communication data bits. The default value is 8.

Parity

Choose the parity setting supported by the connected device. The default setting is None.

Stop bits

Choose number of stop bits sent after each character. The default value is 1.

Flow control group

DTR/DSR

Select this option to use the DTR/DSR (data-terminal-ready/data-set-ready) signals with the connected device. By default, this is not selected. For more information about flow control settings, please see Advanced Serial Configuration Settings.

RTS/CTS

Select this option to use RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, this option is not selected. For more information about flow control settings, please see Advanced Serial Configuration Settings.

XON/XOFF

Select this option to use XON/XOFF software flow control. By default, this option is not selected.

Name of pipe

If Named Pipe is specified as the Port, the identifier for a named pipe can be entered in this field.

Serial break length

Select the length of breaks in serial data traffic. For more information about breaks, please see Sending a Serial Break.

Related Topics

  1. Sending a Serial Break
  2. Session Options/Connection


Session Options/Connection/Local Shell

SecureCRT Icon Connection / Local Shell

The Local Shell category of the Session Options dialog allows you to further configure your local shell session . The Local Shell category only appears when you have selected Local Shell as your Protocol.

Shell path

The shell that will be used for the session. The Windows shell CMD and PowerShell are available in the drop-down list, but any console application can be used.

Local shell sessions look best with the following terminal settings: Xterm as the Terminal and ANSI with 256 as the Color Mode (both found in the Session Options/Terminal/Emulation dialog), and UTF-8 as the Character encoding (Session Options/Terminal/Appearance dialog).


Session Options/Connection/TAPI

SecureCRT Icon Connection / TAPI

The TAPI category of the Session Options dialog allows you to configure your TAPI connections and redial strategy for busy numbers. The TAPI category only appears when you have selected TAPI as your Protocol.

You can use the TAPI protocol to "share" your computer’s modem with other applications. For example, if you have a fax application that is TAPI compliant, you will be able to have both SecureCRT and your fax software open at the same time. Although both programs cannot use the modem at exactly the same time, TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis.

When using TAPI, the following information must be entered:

Dial using

Select the modem you would like to use from the Dial using list of modems. If you have a modem installed, you can also configure it while in the Session Options dialog by selecting the modem and clicking on the Configure button.

Country code

Enter the country code associated with the number you are dialing.

Area code

Enter the area code for the number you are dialing.

Phone number

Enter the phone number that you are dialing. SecureCRT also allows you to specify any alternate phone numbers you wish to dial using the same session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Auto redial group

Number of redial attempts

Select the number of redial attempts that SecureCRT will make before giving up on the connection A data path or circuit between two computers over a phone line, network cable, or other means. .

Delay between attempts

Select the number of seconds that SecureCRT will wait between redial attempts.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/TAPI/Advanced


Session Options/Connection/TAPI/Advanced

SecureCRT Icon Connection / TAPI / Advanced

The TAPI/Advanced category of the Session Options dialog allows you to enter alternate phone numbers if the remote machine or BBS you are attempting to dial provides you with alternate numbers.

The TAPI/Advanced category only appears when you have selected TAPI as your Protocol.

New phone number

Enter the alternate phone number. Click on the Add button to add the number to the Phone numbers list below, or click on the Replace button to replace a number selected in the list.

Phone numbers

This list displays the configured phone numbers in the order in which they will be tried. You can change this order by selecting a number and using the Up or Down buttons to move it in the list.

Move successful number to top of list on connection A data path or circuit between two computers over a phone line, network cable, or other means.

Check this option to move a number that has made a successful connection to the top of the list.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/TAPI


Session Options/Connection/Raw

SecureCRT Icon Connection / Raw

The Raw category of the Session Options dialog allows you to further configure your Raw connection A data path or circuit between two computers over a phone line, network cable, or other means.. The Raw category only appears when you have selected Raw as your Protocol.

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Related Topics

  1. Session Options/Connection
  2. Using NTLM


Session Options/Connection/FTP

SecureCRT Icon Connection / FTP

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The FTP category of the Session Options dialog allows you to control attributes of FTP connections. The FTP category only appears when you have selected FTP as your Protocol.

FTP logon group

Hostname

The hostname or IP address of the remote machine that provides the FTP service.

Port

The port number of the FTP service on the remote machine. For FTP and FTP/TLS (explicit), the default port is 21. For FTP/TLS (implicit), the default port is 990.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SFTP or SCP session to be used as a firewall. If SecureFX is integrated with SecureCRT, an SSH2 session can also be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Anonymous login

When this option is selected, SecureFX automatically selects anonymous as the username and fills in the password field using the password you supplied in the Global Options/File Transfer/Options dialog. Unselecting this option makes the username and password fields available.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Password

The password used to log on to the remote machine.

Account

The account name to be used on the remote machine.

Data connection options group

Use outgoing data connection (PASV/EPSV)

Checking this box forces all data connections to be originated by SecureFX (using the FTP PASV or EPSV command). This setting is often needed where a firewall will not allow incoming connections from external FTP servers. If the PASV or EPSV connection fails, SecureFX automatically tries to reconnect using the original host/IP address. When this check box is unchecked, SecureFX will have the FTP server create an incoming data connection instead (using the FTP PORT or EPRT command).

This check box can also be set to a third, indeterminate state. When the check box is in this state, it appears grayed out and will cause SecureFX to use the Use outgoing data connection setting in the Global Options/File Transfer/FTP dialog.

Directory listing options group

Resolve symbolic links

Checking this box causes SecureFX to include the "L" flag when listing files and directories.

Long format

Checking this box causes SecureFX to include the "-l" flag when listing files and directories. This requests that the FTP server include all available columns of informational output when performing directory listings. This option is usually only useful when the server is a UNIX system. This option is off by default.

All entries

Checking this box causes SecureFX to include the "-a" flag when listing files and directories. This requests that the FTP server include hidden files (including dot files) when performing directory listings. This option is usually only useful when the server is a UNIX system. This option is off by default.

Note: The Do not show dot files option from the Global Options/File Transfer/View dialog will take precedence over the All entries option.

Related Topics

  1. Session Options/Connection


Session Options/Connection/FTP/TLS Options

SecureCRT Icon Connection / FTP / TLS Options

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The FTP/TLS Options category of the Session Options dialog allows you to control attributes of FTP/TLS connections. The FTP/TLS Options category only appears when you have selected FTP/TLS as your Protocol.

Certificate group

SecureFX supports generating and using self-signed certificates, which allows mutual authentication.

Use global certificate

Checking this option instructs SecureFX to use the certificate specified in the Global Options / File Transfer / TLS dialog for this session.

Path

If you choose not to use the global certificate for this session, enter the path of the certificate you want SecureFX to use when authenticating.

Create...

Press this button to configure and generate a new certificate.

Advanced group

Disable certificate validation

Select this option to discontinue checking the validity of X.509 certificates.

WARNING: While selecting this option may speed up your connection time, it may leave you vulnerable to invalid certificates.

Use CCC (Clear Command Channel) after authentication

This option tells SecureFX to transmit data over the control channel in an unencrypted form (i.e., clear text) after authentication. It may be necessary to enable this option when the local client machine is behind a firewall.

Use unencrypted data channel

This option tells SecureFX to transmit data over the data channel in an unencrypted form (i.e., clear text). The control channel, however, will remain encrypted even when this option has been turned on.

WARNING: The above options should only be used when absolutely necessary because selecting either of the above options will result in data being transmitted as clear text.

Related Topics

  1. Session Options/Connection


Session Options/Connection/HTTP

SecureCRT Icon Connection / HTTP

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The HTTP category of the Session Options dialog allows you to control attributes of HTTP connections. The HTTP category only appears when you have selected HTTP or HTTPS as your Protocol.

HTTP logon group

Hostname

The hostname or IP address of the remote machine that provides the HTTP/S service.

Port

The port number of the HTTP service on the remote machine. For HTTP, the default port is 80. For HTTPS, the default port is 443.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SFTP or SCP session to be used as a firewall. If SecureFX is integrated with SecureCRT, an SSH2 session can also be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Password

The password used to log on to the remote machine.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/FTP/TLS Options


Session Options/Connection/HTTP/TLS Options

SecureCRT Icon Connection / HTTP / TLS Options

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The HTTP / TLS Options category of the Session Options dialog allows you to control attributes of HTTPS connections . The HTTP/TLS Options category only appears when you have selected HTTPS as your Protocol.

Certificate group

SecureFX supports generating and using self-signed certificates, which allows mutual authentication.

Use global certificate

Checking this option instructs SecureFX to use the certificate specified in the Global Options / File Transfer / TLS dialog for this session.

Path

If you choose not to use the global certificate for this session, enter the path of the certificate you want SecureFX to use when authenticating.

Create...

Press this button to configure and generate a new certificate.

Advanced group

Disable certificate validation

Select this option to discontinue checking the validity of X.509 certificates.

WARNING: While selecting this option may speed up your connection time, it may leave you vulnerable to invalid certificates.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/FTP


Session Options/Connection/Port Forwarding

SecureCRT Icon Connection / Port Forwarding

The Port Forwarding category of the Session Options dialog allows you to configure secure connections to an SSH1 or SSH2 server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. .

Overview of Port Forwarding

Port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. is a powerful tool that allows you to secure TCP/IP Transmission Control Protocol/Internet Protocol. TCP/IP is the basic communication method used over the Internet. The TCP on the side of the sending machine is responsible for breaking up a message into smaller portions called packets. These packets are then sent to their destination and the TCP on the side of the receiving machine is responsible for reassembling the packets to form the original message. The Internet Protocol provides a means of properly addressing each packet so that it arrives at its destination. SSH and Telnet, for example, are built upon TCP/IP. traffic using SecureCRT's SSH1 and SSH2 protocol support. This means that you can encrypt application data using protocols such as IMAP, POP3 and SMTP. For example, if you receive your email from an Internet Service Provider (ISP), you could encrypt the communication between your workstation running the email client A computer or application that uses services provided by a server. and the ISP's SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. server.

In general, with any port forwarded by SecureCRT for an application, the application needs to be reconfigured to use the localhost or loopback address 127.0.0.1 as its application server address.

Locally forwarded connections

Name

Displays the unique identifying name for the connection.

Local Address

Displays the local port number for the connection.

Remote Host

Displays the remote machines hostname or IP address and the remote port.

Application

Displays the application to be run over this connection.

To create a new port-forwarded connection, click on the Add... button to open a blank Local Port Forwarding Properties dialog. To modify an existing connection, select that connection and click on the Edit... button to open that connection's Local Port Forwarding Properties dialog. To remove an existing connection, select that connection and click on the Delete button.

Do not request a shell

Select this option to have SecureCRT not request a command shell when attempting to port forward. This ensures that port forwards will work even if shell access is denied.

Related Topics

  1. Configuring Port-Forwarding Filters
  2. Port Forwarding with SSH
  3. Session Options/Connection
  4. Session Options/Connection/Port Forwarding/Remote/X11


Session Options/Connection/Port Forwarding/Remote/X11

SecureCRT Icon Connection / Port Forwarding / Remote/X11

The Port Forwarding/Remote/X11 category of the Session Options dialog allows you to configure secure connections through an SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. to an application that resides on the SSH client A computer or application that uses services provided by a server. -side, and to enable the forwarding of X11 packets.

Remotely forwarded connections

Name

Displays the unique identifying name for the connection.

Remote Address

Displays the port number on the remote machine that is used for this connection.

Local Host

Displays the hostname or IP address of the local machine and the local port number.

To create a new port-forwarded connection, click on the Add... button to open a blank Remote Port Forwarding Properties dialog. To modify an existing connection, select that connection and click on the Edit... button to open that connection's Remote Port Forwarding Properties dialog. To remove an existing connection, select that connection and click on the Delete button.

X11 forwarding

Forward X11 packets

Check this option to allow the forwarding of X Windows packets through the SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. , which makes possible the encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. of the data between the client A computer or application that uses services provided by a server. and server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server.

Note: SecureCRT is not an X Server. The Forward X11 packets option allows SecureCRT to accept X11 data from the remote machine and forwards it to the X server running on the local machine. The local X Server must be running before any X11 sessions can be displayed. If you are using Xhost authority access on the local X11 server, you will need to add the localhost or loopback address 127.0.0.1 to your server's Xhost list.

Enforce X11 authentication

Check this box to instruct SecureCRT to enforce X11 authentication.

Note: It may be helpful to disable this option when switching to a different user before launching an X application. If this option is enabled and the secondary user's .Xauthority file does not match the initial user's file, access to the X server will be denied.

Display

Enter the remote display setting. The Display setting is a two-part string in the following format:

<localhost>:<display>.<screen>

The first part of the string is the address of the display server machine. It can be a resolvable DNS name (including "localhost") or a specific IPv4 or IPv6 address. If this part of the string is an IPv6 address, it must be inside square brackets (e.g., [2001:0db8:0a0b:12f0:0000:0000:0000:0001]). The second part of the string is the X server display number and screen number to be used.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/Port Forwarding


Session Options/Terminal

SecureCRT Icon Terminal

The Terminal category of the Session Options dialog allows you to configure general session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. options for the selected session.

Audio bell

Check this option to have SecureCRT emit an audible sound when a bell character is received. This option is on by default.

Visual bell

Check this option to have SecureCRT flash the session window when a bell character is received. This option is off by default.

Close on disconnect

Check this option to have SecureCRT automatically close the session window after disconnecting from the remote machine. For tabbed and tiled sessions, the session will be closed but the application window will remain open unless the global option Exit when last session is disconnected is set.

Clear on disconnect

Check this option to have SecureCRT automatically clear the session window after disconnecting from the remote machine.

Auto reconnect

Check this option to automatically reconnect to a remote machine when a connection A data path or circuit between two computers over a phone line, network cable, or other means. is terminated.

Jump scroll

When this option is off, each line is scrolled off the screen one at a time. When Jump Scroll is on, up to a full screen can be scrolled off the screen at once. When viewing a large volume of data from the remote host, turning on Jump Scroll can significantly enhance performance.

Minimize drawing (faster)

Checking this option speeds the scrolling process by not refreshing the screen as often. .

Scroll to clear screen

Many applications send an escape sequence to clear the screen. When this option is turned on, the current screen's data is scrolled into the scrollback buffer prior to clearing the screen.

Scroll to bottom on output

Check this option to have SecureCRT automatically scroll to the bottom of the incoming data when new data is received, as long as the session is scrolled back less than a screen length. If this option is turned off, you must scroll back at least one page in order to not be scrolled back to the bottom on output.

Scroll to bottom on keypress

Check this option to have SecureCRT automatically scroll to the bottom of the incoming data when a key is pressed.

Mouse group

This group contains options that affect mouse behavior.

Shift forces local mouse operations

This option causes mouse operations to be local rather than remote when the SHIFT key is pressed. This option is on, by default.

Send scroll wheel events to remote

This option allows SecureCRT to scroll remote applications. This only works when you run a remote application that starts an alternate screen buffer. This applies to most applications such as Emacs, Vim, and Midnight Commander.

Position cursor on (left/ALT+left) click

This option allows you to enable or disable cursor positioning using either left-click or ALT+left-click mouse button action.

Anti-idle group

This group contains controls designed to prevent your connection A data path or circuit between two computers over a phone line, network cable, or other means. from being closed due to a lack of network traffic between SecureCRT and the remote machine.

Send string n every n seconds

Check this box to send a string to the remote machine on a regular basis.

· Enter the string that you want to send in the Send string entry box. Strings can contain commands or other information. For a listing of special octal and escape codes that can be included as part of the sent string, see the table of ASCII Control Codes and the table of Send String and Function Key Commands.

· Enter how often you want the string sent in the associated every n seconds entry box. The default value for this option is 300 seconds.

Send protocol NO-OP every n seconds

Check this box to send a NO-OP instruction to the remote machine on a regular basis.

· Enter how often you want the NO-OP sent in the associated every n seconds entry box. The default value for this option is 60 seconds.

Note: Sending NO-OP instructions is only available for SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. and Telnet Telnet is a protocol that provides an interface for communications between clients and servers. sessions.

Selection group

Set word delimiter characters

By default, SecureCRT uses all non-alphanumeric characters (except underscore) as word delimiters when selecting an entire "word" with a double-click action as described in Selecting Text in the Terminal Window. You can modify the word delimiter characters by entering your personal word delimiter characters in this entry box. Do not separate the entries with spaces or any other character.

Related Topics

  1. Session Options/Terminal/Appearance
  2. Session Options/Terminal/Appearance/Window
  3. Session Options/Terminal/Emulation
  4. Session Options/Terminal/Emulation/Advanced
  5. Session Options/Terminal/Emulation/Emacs
  6. Session Options/Terminal/Emulation/Mapped Keys
  7. Session Options/Terminal/Emulation/Modes
  8. Session Options/Terminal/Log File
  9. Session Options/Terminal/Printing


Session Options/Terminal/Emulation

SecureCRT Icon Terminal / Emulation

The Emulation category of the Session Options dialog allows you to customize your terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulation for a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. . Terminal keyboard emulation settings are defined by a keymap file. SecureCRT includes several built-in keymap files: TN3270, VT100, VT220, Linux, SCO ANSI, Custom, and Default. The Default keymap file defines an emulation most similar to the PC keyboard, but also provides mappings for the keys F1-F4. SecureCRT will automatically choose a keyboard emulation based on the Terminal emulation that you select but you can change this selection using the Select an alternate keyboard emulation option described below.

Emulation group

This group contains general emulation controls.

Terminal

Select the terminal type that you want to emulate. SecureCRT supports ANSI, Linux, SCO ANSI, TN3270, VShell, TVI910, TVI925, VT100, VT102, VT220, VT320, WYSE50, WYSE60, Xterm, and Dumb terminal emulation.

Color Mode

For most emulations, this can be set to ANSI or None. When ANSI is selected, the session will use the ANSI color palette defined by the current color scheme in the Terminal/Appearance category.

For Xterm, the color mode can be set to ANSI with 256color, which sends "xterm-256color" instead of "xterm" as the terminal type to the remote system when the session connects. Or it can be set to True Color, which enables 24-bit color for remote applications. If you do not use remote applications that need True Color, you should not enable it because it requires more memory.

Use color scheme

When ANSI, ANSI with 256color, or True Color is selected as the color mode, check this option to honor the ANSI color palette used by the session’s color scheme. Otherwise, the default ANSI foreground and background colors will be used.

Select an alternate keyboard emulation

SecureCRT automatically chooses a keyboard emulation (or "keymap") to use based on the Terminal emulation described above. To select a different keymap, check this option and select from the list of keymaps, or use the Browse button to display the Open dialog and select the keymap you want.

For more information on customizing the keyboard for your needs, see Overview of Keymaps.

Size group

The number of rows and columns that are defined in the parameters of a connection A data path or circuit between two computers over a phone line, network cable, or other means. between the client A computer or application that uses services provided by a server. and the remote machine are known as the number of logical rows and columns. This group lets you specify an explicit number of logical rows and columns that appear in your session window. Any changes in the number of logical rows and columns will be reflected in the size of the session window.

Logical rows

Enter the integer value for the number of rows in the session window.

Logical columns

Enter the integer value for the number of columns in the session window.

Note: SecureCRT allows you to set a maximum for the number of columns in the SecureCRT window (the upper limit allowed is 32000 columns). The Maximum columns setting in the Terminal/Appearance category of the Global Options dialog controls the maximum number of columns that can be specified under Session Options.

On resize group

This group contains controls that allow you to specify how a session window behaves when manually resized.

Synchronize view to size

Check this option to allow the number of rows and columns to match the size of the session window. If this option is not checked, the number of rows and columns will be maintained when resizing the window.

Scale the font

Check this option to increase or decrease the font size displayed in the session window as the window is resized.

Retain size and font

Check this option to maintain the font size displayed in the session window as the window is resized.

Scrollback group

Scrollback buffer

Enter the number of lines to be saved in the scrollback buffer. This must be an integer value between 0 and 128000.

To clear the scrollback buffer:

1. Open the Edit menu.

2. Select the Clear Scrollback menu item.

Related Topics

  1. Session Options/Terminal
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Emacs
  4. Session Options/Terminal/Emulation/Mapped Keys
  5. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Emulation/Modes

SecureCRT Icon Terminal / Emulation / Modes

The Emulation/Modes category of the Session Options dialog allows you to customize the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulation mode settings for a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. , thereby configuring how the terminal operates.

You can configure SecureCRT to start with a customized selection of these modes on a per session basis. This is done by making mode selections within the Initial modes group. In addition, if a session is open, you can modify the current terminal modes by making mode selections within the Current modes group.

Cursor key mode

Check this option to enable the cursor keys to send ANSI cursor control sequences to the remote host. If this option is not selected, the cursor keys send application control sequences for the remote host. By default, the Cursor key mode option is not selected.

Line wrap

Check this option to have any characters received when the cursor is at the right margin be displayed on the next line. The right margin is defined by the number of logical columns. If Line wrap is not selected, any characters received when the cursor is at the right margin will be displayed just to left of the right margin, replacing the current character displayed there. By default, Line wrap mode is selected.

New line mode

Check this option to have the ENTER key generate both CR and LF characters. In addition, any LF, FF, or VT character will cause the text cursor to be moved to the first column of the next line. When New line mode is not selected, the ENTER key generates only the CR character. By default, New line mode is not selected.

Numeric keypad

Select this option to have the keypad send ASCII character codes that correspond to the numeric characters shown on the keys.

Note: The Application keypad mode and Numeric keypad mode are mutually exclusive.

Application keypad

Select this option to have the keypad send escape sequences to the application on the remote host.

Mode switching group

Some applications send special escape code sequences that toggle the cursor key, line wrap, new line, and numeric/application keypad modes. By default, these mode switching sequences are interpreted and mode switching is allowed. You can configure SecureCRT to ignore some or all of these mode switching sequences by checking or clearing the following options:

Enable 80/132 column switching

Enable cursor key mode switching

Enable keypad mode switching

Enable line wrap mode switching

Enable alternate screen switching

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Emacs
  4. Session Options/Terminal/Emulation/Mapped Keys


Session Options/Terminal/Emulation/Emacs

SecureCRT Icon Terminal / Emulation / Emacs

The Emulation/Emacs category of the Session Options dialog allows you to configure your session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. to use the ALT key as the meta key. This may be helpful if you commonly use Emacs.

Use ALT as meta key

Check this option to enable Emacs compatibility and use the ALT key as the meta key.

WARNING: The Use ALT as meta key option will affect your ability to use ALT key combinations to access application menus. You will still be able to access the application menus by pressing and releasing the ALT key and then pressing the menu hot key. For example, to access the File menu when Use ALT as meta key is enabled, press and release the ALT key and then press the F key. However, holding down the ALT key and pressing F will be interpreted by Emacs and will not bring up the File menu. The pattern shown in this example applies to all ALT key combinations.

Preserve ALTGR international key

Many international keyboards have an ALTGR key that uses the same keyboard code as CTRL+ALT to create an alternate shift state for accessing additional characters on certain keys. To enable the use of this key and prevent Emacs from interpreting it as a CTRL+ALT sequence, select the Preserve ALTGR international key option. With this option enabled, Emacs mode is ignored for all ALTGR combinations.

Use 8th bit for meta key (requires termcap support)

Select this option to use the eighth bit for meta key combinations instead of sending the ESC key character. This option requires termcap support. By default, the ESC character is sent for meta key combinations when Emacs compatibility is enabled.

Send escape for meta key

Select this option to have SecureCRT send an ESC character for meta key combinations. By default, the ESC character is sent for meta key combinations when Emacs compatibility is enabled.

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Mapped Keys
  4. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Emulation/Mapped Keys

SecureCRT Icon Terminal / Emulation / Mapped Keys

The Emulation/Mapped Keys category of the Session Options dialog allows you to create or edit keymaps for a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Note: Mapped keys apply only to the current session and will not carry over to other sessions. If you want to make a key assignment that works in multiple sessions, you may want to use the Keymap Editor.

Mapped keys group

This group lists the Key Combination, Function, and Argument for keys mapped in this session.

Map a key...

This button allows you to map a key from the keyboard. When the Map Key dialog appears, press the key combination you want to map. In the Map Selected Key dialog, specify the action you want the key to perform, and any applicable arguments.

Edit...

This button allows you to edit the mapping for the key selected in the window above.

Delete

This button deletes the mapping for the key selected in the window above.

Other mappings group

You may find it necessary to change the behavior of the BACKSPACE key by sending the DELETE sequence and vice versa. This group contains options controlling the BACKSPACE and DELETE key behaviors.

Backspace sends delete

Check this option to have the BACKSPACE key send the DELETE character. The DELETE character is generally ASCII 127 (decimal).

Delete sends backspace

Check this option to have the DELETE key send the BACKSPACE character. The BACKSPACE character is generally CTRL+H or ASCII 8 (decimal), 0x8 (hexadecimal), or 10 (octal).

CUA settings group

Use Windows copy and paste hotkeys

Check this option to enable the CTRL+C, CTRL+V, CTRL+A, and CTRL+F accelerator keys for copy, paste, select all, and find, respectively.

WARNING: Turning on Use Windows copy and paste hotkeys will disable your ability to send CTRL+C, CTRL+V, CTRL+A, and CTRL+F to the remote host. Most UNIX users should leave this option off.

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Emacs
  4. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Emulation/Advanced

SecureCRT Icon Terminal / Emulation / Advanced

The Emulation/Advanced category of the Session Options dialog allows you to modify standard terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulation settings for the selected session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. in order to communicate with special remote machines. Most users will not need to modify any of these settings.

Advanced terminal options group

This group contains advanced emulation controls.

Answerback

By default, SecureCRT does not respond to the ENQ character with an answerback message. To enable the answerback feature for this session, check this option and enter the message to be sent.

With the Answerback option selected, SecureCRT will respond to the ENQ character with the specified answerback message. You can include substitution variables to be sent to the remote server when the server sends the ENQ (control byte 5) command.

Terminal type

By default, SecureCRT sends the terminal type to the remote machine as designated by the terminal emulation type. To send a string other than the terminal type emulated by SecureCRT to the remote machine, check this option and enter the terminal type string.

Display tab as

Some applications produce data in a tab-separated columnar format. SecureCRT allows you to change how the tab character is displayed by substituting a specific character or string in place of the tab character. For example, substituting a comma in place of the tab character would produce comma-separated data which could be imported into a spreadsheet or other application that uses comma-separated data.

To change the text displayed when a tab character is received by SecureCRT , check this option and enter the tab replacement string or character.

Other group

This group contains miscellaneous emulation controls.

Local echo

Most systems that accept remote terminal connections receive characters from the terminal keyboard and echo them to the terminal screen. However, there are some legacy systems that do not echo characters received from the terminal keyboard to the terminal screen. On such machines, you will not be able to see what you have typed unless you enable local echo. By default, local echo of user input is disabled.

To enable local echo of user input, check this option.

Strip 8th bit

ASCII uses seven bits to represent characters. Some seven-bit systems do not clear the eighth bit, causing some characters to be displayed incorrectly. If some characters are not being displayed correctly, try enabling the Strip 8th bit option.

To cause SecureCRT to strip (ignore) the high-order bit of each byte received from the remote host, check this option.

Ignore window title change requests

This option causes SecureCRT to ignore escape sequences that would change the title bar.

Copy to clipboard as RTF and plain text

This option allows SecureCRT to copy ANSI color and font data to the clipboard in RTF format so that it can be pasted into document editors (e.g., Microsoft Word).

Translate incoming CR to CR/LF

This option causes SecureCRT to translate an incoming carriage return character (CR) to a carriage return/line feed character (CR/LF).

Send delay options group

This group contains line and character send delay controls.

Line send delay

This option allows you to set the number of milliseconds that SecureCRT pauses after sending a carriage return. This only applies in the following circumstances:

When text is pasted into the SecureCRT window

When text is sent by selecting the Send ASCII command from the Transfer menu

When data is sent from an ActiveX script using SecureCRT Send() function

Character send delay

This option allows you to set the number of milliseconds that SecureCRT pauses after sending each individual character. This only applies in the following circumstances:

When text is pasted into the SecureCRT window

When text is sent by selecting the Send ASCII command from the Transfer menu

When data is sent from an ActiveX script using SecureCRT Send() function

Prompt

This option allows you to specify a string to wait for. This only applies in the following circumstances:

When text is pasted into the SecureCRT window

When text is sent by selecting the Send ASCII command from the Transfer menu

When data is sent from an ActiveX script using SecureCRT Send() function

Max wait

This option is used in conjunction with the Prompt option to specify the maximum number of milliseconds to wait. A value of 0 indicates that SecureCRT will pause until the prompt is received.

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Emacs
  3. Session Options/Terminal/Emulation/Mapped Keys
  4. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Appearance

SecureCRT Icon Terminal / Appearance

The Appearance category of the Session Options dialog allows you to configure the appearance of the screen for the selected session.

Current color scheme group

This list box displays the current color scheme for this session's window and allows you to select the color scheme for your session windows from the existing schemes. By using the Edit... and New buttons, you can also modify existing schemes or create new ones.

Note: If the settings for this option differ from the color scheme settings in the Global Options/Terminal/Appearance/Color Scheme dialog, these settings will override the global settings.

For more information on color schemes, see Overview of Color Schemes and Creating or Modifying a Color Scheme.

Fonts group

This group allows you to select the font displayed in your session window.

Normal font

This box displays the current font used in this session's window. By using the Font... button, you can select a different font to display.

Narrow font

Check this option to display the narrow font currently being used and to enable the Font... button. By using the Font... button, you can select a different font to display.

Character encoding

Different computer systems can use different character encodings for the same language. For example, UNIX variants often use a character encoding called Extended UNIX Coding (EUC) to represent Japanese characters. Microsoft Windows uses an encoding called Shift JIS. SecureCRT also supports UTF-8 character encoding for those systems that require it. This option allows you to select the encoding method you need to display your language. Select the type of encoding used by the remote system. If the remote system uses the same character encoding as used by Microsoft Windows systems, select Default. This option uses facilities built into the Microsoft operating system to decode and display the data. If the remote system uses a different encoding, select from the available encoding methods. If the encoding method for your language is not available, try setting this option to Default (be sure that your font and script settings are correct). If you still cannot display your language, please let us know.

Use Unicode graphics characters

Check this box to use Unicode graphics characters including line-drawing characters.

Cursor group

This group allows you to configure the cursor used in this session's window.

Cursor style

This option allows you to configure the style of cursor displayed.

Use color

This option allows you to configure the color of the cursor displayed. By using the Color... button, you can select a different color for display.

Blinking

This option turns on and off the blinking of the cursor for this session's window. To stop the blinking, clear the check box.

Related Topics

  1. Session Options/Terminal
  2. Session Options/Terminal/Appearance/Window


Session Options/Terminal/Appearance/Window

SecureCRT Icon Terminal / Appearance / Window

The Appearance/Window category of the Session Options dialog allows you to configure the appearance of the window for the selected session(s) . To turn off any of these options, clear the associated check box.

Note: The check boxes for the features in this category can be set to one of three states.

· No check mark -- Do not show the feature for this session.

· Check mark -- Show the feature for this session.

· Solid square -- Accept the global setting for this feature.

Show Command window

Check this option if you want to show the Command window.

The SecureCRT Command window provides an interface to the remote command line that is unaffected by concurrent output to the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen. The Command window is useful for issuing subsequent commands. While waiting for the output of a previous command to complete, you can prepare the next command by typing it into the Command window. The contents of the Command window are sent to the command line as soon as the ENTER key is pressed in the Command window.

You can prepare multiple lines in the Command window with CTRL+ENTER.

SecureCRT will remember the number of recently used Command window commands that are specified in the Command window history option of the Global Options/Terminal/Appearance dialog. You can cycle through these commands using your UP and DOWN arrow keys. Entering a 0 for the Command window history will turn off this feature.

To select the sessions that commands will be sent to, right-click in the Command window and choose one of the following from the Send Commands to pull-right menu:

· Active Session - Send commands only to the active session. This is the default.

· All Sessions - Send commands to all your open sessions at once.

· Selected Tab Group(s) - Send commands to one or more tab groups. This setting is automatically selected when you right-click on a tab and enable Send Commands to This Group. When commands are being sent to selected tab groups, the tabs of the sessions that commands will be sent to contain an asterisk in front of the session name.

· Visible Sessions - Send commands to all visible tabbed sessions. When there are multiple tab groups, commands will be sent to the currently active session in each tab group.

If you want to send control characters to a session or edit files using an editor like vi, right-click in the Command windows and select the Send Characters Immediately option. Characters will be sent as soon as they are typed as long as this option is enabled. This option can be used in conjunction with the Send Commands to All Sessions option.

Show horizontal scroll bar

Check this option if you want to show the horizontal scroll bar.

Show vertical scroll bar

Check this option if you want to show the vertical scroll bar.

Show button bar

Check this option if you want to show the button bar in the current session. You can also select which button bar you want to display from the drop-down list.

Disable resize

Check this option if you want to disable manual resizing of the session window.

Session window always on top

Check this option to keep the session window in front or "on top" of other windows on your screen.

Label

Check this option if you want to change the tabbed or tiled session label. Enter the alternate label in the associated entry box. You can also use the following substitution variables. This label will also be used in the application title bar if the global Title bar option is not set. Note that this is the same as selecting Rename from the context menu opened by right-clicking on the name on the session tab or tile.

%H - hostname

%S - session name

%U - username

%I - IP address (session must be fully authenticated for the IP address to appear in the title bar)

%P - port

Note: It is possible for some remote systems to change the title bar text by sending an escape sequence. If you want these escape sequences to be ignored, set the Ignore window title change requests option found in the Terminal / Emulation / Advanced category.

You can also use the commands listed in the Send String & Function Commands topic.

Initial position

If you want this session window to always open in the same screen position, enter that position's x,y pixel location coordinates.

Note: If negative values are used for x or y, the initial position will be the offset from the right or bottom, respectively. In a dual monitor configuration, negative initial position values will be honored.

You can also change the window's initial position by following these steps:

1. In the Session Options dialog, open the Terminal/Appearance/Window category.

2. Be sure that the Initial position option is not selected.

3. Click on the OK button at the bottom of the Session Options dialog.

4. Move the session window to the preferred default position.

5. Open the Options menu and select Session Options...

6. In the Session Options dialog, click on the Terminal/Appearance/Window category.

7. Check the Initial position option check box.

8. Click on the OK button at the bottom of the Session Options dialog.

After completing these steps, the SecureCRT window will now be placed in the location specified each time you connect with the session.

Related Topics

  1. Session Options/Terminal
  2. Session Options/Terminal/Appearance


Session Options/Terminal/Keyword Highlighting

SecureCRT Icon Terminal / Keyword Highlighting

The Keyword Highlighting category of the Session Options dialog allows you to configure the keyword list used by the session.

Note: Using this option reduces output display performance. If the host's shell supports highlighting, that is the recommended way to highlight keywords.

List name

This option allows you to select (or create) a list of keywords that you want to be highlighted in the terminal window (the entire keyword will be highlighted). To create a new list of keywords, click the New... button. You will be prompted to enter a name for the new list. Click the Delete button to delete the currently selected list. The list will be deleted even if it is being used by other sessions.

Match style

This field displays the type of matching used by the keyword list.

Keywords group

This group allows you to add, modify, and remove keywords from the keyword list.

New keyword

Enter a word or regular expression and press the Enter key or Add (plus) button to add it to the list. If the match style is Whole words, keywords (including regular expressions) cannot contain spaces.

Regular expression

Check this box to indicate that the keyword is a regular expression. The following are examples of regular expressions:

• IPv4 address: \d*\.\d*\.\d*\.\d*

• IPv6 address: ([A-Fa-f0-9]{1,4}::?){1,7}[A-Fa-f0-9]{1,4}

• Match everything after a keyword and an equal sign (e.g., “error=12345”): error=.*

Note: The regular expressions should use ECMAScript syntax.

Keyword list

This is an ordered list of keywords. Keywords are matched using the order in the list. As soon as a match is found, the keyword is highlighted. To reorder the list, select the keyword that you want to reposition and use the buttons to the right of the list to move the keyword up or down. Multiple keywords can be moved when the selection is contiguous.

When the match type is Whole words, the word delimiters for keyword highlighting are the following:

` ~!#$%^&*()+=:;<>,.?/\[]{}|'

Note: Word delimiters can be used in a regular expression.

Edit

Press this button to make changes to the selected keyword.

Remove

Press this button to remove the selected keyword(s).

Match case

Check this box to indicate that the case of all the keywords in the list should be matched.

Set Color…

Select one or more keywords in the list and press this button to set their color. The Color highlight style must be checked in the Session Options/Terminal/Keyword Highlighting/Advanced category in order to set the color for selected keywords.


Session Options/Terminal/Keyword Highlighting/Advanced

SecureCRT Icon Terminal / Keyword Highlighting/Advanced

The Keyword Highlighting/Advanced category of the Session Options dialog allows you to configure the keyword highlight style for the session and the match style of the keyword list specified for the session.

List name

This field displays the name of the keyword list specified for the session.

Highlight style group

This group allows the keyword highlight style for the session to be specified. The highlight style applies only to the session and not to the keyword list. When the Color style is checked, colors can be specified for individual keywords in the list.

Match style group

This group allows you to specify the match style for the keyword list. Regular expressions can be used with either style of matching.

Whole words

Select this option to match whole words for the entire list. With this match style, keywords and regular expressions cannot contain spaces.

Phrases and substrings

Select this option to match phrases and substrings for the entire list. With this match style, keywords and regular expressions can contain spaces and substrings will also be matched.


Session Options/Terminal/Log File

SecureCRT Icon Terminal / Log File

The Log File category of the Session Options dialog allows you to customize the logging options for the selected session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts..

Log file name group

This section allows you to specify a default filename for your log file. You can enter a path or filename, or you can use the Browse button to open the Save As dialog and select the path or filename. You can also include any of the variables listed in the Substitution section below. These variables will be expanded when SecureCRT writes to the log file.

Options group

This section lets you specify log file behaviors.

Prompt for filename

Check this option to prompt the user for the session log filename when the log is started.

Start log upon connect

Check this option to start writing to the session log file whenever a connection A data path or circuit between two computers over a phone line, network cable, or other means. is made. By default, this option is not selected.

Overwrite file

If this option is selected and the session log file already exists, the current log file will be overwritten by the new session log file.

Append to file

If this option is selected and the session log file already exists, the new session log will be appended to the existing log file. If the log file does not already exist, a new file is created.

Raw log

Check this option to write every character received by SecureCRT, including terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. escape sequences, to the session log file. By default, this option is off.

Start new log file at midnight

Check this option to have SecureCRT start a new log file each night at midnight. Using this feature can aid in automatic log rotation.

Custom log data group

This section lets you specify custom messages to be written to the log file. You can include any of the variables listed in the Substitution section below. These variables will be expanded when SecureCRT writes to the log file.

Upon connect

Entries in this box will be written to the log file when the session connects.

Upon disconnect

Entries in this box will be written to the log file when the session disconnects.

On each line

Entries in this box will be written to each line of the log file.

Log only custom data

If this option is selected, SecureCRT will log only the custom data from the three fields above. All normal log messages will be suppressed.

Substitutions group

In the dialog, this section lists some of the variables that SecureCRT can expand when writing to the log file. A complete list is shown below.

%H - hostname (not valid with protocols that do not specify a host, such as Serial)

%S - session name

%Y - four-digit year

%y - two-digit year

%M - two-digit month

%D - two-digit day of the month

%P - port (not valid with protocols that do not specify a port, such as RLogin)

%h - two-digit hour

%m - two-digit minute

%s - two-digit seconds

%t - three-digit milliseconds

%F - directory path starting below the "Sessions" folder

%% - percent (%)

%envvar% - environment variable

Note: The environment variable substitution occurs first.

Related Topics

  1. File Menu
  2. Session Options/Terminal


Session Options/Terminal/Printing

SecureCRT Icon Terminal / Printing

The Printing category of the Session Options dialog allows you to set up your printer configuration for the selected session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Use global print settings

Check this option to use the global options instead of configuring session-specific options. By default, all print settings for SecureCRT sessions are derived from global print settings.

Note: If this option is not checked, the settings specified here will override the setting in the Terminal/Printing category of the Global Options dialog for the selected session.

Margins group

This group allows you to set the margins on your printed pages. Margins are measured in inches. By default, all print margins are set at 0.5 inches.

Printer fonts group

This group displays the font currently being used for printed pages and also allows you to choose a different font.

Choose...

Press this button to open the Font dialog where you can choose the font you want to use for printed pages.

Print Setup...

Press this button to open the Windows Print Setup dialog where you can modify your printer configuration.

Pass-through printing group

Pass-through printing in SecureCRT allows the use of special print control escape sequences that turn on/off a printer control that sends characters directly to the printer. Depending on the sequence received, SecureCRT may bypass the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. display and send the data directly to the printer.

Disable pass-through printing

Check this option to disable pass-through printing and cause SecureCRT to ignore all printer control escape sequences it receives:

Buffer pass-through printing

Check this option to buffer pass-through printing. This will avert the issue of some applications that frequently toggle pass-through printing mode on and off, resulting in printed pages with only one line or pages that are otherwise incomplete. This option buffers all pass-through printing data and does not send it to the printer until you instruct SecureCRT to print the contents of the pass-through printing buffer.

To print the contents of the pass-through printing buffer:

1. Open the File menu and select Print.

2. In the Print menu, select Eject Page.

Use raw mode

Check this option to allow the use of a network printer when using pass-through printing.

Raw mode pass-through printing allows you to send data to a named printer as defined in Windows. In addition, raw mode instructs Windows to allow the data to be sent to the named printer without being interpreted (i.e. by the printer driver). If your host or application sends embedded printer commands (e.g., change font, etc.), enabling raw mode pass-through printing will allow these commands to be sent directly to the printer. If raw mode pass-through printing is enabled, SecureCRT will not interpret any embedded printer commands.

Direct pass-through printing to port n

Check this option to print directly to the COM or LPT port on the local machine to which a printer is attached.

Direct pass-through printing to a port essentially bypasses the Windows operating system, providing SecureCRT with direct communication to the local printer. If direct pass-through printing is enabled, print jobs are not spooled but are sent directly to the printer. The port to which the printer is attached will not be accessible to other applications until the current print job has been completed. For these reasons, it is suggested that you use raw mode pass-through printing rather than direct pass-through printing to port (see Use raw mode above).

Settings...

Click on this button to open the Direct Pass-Through Printing Settings dialog, which allows you to configure the serial device settings for pass-through printing.

Other

Force black on white

Check this option to force your printer to print as though your session's foreground color is set to black and your background color is set to white, regardless of your session's actual color settings. This option is off by default.

Related Topics

  1. File Menu
  2. Session Options/Terminal


Session Options/Terminal/X/Y/Zmodem

SecureCRT Icon Terminal / X/Y/Zmodem

The Terminal/X/Y/Zmodem category of the Session Options dialog allows you to configure your Xmodem, Ymodem, and Zmodem settings.

Directories group

Upload

Enter the path of a local directory that is to be used as the source folder when the Upload command is used. Click on the browser button to select the directory.

Download

Enter the path of a local directory that is to be used as the destination folder when the Download command is used. Click on the browser button to select the directory.

X/Ymodem send packet size group

This group allows you to select the size of the Xmodem and Ymodem packets you send. Your options are as follows:

128 bytes

1024 bytes (Xmodem-1k/Ymodem-1k)

Zmodem

Disable Zmodem

Check this option to turn off the ability to make Zmodem transfers.

Related Topics

  1. Session Options/Terminal


Session Options/File Transfer

SecureCRT Icon File Transfer

The File Transfer category of the Session Options dialog allows you to control attributes of the directory locations for a given session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Local directories group

Local window

Enter the path of the local directory that you want a local window to display on startup of the session. This is the default folder from which you want to transfer files to the remote machine. Click on the browser button to use a directory browser to select the directory.

Download directory

Enter the path of the local directory to be use as the destination folder when the Download command is used. This is the default folder in which you want to receive files from a remote machine. Click on the browser button to use a directory browser to select the directory.

Remote directories group

Initial directory

Enter the full path of the directory on the remote host that you want to be the current directory upon connecting to the remote host. If the initial directory is not specified, the default or home directory for the username on the remote system will be the initial directory.

Directory tree options group

Disable directory tree detection

This option is unchecked by default leaving the directory tree enabled. Checking this option will disable the directory tree for the current session.

This check box can also be set to a third, indeterminate state. When the check box is in this state, it appears grayed out and will cause SecureFX to use the Disable directory tree detection setting in the Global Options/File Transfer/Options dialog.

Transfer options group

Verify file status on retrieve

This option is checked by default. It causes a LIST command to be sent prior to retrieving a file from the FTP server in order to obtain the most current statistics (i.e., size and date) for the file.

This check box can also be set to a third, indeterminate state. When the check box is in this state, it appears grayed out and will cause SecureFX to use the Verify file status on retrieve setting in the Global Options/File Transfer/Options dialog.

Directory listing options group

Resolve symbolic links

Checking this box causes SecureFX to include the "L" flag when listing files and directories.

Display filenames using UTF-8 encoding

Checking this box causes filenames to always be displayed in UTF-8.

Related Topics

  1. Session Options/File Transfer/FTP/SFTP


Session Options/File Transfer/FTP/SFTP

SecureCRT Icon File Transfer / FTP/SFTP

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/FTP/SFTP category of the Session Options dialog allows you to control server and upload attributes for a given session.

Server parameters group

Operating system

Select the operating system used on the server. By default, this option is set to automatically detect the operating system on the server when connecting. This option allows you to override the automatic detection and specify a supported type.

Time zone

Select the time zone of the server. This information is used when translating file times from the server so that a more accurate comparison can be performed when comparing local file time and remote file times.

By default, this option is set to automatically detect the time zone of the server, if possible, using the server's connection A data path or circuit between two computers over a phone line, network cable, or other media. reply. Many FTP servers put time and date information in the initial reply text sent from the server, and SecureFX will attempt to determine time zone of the server from this text. If it fails to detect an appropriate time zone, the local time zone (i.e., the time zone in use on the client machine) is used by default.

Note: The SFTP protocol does not provide a mechanism for a server to communicate time zone information to the client. If this option is set to Automatic detect, timestamps will always be displayed using the local time zone when the SFTP protocol is used.

Upload options group

Filename conversion

Choose the filename conversion rule that will be applied to uploaded files. The choices for this option are as follows:

· Preserve case causes SecureFX to create the file on the remote machine using the filename exactly as it is stored on the local machine.

· Uppercase causes the alphabetic characters in a filename to be converted to all uppercase.

· Lowercase causes the alphabetic characters in a filename to be converted to all lowercase.

File creation mask (not available when using SFTP)

Enter a file creation mask (also called the UMASK) that will be used when a new file is uploaded to the FTP server. By default, this option is blank, which means that the UMASK command will not be sent to the FTP server, and the server will use the default UMASK setting for current logon.

The file creation mask is a value that is used to determine the default permissions settings for new files. This feature is usually only available on UNIX systems.

The value specified for the file creation mask is given in octal and is XORed on the remote system with the permissions of 666 for files and 777 for directories. For example, the value 002 would give complete access to the group and only read (and directory search) access to others. The value 022 would give only read (and directory search) access to the group and others.

Related Topics

  1. Session Options/File Transfer


Session Options/File Transfer/Advanced

SecureCRT Icon File Transfer / Advanced

This category only appears if VanDyke Software's SecureFX® 3.0 (or newer) is also installed.

The File Transfer/Advanced category of the Session Options dialog allows you to configure PGP options for a session.

PGP options group

Use PGP for all transfers

Select the operating system used on the server. By default, this option is set to automatically detect the operating system on the server when connecting. This option allows you to override the automatic detection and specify a supported type.

Pre-upload command

Enter the local command to execute on the file prior to upload (e.g., PGP encryption).

Post-download command

Enter the remote command to execute on the file after download (e.g., PGP decryption).

Notes:

A third-party library such as GnuPG is required in order to do PGP-like encryption and decryption.

If "%INPUT_PATH" appears within a PGP command, it is replaced with the input file path (i.e., the file being decrypted/encrypted/signed/verified).

"%OUTPUT_PATH" is a variable that SecureFX uses that is replaced with the file resulting from the PGP operation.

A file named "file.txt" will be named "file.txt.pgp" on the remote machine following PGP processing prior to the upload operation.

A file named "file.txt.pgp" will be named "file.txt" on the local machine following PGP processing after the download operation.

When uploading files that already have a ".pgp" or a ".gpg" extension, PGP processing will be skipped.

Example of pre-upload command:

gpg.exe --recipient "Name of Recipient's Certificate" --output "%OUTPUT_PATH" --encrypt

"%INPUT_PATH"

Example of post-download command:

gpg.exe --decrypt-files "%INPUT_PATH"

SFTP/SCP group

Use a separate transport for every connection

Choose the filename conversion rule that will be applied to uploaded files. The choices for this option are as follows:

Disable initial SFTP extensions

Check this option in order to disable the fs-multiple-roots-supported request, which may be needed for compatibility with some servers.


Button Manager Dialog

SecureCRT Icon Button Manager Dialog

The Button Manager dialog can be accessed by right-clicking anywhere in the button bar and selecting the Manage Buttons... option from the resulting context menu. The Button Manager allows you to reposition buttons along the bar, edit buttons, add buttons to and delete buttons from the bar, as well as copy and paste buttons between button bars.

Buttons group

Displays the buttons currently assigned to the selected button bar.

Up and Down arrows

Use the Up and Down arrows to reposition the buttons on the button bar.

Edit...

Opens the Map Button dialog for the selected button allowing you to edit the function and appearance of that button.

Add...

Opens the Map Button dialog allowing you to add buttons to the button bar.

Copy

Allows you to copy the selected button to the clipboard.

Paste

Allows you to paste a button that was copied to the clipboard.

Delete

Allows you to delete the selected button from the button bar.

Related Topics

  1. Button Bar Manager Dialog
  2. The Button Bar


Button Bar Manager Dialog

SecureCRT Icon Button Bar Manager Dialog

The Button Bar Manager dialog can be accessed by right-clicking anywhere in a button bar and selecting the Manage Button Bars... option from the resulting context menu. The Button Bar Manager allows you to add, edit, and delete button bars for the current session. You can also duplicate and rename existing button bars.

Notes:

• The Default button bar is always at the top, regardless of the Sort alphabetically option.

• The Default button bar cannot be deleted or renamed.

• If a button bar is renamed and it is specified for a session in the Session Options dialog in the Terminal/Appearance/Window category, it will need to be updated there.

Button bars group

Displays all the button bars that have been created.

Up and Down arrows

Use the Up and Down arrows to reorder the button bars in the button bar drop-down list.

Add...

Opens the New Button Bar dialog which will prompt you for the name of the new button bar that you want to add.

Edit...

Opens the Button Manager dialog for the selected button bar allowing you to customize that button bar.

Duplicate

Allows you to duplicate the selected button bar.

Rename

Allows you to rename the selected button bar.

Delete

Allows you to delete the selected button bar.

Sort alphabetically

Check this option to alphabetically sort the button bars in the button bar drop-down list. The Default button bar always appears at the top, regardless of this option.

Related Topics

  1. Button Manager Dialog
  2. The Button Bar


Command Properties Dialog

SecureCRT Icon Command Properties Dialog

The Command Properties dialog is used to add new commands and edit and existing ones. To add a new command, click on the New Command toolbar icon or right-click on a folder in the Command Manager and select the New Command option. To edit a command, select a command and click on the Properties toolbar icon or right-click on a command and select the Properties option

The Map Button dialog allows you to associate an action (function and associated argument) with the button selected when accessing the dialog.

Action group

This group contains the functions and arguments that make up a command action. A list and descriptions of the available functions is in the Table of Keymap Functions.

Function

Select the type of function that you want to assign to the command. You also need to select the specific function details that the Function requires.

<Function details>

This entry box will change depending on the selected Function option. Select or enter the specific function that you want to assign to the command.

Arguments

This entry box appears if you select Run Script in the Function box above. Enter argument (or arguments) needed for your selected script. These script arguments function in the same manner as if they were passed in using the command line /ARG option.

Appearance group

This group contains options controlling the appearance of the configured command.

Label

Enter the text you want to appear as the label for the command.

Icon color

Select the color that you want to assign to the command icon.


Customize Dialog

SecureCRT Icon Customize Dialog

The Customize dialog allows you to customize the user interface menu bar and toolbars to suit your needs and preferences. You can show or hide toolbars, rearrange menu commands and toolbar buttons, add or remove commands and buttons, and create new menus and toolbars.

Note: You can also customize your toolbars by using the ALT+drag method. To do this, place the mouse pointer over a menu title or toolbar button, hold down the ALT key, and drag the menu or button to a new location, or totally off the bar if you want to remove it.

The Customize Toolbar dialog can be accessed in several ways:

Right-click on any of the bars and select Customize... from the context menu.

Right-click on the Toolbar Options button on the main toolbar and select Customize... from the context menu.

Commands tab

Categories window

Displays the categories of commands available for use in menus and buttons. Selecting a category displays the associated commands in the Commands window.

Commands window

Displays the commands associated with the selected category. These commands can be added to menus and used as toolbar buttons.

You add commands or buttons to menus and toolbars by clicking on that command and dragging it to the desired menu or toolbar. If a command that you want to add as a toolbar button does not have a button icon, SecureCRT will create a button on the toolbar displaying the command's name.

Toolbars tab

Toolbars window

Displays the Menu bar, Main toolbar, and any other toolbars that have been created. To hide a toolbar in the interface, uncheck the box to the left of that toolbar's name. The Menu bar cannot be hidden.

When the Customize dialog is open, SecureCRT allows you to add commands to and remove commands from menus using drag and drop. To add a command to a menu, drag that command from the Commands tab to the menu where you want it. To remove a command from a menu, open that menu and drag the command off of that menu.

Clicking on the Reset button on this tab will reset the selected toolbar to its default values. Clicking on the Reset All button resets all the toolbars.

Menu tab

Application Frame Menus group

Show Menus for

Select the menu bar to use.

Reset

Resets selected menu bar to default values.

Menu animations

Select your preferred method of animating the opening and closing of SecureCRT menus.

Menu shadows

Select this option to have an open menu display a shadow.

Options tab

Toolbar group

Show ScreenTips on toolbars

Check this option to have SecureCRT display ScreenTips when you hover your pointer over a toolbar button.

Show shortcut keys in ScreenTips

Check this option to have SecureCRT display alternative keyboard shortcut options with ScreenTips when you hover your pointer over a toolbar button.


Direct Pass-Through Printing Settings Dialog

SecureCRT Icon Direct Pass-Through Printing Settings

The Direct Pass-Through Printing Settings dialog allows you to set the serial device settings for pass-through printing.

Baud rate

Select the baud rate for the device. The default value is 38400.

Data bits

Select the number of communication data bits. The default value is 8.

Parity

Choose the parity setting supported by the connected device. The default setting is None.

Stop bits

Choose number of stop bits sent after each character. The default value is 1.

Flow control

DTR/DSR

Select this option to use the DTR/DSR (data-terminal-ready/data-set-ready) signals with the connected device. By default, this is not selected.

RTS/CTS

Select this option to use RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, this option is selected.

XON/XOFF

Select this option to use XON/XOFF software flow control. By default, this option is not selected.


Firewall Properties Dialog

SecureCRT Icon Firewall Properties Dialog

The Firewall Properties dialog can be accessed by clicking on either the Add... or Edit... button on the Firewall category of the Global Options dialog.

Name

Enter unique name for this firewall. This name will be used in the Session Options dialog to specify the firewall for a given session.

Type group

Select the type of firewall that you are using from the list of firewalls that are supported by SecureCRT.

Parameters group

This group allows you to configure the parameters for the firewall Type that you selected above. The options in this group vary based on the Type selection. The supported firewalls are listed below:

• Generic/Telnet - Choose this option if you connect through a proxy server that uses a simple send/expect interface. Selecting this type will enable the Proxy prompt and Proxy command options described below.

• SOCKS Version 4

• SOCKS Version 5 (no authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair.)

• SOCKS Version 5 (username/password) - If your firewall server is running either SOCKS version 4 or SOCKS version 5, select one of these types for the Type field. Enter the hostname or IP address of your SOCKS firewall server in the "Hostname or IP" field, and enter the SOCKS firewall port number in the "Port" field. The conventional port number for SOCKS is 1080.
The "username/password" version of the SOCKS firewall choices allows for firewall user authentication. The only method of authentication currently supported is the "Username/Password Authentication" protocol, which requires the username and password to be sent as clear text. Therefore, this method is not recommended for non-secure environments.

• HTTP (no authentication) - This type allows your server to connect through an HTTP proxy server.

• HTTP (Basic username/password) - This type allows your server to connect through an HTTP proxy server that supports "Basic" authentication (this is an HTTP standard). "Basic" authentication sends usernames and passwords in the clear, therefore, this method is not recommended for non-secure environments.

• OPEN host - Select this type if your firewall server requires the OPEN command. This type may be selected for the CSM proxy server. Also, enter the hostname and port of the firewall server in the appropriate fields.

• USER user@host:port - Select this type if your server is running the WinGate proxy server. Enter the hostname or IP address and port of the firewall server in the appropriate fields. This type may also be selected for use with the CSM proxy server. This type should also be used for the WinProxy proxy server. For this particular proxy server you may also need to have the Use outgoing data connections (PASV) option unchecked in the Connection/FTP category of the Session Options dialog.

• USER user@host port

• USER user@host port (with login) - Select these types if your server is running the TIS Internet Firewall Toolkit. Choose the first form if the firewall server does not require authentication. If your firewall server requires authentication, choose the second form. Also, enter the hostname or IP address and port of the firewall server in the appropriate fields.

• USER user@host login - This type will send the remote username and the server address followed by the firewall user ID. It then expects to send the password for the remote user and the password for the firewall user. This type should be used if your server is running the Raptor Firewall.
For this firewall type you will need to enter the username and password that is required by the firewall server to authenticate your connection A data path or circuit between two computers over a phone line, network cable, or other means. . Also, enter the hostname or IP address and port of the firewall server in the appropriate fields.

• Proxy command - Choose this option if you need to issue a local proxy command in order to connect to the SSH server.

Hostname or IP

Enter the hostname or IP address of the machine to which you want to connect.

Port

Enter the port to which you want to connect. For a SOCKS firewall, this is usually 1080.

Username

Enter the username for this connection.

Password

Enter the password for this connection.

Proxy prompt

This option applies only if you have selected Generic/Telnet proxy as your firewall Type.

Enter the prompt that SecureCRT can expect to receive from the generic/Telnet proxy. For example, to use the TIS Firewall toolkit, the prompt would be:

tn-gw>

For WinGate, the prompt would be:

WinGate>

Proxy command

This option applies if you have selected Generic/Telnet proxy or Proxy command as your firewall Type. The following tokens are supported:

%% A literal "%"
%h Hostname
%p Port

For the generic/Telnet proxy, enter the connect or open command that SecureCRT needs to send. For example, to use the TISFirewall toolkit, the command would be:

c %h % p\r

The WinGate command would be:

%h % p\r\n

For the Proxy command firewall type, enter the local proxy command. Here's an example Duo command:

duoconnect -host=%h:%p -relay=https://engineering-ssh.example.com


GSSAPI Properties Dialog

SecureCRT Icon GSSAPI Properties Dialog

The GSSAPI Properties dialog can be accessed by clicking on the Properties button in the Authentication group of the Connection/SSH1, SSH2, or Telnet category of the Session Options dialog when GSSAPI is the specified authentication method.

GSSAPI (Generic Security Services Application Program Interface) is a generic API for performing client/server authentication. GSSAPI allows SecureCRT to authenticate with a server without knowing anything about the specific authentication mechanism in use.

Method

SecureCRT supports the following types of GSSAPI provider:

· MS Kerberos - In order to use this provider, SecureCRT must be running on Windows 2000 or newer. The Windows 2000 computer must have been configured as part of an Active Directory domain or been configured to participate in a Kerberos realm.

· GSSAPI - In order to use this provider, you must have a Gssapi32.dll file provided by a third party (e.g., the MIT Kerberos distribution). This third-party application must be configured correctly for your environment.

· Auto Detect - This setting instructs SecureCRT to attempt to automatically determine which of the above two methods will work with the server that you are connecting to. This is the recommended setting.

Delegation

When SecureCRT authenticates with GSSAPI, it can control whether or not the server is allowed to access other secured resources (such as network file servers) without further prompting for credentials. SecureCRT supports the following delegation settings:

· Full - If this delegation is selected and the GSSAPI mechanism both supports delegation and is configured to allow delegation, the server may be able to access other secured resources without prompting for credentials.

· None - If this delegation is selected, the server may have to prompt for further authentication in order to access secured resources such as network files, printers, or to log on to a different server.

· Limited - This delegation is the same as Full delegation for the MS Kerberos method. If the GSSAPI method is in use, its meaning is determined by the Gssapi32.dll in use.

<< Advanced

Pressing this button expands (or contracts) the GSSAPI Properties dialog to display (or hide) the following options.

SPN (Server Principal Name)

When authenticating with GSSAPI, SecureCRT must determine the canonical name of a server. The server has exactly one canonical name, which no other server can share. The server may have other names, for example, the server 192.168.20.1 may be known as mail.mydomain.com, mydomain.com and mail, but it has only one canonical name, mail.mydomain.com.

SecureCRT uses this canonical name to form a Server Principal Name (SPN), which the GSSAPI provider uses to identify the server with which it should authenticate.

SecureCRT usually uses the host variable (HOST) to determine the server SPN. However, this depends on hostname lookups working correctly. If this does not work correctly, this behavior can be overridden by manually specifying the SPN.

Manually specify the SPN (default is host@$(HOST))

Checking this box will enable the SPN text box below and manually specify the SPN.

SPN

Enter the SPN string. The string is almost always of the form host@<server canonical name>. An example of a valid string is "host@mail.mydomain.com". SecureCRT will make the following variable substitutions in the specified SPN name:

· $(HOST) - the hostname as specified in the Session Options/Connection/SSH2 category.

· $(PORT) - the port as specified in the Session Options/Connection/SSH2 category

If the server is in a different Kerberos realm, the realm name may need to be appended (e.g., host@mail.mydomain.com@KRBS.MYDOMAIN.COM.

Related Topics

  1. Session Options/Connection


Keymap Editor Dialog

SecureCRT Icon Keymap Editor Dialog

The Keymap Editor dialog is accessed from the Keymap Editor toolbar button or from the Keymap Editor... command on the Tools menu. The Keymap Editor allows you to modify keymaps. You can make changes to the keymap currently selected in the Terminal/Emulation category of the Session Options dialog, or you can load and modify other keymaps.

SecureCRT provides built-in keymaps for the ANSI, Linux, SCO ANSI, VShell, VT100, VT102, VT220, WYSE50, and WYSE60 terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulations. You can also create custom keymap files by saving modifications made with the Keymap Editor as a new file. Keymap files are saved with the extension .key.

Unlike the Mapped Keys function, which only changes key associations for the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. in which the keys were mapped, built-in and custom keymaps can be used by multiple sessions by setting the Select an alternate keyboard emulation to the same keymap.

Keymap Editor dialog

Keymap Editor Dialog

Keyboard

The top part of the Keymap Editor dialog is a representation of a physical keyboard. By clicking on a key in the keyboard area, you can see if the key is mapped to an action (displayed in the Selected key maps to field) or select it for mapping. This area also provides check boxes for Alt, Ctrl, and Shift modifiers that you can add to key combination selections.

Note: The ALT+F6 key combination is reserved in Windows and cannot be mapped.

Selected key maps to

This field displays any action to which the selected key is mapped.

Map Selected Key...

After selecting a key in the keyboard area above, click on this button to open the Map Selected Key dialog. In that dialog you can map the selected key to one of the listed actions.

Map a Key...

Click on this button to map a key using your physical keyboard. After you click on this button and press the key (or key combination) that you want to map, the Map Selected Key dialog will open allowing you to select the action that you want mapped to the specified key.

Unmap Selected Key

Click on this button to remove the mapping of the selected key from the keymap.

Save

Click on this button to save your modifications to the keymap currently in use.

Save As...

Click on this button to save your modification to a keymap other than the one currently in use.

Load...

Click on this button to load an existing keymap for editing. To edit the keymap being used by the current session, you do not have to load the keymap.

Close

Click on this key to close the Keymap Editor.

Related Topics

  1. Emulation-Specific Keymappings
  2. Overview of Keymaps


Keyword List Properties Dialog

SecureCRT Icon Keyword List Properties Dialog

The Keyword List Properties dialog allows you to configure the keyword list selected in the Session Options/Terminal/Keyword Highlighting category for the active session.

List name

This field displays the name of the current keyword list.

Match style

This field displays the type of matching used by the keyword list.

Keywords group

This group allows you to add, modify, and remove keywords from the keyword list.

New keyword

Enter a word or regular expression and press the Enter key or Add (plus) button to add it to the list. If the match style is Whole words, keywords (including regular expressions) cannot contain spaces.

Regular expression

Check this box to indicate that the keyword is a regular expression. The following are examples of regular expressions:

• IPv4 address: \d*\.\d*\.\d*\.\d*

• IPv6 address: ([A-Fa-f0-9]{1,4}::?){1,7}[A-Fa-f0-9]{1,4}

• Match everything after a keyword and an equal sign (e.g., “error=12345”): error=.*

Note: The regular expressions should use ECMAScript syntax.

Keyword list

This is an ordered list of keywords. Keywords are matched using the order in the list. As soon as a match is found, the keyword is highlighted. To reorder the list, select the keyword that you want to reposition and use the buttons to the right of the list to move the keyword up or down. Multiple keywords can be moved when the selection is contiguous.

When the match type is Whole words, the word delimiters for keyword highlighting are the following:

` ~!#$%^&*()+=:;<>,.?/\[]{}|'

Note: Word delimiters can be used in a regular expression.

Edit

Press this button to make changes to the selected keyword.

Remove

Press this button to remove the selected keyword(s).

Match case

Check this box to indicate that the case of all the keywords in the list should be matched.

Set Color…

Select one or more keywords in the list and press this button to set their color. The Color highlight style must be checked in the Session Options/Terminal/Keyword Highlighting/Advanced category in order to set the color for selected keywords.


Local Port Forwarding Properties Dialog

SecureCRT Icon Local Port Forwarding Properties Dialog

The Local Port Forwarding Properties dialog can be accessed by clicking on either the Add... or Edit... button on the Connection/Port Forwarding category of the Session Options dialog.

Name

Name

Enter a unique name for this connection A data path or circuit between two computers over a phone line, network cable, or other means. .

Local

Manually select local IP address on which to allow connections

Check this option to bind the local end of a port forward to an address other than the default localhost loopback adaptor (e.g., 127.0.0.2).

Port

Enter the number or name of the port on the local machine from which you want to connect.

Remote

Destination host is different from the SSH server

Check this option if the remote destination host is different from the SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. .

Port

Enter the number or name of the port on the remote machine to which you want to connect.

Dynamic forwarding using SOCKS 4 or 5

Check this option to have SecureCRT act as a SOCKS proxy server on the specified port. This will allow any client that can connect using a SOCKS firewall to use the “dynamic port forward” to set up a port forward.

For example, if you have a dynamic port forward set up to use 127.0.0.3 on port 1080, you could then use that one dynamic port forward to connect to any host behind the firewall.

Application

Application

SecureCRT allows you to optionally start an application on the local machine once you have established a connection. Enter the full pathname of the application.

Arguments

Enter any arguments that you want to use with the specified application.

Related Topics

  1. Configuring Port-Forwarding Filters


Map Button Dialog

SecureCRT Icon Map Button Dialog

The Map Button dialog can be accessed by right-clicking anywhere in the button bar and selecting the New Button… option.

The Map Button dialog allows you to associate an action (function and associated argument) with the button selected when accessing the dialog.

Action group

This group contains the functions and arguments that make up a button action. A list and descriptions of the available functions is in the Table of Keymap Functions.

Function

Select the type of function that you want to assign to the specified button. You also need to select the specific function details that the Function requires.

<Function details>

This entry box will change depending on the selected Function option. Select or enter the specific function that you want to assign to the specified button.

Arguments

This entry box appears if you select Run Script in the Function box above. Enter argument (or arguments) needed for your selected script. These script arguments function in the same manner as if they were passed in using the command line /ARG option.

Disable tooltip (available for SendString functions only)

If SendString is selected as the button's Function type, this option is displayed and will allow you to disable the tooltip and status bar text for this button.

Appearance group

This group contains options controlling the appearance of the configured button.

Label

Enter the text you want to appear as the label on the button.

Icon color

Select the color that you want to assign to the button icon.

Related Topics

  1. The Button Bar


Map Selected Key Dialog

SecureCRT Icon Map Selected Key Dialog

The Map Selected Key dialog can be accessed by several methods:

· Open the Keymap Editor, select a key to be mapped from the keyboard area, and click on the Map Selected Key... button.

· Open the Keymap Editor, click on the Map a Key... button, and enter a key or key combination to be mapped.

· Open the Terminal/Emulation/Mapped Keys category of the Session Options dialog, click on the Map a Key... button, and enter a key or key combination to be mapped.

· Open the Terminal/Emulation/Mapped Keys category of the Session Options dialog, select a mapped key from the list, and click on the Edit button.

The Map Selected Key dialog allows you to associate an action (function and associated argument) with the key (or keys) selected when accessing the dialog.

Key Combination group

This field displays the key or key combination specified when accessing this dialog.

Action group

This group contains the functions and arguments that make up a key action. A list and descriptions of the available functions is in the Table of Keymap Functions.

Function

Select the type of function that you want to assign to the specified key. You also need to select the specific argument that the Function requires.

<Function details>

This entry box will change depending on the selected Function option. Select or enter the specific function that you want to assign to the specified key.

Arguments

This entry box appears if you select Run Script in the Function box above. Enter argument (or arguments) needed for your selected script. These script arguments function in the same manner as if they were passed in using the command line /ARG option.

Related Topics

  1. Overview of Keymaps


Public-Key Assistant Dialog

SecureCRT Icon Public-Key Assistant Dialog

The Public-Key Assistant dialog is accessed from the Public-Key Assistant toolbar button or from the Public-Key Assistant... option on the Tools menu. This dialog allows you to view and manage the public keys that are installed for the current user on the remote server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. that is configured for the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

User

Displays the username of the current user.

Status

Displays the status of the connection A data path or circuit between two computers over a phone line, network cable, or other means. to the server.

The list window in this dialog displays the public keys that are installed for the current user on the remote server. For each public key, the list also displays the Type of algorithm used to generate the key (RSA, Ed25519, ECDSA, or DSA), the key's Comment, and the key's Fingerprint.

Upload...

Click this button to choose another public key to upload to the remote server using the public-key assistant..

Create...

Click this button to open the Key Generation wizard where you can create and upload a new public key file.

Delete

Click this button to delete the selected public key from the server.

Note: If the computer on which SecureCRT is running does not support the key type for a key in the list, the Fingerprint will read "unsupported key type" and the Delete button will be disabled for that key.


Public Key Properties Dialog

SecureCRT Icon Public Key Properties Dialog

The Public Key Properties dialog can be accessed by clicking on the Properties button in the Authentication group of the Connection/SSH2 category of the Session Options dialog. This dialog is not available when the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. is connected .

Use global public key setting/Use session public key setting

Select whether SecureCRT should use the global identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. or a specified session identity file as your method of authentication for this session. Your choice will determine the options available in the group below.

Global/Session settings group

Use identity or certificate file

Selecting this option instructs SecureCRT to use the specified identity , OpenSSH certificate, or PKCS #12 file as your method of authentication. To use an existing file, enter the full path to the file or click on the browse button to open a file browser to locate the file. For more information on configuring your system to use identity files, see Public-Key Authentication for SSH2.

To use an Amazon EC2 "key pair" with SecureCRT, specify the private key file of the key pair generated by Amazon as the identity or certificate file. This file typically has a .pem extension.

Use a certificate from your personal CAPI store or a PKCS #11 provider DLL

Selecting this option instructs SecureCRT to use X.509 certificates from your Microsoft CAPI personal store or PKCS #11 provider DLL as your method of authentication. If you select PKCS #11 in the dropdown list, you will need to specify the path to the PKCS #11 provider DLL. For both CAPI and PKCS #11, SecureCRT will try all certificates by default. Click on the browse button in order to select a specific certificate to be used for authentications.

For more information on X.509 certificates, see Using X.509 Certificates.

Get username from certificate

Check this option to use the Common Name or Principle Name from the certificate as the username when authenticating.

Use certificate as raw SSH2 key (server does not support X.509)

Check this box in order to send the certificate as a raw key. This option is on by default. When this option is set, the certificate will be treated like a key pair, which is necessary in order to use a certificate to authenticate to a server that does not support X.509 certificates.

Fingerprint

This entry box will be filled in automatically when an identity file is entered above.

Create Identity File...

Press this button to start the Key Generation wizard and create identity files which contain your public-private key pair .

Note: SecureCRT supports RSA, Ed25519, ECDSA, and DSA key types.

Upload...

Press this button to open the Upload Public Key dialog and upload the specified identity file to the server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. configured for this session.

Public keys are uploaded using the public-key assistant. Uploads are only available on servers that support the public-key assistant (such as VanDyke Software's VShell® server 2.1 or newer).

Export Public Key...

Press this button to export your public key. You will be prompted for the certificate to use and where to save the public key.

Change Passphrase...

Press this button to change the passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process. for your identity file.

Related Topics

  1. Session Options/Connection


Remote Port Forwarding Properties Dialog

SecureCRT Icon Remote Port Forwarding Properties Dialog

The Remote Port Forwarding Properties dialog can be accessed by clicking on either the Add... or Edit... button on the Connection/Port Forwarding/Remote/X11 category of the Session Options dialog.

Name

Name

Enter a unique name for this connection A data path or circuit between two computers over a phone line, network cable, or other means. .

Remote

Manually select remote IP address on which to allow connections

Check this option to bind the remote end of a port forward to an address other than the default localhost loopback adaptor (e.g., an internal LAN interface).

Port

Enter the number or name of the port on the remote machine from which you want to connect.

Local

Destination host is different from localhost

Check this option if the destination host is different from the localhost.

Port

Enter the number or name of the port on the local machine to which you want to connect.

Related Topics

  1. Configuring Port-Forwarding Filters


Select Files to Send... Dialogs

SecureCRT Icon Select Files to Send...Dialogs

The Select Files to Send... dialogs consist of the Select Files to Send as ASCII dialog, the Select Files to Send as Binary dialog, the Select Files to Send using Xmodem dialog, the Select Files to Send using Ymodem dialog, and the Select Files to Send using Zmodem dialog. These dialogs have similar options and can be accessed from the Transfer menu using the Send ASCII..., Send Binary..., Send Xmodem..., Send Ymodem..., and Zmodem Upload List... options, respectively.

The following options appear on all four dialogs:

Look in

Select the folder in which you want to look for the file that you want to send. The list below will display the contents of the specified folder. You can also use the buttons to the right of the entry box to help you navigate through and sort the items in the list.

File name

Enter the name of the file that you want to send, or click on the file in the list above.

Files of type

Select the type of files that you want displayed in the list above.

On the Select Files to Send as ASCII dialog, the Select Files to Send as Binary dialog, and the Select Files to Send using Xmodem dialog, you begin transferring the selected file by clicking on the Send button.

Ymodem and Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. support multiple file transfers and, therefore, the Select File to Send using Ymodem and Select File to Send using Zmodem dialogs have a few more options:

Add

Click on this button to add the file shown in the File name entry box to the Files to send list.

Files to send

This list displays the files that are queued to be sent using Zmodem. To send the specified files, follow these steps:

1. Click on the OK button to save the files and close the dialog

2. Open the Transfer menu

3. Select the Start Zmodem Upload option.

Remove

Click this button to remove selected files from the Files to send window.

Start Upload (Zmodem only)

Click this button to start the transfer immediately.

Upload files as ASCII

Check this box to instruct SecureCRT to send the files in the Files to send window in ASCII format. If left unchecked, files will be sent in binary format.

Note: For this option to work properly, the installation of Zmodem on the remote machine must be able to convert ASCII to use the local convention for line termination.


Specify Filename to Receive... Dialogs

SecureCRT Icon Specify Filename to Receive... Dialogs

The Specify Filename to Receive... dialogs consist of the Specify Filename to Receive as ASCII dialog and the Specify Filename to Receive using Xmodem dialog. These dialogs have the same options and can be accessed from the Transfer menu using the Receive ASCII... and Receive Xmodem... options, respectively.

The following options appear on both dialogs:

Save in

Select the folder in which you want to save the file that you are to receive. The list below will display the contents of the specified folder. You can also use the buttons to the right of the entry box to help you navigate through and sort the items in the list.

File name

Enter the name of the filename that you are to receive, or click on the filename in the list above.

Save as type

Select the type of file that you want to save the received file as.

To begin transferring the specified file, click on the Receive button.


Upload Public Key Dialog

SecureCRT Icon Upload Public Key Dialog

The Upload Public Key dialog can be accessed by clicking on the Upload button on the Public Key Properties dialog or from the Key Generation wizard after you have created a public key file. This dialog allows you to view the status of public key file uploads to a server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. .

Using password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. , SecureCRT attempts to connect to the server that is configured for the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. . SecureCRT then uploads the public key file by way of the public-key assistant. Uploads are only possible on servers that support the public-key assistant (such as VanDyke Software's VShell® 2.1 or newer server).

Once a public key for a session has been uploaded to a server, further session connections to that server can be made using public-key authentication.


The Toolbar

SecureCRT Icon The Toolbar

The SecureCRT toolbar is user-manageable in that the user can toggle its display on or off. When enabled, the toolbar appears below the SecureCRT menu bar. Move the mouse cursor over a toolbar button to view its associated action. The toolbar is enabled by default. The toolbar can be customized to suit the preferences and needs of the user.

The table below depicts the toolbar buttons and their associated tasks.

Button | Description
 | Session Manager: Displays the Session Manager if it is not already visible or moves focus to the Session Manager if it is visible. By default, this button is only shown when the Use dockable Session Manager option is enabled.
 | Connect: Opens the Connect dialog. This button is only shown when the Use dockable Session Manager option is disabled.
The Quick Connect Button | Quick Connect: Brings up the Quick Connect dialog.
 | Reconnect: Reconnects last connection A data path or circuit between two computers over a phone line, network cable, or other means..
The Disconnect Button | Disconnect : Closes the current connection.
 | Connect Bar: Allows you to enter and open a session in a new tab or window.
The Copy Button | Copy: Copies the selected text to the Clipboard.
The Paste Button | Paste: Pastes the contents of the Clipboard.
The Find Button | Find: Searches the contents of the scrollback buffer and terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen for a given string.
The Print Screen Button | Print Screen: Prints the text currently displayed in the terminal window.
The Properties Button | Properties: Brings up the Session Options dialog.
The Keymap Editor Button | Keymap Editor: Invokes the Keymap Editor.
 | Public-Key Assistant: Opens the Public-Key Assistant dialog.
The Help Button | Help: Invokes the online help manual.
 | SecureFX: Starts VanDyke Software's SecureFX® (if the program is installed).


Session Tabs

SecureCRT Icon Session Tabs

SecureCRT allows you to display multiple sessions either in separate application windows or in one window using session tabs. You turn on tabs by selecting the Session Tabs option on the View menu or by enabling the Show session tabs option on the Global Options/Terminal/Appearance dialog.

When session tabs are enabled, a separate tab will be displayed for each open session. To display a new session tab, click on the Connect in Tab/Tile toolbar button or open the File menu and select Connect in Tab/Tile.... This will open the Connect in Tab/Tile dialog allowing you to select from a list of your existing sessions.

Note: You can still open sessions in separate windows by using the Connect button to start other sessions.

Tabs can be moved using drag-and-drop operations and can be closed by pressing CTRL+F4 or the middle mouse button.

Tabs can be renamed by right-clicking on the name on the session tab and selecting Rename. The name change remains in effect until the tab is reused, until SecureCRT exits, or until the tab name is reset. Tabs names can be reset by right-clicking on the name on the session tab and selecting Reset Name. This resets the session name back to the session's name or title specified in the Session Options dialog. After the name is reset, escape sequences will change the title again.

You can also "clone" a tabbed session by right-clicking on the session and selecting the Clone Session option or by opening the File menu and selecting the Clone Session option. This will create a session that is identical to the current session. If the original session is using the SSH2 protocol, the transport is shared and re-authentication is not needed. For other protocols or if the transport cannot be shared because of a resource shortage, authentication is required.

If a tabbed session was connected using Quick Connect, the Connect bar, or the command line, that session can be saved to the session database by right-clicking on the session tab and selecting Save Session.

When working with tabs, the first session always dictates geometry and font choices of the other sessions regardless of the actual settings for size and font in the other sessions. Tabs are automatically sized if they do not fit in the SecureCRT window.

Tab groups

You can create a new tab group by dragging a tab to the right side of the application window to create a vertical grouping or to the bottom to create a horizontal grouping. There are also options on the Session Manager and tab context menus for working with tab groups.

SFTP sessions

If you have an SSH2 session open, you can also open an SSH file transfer protocol (SFTP) session using the same transport as the current SSH2 session. To do this, open the SecureCRT File menu and select the Connect SFTP Session option (you can also access this option from the right-click context menu). This will open a new tab or tiled session with a SFTP command line.

Drag-and-drop transfers are supported in the SFTP tab. Single or multiple files can be dragged from Microsoft Explorer (or other OLE-enabled applications) into the SFTP tab, which cause a put command to be issued for the file(s).

SecureCRT also supports tab completion of command arguments on the SFTP command line. Begin typing a command and argument and then press the TAB key. SecureCRT will attempt to complete the argument(s) based on the available choices. If there are multiple choices, SecureCRT will display a list of possible options. You can choose from this list or continue typing until SecureCRT can identify the unique argument.

See SFTP Command-Line Options for a complete listing of available options.

Related Topics

  1. Switching Between Multiple Sessions


The Connect Bar

SecureCRT Icon The Connect Bar

The SecureCRT connect bar provides a command-based method that allows you to enter and connect to a session or sessions. Additionally, if part of a session name is typed into the connect bar, a filtered list of matching sessions is displayed to make connecting to saved sessions from the connect bar easier.

The connect bar is accessed via the toolbar or by typing the ALT+R key combination. The connect bar can be displayed or hidden by selecting or deselecting the Connect Bar option on the View menu.

Pressing CTRL+ENTER in the connect bar will open the specified session in a new window.

For a complete list of the supported options, see the following topics:

Table of Protocol-Specific Command-Line Options

Table of Standard Command-Line Options

Syntax Examples

The following is an example of how to open a new connection. The host can be an IP address or a named host. If only the host is specified, the default protocol and port will be used.

[<telnet|ssh1|ssh2>://][<user>[:<password>]@]<host>[:<port>]

The following is an example of how to open a specific session.

/S <session name>

The following is an example of how to open connections to the specified sessions in two tabs (in the current window or a new window).

/S <session name> /S <session name>

The following is an example of how to open a connection to <host> using <firewall>

/FIREWALL=<firewall> ssh2://[<user>]@<host>

Using SecureCRT's dependent session option on the command line or in the connect bar (as in the following example), it's possible to link a session to an SSH2 session that it depends on, which allows connection to a jump host before connecting to other sessions.

Both the command line and the connect bar use the normal /Firewall specifier and the firewall will be Session:<session name> with the following syntax.

/FIREWALL=Session:<Session Name> ssh2://[<user>]@<host>

Session: is case insensitive.


The Button Bar

SecureCRT Icon The Button Bar

The SecureCRT button bar is a user-configurable row of buttons that you can use to quickly access frequently needed actions and commands. You can toggle the button bar display on or off by selecting or unselecting the Button Bar option on the View menu, or by selecting or unselecting the Show button bar option on the Terminal/Appearance/Window category of the Session Options dialog or the Terminal/Appearance category of the Global Options dialog.

Note: To perform an action, which has been mapped to a button, on all connected sessions, use the SHIFT+<click> combination. If the mapped action is Launch Application, only one instance of the application will be launched.

The button bar assigned to the default session is used for all new and Quick Connect sessions. The default button bar is normally assigned to the default session, but this can be changed by editing the Default Session category in the Global Options dialog.

Note: The default button bar can be edited, but cannot be deleted.

To create a new button bar, right-click on any part of the button bar to open the context menu and then select the New Button Bar… option. This opens the New Button Bar dialog which allows you to add a named button bar to the global list of button bars available to SecureCRT. A button bar can be assigned to a session in the Terminal/Appearance/Window category of the Session Options dialog, or by selecting a different button bar in the button bar drop-down list while the session is active.

To add a button to the button bar, right-click anywhere in the button bar and select the New Button… option; this will open the Map Button dialog. To change an existing button, right-click on the button you want to change and choose the Edit Button… option. Each button on a bar can be assigned one action. The list of actions available is the same as the list of actions available for keymap key assignments and includes Send String, Run Script, Menu, Scroll Bar, Telnet, SSH, and VT function genres. You can rearrange the buttons on the button bar by holding the ALT key and dragging a button to a different location or by right-clicking on a button and selecting the Move Button Left or Move Button Right option.

Note: In order to display an ampersand character (&) in a button bar, it must be preceded by a second ampersand. For example, to label a button "A & B", the text entered in the Label field of the Map Button Bar dialog should be "A && B".

You can also create a button that launches local commands. By assigning a button to the function Launch Application and entering the appropriate executable file, SecureCRT can open whatever application you need.

Note: Some actions might fail or be ignored if the active session is not connected or is in a state where the action cannot be performed.

To remove a button from a button bar, right-click the button that you want to delete and select Delete Button from the context menu.

To delete a button bar, select the button bar you want to delete in the button bar drop-down list (making it the active button bar for the session), right-click anywhere in the button bar, and choose the Delete Button Bar option.

Assignments of keys in keymaps and of buttons in button bars are independent of each other; i.e., assigning a key to an action does not affect any assignments or labels in button bars, but you can edit your keymap and button bars separately to have corresponding settings.


The Status Bar

SecureCRT Icon The Status Bar

The SecureCRT status bar (shown below) is made up of the following fields (as they appear from left to right):

Status Bar

Message

The messages include the following: the default "Ready"; short definitions of highlighted toolbar buttons and menu commands; and the coordinates when you resize the SecureCRT window or select an area within the window.

Protocol

The protocol that is being used by the current session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. . These protocols include SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server., SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides., Telnet Telnet is a protocol that provides an interface for communications between clients and servers., Telnet/TLS , RLogin, and serial.

Cursor Location

The row and column (row, column) in which the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. cursor currently resides.

Rows Configured

The number of rows to be displayed in the SecureCRT window (as configured in the Session Options dialog).

Columns Configured

The number of columns displayed in the SecureCRT window (as configured in the Session Options dialog).

Emulation

The type of terminal that SecureCRT is currently emulating. These emulations include ANSI, Linux, SCO ANSI, VT100, VT102, and VT220.

Elapsed time

Indicates elapsed connection time for the session if the Show elapsed time option is enabled.

Caps Lock

Indicates whether the keyboard Caps Lock control is on or off.

Num Lock

Indicates whether the keyboard Num Lock control is on or off.


Arranging Entries in the Connect Dialog

SecureCRT Icon Arranging Entries in the Connect Dialog

Note: The following methods for arranging sessions and folders apply to both the Connect dialog and to the Session Manager.

Sessions listed in the Connect dialog's session tree can be arranged alphabetically (i.e., A1, A10, A2, B), logically (i.e., A1, A2, A10, B), or manually.

You can select the order by which you want to sort the session tree by using the Connect dialog sort order option in the Global Options / General dialog, or by right-clicking on any entry listed in the Connect dialog and choosing the Arrange Tree option from the resulting context menu. Changing the sort order with the Arrange Tree option will also change the Connect dialog sort order and vice versa.

By default, sessions are listed in alphabetical order as depicted in the sample sessions and folders listed in the Connect dialog shown in Connect Dialog: Arranged In Alphabetical Order below.

Connect Dialog: Arranged In Alphabetical Order

By choosing to manually arrange the entries in the session tree, you can easily move individual sessions or even entire folders using drag-and-drop operations. In Connect Dialog: Manual Arrangement Using Drag-and-Drop Operations below, the user is in the process of manually arranging the Router session to be listed before or above the PBX session in the Routers sessions folder using drag-and-drop operations.

Connect Dialog: Manual Arrangement Using Drag-and-Drop Operations


Copying and Pasting

SecureCRT Icon Copying and Pasting

SecureCRT provides you with a variety of ways to copy and paste text to and from the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen. This section covers the basics on accomplishing the following tasks:

Selecting Text in the Terminal Window

Customizing Word Delimiter Characters

Copying Text to the Clipboard

Pasting Text from the Clipboard to the Terminal Screen

Copy on Select

Middle/Right Button Paste

Copying and Pasting with CTRL+C and CTRL+V (CUA Copy and Paste)

Selecting Text in the Terminal Window

There are a variety ways to select text in the SecureCRT terminal screen.

Selecting Rows of Text

This method involves moving the mouse pointer across the words or rows of text you want selected while holding down the left mouse button. This is the default method for selecting text (see Selecting Rows of Text in the Terminal Screen below).

Selecting Columns (blocks) of Text

This method is useful for selecting columns of text rather than rows of text. To select a block of text made up of one or more columns of text on the terminal screen, hold down the ALT key while moving the mouse pointer down the column(s) you want selected while holding down the left mouse button (see Selecting Columns of Text in the Terminal Screen while Holding Down the ALT Key below).

Selecting an Entire "Word" of Text

Another method of selecting text makes selecting an entire word easy. You can select an entire word just by positioning the mouse cursor over the word and then double-clicking on the word with the left mouse button. In addition to being able to select an entire word with a mere double-click, SecureCRT provides a way for you to customize the word delimiter characters on a per-session basis.

Selecting Rows of Text in the Terminal Screen

Selecting Rows of Text in the Terminal Screen

Selecting columns of text in the terminal screen while holding down the Alt key

Selecting Columns of Text in the Terminal Screen while Holding Down the ALT Key

Modifying a Selection

You can modify an existing selection in the terminal screen. To modify the current selection, hold down the SHIFT key, move the mouse pointer to the new desired start or end point, and press the left mouse button.

Customizing Word Delimiter Characters

By default, SecureCRT uses all non-alphanumeric characters (except underscore, "_") as word delimiters when selecting an entire "word" with a double-click action as described in the "Selecting Text in the Terminal Window" section of this help topic.

You can modify the word delimiter characters using the following steps:

1. In the Session Options dialog, select the Terminal category.

2. In the Terminal panel, select the Set word delimiter characters option.

3. Enter your personal word delimiter characters. Do not separate the entries with spaces or any other character.

Note: A "space" character can be used as a delimiter character.

By default, SecureCRT uses all non-alphanumeric characters (except underscore, "_") as delimiters when selecting a word. This includes punctuation such as .,!?()", but also $#@/\. You might want some of the second character set ($#@/\) to be excluded from the word delimiter characters so that you can select currency amounts, path names, email addresses, and the like.

Copying Text to the Clipboard:

To copy text from the terminal screen to the Clipboard:

1. Select the text you want to copy by dragging the mouse cursor over the desired area of text.

2. Select Copy from the Edit menu on the SecureCRT menu bar or click on the Copy button Copy button located on the SecureCRT toolbar.

The selected text is now copied to the Clipboard and ready for pasting.

The format of the data saved to the Clipboard cannot be changed in the SecureCRT user interface, but can be changed manually by editing the Global.ini file in the Config folder. In the Global.ini file, the Clipboard Data Format option can be set to CF_TEXT, CF_OEMTEXT, CF_UNICODETEXT, DEFAULTFORMAT, or VDS_TEXT.

Note: When copying to the Clipboard, SecureCRT always translates DEC line-drawing characters to the four characters: "+", "-", "_", and "|". If the Copy translates ANSI line drawing characters option is enabled on the Session Options/Terminal/Emulation/Advanced dialog, SecureCRT also translates ANSI line-drawing characters to the three characters: "+", "-", and "|".

Pasting Text from the Clipboard to the Terminal Screen:

To paste text from the Clipboard to the terminal screen:

· Select Paste from the Edit menu on the SecureCRT menu bar or click on the Paste button Paste button located on the SecureCRT toolbar.

The contents of the Clipboard will be inserted at the point of the text cursor in the terminal screen.

SecureCRT also provides a feature that allows you to copy and paste from the terminal screen back to the terminal screen with just one step. Select the text you would like to paste, and then select Copy & Paste from the Edit menu on the SecureCRT menu bar to paste the selected text at the cursor or insertion point.

Copy on Select

The Copy on select feature allows you to speed up the process of copying text from the terminal screen to the Clipboard. If this feature is enabled, text is copied to the Clipboard as soon as it is selected.

To enable/disable the Copy on select feature:

1. Select the Terminal category in the Global Options dialog.

2. In the Mouse group, select or unselect the Copy on select option.

Middle/Right Button Paste

The Paste on middle/right button feature allows you to speed up the process of pasting content from the Clipboard to the terminal screen. If this feature is enabled, text is pasted from the Clipboard to the terminal screen as soon as the middle or right mouse button (as specified in the Global Options/Terminal dialog) is pressed. If your mouse does not have a middle mouse button, a middle button click can be simulated by pressing both the left and right mouse buttons simultaneously.

To enable/disable the Paste on middle/right button feature:S

1. Select the Terminal category of the Global Options dialog.

2. In the Mouse group, select or unselect the Paste on middle/right button option.

Copying and Pasting with CTRL+C and CTRL+V (CUA Copy and Paste)

To enable the CTRL+C, CTRL+V, CTRL+A, and CTRL+F accelerator keys for copy, paste, select all, and find, respectively:

1. Select the Terminal/Emulation/Mapped Keys category in the Session Options dialog.

2. Select the Use Windows copy and paste hotkeys option.

3. A message box will appear with the following warning:

WARNING: Turning on Use Windows copy and paste hotkeys will disable your ability to send CTRL+C, CTRL+V, CTRL+A, and CTRL+F to the remote host. Most UNIX users should leave this option off.

4. Click on the OK button on the Warning dialog.

5. Click on the OK button at the bottom of the Session Options dialog.


Customizing the User Interface

SecureCRT Icon Customizing the User Interface

SecureCRT allows you to customize some parts of its user interface in two different ways: either by using the Customize dialog, or by editing the menu configuration file (described below). Using either of these methods, you can modify or remove existing menus, rearrange the main toolbar buttons, and much more, however, you must choose one or the other method, as they cannot be used together.

Customizing the Menu Configuration File

WARNING: Customizing the SecureCRT interface by editing the menu configuration file can be a complex undertaking. Some programming knowledge will be helpful.

The customizable interface features are listed below:

· Menu titles on the main window

· Menu options on the main window menus, the System menu, and right-click menus

· Accelerators

· Toolbar buttons

· ToolTips

· Status bar messages

To make changes to the items mentioned above, you will need to edit the SecureCRT menu configuration file found in the SecureCRT data folder. The default configuration file is Default.mnu, but other files can be used by changing the file specified in the Custom menu and toolbar file option in the Terminal category of the Global Options dialog.

Tip: To return SecureCRT to its default configuration, either delete any existing configuration files or clear the entry in the Custom menu and toolbar file entry box, and restart SecureCRT. This will force SecureCRT to return to default values.

Configuration File Format

This section covers the format and syntax of the menu and toolbar configuration file. The precedence for accelerator keys is F-Keys, Keymap, MenuItem, built in.

File format rules

The fields in a definition will be separated by a comma. Command arguments will be separated by a vertical bar or pipe (|).

Accelerator definitions will start with a unique string identifier. They will not contain a field for the command ID string, as that already exists in the associated menu or toolbar item definition.

String table definitions will start with a unique string identifier. They will not contain a field for the command ID string as that already exists in the associated menu or toolbar item definition.

Accelerator and string table definitions must appear in the file before any menu or toolbar definitions.

Command strings

The SecureCRT menu configuration file supports command strings for most of the application commands. See the Menu Configuration Command Strings topic for a comprehensive list.

In addition to standard menu and toolbar commands, three user-defined commands are also available:

· OPEN_SESSION -- This command connects you to the specified session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

· OPEN_SESSION_TAB -- This command connects you to the specified session in a tab.

· RUN -- This command runs the specified script. This command does not support arguments.

· SEND -- This command sends the specified string.

The above command strings can be used as in the following examples extracted from the example file at the end of this topic:

TOOLBARITEM "server.png", "OPEN_SESSION", "server", "server", "server"

TOOLBARITEM "run.png", "RUN", "C:\vss\test.vbs", "script"

TOOLBARITEM "send.png", "SEND", "Hello World\n", "hello"

Keywords and syntax

Items enclosed in angle brackets (<>) are required. Items enclosed in square brackets ([]) are optional.

END ( ends a definition of a menu, toolbar, popup menu, accelerator keys, or string table)

MENU ( for main menu definitions )

MENU <“label”>
<definition of menu items or submenus>
END

TOOLBAR ( for toolbar definitions )

TOOLBAR <“label”>
<definition of buttons in the toolbar>
END

POPUPMENU ( for context and system menu as well as sub-menus )

POPUPMENU <”label”>
<definition of menu items or submenus>
END

ACCELERATOR ( for the definition of accelerator keys)

ACCELERATOR
<definition of accelerator keys>
END

An accelerator key definition is of the form:

<”unique_identifier”>,<”key”>,<”key modifiers separated by ‘|’ ”>

STRINGTABLE ( for the definition of status bar and ToolTip strings)

STRINGTABLE
<definition of status bar and tooltip strings>
END

A string table definition is of the form:

<”unique_identifier”>,<”status bar message\ntooltip”>

SEPARATOR ( indicates that a separator should be placed in the menu or toolbar )

MENUITEM ( designates that the following text defines a menu item )

MENUITEM <”label”>,<”command str”>[,” command argument(s)”][,”string table identifier”][,”accelerator identifier”]

TOOLBARITEM ( designates that the following text defines a toolbar button)

TOOLBARITEM <”icon”>,<”command str”>[,”command argument(s)”][,”string table identifier”][,”accelerator identifier”]

// (designates a comment)

// [comment string]

Any line that has // as the first two characters will be considered as a comment. Comments must be on a line by themselves.

For MENUITEM, the “label” and “command str” are required. The remaining arguments are optional. However, order is important. If an optional argument is not provided and it is followed by an argument that is provided, the argument separator (,) must be included. For example:

MENUITEM &MyItem,MY_MENU_COMMAND,, ”This is my menu item”

The above arguments are: <”label”>,<”command str”>, ,<”stringtable identifier”>

For TOOLBARITEM, one of “icon” and “command str” is required. Again order is important and skipped arguments must have the argument separator included.

Errors and warnings

When an error condition occurs, you will be informed about the nature of the error and that the default menu or toolbar will be loaded and displayed.

When a warning condition occurs, you will be informed about what caused the warning condition and that the particular menu or toolbar item, accelerator, or hint will not be used. However, those parts of the menu or toolbar that are correct will be loaded and displayed.

Example files

In the SecureCRT installation folder, under the menus subfolder, there are examples of custom menu files. These files have the extension .mnu.


Keyboard Accelerators

SecureCRT Icon Keyboard Accelerators

This page lists keyboard accelerators (shortcut keys) that are supported in SecureCRT. The accelerators are as follows:

• CTRL+TAB takes you through multiple SecureCRT session tabs.

• CTRL+SHIFT+TAB cycles backwards through the sessions.

• CTRL+F4 closes the active tab.

• ALT+1 (2, 3, 4, 5, 6, 7, 8, 9, & 0) allows you to jump directly to one of the first ten tabs.

• ALT+A re-establishes a connection on all currently disconnected sessions.

• ALT+B opens the Connect in Tab/Tile dialog.

• ALT+C opens the Connect dialog.

• ALT+G switches the focus between the Command window and the active session.

• ALT+I switches focus to the search bar in the Session Manager or Connect dialog.

• ALT+M switches the focus between the Session Manager and the active session.

• ALT+N switches the focus to the Session Manager or the Connect dialog where, if pressed again, ALT+N will open a new session.

• ALT+P opens an SFTP tab using the active tab's session.

• ALT+Q opens the Quick Connect dialog.

• ALT+R switches the focus between the connect bar and the active session.

Within the Command window, CTRL+SHIFT+TAB switches the focus to the active session.

For the advanced user, the Table of Keymap Functions lists keyboard menu functions that you can link to keystrokes using the Keymap Editor.


Switching Between Multiple Sessions

SecureCRT Icon Switching Between Multiple Sessions

There are several ways to switch between multiple SecureCRT sessions .

· If you enable the Show session tabs option on the Global Options/Terminal/Appearance dialog, you can switch between sessions by clicking on the tabs in the SecureCRT window.

· If you are using the Minimize to Activator in system tray option, right-click on the Activator icon in the system tray and select the SecureCRT session window that you want to open from the pop-up menu.

· You can also use the CTRL+TAB keyboard shortcut to take you through multiple SecureCRT session windows, while CTRL+SHIFT+TAB will take you backwards through the sessions.

· Using ALT+1 through ALT+0 will allow you to directly navigate to any of the first ten tabs.


Zooming a Session

SecureCRT Icon Zooming a Session

On Windows and macOS platforms, SecureCRT allows you to quickly zoom a session (i.e., increase or decrease the font size) using keyboard key combinations or the mouse.

Using the keyboard, zoom with the following key combinations:

Zoom in - CTRL+"+" (i.e., CTRL key and + key)

Zoom out - CTRL+"-" (i.e., CTRL key and - key)

Restore zoom level to initial state - CTRL+0 (i.e., CTRL key and 0 key)

To disable keyboard shortcut zooming, check the Disable session zooming with keyboard shortcuts option on the Global Options/Terminal/Advanced category.

You can also zoom using the CTRL+mouse scrollwheel combination. Pushing the mouse scrollwheel forward while holding down the CTRL key increases the font size; pushing the scrollwheel backwards while holding down the CTRL key decreases the font size (mouse scrollwheel actions are only supported on Windows and macOS).

To disable scrollwheel zooming, check the Disable session zooming with mouse scrollwheel option on the Global Options/Terminal/Advanced category.


Overview of Command-Line Options

SecureCRT Icon Overview of Command-Line Options

Command-Line Options

There are two categories of SecureCRT command-line options: standard options, and protocol-specific options.

Standard options may be used in any combination with other standard options.

Protocol-specific options are mutually exclusive; a protocol-specific option cannot be used in combination with any other protocol-specific option.

Syntax:

SecureCRT.exe [standard options] [protocol-specific options]

You may find it helpful to see the examples of using command-line options.

Related Topics

  1. Table of Protocol-Specific Command-Line Options
  2. Table of Standard Command-Line Options


Table of Standard Command-Line Options

SecureCRT Icon Table of Standard Command-Line Options

Standard Option

Arguments

Description

/ARG

argument

Passes option(s) to SecureCRT scripts by way of Arguments scripting objects. More than one /ARG option can be used in a command.

/COLOR_
SCHEME

scheme

Specifies an existing color scheme A combination of session settings that specify a variety of colors associated with the terminal window, including foreground and background. to be used for the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. being started. When this switch is used, any changes to the session color scheme will be ignored. If a nonexistent scheme is specified, the session configuration color scheme will be used.

/CONFIGPASSPHRASE

passphrase

Specifies the configuration passphrase. This option allows SecureCRT to run unattended when the configuration is passphrase protected.

/F

folder
pathname

Points to an alternate configuration folder location. If there is no configuration file in the alternate folder, SecureCRT will create one. Without this option, SecureCRT will use the configuration information in the default folder location.

/FIREWALL

firewall
name

Connects session using specified firewall settings. Replaces /PROXY and /SOCKS options. The format of this command is as follows:

/FIREWALL=<name>

If the firewall name contains spaces, it should be enclosed by quotation marks.

If no firewall argument is specified, SecureCRT will use the firewall specified by the session being connected. If the session firewall is set to None, SecureCRT will use the firewall specified in the current global firewall settings. If a firewall is named in the command argument, SecureCRT will temporarily override the session’s firewall settings and use the firewall specified for the current session.

Note: When specifying a firewall on the same command line used to open multiple sessions, SecureCRT will apply the firewall to each of the sessions.

Using SecureCRT's dependent session option on the command line or in the connect bar (as in the following example), it's possible to link a session to an SSH2 session that it depends on, which allows connection to a jump host before connecting to other sessions.

Both the command line and the connect bar use the normal /Firewall specifier and the firewall will be Session:<session name> with the following syntax.

/FIREWALL=Session:<Session Name> ssh2://[<user>]@<host>

Session: is case insensitive.

/LOG

filename

Specifies a log file to be used for the session being started.

/MAX_COLS

n

Specifies the maximum number of columns. The maximum value for n is 1024 and the minimum value is 132.

/N

tabname

Specifies the name to display on the tab.

/NOMENU

Hides the menu bar.

/NOTOOLBAR

Hides the toolbar.

/NOSAVE

No changes to settings will be saved.

/POS

x y

Specifies the initial position of the SecureCRT window, where x and y specify the upper left corner of the SecureCRT window in pixel coordinates.

/SCRIPT

filename

Runs script contained in filename.

/SESSION_
FOLDER

folder

Opens the sessions in the specified folder that would be opened if the folder was designated as an auto session. To open all the sessions, use the following command:

/SESSION_FOLDER \

The /SESSION_FOLDER option can be used with the /S option.

/TERMINAL_TYPE

terminal type

Connects session using specified terminal type. Overrides the terminal type specified in the session options. The format of this command is as follows:

/TERMINAL_TYPE=<type>

/TITLEBAR

"Title to display"

Sets the text in the title bar to the string given as argument.

Examples of Command Line Usage:

Example:

To launch a new Telnet session, displaying the name "Houston, TX" on the tab, use the following:

/T /N "Houston, TX" /TELNET 192.168.0.6

Related Topics

  1. Table of Protocol-Specific Command-Line Options


Table of Protocol-Specific Command-Line Options

SecureCRT Icon Table of Protocol-Specific Command-Line Options

Any of the standard options may be used in combination with a protocol-specific option.

Protocol Option And Mandatory Arguments

Related Options and Arguments

Description

/S session_name

none

Starts SecureCRT and opens a connection A data path or circuit between two computers over a phone line, network cable, or other means. with session_name. If session_name includes any spaces, it must be enclosed with quotation marks, (e.g., "My Session"). Multiple sessions can be opened by specifying multiple "/S session_name" argument pairs on the command line.

Note: The /S option is considered a protocol-specific option because the protocol to be used is defined by the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. parameters.

/T

/S

When used in conjunction with the /S options, the /T option opens the specified session or sessions in a separate tab or tabs. For example, the command:

/T /S alpha

opens session alpha in a new tab. The command:

/T /S alpha /S beta

opens both sessions alpha and beta in their own tabs.

Note: /T must precede /S in the command string.

The /T option can also be used with "ad hoc" sessions such as:

/T /SSH2 myserver

/SSH1 [ssh_options] hostname

none

Starts SecureCRT and opens the default session with the SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. protocol and begins connecting to hostname. SecureCRT also accepts username@hostname syntax.

Note: /SSH1 and its related options are only available if SSH1 support was selected for installation during the installation process.

[ /ACCEPTHOSTKEYS ]

Instructs SecureCRT to automatically accept host keys.

[ / C cipher An algorithm used to encrypt data at varying levels of security. Examples include 3DES, AES, Blowfish, RC4, and Twofish. ]

Specifies a cipher for encrypting the session. Valid values for SSH1 cipher are NONE, DES, 3DES, RC4 and BLOWFISH. The default SSH1 cipher is 3DES.

[ /ENCRYPTEDPASSWORD password ]

Specifies a password in encrypted form. This password must have been encrypted by SecureCRT.

To obtain an encrypted password, specify a password in the Session Options dialog, then open that session's .ini file and copy the encrypted string from the Password field.

To use passwords in scripts, refer to the Session Object Connect method.

[/FORWARDX11PACKETS]

Enables X11 packet forwarding.

[ /I identityfile ]

Specifies the location of the user's identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. . The identity file contains the private key needed to connect to the server using RSA authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. . The absence of this option causes password authentication to be used.

[ /L username ]

Specifies the username when connecting to the SSH1 server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. .

[ /P port ]

Specifies the SSH server port. The default value is 22.

[ /PASSPHRASE
passphrase ]

Logs on to the SSH1 server using passphrase as the passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process. for the identity file given with the /L option.

[ /PASSWORD password ]

Logs on to the SSH1 server using password as the password for the username given with the /L option.

[ / Z compressionlevel ]

Specifies the compression level from 1 (lowest compression = fastest) to 9 (highest compression = slowest). Setting this option to 0 turns off compression.

/SSH2 [ssh_options] hostname

none

Starts SecureCRT and opens the default session with the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. protocol and begins connecting to hostname. SecureCRT also accepts username@hostname syntax.

Note: /SSH2 and its related options are only available if SSH2 support was selected for installation during the installation process.

[ /ACCEPTHOSTKEYS ]

Instructs SecureCRT to automatically accept host keys.

hh

[ /AUTH method ]

Specifies the authentication method(s) to be attempted when connecting to the SSH2 server. If multiple methods are specified, they must be comma-separated with no spaces (i.e., /AUTH password,publickey,keyboard-interactive,gssapi)

[ /C cipher ]

Specifies a cipher for encrypting the session. Valid values for SSH2 cipher are NONE, 3DES, RC4, and TWOFISH. The default SSH2 cipher is 3DES.

[ /COMPRESSIONS type ]

Specifies the compression type for the session. Valid values for SSH2 compression type are NONE, ZLIB, and ZLIB@OPENSSH.COM. The default type is NONE.

[ /ENCRYPTEDPASSWORD

password ]

Specifies a password in encrypted form. This password must have been encrypted by SecureCRT.

To obtain an encrypted password, specify a password in the Session Options dialog, then open that session's .ini file and copy the encrypted string from the Password field.

To use passwords in scripts, refer to the Session Object Connect method.

[/FORWARDX11PACKETS]

Enables X11 packet forwarding.

[ /I identityfile ]

Specifies the location of the user's identity file. The identity file contains the private key needed to connect to the server using public-key authentication. The absence of this option causes password authentication to be used.

[/KEYBOARDINTERACTIVEPROMPT prompt]

Specifies the prompt to expect when keyboard-interactive authentication is used. The /PASSWORD option can be used in conjunction with this option.

[/KEX key-exchange method]

Specifies which key exchange method to use. The list of supported methods can be found in the Session Options dialog in the Connect/SSH2 category. If multiple methods are specified, they must be comma-separated with no spaces (e.g., /KEX curve25519-sha256,diffie-hellman-group16-sha512,diffie-hellman-group14-sha256).

[ /L username ]

Specifies the username when connecting to the SSH2 server.

[ /LOCAL
[localip:]localport:hostname: hostport]

Allows you to specify a local listening IP address when setting up a port forward (not required), and forwards connection requests from localport (on localhost) to hostport on hostname.

[ /M MAC Message Authentication Code. A component of the SSH2 protocol consisting of a hashing algorithm used to ensure data integrity between an SSH2 client and an SSH2 server communicating over a TCP/IP network such as the internet. The MAC ensures data integrity by protecting against message alteration. ]

Specifies the Message Authentication Code (MAC) to use.

[ /P port ]

Specifies the SSH2 server port. The default value is 22.

[ /PASSPHRASE
passphrase ]

Logs on to the SSH2 server using passphrase as the passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process. for the identity file given with the /L option.

[ /PASSWORD password ]

Logs on to the SSH2 server using password as the password for the username given with the /L option.

[ /REMOTE
[listenip:]listenport:

destination-host:destination-port]

Allows you to specify a remote listening IP address when setting up a remote forward (not required), and requests the SSH2 server to accept connection requests on listenport (on the remote machine) and forward the requests to hostport on hostname.

[ /Z compressionlevel ]

Specifies the compression level from 1 (lowest compression = fastest) to 9 (highest compression = slowest). Setting this option to 0 turns off compression.

/TELNET hostname [port]

none

Starts SecureCRT and opens the default session with the Telnet Telnet is a protocol that provides an interface for communications between clients and servers. protocol and begins connecting to [port] on hostname.

/RLOGIN hostname

none

Starts SecureCRT and opens the default session with the RLogin protocol and begins connecting to hostname. SecureCRT also accepts username@hostname syntax.

[ /L username ]

Specifies the username to use with the RLogin protocol.

/TAPI phone number

none

Starts SecureCRT and opens the default session with the TAPI protocol and begins connecting to the specified phone number.

Note: This command must be formatted as in the following example:

/TAPI "+1 (555) 555-5555"

[ /REDIAL attempts ]

Specifies the number of redial attempts that SecureCRT will make before giving up on the connection.

/SERIAL port

none

Starts SecureCRT and opens the default session with port. If no port value is entered, SecureCRT will use the value of the Port option in the Global Options / General / Default Session category. If no setting is entered for the default session, SecureCRT will use COM2 as the port entry.

Note: /SERIAL and its related options are only available if serial capability is selected during installation.

[ /BAUD baudrate ]

Set the baud rate. Valid values for baudrate are 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200, 230400, 380400, 460800, and 921600. The default value is 38400.

[ /CTS | /NOCTS ]

Enable or Disable RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, RTS/CTS is enabled.

[ /DATA databits ]

Set the data bits. Valid values for n are 5, 6, 7 or 8. The default value is 8.

[ /DSR | /NODSR ]

Enable or Disable DTR/DSR (data-terminal-ready/data-set-ready). By default, DTR/DSR are not enabled.

[ /PARITY parity ]

Set the parity. Valid values for parity are NONE, ODD, EVEN, MARK, SPACE. The default is NONE.

[ /STOP stopbits ]

Sets the stop bits. Valid values for stopbits are 0, 1 or 2 ( 0 indicates 1 stop bit, 1 indicates 1.5 stop bits, 2 indicates 2 stop bits). The default value is 0 (1 stop bit).

[ /XON | /NOXON]

Enable or Disable XON/XOFF software flow control. By default, software flow control is disabled.

Examples of Command Line Usage:

Example 1:

The following example opens a connection to the "My Company" session in the specified position:

SecureCRT.exe /POS 100 50 /S "My Company"

Example 2:

The following example creates an SSH2 connection to the remote machine named mySSH2server.myISP.com. It uses the username myusername to begin the logon process. It also specifies the cipher to use as Twofish, and the MAC to use as MD5. In addition, port forwarding is set up with the remote machine imap.myserver.com, instructing the local machine to listen for IMAP requests on port 8143 (local machine):

SecureCRT.exe /SSH2 /L myusername /C twofish /M MD5 /LOCAL 8143:imap.myimapserver.com:143 mySSH2server.myISP.com

Example 3:

The following example connects to mycompany.com using the SSH1 protocol specifying the username "bob", the location of an identity containing a private RSA key and the Blowfish cipher:

SecureCRT.exe /SSH1 /L bob /I "C:\ SecureCRT\RSAIdentity.pri" /C Blowfish mycompany.com

Example 4:

The following example connects to mycompany.com using the SSH2 protocol, username "bob", level 4 compression, and sets up port forwarding of connections from port 555 on the localhost (the PC running SecureCRT) to port 6666 on mycompany.com:

SecureCRT /SSH2 /L bob /Z 4 /LOCAL 555:mycompany.com:6666 mycompany.com

Related Topics

  1. Table of Standard Command-Line Options


SFTP Tab Command Options

SecureCRT Icon SFTP Tab Command Options

SFTP Tab command options are described below. Commands that specify a path can contain the wildcard characters * and ?. SFTP will expand these wildcard characters. Multiple wildcard characters are permitted in a path (e.g., "*.*" or "*.?"). The SFTP Tab also supports file "globbing". The sequence [...] will match any one of the characters enclosed. Within [...], a pair of characters separated by a quotation mark (") matches any character lexically between the two. The backslash can be used to turn off wildcard characters (e.g., \* or \[).

SecureCRT also supports tab completion of command arguments on the SFTP Tab. Begin typing a command and argument and then press the TAB key. SecureCRT will attempt to complete the argument(s) based on the available choices. If there are multiple choices, SecureCRT will display a list of possible options. You can choose from this list or continue typing until SecureCRT can identify the unique argument.

To open an SFTP tab session, right-click on an existing, connected SSH2 tab and choose Connect SFTP Session from the displayed menu.

Option

Arguments

Description

ascii

Sets the file transfer mode to ASCII.

binary

Sets the file transfer mode to binary.

cd

[path]

Changes the remote directory to that specified byS the path. If a path is not specified, the user is placed in their "home" directory.

chgrp

group path

Changes group of file "path" to "group".

chmod

mode path

Changes permissions of file "path" to "mode".

chown

owner path

Changes owner of file "path" to "owner".

detail

remotepath

Displays system information about the specified remote file or folder.

exit

Exits the SFTP application.

get

[-r] [-a|-b]
remotepath

Retrieves the remote path and stores it in the current local directory. The -r argument specifies a recursive get. The -a argument specifies that the files are transferred as ASCII; -b specifies binary. If neither -a nor -b is specified, the current transfer mode will be used (see type command).

help

Displays usage.

include

filename or
< filename

Includes the commands in the specified file as though they had been typed in.

lcd

[path]

Changes the local directory to that specified by the path. If a path is not specified, the local working directory is set to the local user's "home" directory. Adding the -a argument will show all files and folders (including those hidden), and the -d argument will show only directories.

ldetail

localpath

Displays system information about the specified local file or folder.

ln

existingpath linkpath [-s]

Creates symbolic link on remote file.

lls

[-l] [-a|-d] [path]

Displays the local directory listing of the path specified or of the current local working directory if the path is not specified. Adding the -a argument will show all files and folders (including those hidden), and the -d argument will show only directories.

lmkdir

path

Creates local directory specified by the path.

lmv

oldpath newpath

Moves/renames local file. Identical to the local Rename (lrename) command.

lpwd

Prints local working directory.

lrename

oldname newname

Renames the specified file. Identical to the local Move (lmv) command.

lrm

path

Deletes local file.

lrmdir

path

Removes local directory.

ls

[-l] [-a|-d] [path]

Displays the remote directory listing of either the path or of the current directory if the path is not specified. If the -l flag is set, SFTP displays permission and ownership information. Adding the -a argument will show all files and folders (including those hidden), and the -d argument will show only directories.

Note: This command, if used with a / (i.e., ls / ), lists the roots when connecting to a server that allows multiple roots, such as VanDyke Software's VShell®.

mkdir

path

Creates remote directory specified by the path.

mv

oldpath newpath

Moves/renames remote file. Identical to the Rename command.

pwd

Prints the remote working directory.

put

[-r] [-a|-b]
localpath

Uploads the local path to the currently open directory on the remote machine. The -a argument specifies that the files are transferred as ASCII; -b specifies binary. If neither -a nor -b is specified, the current transfer mode will be used (see type comment).

rename

oldname newname

Renames the specified file. Identical to the Move (mv) command.

rm

[-r] path

Deletes the remote file specified by the path. Adding the -r argument will initiate a recursive remove operation.

rmdir

path

Deletes the remote directory specified by the path.

su

username

Substitutes the current user with the one specified.

Note: This command can only be called if the remote machine is running VShell for Windows 3.5 or later.

type

[transfer mode]

Displays or sets the file transfer mode. Issuing this command with no parameter will display the current mode; issuing it with a mode parameter (either ascii or binary) will set the mode to that parameter.

view

filename

Displays or, if applicable, runs the specified file or files. Displayed files can be modified but changes made will not be uploaded to the original file.


Overview of Xmodem

SecureCRT Icon Overview of Xmodem

Xmodem is a simple file transfer protocol that supports basic error detection methods to ensure that information is not lost or corrupted during a transfer. Generally, Xmodem uses a checksum to provide error detection, however, the SecureCRT implementation of Xmodem also supports the CRC option for error detection.

The SecureCRT Xmodem implementation supports both 128-byte and Xmodem-1K (1024-byte) packet sizes.

Xmodem does not support multiple-file (“batch”) transfers. However, SecureCRT does support Zmodem which is capable of multiple-file transfers.

Topics for this section include:

Changing the Default File Transfer Directories

Downloading a File with Xmodem

Uploading a File with Xmodem


Changing the Default File Transfer Directories

SecureCRT Icon Changing the Default File Transfer Directories

Files downloaded from a remote host will be saved to the default download directory unless otherwise specified. When selecting files to be uploaded to a remote machine, SecureCRT initially displays the contents of the default upload directory.

To change the default download and upload directories:

1. In the Session Options dialog, select the Terminal/ X/Y/Zmodem category.

2. In the D irectories group, enter the full path of the new default upload or download directory or use the Browse button to open the Browse for Folder dialog and select the new directory.

Related Topics

  1. Disabling Zmodem
  2. Downloading a File with Xmodem
  3. Downloading a File with Zmodem
  4. Uploading a File with Xmodem
  5. Uploading a File with Zmodem


Downloading a File with Xmodem

SecureCRT Icon Downloading a File with Xmodem

To download a file from a remote machine, complete the following steps:

1. On the remote machine, issue the appropriate Xmodem command to instruct the Xmodem software to send the file that you want to download. The remote machine software should then prompt you to initiate the transfer.

2. To initiate the Xmodem download, open the SecureCRT Transfer menu and select Receive Xmodem.

3. In the Specify Filename to Receive using Xmodem dialog, provide a filename for the incoming file. The file will be saved to the default download directory unless otherwise specified.

4. Click the Receive button to start the download. The Xmodem Transfer dialog will appear, displaying the status of the download.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Uploading a File with Xmodem


Uploading a File with Xmodem

SecureCRT Icon Uploading a File with Xmodem

To upload a file to a remote machine, complete the following steps:

1. On the remote machine, issue the appropriate Xmodem command to instruct the Xmodem software to receive the file that you want to upload. The remote machine software should then prompt you to initiate the transfer.

2. To initiate the Xmodem upload, open the SecureCRT Transfer menu and select Send Xmodem.

3. In the Select File to Send using Xmodem dialog, select the file that you want to upload to the remote host. By default, the dialog opens to the default upload folder.

4. Click the Send button to start the upload. The Xmodem Transfer dialog will appear, displaying the status of the upload.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Downloading a File with Xmodem


Overview of Zmodem

SecureCRT Icon Overview of Zmodem

Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. is a full-duplex file transfer protocol that supports fast data transfer rates and effective error detection. Zmodem is very user friendly, allowing either the sending or receiving party to initiate a file transfer. Zmodem supports multiple file ("batch") transfers, and allows the use of wildcards when specifying filenames. Zmodem also supports resuming most prior Zmodem file transfer attempts.

The Zmodem protocol features can be disabled to prevent undesired automatic uploads to the local machine from an unknown source.

Topics for this section include:

Changing the Default File Transfer Directories

Downloading a File with Zmodem

Uploading a File with Zmodem

Disabling Zmodem

In its default configuration, SecureCRT initiates Zmodem file transfers by sending an "rz" command to the remote server. If you are trying to connect to a server that expects a different command (e.g., "lrz" in FreeBSD), you can change this command by editing the session's .ini file. In the .ini file, locate the following entry:

S:"Zmodem Receive Command"=rz\r

You can set the receive command to whatever the remote system expects and add command-line arguments if you want.


Downloading a File with Zmodem

SecureCRT Icon Downloading a File with Zmodem

To download a file from a remote machine, complete the following steps:

1. On the remote machine, issue the appropriate Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. command to instruct the Zmodem software to send the file that you want to download.

2. A Zmodem Transfer dialog will appear, displaying the status of the download. The file will be saved to the default download directory.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Disabling Zmodem
  3. Uploading a File with Zmodem


Uploading a File with Zmodem

SecureCRT Icon Uploading a File with Zmodem

To upload a file to a remote machine, complete the following steps:

1. On the remote machine, issue the appropriate Zmodem command to instruct the Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. software to receive the file that you want to upload. This will cause SecureCRT to open the Select Files to Send using Zmodem dialog. Note that Zmodem must be installed on the remote machine to transfer files with Zmodem.

Note: Another way to open this dialog is to open the Transfer menu and select Zmodem Upload List.

2. In the Select Files to Send using Zmodem dialog, select the file(s) that you want to upload to the remote machine and click on the Add button to add the file(s) to the Files to send list. You can also choose to send your file(s) in ASCII instead of binary by checking the Upload files as ASCII check box.

3. When you have finished adding all the files that you want to upload, click on the OK button.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Disabling Zmodem
  3. Downloading a File with Zmodem


Disabling Zmodem

SecureCRT Icon Disabling Zmodem

To disable the Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. protocol features in SecureCRT:

1. In the Session Options dialog, open the File Transfer/X/Y/Zmodem category.

2. Select the Disable Zmodem option.

When the Zmodem protocol is disabled, SecureCRT will ignore the character sequence that starts a Zmodem transfer.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Downloading a File with Zmodem
  3. Uploading a File with Zmodem


Passphrase Protecting Sensitive Configuration Data

SecureCRT Icon Passphrase Protecting Sensitive Configuration Data

If you have not previously set a configuration passphrase, SecureCRT will ask you to create a passphrase at startup. There are two options. The first option is to create a passphrase. This passphrase will be used to encrypt all sensitive data stored in your configuration, such as passwords and automated logon (send/expect) scripts. The second option is to continue without creating a passphrase. Although the sensitive data will be encrypted in the configuration, this option is not as secure as specifying a passphrase. This option is only recommended if you do not save sensitive data in the configuration.

The next time SecureCRT starts, if you have created a passphrase, you will be prompted for it so that it can be used to encrypt and decrypt sensitive configuration data. If you chose not to create a passphrase, you will not be prompted for the passphrase. If you choose to continue without entering the passphrase, you will still be able to establish connections, but the previously saved sensitive data will not be used, so you will have to enter passwords and other sensitive data that was saved. Also, passwords and other sensitive data will not be able to be saved. However, the data will be left intact in the configuration so that it can be used the next time the passphrase is entered at startup.

Changing, Removing, or Resetting the Passphrase

You can change, remove, or reset the passphrase by pressing the Change Passphrase… button from the Enter Passphrase dialog at startup. If you choose to change the passphrase, you will need to enter the old passphrase and the new passphrase twice. If you choose to remove the passphrase, you will need to enter the old passphrase. Removing the passphrase will not remove any sensitive data from the configuration, but the way the data is encrypted is not as secure as choosing your own passphrase. If you choose to reset the passphrase, you will be prompted for the new passphrase twice. In this case, all sensitive data will be deleted from the configuration file. This option is recommended only if you have forgotten the passphrase. If you previously did not have a passphrase and wish to add one, you can choose Change Configuration Passphrase… from the Tools menu. You will then be prompted to create a passphrase the next time SecureCRT starts.


Administrative Template

SecureCRT Icon Administrative Template

VanDyke Software has created an administrative template file that administrators can use to configure administrative options (e.g., FIPS Mode) either on a per-machine basis or a per-user basis. To use this file, you must request it from VanDyke Software and then configure your system to recognize it.

Requesting an Administrator Template File

To request a SecureCRT administrator template file, open your browser to the appropriate website shown below and follow the instructions there.

https://www.vandyke.com/cgi-bin/adm_request.php?pid=SecureCRT

Instructions for using ADMX and ADML files

1. As an administrator, save the ADMX file in the correct location. In most cases, this location is:

C:\Windows\PolicyDefinitions\

2. As an administrator, save the ADML file in the correct location. In most cases for those in the US, this location is:

C:\Windows\PolicyDefinitions\en-US

Additional information can be found at:

https://msdn.microsoft.com/en-us/library/bb530196.aspx

3. As an administrator, run the following snap-in:

gpedit.msc

4. When the Group Policy window appears, a folder named "VanDyke Software Settings" can be found in the Administrative Templates folder under User Configuration. From here, you can configure all the VanDyke administrator options.


FIPS Mode

SecureCRT Icon FIPS Mode

Federal, state, and local government agencies, critical infrastructure providers like public utilities, and private sector organizations that do business over the public network with these agencies must use encryption that meets the Federal Information Processing Standards (FIPS) 140-2 standard.

SecureCRT for Windows can run in FIPS mode. If you need to protect data in transit as outlined by FIPS 140-2 or NIST 800-53, these products now use a FIPS 140-2 validated cryptographic library and can be installed in "FIPS Mode", which will use this cryptographic library and only allow FIPS-approved algorithms.

VanDyke Software has partnered with RSA Security, Inc. to use the BSAFE Crypto-C Micro Edition cryptography module which has been tested by Atlan Laboratories, an accredited testing laboratory for FIPS compliance. This module has met all Level 1 requirements for FIPS 140-2 compliance when operated in FIPS Mode. The FIPS Validation certificate (https://csrc.nist.gov/groups/STM/cmvp/documents/140-1/140crt/140crt1058.pdf) is available for review.

For more information about FIPS, please visit the VanDyke Software website (https://www.vandyke.com/products/fips_info.html).

Enabling FIPS Mode

To run SecureCRT in FIPS mode, you must first configure the Microsoft Management Console (MMC) to recognize the VanDyke Software administrative template (.adm) file; once this is done, you can enable FIPS mode by completing the follow steps:

1. In MMC, navigate to VanDyke Software Settings and select the Enable FIPS Mode setting.

2. Open the Properties dialog by selecting Properties from the Action menu.

3. On the Setting tab, select Enabled. Press the OK button to save the change.

FIPS mode will be enabled the next time SecureCRT is started.


Sessions Overview

SecureCRT Icon Sessions Overview

SecureCRT supports connections with a variety of protocols: SSH1, SSH2, Telnet, Telnet/TLS , RLogin , and serial. In addition, SecureCRT supports modem dialing with the TAPI connection A data path or circuit between two computers over a phone line, network cable, or other means. protocol. This section of the SecureCRT help manual contains information on how to set up a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. to connect with a remote machine using these protocols.

SecureCRT allows you to personalize your settings and options and automatically use them every time you establish a connection to a remote computer This is accomplished by creating a session that will store your personalized settings under a session name.

Note: A session is a set of options and customized settings that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow you to have different preferences for different hosts.

SecureCRT provides two different methods for creating a session:

· The Quick Connect dialog

· The Connect dialog

You may find it useful to read an Overview of Connection Protocols before creating or editing a session. If you have already created a session, you may want to learn about Changing Session Options.


Creating a New Session with Connect

SecureCRT Icon Creating a New Session with Connect

In contrast to the Quick Connect dialog (see Creating a New Session with Quick Connect ), the New Session button on the toolbar of the Connect dialog allows you to name the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. something other than the hostname or IP address of the computer to which you are connecting.

Note: "Default" is not a valid name for a session that is at the root level in the Connect dialog.

When you use the New Session button, the Session Options dialog appears (shown below), allowing you to customize all of the settings associated with the new session. Enter the Name and Protocol of your new session and the Connection subcategories will change based on your chosen protocol. To complete your setup, click on the subcategory for the Protocol you chose and enter the required information. Your Protocol setting options are SSH1, SSH2, Telnet , Telnet/TLS , RL ogin, serial , and TAPI.

Session Options: Creating a New Session

When you have finished setting up the new session, you will see the new session listed in the Connect dialog.

Once you have created a session, you may want to customize its behavior. For more information, see the topics in the "Customizing Session Behavior" section.


Overview of Connection Protocols

SecureCRT Icon Overview of Connection Protocols

SecureCRT supports the following protocols: SSH1, SSH2, Telnet/TLS , Telnet, RLogin , serial (COM), TAPI, and Raw.

If you are using SecureCRT to connect to a BBS or any other type of terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. by directly dialing the remote machine using your computer's modem, you will need to use either the serial or TAPI Telephony API. A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. This terminal emulation application uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis. protocol.

If you are using SecureCRT to connect to a remote machine via the Internet or your LAN, you should use the SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server., SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides., Telnet Telnet is a protocol that provides an interface for communications between clients and servers., Telnet/TLS , or RLogin protocol depending on the services provided by the remote machine to which you are connecting.

If you are using SecureCRT to establish a secure connection using encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. , you will need to use either the SSH1 or SSH2 protocol.

When the Raw protocol is used, little or no interpretation of the remote data takes place, which can be helpful for troubleshooting.

This following topics provide an explanation of the settings related to each of the protocols supported in SecureCRT:

Telnet Connection Settings

RLogin Connection Settings

Serial Connection Settings

TAPI Dialer Settings

SSH1 Connection Settings

SSH2 Connection Settings

Telnet/TLS Settings

FTP Connection Settings

Raw Connection Settings

Note: Only the protocols selected during the installation process will be available.


Changing Session Options

SecureCRT Icon Changing Session Options

Changing session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. options is done with the Session Options dialog. The Session Options dialog is accessed in a variety of ways.

If you are not currently connected with a session to a remote machine:

1. Open the Connect dialog by clicking on the Connect button Connect button, or by opening the File menu and selecting the Connect menu item.

2. Select the session listed in the Connect dialog that you would like to edit.

3. Open the Session Options dialog by either clicking on the Properties button Properties button, or by right-clicking on the target session and selecting Properties from the pop-up menu. You can also open the Session Options dialog by selecting the target session and using the ALT+ENTER hot-key sequence.

If you are connected with a session to a remote machine and would like to edit the current open session:

· Open the Session Options dialog by either clicking on the Properties button Properties button, or by opening the Options menu and selecting the Session Options... menu item.

The Session Options dialog (Session Options Dialog below) is divided into two major sections: an options category tree view, and an options category panel. The options category tree view allows you to select the category of options you wish to change. The options category panel displays all the options associated with the category selected in the options category tree view. For example, in the figure below, the Connection A data path or circuit between two computers over a phone line, network cable, or other means. category is selected, and all of the options associated with the Connection category are displayed in the options category panel.

Session Options Dialog

Related Topics

  1. Options Menu#OptionsMenu_saving


Security Considerations

SecureCRT Icon Security Considerations

Session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. security depends on several factors, including whether the connection A data path or circuit between two computers over a phone line, network cable, or other means. you are using to the host is a trusted connection. If it is not, consider whether private or confidential information will be sent and received. A Telnet Telnet is a protocol that provides an interface for communications between clients and servers. session will transmit user ID, password, and other sensitive or private information in an easily readable format.

For maximum security, it is recommended that passwords and passphrases NEVER be saved. The ability to save passwords and passphrases is functionality provided as a convenience. If a user chooses (and is allowed) to make use of this convenience, saved passwords are encrypted and written to disk as part of the session configuration.

Command-line options for specifying passwords and passphrases are also provided as a convenience. However, command-line options are not protected against unauthorized visibility. It is recommended these command-line options (/PASSWORD, /PASSPHRASE, etc.) not be used in environments where security is important.

In addition, we recommend individuals NOT include passwords and passphrases within scripts since script code is not encrypted.

System administrators who wish to disable this convenient functionality in favor of increased security can request additional information for achieving this goal through Windows Administrative Template mechanism.

Maximum security and privacy on the Internet and local networks requires the use of the Secure Shell Protocols (SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. or SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides.) or the Secure Sockets Layer (SSL ) supported in SecureCRT.

Note that although SecureCRT does support the Telnet protocol, SecureCRT Telnet sessions that are not Telnet/TLS are not encrypted. Encrypted connections are achieved through the SSH1, SSH2, and Telnet/TLS protocols.

Related Topics

  1. Port Forwarding with SSH
  2. Public-Key Authentication for SSH1
  3. Public-Key Authentication for SSH2
  4. Session Options/Connection/SSH1
  5. Session Options/Connection/SSH2


Port Forwarding with SSH

SecureCRT Icon Port Forwarding with SSH

Overview of Port Forwarding

Port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. is a powerful tool that allows you to secure TCP/IP Transmission Control Protocol/Internet Protocol. TCP/IP is the basic communication method used over the Internet. The TCP on the side of the sending machine is responsible for breaking up a message into smaller portions called packets. These packets are then sent to their destination and the TCP on the side of the receiving machine is responsible for reassembling the packets to form the original message. The Internet Protocol provides a means of properly addressing each packet so that it arrives at its destination. SSH and Telnet, for example, are built upon TCP/IP. traffic using SecureCRT's SSH1 and SSH2 protocol support. This means that you can encrypt application data using protocols such as IMAP, POP3, and SMTP. For example, if you receive your email from an Internet Service Provider (ISP), you could encrypt the communication between your workstation running the email client A computer or application that uses services provided by a server. and the ISP's SSH server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server.. SecureCRT also supports X11 forwarding The process of transporting X11 data over an encrypted channel from a remote machine to a local machine., which allows X Windows traffic between the X server and X client to be encrypted.

In general, with any port forwarded by SecureCRT for an application, the application needs to be reconfigured to use the localhost or loopback address 127.0.0.1 as its application server address.

Setting up Port Forwarding

To set up port forwarding, follow these steps:

1. Click on File / Connect and select the SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. for which you would like to use forwarded ports.

2. Click on the Properties button Properties button or right-click on the session and select Properties from the pop-up menu to bring up the Session Options dialog.

3. Under the Connection category, click on the Port Forwarding subcategory.

4. To add a new locally forwarded port, click on the Add button and fill in the local port, remote hostname and remote port. Click on the OK button to save your settings.

5. To add a new remotely forwarded port for an SSH2 connection A data path or circuit between two computers over a phone line, network cable, or other means., click on the Remote/X11 subcategory and then click on the Add button. Fill in the local port, remote hostname and remote port, then click OK.

Note: As you enter the local port, the remote port is automatically filled in from the existing session information. Ports may be defined either by their port number or by their service name.

6. Connect with this session to start port forwarding, then run the client application.

Port forwarding works by forwarding data from a local port to the remote host/port. For example, to secure POP3 traffic through your mail client, set up port forwarding with the following settings:

· local port=110

· remote hostname: set to the mail server's hostname

· remote port=110.

Configure your mail client to use 127.0.0.1 (otherwise known as "localhost") as the POP3 server's IP address. Hostname and port configuration needs to be done in both SecureCRT and the client application (e.g., email). After connecting with this session, POP3 traffic is encrypted to the SSH server as long as SecureCRT is running. If the connection to the SSH server is broken or closed, the forwarded ports will no longer be forwarded, and the client applications may receive an error when they try to connect to the local port.

Forwarding X11 Packets

X11 Forwarding is configured as part of the port forwarding setup. To enable X11 packet forwarding, follow the steps outlined in the "Setting up Port Forwarding" section (above) with the added step of selecting the Forward X11 packets option on the Remote/X11 category.

Note: SecureCRT is not an X Server. The Forward X11 packets option allows SecureCRT to accept X11 data from the remote machine and forwards it to the X server running on the local machine. The local X Server must be running before any X11 sessions can be displayed. If you are using Xhost authority access on the local X11 server, you will need to add the localhost or loopback address 127.0.0.1 to your server's Xhost list.

Security Considerations with Port Forwarding

It is important to understand that the client data is only encrypted between the machine that SecureCRT is running on and the SSH server that SecureCRT is connected to. Any data moving from the SSH server across the network to another server is not encrypted.

Two configurations are presented below to illustrate different machine/network configurations and their affect on security. Your evaluation of the connection between Servers A and B is the critical factor in deciding whether the aggregate security meets your needs.

Configuration 1 (Less secure)

SecureCRT forwards POP3 mail to a remote mail server that is a different machine than the SSH server.

Port Forwarding Configuration (Less secure)

· Between the Local Machine and Server A the data is encrypted.

· Between Server A and Server B the data is not encrypted.

· Since the SSH server and mail server are on different machines your data can be viewed on this connection.

In Configuration 1, the connection between Servers A and B could be one of the following:

· On the Internet - an unsecure network.

· On an internal LAN - a network that may or may not deliver a satisfactory level of security.

Configuration 2 (More secure)

SecureCRT forwards POP3 mail to a remote mail server that is running on the same machine as the SSH server.

Port Forwarding Configuration (More secure)

· Between the Local Machine and Server A the data is encrypted.

· Since there is no network traffic between the SSH server and Mail server, security is increased over Configuration 1.

Related Topics

  1. Configuring Port-Forwarding Filters


Configuring Port-Forwarding Filters

SecureCRT Icon Configuring Port-Forwarding Filters

SecureCRT port-forwarding filters let you allow or deny connections from specific IP address or range of subnets. The filter configuration is stored in the session initialization file (<session name>.ini) in the SecureCRT Config/Sessions folder.

Port-forwarding filters are defined in a list and applied from the first to last. When an application makes a port-forward connection via SecureCRT, the IP address of the application's machine is checked against the filter list. SecureCRT compares the address with the first filter entry and then goes through the list to the last filter entry. When an address meets the criteria of a filter entry, that filter is applied and the rest of the list is ignored. An empty list will deny all port-forwarding connections.

The filter syntax is as follows:

"Port Forward Filter"=[access,host] [access,host] [...]

In the above syntax, the argument values are as follows:

access - allow or deny

host - IP address or a range of subnets

The default settings for the port-forward filter is as follows:

S:"Port Forward Filter"=allow,127.0.0.1,0 deny,0.0.0.0/0.0.0.0,0

This setting allows connections from localhost, but denies connections from any other machine.

Reverse Port Forwarding

SecureCRT also supports reverse port forwarding.

The filter syntax is as follows:

"Reverse Forward Filter"=[access,host] [access,host] [...]

In the above syntax, the argument values are as follows:

access - allow or deny

host - IP address or a range of subnets

The default settings for the port-forward filter is as follows:

S:"Reverse Forward Filter"=allow,127.0.0.1,0 deny,0.0.0.0/0.0.0.0,0

This setting allows connections from localhost, but denies connections from any other machine.

Example Filters

The following is an example of a port-forward filter list that allows connections from the specified machines (Alice's cable modem at 129.24.32.16 and Bob's DSL subnet at 198.129.241.85/255.255.255.128,0) but denies access from other machines:

S:"Port Forward Filter"=allow,129.24.32.16,0 allow,198.129.241.85/255.255.255.128,0 deny,0.0.0.0/0.0.0.0,0

This example list will allow all connections:

S:"Port Forward Filter"=allow,0.0.0.0/0.0.0.0,0

Or, for IPv6:

S:"Port Forward Filter"=allow,::/0,0

And this example list will allow everything in a local reserved class C network and any localhost loopback adapter (e.g., 127.0.0.2, 127.0.0.3, etc.), and deny everything else:

S:"Port Forward Filter"=allow,192.168.0.0/255.255.255.0,0 allow,127.0.0.0/255.255.255.0,0 deny,0.0.0.0/0.0.0.0,0

An example of a more common filter would be the following, which allows local host on 127.0.0.1,0, allows any host on local 192.168.0.0 network, and denies everything else:

S:"Port Forward Filter"=allow,127.0.0.1,0 allow,192.168.0.0/255.255.255.0,0 deny,0.0.0.0/0.0.0.0,0

The following is an example of a port-forward filter list that allows specific IPv6 connections:

S:"Port Forward Filter"=allow,::ffff:198.129.241.85/128,0

For reverse port forwarding, the syntax is similar. For example, this example list will allow everything in a local reserved class C network and any localhost loopback adapter (e.g., 127.0.0.2, 127.0.0.3, etc.), and deny everything else:

S:"Reverse Forward Filter"=allow,192.168.0.0/255.255.255.0,0 allow,127.0.0.0/255.255.255.0,0 deny,0.0.0.0/0.0.0.0,0


Public-Key Authentication for SSH1

SecureCRT Icon Public-Key Authentication for SSH1

Overview of RSA Authentication

RSA authentication uses a public-private key pair A pair of keys used with RSA or DSA authentication. The public key is usually kept in a file named Identity.pub, which is then transferred to the remote SSH server and appended to the user's authorized_keys file. Another file usually named identity contains both the public key and the corresponding private key. This file is kept on the local machine and is used by SecureCRT with public key or RSA authentication methods. to authenticate and log onto an SSH1 server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . It offers a higher level of authentication security than password authentication by requiring both the private key and the passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process. that protects the private key in order to complete authentication.

Setting up RSA public-key authentication for a SecureCRT SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. is a multi-step process. Identity files are first created with the SecureCRT Key Generation wizard. The identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. is defined for global or session-specific use in the SSH1 category of the Global Options dialog or in the Connection/SSH1 category of the Session Options dialog. Then the public key is added to the authorized_keys file, which is located on the SSH1 server.

Creating Identity Files

To create an RSA identity file:

1. In the Connect dialog, select the SSH1 session with which you would like to use the identity files.

2. Open the Session Options dialog and click on the Connection/SSH1 category.

3. In the Authentication field, choose RSA as the authentication type and click on the Properties... button.

3. In the Public Key Properties dialog, select whether you want the new identity file to be global or session specific and click on the Create Identity File button.

4. Follow the instructions in the Key Generation wizard to create your identity files. Once your public-private key pair has been generated by the Key Generation wizard, you will be prompted for the path and filename in which your private key will be stored. Be sure to specify a secure location for this file such that you are the only individual with access to it. The public key will be placed in a file with the same base name as the private key file, but with an extension of .pub.

Using Your Identity Files

Once you have created your identity files, there are several steps that will need to be completed so that you can make use of them with SecureCRT. The necessary steps are 1) Transfer the public-key file (e.g., Identity.pub) to the remote machine; 2) Put the contents of the public-key file in your authorized_keys file on the remote machine; and 3) Configure SecureCRT to use the identity file with RSA authentication.

1. Transfer the identity file to the SSH server

In order to use your public key you must transfer the public-key file (with the extension .pub) created by the Key Generation wizard to the ~/.ssh/ directory on the SSH server. One of the easiest ways to transfer this file to the SSH server is to use the Zmodem file transfer feature provided by SecureCRT. If the remote machine does not have Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. installed, you will need to use an FTP client A computer or application that uses services provided by a server. to transfer the identity file to the remote machine. Another way to transfer the identity file to the remote machine is to copy and paste the contents of the identity file. To accomplish this, use Notepad.exe to open the identity file and copy the contents of the identity file to the clipboard. On the remote machine, create a file using your favorite editor and paste the contents of the clipboard using the paste button.

2. Update the authorized_keys file on the remote machine

Once you have transferred the Identity.pub file to the remote machine, you must update the authorized_keys file on the remote machine. The following steps outline this update process.

1. Connect to the remote SSH server using SSH1 and password authentication.

2. Append the contents of the public-key file created with the Key Generation wizard to the file ~/.ssh/authorized_keys on the remote host. The default name of the public-key file is Identity.pub. Create the ~/.ssh/authorized_keys file if it does not already exist. If you want multiple authorized keys, append the contents of the public-key file to the authorized_keys file. The simplest way to do this is typically:

% cat identity.pub >> ~/.ssh/authorized_keys

(note that the name of the identity file can be different than the example)

Note on placing public keys: The format of the authorized_keys file requires that each entry consist of a single long line. If you use Copy and Paste to add a public key to the ~/.ssh/authorized_keys file, make sure that the entry contains no additional new-line characters.

3. Configure SecureCRT to use your identity files

The identity file created by the Key Generation wizard contains both your new public key and your new private key. To configure SecureCRT to use the identity file:

1. In the Connect dialog, select the SSH session with which you would like to use the identity file.

2. Open the Session Options dialog and in the Connection/SSH1 category, change the Authentication setting from Password to RSA.

3. If you have more than one identity file, you may need to click on the Properties... button and verify that the session is using the session-specific key you have created.

4. Click on the OK button to save the changes. If you supplied a passphrase when you created your key, you will be prompted to enter it during the connection process.

Related Topics

  1. Key Terminology


Public-Key Authentication for SSH2

SecureCRT Icon Public-Key Authentication for SSH2

Overview of Public-Key Authentication

Public-key authentication uses a public-private key pair A pair of keys used with RSA or DSA authentication. The public key is usually kept in a file named Identity.pub, which is then transferred to the remote SSH server and appended to the user's authorized_keys file. Another file usually named identity contains both the public key and the corresponding private key. This file is kept on the local machine and is used by SecureCRT with public key or RSA authentication methods. to log onto an SSH2 server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . Setting up public-key authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. for an SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. SecureCRT session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. is a multi-step process. Identity files must be created using the Key Generation wizard. One of the identity files created by the Key Generation wizard will contain a private key that will be assigned either on a global level for all SSH2 sessions or on a session-specific level. The global or session-specific characteristic of the private key is specified in the SSH2 category. The other identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. created by the Key Generation wizard will contain the corresponding public key and will need to be transferred to the proper location on the SSH2 server.

Note: Public keys generated using VanDyke Software products comply with the established IETF draft specification defining the format of Secure Shell public key files. This does not guarantee that SecureCRT will work with public key files generated using other Secure Shell software implementations which may or may not comply with this specification.

Since there is no IETF specification defining the format of Secure Shell private key files, SecureCRT may not be able to use private key files generated with other implementations. It should also be noted that, since the private key generated by SecureCRT uses a different format from OpenSSH's private key, OpenSSH cannot use a VanDyke Software generated private key.

SecureCRT supports SSH2 public-private key files generated with VanDyke Software products and the public-private key files generated with the OpenSSH ssh-keygen utility.

Creating Global Identity Files

1. Open the Global Options dialog and click on the SSH2 category

2. Click on the Create Identity File button.

3. Follow the instructions in the Key Generation wizard to create your identity files. The Key Generation wizard will ask for a passphrase, but the passphrase is not required. If the public key is going to be used as part of an automated process, you may not want to use a passphrase.

4. Once your public-private key pair has been generated by the Key Generation wizard, you will be prompted for the path and filename in which your identity files will be stored. Be sure to specify a secure location for these files such that you are the only individual with access to them. The public key will be placed in a file with the same name as the private key file, but with an extension of .pub.

Note: SecureCRT supports RSA, Ed25519, ECDSA, and DSA key types.

Creating Session-Specific Identity Files

1. In the Connect dialog, select the SSH2 session with which you would like to use the identity files.

2. Open the Session Options dialog

3. In the Authentication group, set one of your authentication methods to be PublicKey and click on the associated Properties button.

4. In the Public Key Properties dialog, click on the Create Identity File button.

5. Follow the instructions in the Key Generation wizard to create your identity files. The Key Generation wizard will ask for a passphrase, but the passphrase is not required. If the public key is going to be used as part of an automated process, you may not want to use a passphrase.

6. Once your public-private key pair has been generated by the Key Generation wizard, you will be prompted for the path and filename in which your identity files will be stored. Be sure to specify a secure location for these files such that you are the only individual with access to them. The public key will be placed in a file with the same name as the private key file, but with an extension of .pub.

Using Your Identity Files

Once you have created your identity files, there are several steps that will need to be completed so that you can make use of them with SecureCRT. The necessary steps are:

1. Configure the SSH2 server to recognize your public-key file (e.g., Identity.pub). Instructions are provided for configuring VanDyke Software's VShell® server, OpenSSH, SSH Communications, and Data Fellows servers.

2. Configure SecureCRT to use the identity file with public-key authentication on the local machine. The identity file created by the Key Generation wizard contains both your new public key and your new private key. To configure SecureCRT to use the identity file complete the following instructions:

a. In the Connect dialog, select the SSH2 session with which you would like to use the identity file.

b. Open the Session Options dialog and in the Connection/SSH2 category, change the Authentication setting from Password to PublicKey.

c. If you have more than one identity file, you may need to click on the Properties button and verify that the session is using the session-specific key you have created.

d. Click on the OK button to save the changes. If you supplied a passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process. when you created your key, you will be prompted to enter it during the connection process.

Related Topics

  1. Key Terminology


Configure OpenSSH to Recognize Identity File

SecureCRT Icon Configure OpenSSH to Recognize Your Public-Key File

In order to use your public key you must transfer the public-key file (typically Identity.pub) created by the Key Generation wizard to the ~/.ssh directory on the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . It is recommended that you follow the procedure below for using copy and paste to create a copy of the Identity.pub file in the ~/.ssh directory on the remote machine. If you decide instead to transfer the Identity.pub file to the ~/.ssh directory using an FTP client A computer or application that uses services provided by a server. , be sure to transfer the file in ASCII mode. Also be sure to complete step 4d below.

To use copy and paste to configure the SSH2 server to recognize your public-key file:

1. Log on to the remote SSH2 server using SSH2 and password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. .

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the Key Generation wizard.

3. With the Identity.pub file opened in the Notepad application, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. % cat > ~/.ssh/identity.pub

b. Click on the SecureCRT paste button [image] to paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

c. Issue a CTRL+D to close the Identity.pub file.

d. Convert the key to one that OpenSSH will recognize using the following command:

% ssh-keygen -i -f ~/.ssh/identity.pub >> ~/.ssh/authorized_keys

If you are connecting to a version of OpenSSH that is older than 2.9, use the following command instead:

% ssh-keygen -X -f ~/.ssh/identity.pub >> ~/.ssh/authorized_keys2

Note: If the key is an OpenSSH-format key, such as a converted key or a key exported from a certificate, the key does not need to be converted as shown above. Instead, use the following command:

% cat ~/.ssh/identity.pub >> ~/.ssh/authorized_keys

If you are connecting to a version of OpenSSH that is older than 2.9, use the following command:

% cat ~/.ssh/identity.pub >> ~/.ssh/authorized_keys2

e. Ensure that you are the only user with permissions to write to your "authorized_keys" file. This can be done using the following command:

% chmod 600 ~/.ssh/authorized_keys

The method described above uses only a single public key in the authorization file. It is possible to have more than one public key in the "authorized_keys" file. To add additional public keys, repeat steps 2 through 4.

Return to Public-Key Authentication for SSH2


Configure SSH Communications to Recognize Public-Key File

SecureCRT Icon Configure an SSH Communications Server to Recognize Your Public-Key File

In order to use your public key, you must transfer the public identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. (generally Identity.pub) created by the Key Generation wizard to the ~/.ssh2 folder on the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. server . It is recommended that you follow the procedure below for using copy and paste to create a copy of the Identity.pub file in the ~/.ssh2 folder on the remote machine. If you decide instead to transfer the Identity.pub file to the ~/.ssh2 folder using an FTP client A computer or application that uses services provided by a server. , be sure to transfer the file in ASCII mode. Also be sure to complete step 4-d below.

To use copy and paste to configure the SSH2 server to recognize your Identity.pub file:

1. Log on to the remote SSH2 server using SSH2 and password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. .

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the Key Generation wizard.

3. With the Identity.pub file opened in the Notepad application, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. % cat > ~/.ssh2/identity.pub

b. Click on the SecureCRT paste button [image] to paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

c. Issue a CTRL+D to close the Identity.pub file. Once you have typed CTRL+D, the Identity.pub file will have been created in the ~/.ssh2 folder on the remote machine.

d. % echo "Key identity.pub" >> ~/.ssh2/authorization

Return to Public-Key Authentication for SSH2


Configuring VShell to Recognize Public-Key File

SecureCRT Icon Configuring a VanDyke Software VShell® Server to Recognize Your Public-Key File

Using SecureCRT-Generated Public Keys with VShell for Windows

In order to use your public key, you must transfer the Identity.pub (or whatever name you chose) file created by the Key Generation wizard to the individual user's folder under the Publickey folder on the VShell server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . For example:

C:\Program files\VShell\Publickey\%User%\Identity.pub

If you are using VShell version 2.1 or newer, you can use the SecureCRT public-key assistant to upload your public key for you without knowing the exact location of the server's public-key folder.

If you are not using VShell version 2.1 or newer, it is recommended that you follow the procedure below for using copy-and-paste operations to create a copy of the Identity.pub file in the Publickey folder on the remote machine. If you decide instead to transfer the Identity.pub using an FTP client A computer or application that uses services provided by a server. , be sure to transfer the file in ASCII mode.

To use copy-and-paste operations to configure the VShell server to recognize your Identity.pub file:

1. Log on to the remote VShell server using SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. and password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. .

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the SecureCRT Key Generation wizard.

3. With the Identity.pub file open in Notepad, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. Change to the individual user's folder under the Publickey folder. For example:

\Program files\VShell\Publickey\%User%

b. Type copy con identity.pub on the command line and press the ENTER key.

c. Click on the SecureCRT Paste button to paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

d. Press CTRL+Z ENTER to close the Identity.pub file. Once you have typed CTRL+Z ENTER, the Identity.pub file will have been created in the folder on the remote VShell server.

Using SecureCRT-Generated Public Keys with VShell for Linux

In order to use your public key, you must transfer the Identity.pub (or whatever name you chose) file created by the Key Generation wizard to the individual user's .vshell/publickey directory. For example:

/home/someuser/.vshell/publickey/Identity.pub

or

~someuser/.vshell/publickey/Identity.pub

You can use the SecureCRT public-key assistant to upload your public key for you without having to copy the identity file by-hand. If you are not able to use the public-key assistant, it is recommended that you follow the procedure below for using copy-and-paste operations to create a copy of the Identity.pub file in the Publickey folder on the remote machine. If you decide instead to transfer the Identity.pub using an FTP or SFTP client, be sure to transfer the file in ASCII mode if applicable.

To use copy-and-paste operations to configure the VShell server to recognize your Identity.pub file:

1. Log on to the remote VShell server using SSH2 and password authentication.

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the SecureCRT Key Generation wizard.

3. With the Identity.pub file open in Notepad, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. Issue a cd command to change the current working directory to the individual user's .vshell/publickey folder. For example:

cd ~someuser/.vshell/publickey

b. Type cat > ~someuser/.vshell/publickey/identity.pub on the command line and press the ENTER key.

c. Click on the SecureCRT Paste button to paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

d. Press CTRL+D to close the Identity.pub file. Once you have typed CTRL+D, the Identity.pub file will have been created in the user's .vshell/publickey directory on the remote VShell server.

Return to Public-Key Authentication for SSH2


Changing the Passphrase for a Private Key

SecureCRT Icon Changing the Passphrase for a Private Key

If you would like to change the passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process. for a private key, follow the steps outlined below.

1. In the Connect dialog, select the SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. that uses the private key for which you want to change the passphrase.

2. Open the Session Options dialog by selecting a session and either clicking on the Properties button Properties button, or by right-clicking on the selected session and selecting the Properties menu item from the pop-up menu.

3. For SSH1 sessions: click on the Connections/SSH1 category, select RSA as the Authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. method and then click on the associated Properties button.

4. For SSH2 sessions: in the Connections/SSH2 category, select PublicKey in the Authentication window and then click on the associated Properties button.

5. Click on the Change Passphrase button in the Public Key Properties dialog.

6. In the Change Passphrase dialog (shown below), enter your current passphrase and the new passphrase (twice), and click on the OK button.

The Change Passphrase dialog

Change Passphrase Dialog


Key Terminology

SecureCRT Icon Key Terminology

Most encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. technologies are based around a system of “keys” that allow information to be encoded and then decoded. The terms “private key”, “public key”, and “host key” are used extensively in SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. communication and can be confusing to those who are new to the terminology. This topic hopes to define and clarify these terms and their use.

Private Key

A private key is one of two keys used in public-key encryption (the other being a public key). The user keeps the private key secret and uses it to encrypt outgoing messages and decrypt incoming messages.

The permissions for the private key should be set so that only the owner has read/write access. This is especially important if the key does not have a passphrase.

Public Key

A public key is one of two keys used in public-key encryption (the other being a private key). The user releases a copy of this key to the public to allow anyone to use it for encrypting messages to be sent to the user and for decrypting messages received from the user.

Public-Key Encryption

A scheme using an asymmetric algorithm to create a pair of keys for encryption: a public key encrypts data, and a corresponding private key decrypts it. In some situations, such as digital signatures, the process is reversed: the sender uses a private key to create a unique number that can be read by anyone who has the corresponding public key. The agreement of the public and private keys verifies that the message is truly from the sender.

Public-Key Authentication

In public-key authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. , public-private key pairs are used to identify a user to an SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . A user creates both a public and private key, and then transfers a copy of the public key to an SSH2 server to which the user wants secure access. The private key is kept on the user’s local machine and is used to verify the identity of the user when the user attempts to connect to the SSH2 server. The public and private keys must be correct for the server to allow the connection A data path or circuit between two computers over a phone line, network cable, or other means. .

Host Key

A host key is the public key in a public-private key pair A pair of keys used with RSA or DSA authentication. The public key is usually kept in a file named Identity.pub, which is then transferred to the remote SSH server and appended to the user's authorized_keys file. Another file usually named identity contains both the public key and the corresponding private key. This file is kept on the local machine and is used by SecureCRT with public key or RSA authentication methods. that is used to identify a server host to a client A computer or application that uses services provided by a server. in SSH2 connections. When a client connects to a server host, the server sends a host key to the client (the server keeps the private key secret). The first time the client connects to a server, the client’s user is asked if they want to save the host key. If the user chooses to save the host key, the client adds the key to its host key database. Each time the client connects to that server, the client expects to receive the same key. If the server sends a different host key, the client is alerted to the fact that there may be a problem, which could be anything from a corrupt key file to a fraudulent server. The client then takes whatever action that is required to accept or reject the connection. Also see "Accepting a Host Key" and Global Options/SSH2 Host Keys.


Using X.509 Certificates

SecureCRT Icon Using X.509 Certificates

Overview

X.509 is a proposed standard used for generating digitally-signed public-key authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. certificates. These certificates can be used for authentication in supporting SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. systems. Not all SSH servers support X.509 certificates.

Before you can use X.509 certificates, you must configure your system to support these certificates. In the example system shown below, a client A computer or application that uses services provided by a server. machine is connected to an SSH server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. which in turn is able to query a Certification Authority (CA) server.

X.509 System Configuration

Obtaining an X.509 Certificate

To obtain an X.509 certificate, begin by generating a public/private key pair on your client machine (refer to your system documentation for information on this process). Keep your private key on the local machine and forward the public key with any other required information to the CA in the form of a request for certification. If the request is approved, the CA digitally signs the certificate and returns it to you in the form of a smart card, token, or other medium.

SecureCRT supports X.509 systems that work with Windows compatible smart card readers.

Configuring SecureCRT to Use X.509 Certificates

Once you have your X.509 certificate, you need to configure SecureCRT to use it.

1. On the client machine, start SecureCRT.

2. Select the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. that you want to use with the X.509 certificate and open the Session Options dialog.

3. In the Connection/SSH2 category, select Public Key as one of your Authentication types and click on the associated Properties button.

4. In the Public Key Properties dialog, select the Use session public key setting option and then select the Use personal store certificate (CAPI) option in the Session settings group.

5. Click on the OK button to save your settings.

Note: SecureCRT also supports the use of X.509 certificates for public keys on a global basis. This option is available in the SSH2 category of the Global Options dialog.

Related Topics

  1. Using an Exported Public Key


Using the Agent

SecureCRT Icon Using the Agent

Overview

Agents are programs that work in the background gathering information or performing small processing tasks. In SecureCRT, the implemented agent temporarily holds private keys for use with public-key authentication to multiple remote hosts.

Public-key authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. uses a public-private key pair to log on to a Secure Shell server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server.. After you create your public-private key pair, you store your private key on your local machine and transfer your public key to the remote host to which you want to connect. If you want to connect to more than one remote machine, you must transfer your public key to each machine. Many users choose to encrypt their private key with a passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. When using public-key authentication, a private key with an assigned passphrase will not be available if the correct passphrase is not supplied during the authentication process.. To log on to all the machines in the example below, you would have to enter your passphrase three times; once each time you made a connection A data path or circuit between two computers over a phone line, network cable, or other means., even if the machines use the same public-private key pair A pair of keys used with RSA or DSA authentication. The public key is usually kept in a file named Identity.pub, which is then transferred to the remote SSH server and appended to the user's authorized_keys file. Another file usually named identity contains both the public key and the corresponding private key. This file is kept on the local machine and is used by SecureCRT with public key or RSA authentication methods..

Connecting to Multiple Hosts

If you use the SecureCRT agent, however, you only have to enter your passphrase when making the first connection. The agent holds your decrypted private key and authenticates any further connections to machines using the same public-private key pair.

Agent Forwarding

Agent forwarding is using the agent to connect to a remote machine through another remote machine (see the figure below).

Connecting Through a Remote Host

To connect to the destination machine without using the agent, you would have to transfer your public key to both the intermediate and destination hosts and you would have to store your private key on the intermediate machine as well as on your local machine.

With the agent enabled, it acts as your proxy in authenticating to the destination host and allows you to keep your private key on just the local machine.

Note: Agent forwarding will only work if all intermediate machines are OpenSSH agent protocol servers running SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides.. Destination servers must be running SSH2 but do not have to be OpenSSH agent protocol servers.

Enabling the Agent

To enable the agent options follow these steps:

1. On the local machine, start SecureCRT.

2. Open the Global Options dialog, and select the SSH2 category.

3. To enable the SSH2 Agent, check the Add keys to agent check box in the Advanced group.

4. To enable agent forwarding on a global basis, check the Enable OpenSSH agent forwarding check box in the Advanced group and click on the OK button to save your settings.

5. To enable agent forwarding on a per-session basis, open the Session Options dialog and select the SSH2/Advanced category. Check the Enable OpenSSH agent forwarding check box in the Options group and click on the OK button to save your settings. This is a tri-state option; If this option is set to the tri-state value (square), the setting from the Global Options/SSH2 category will be used.

Flushing the Agent Cache

To delete the public keys from the agent's cache you will need to assign the SSH_FLUSH_AGENT command to a specified keyboard key. You can do this by following these steps:

1. From the Tools menu, select Keymap Editor...

2. In the Keymap Editor , select the key that you want to associate with the SSH_FLUSH_AGENT command. This should be a key that is not already assigned or frequently used such as F2 or F11 for example.

3. Press the Map Selected Key... button to open the Map Selected Key dialog.

4. From the Function list, select SSH Function.

5. From the SSH Function list, select SSH_FLUSH_AGENT and click the OK button.

6. Save the keymap that you created and close the Keymap Editor.

7. Restart SecureCRT using the new keymap.

8. Press the key you chose to flush the agent cache.

Note: There will be no feedback letting you know that the agent cache has been flushed except that the previously cached public keys will not longer work.


Xterm Escape Sequences

SecureCRT Icon Xterm Escape Sequences

SecureCRT supports many standard escape sequences. The following is a list of the xterm sequences supported by SecureCRT.

Note: The mouse tracking information is provided for users developing applications for remote systems in order to support mouse tracking. Typically this implementation will be transparent to the user. SecureCRT supports X10 mouse tracking.

General Sequences | Action
ESC ] 2 ; title BEL | Set text parameters; change window title to title
Mouse Tracking Sequences | Action
ESC [ ? 9 h | Send mouse X and Y on button press
ESC [ ? 1000 h | Send mouse X and Y on button press and release and scroll wheel movement

Example Script: Changing the Window Title

SecureCRT supports the xterm escape sequence for changing the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. window title bar on the fly. The Perl script below shows how this can be done:

#! /usr/local/bin/perl

# title.pl - sends xterm escape sequence to

# change window title to @ARGV

$esc = "\x1b";

$bel = "\x7";

$txt = join(" ", @ARGV);

print $esc, "]2;", $txt, $bel;

This script can be placed in a shell alias to display the current working folder in the title bar of the session window:

alias cd 'cd \!\!* ; prompt ; ~/bin/title.pl $host\: `pwd` '

Color Extension Support

SecureCRT supports many color extensions introduced for xterm versions that need to support more than 16 colors. For 256-color xterm escape sequences to work, you must have the ANSI Color option enabled in the Terminal/Emulation category of the Session Options dialog.

Note: In the following table, the variable RgbSpec is in the form rgb:RR/GG/BB where RR, GG, and BB are hex values specifying the color.

RGB Sequences | Action
ESC [ 38 ; 5 ; <RgbSpec> m CSI 38 ; 5 ; <RgbSpec> m | Set foreground color.
ESC [ 48 ; 5 ; <RgbSpec> m CSI 48 ; 5 ; <RgbSpec> m | Set foreground color.
ESC ] 4 ; c ; <RgbSpec> ST ESC ] 4 ; c ; <RgbSpec> BEL | Change Color Number c to the color specified by RgbSpec. Any number of c name pairs may be given. The color numbers correspond to the ANSI colors 0-7, their bright versions 8-15, and if supported, the remainder of the 88-color or 256-color table.
ESC ] 1 0 ; <RgbSpec> ST ESC ] 1 0 ; <RgbSpec> BEL | Change foreground color to RgbSpec.
ESC ] 1 1 ; <RgbSpec> ST ESC ] 1 1 ; <RgbSpec> BEL | Change background color to RgbSpec.
ESC ] 1 2 ; <RgbSpec> ST ESC ] 1 2 ; <RgbSpec> BEL | Change cursor color to RgbSpec.

Example Script: Laying Out a Color Cube

The following Perl script demonstrates using these sequences to lay out a "color cube" with a colored "X" in each color cell:

---

#!/usr/bin/perl

$ESC="\x1b";

$CSI="${ESC}\[";

for ($green=0;$green<6;$green++)

{

for ($red=0;$red<6;$red++)

{

for ($blue=0;$blue<6;$blue++)

{

$bgcolor=16+($red*36)+($green*6)+$blue;

$fgcolor=16-$red-$green-$blue;

print "${CSI}48;5;${bgcolor}m";

print "${CSI}38;5;${fgcolor}mX";

}

print "${CSI}0m";

}

print "\n";

}

---


Creating a Personal Font Map

SecureCRT Icon Creating a Personal Font Map

SecureCRT provides a method for you to create a personal font map, in case the font maps available in the Character Encoding option are not sufficient for your needs. This method consists of two tasks: creating a font map file and adding that file to a SecureCRT session.

Creating a Font Map

A font map is a text file of up to 256 lines (0 through 255). Each line in this file corresponds (by its position in the file) to a character cell in the selected codepage. The hexadecimal number on each line tells SecureCRT which Unicode character to display for that cell. For example, if the value 00df appeared on line 65 of the file, any "A" characters received from the remote machine would be displayed as " ß" characters.

The line entry format is as follows:

<hexadecimal number><comments>

Example:

0000

0001

…

00df “Sharp S”

…

00ff

Anything on the line after the hex number is ignored by SecureCRT, making the space useful for comments. Blank lines in the file will be ignored.

If you only want to translate a few characters, you can choose not to include all 256 lines in your map file, however, the entries must be sequential and all entries must be included through the last assignment you want to make. For example, if you wanted to change the characters displayed for lines 2 and 10, you still must include lines 0 through 10 in your file.

Adding a Font Map to a Session

Font map files are session specific. To assign a font map to a session, add a line like the following to your session’s .ini file:

S: “User Font Map”=<path>

In this command, the “path” variable is the full path of your font map.


Overview of Color Schemes

SecureCRT Icon Overview of Color Schemes

SecureCRT allows you to customize the foreground and background colors of both normal and bold text attributes. The foreground and background colors are defined in what is called a "color scheme A combination of session settings that specify a variety of colors associated with the terminal window, including foreground and background." which can then be customized and assigned to a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts.. SecureCRT comes with a number of predefined color schemes. SecureCRT also allows you to create any number of personalized color schemes.

Note: ANSI color can be used in conjunction with color schemes. For information on how to enable, disable, or customize ANSI color settings, see the ANSI color settings in the Global Options and Session Options dialogs.

Related Topics

  1. Creating or Modifying a Color Scheme
  2. Global Options/Terminal/Appearance/Advanced
  3. Session Options/Terminal/Appearance


Creating or Modifying a Color Scheme

SecureCRT Icon Creating or Modifying a Color Scheme

You can modify a color scheme A combination of session settings that specify a variety of colors associated with the terminal window, including foreground and background. from either the Global Options or Session Options dialogs in SecureCRT.

From the Session Options dialog:

· Select the Terminal/Appearance category.

· To create a color scheme, in the Current color scheme group, click on the New... button.

· To modify a color scheme, in the Current color scheme group, click on the Edit... button.

From the Global Options dialog:

· In the Global Options dialog, select the Terminal/Appearance category and click on the Color Schemes subcategory.

· To create a color scheme, in the Color scheme panel, click on the New... button.

· To modify a color scheme, select the color scheme that you want to modify from the Schemes list and click on the Edit... button.

In either case, to create or modify a color scheme:

· In the Color Scheme dialog, select the text attribute (Normal, Bold, etc...) you want from among the list of attributes by using the drop-down box or by clicking on the attribute name as it is displayed in the attribute preview area. When an attribute is selected, it will be indicated with a box drawn around it in the attribute preview area.

- To change the foreground color of the selected text attribute, click on the Foreground button and select the new foreground color from the Color dialog.

- To change the background color of the selected text attribute, click on the Background button and select the new background color from the Color dialog.

- Set the ANSI color palette for the color scheme by selecting a palette from the dropdown list.

Note: To customize the foreground and background colors of additional text attributes such as Underline, Bold Underline, Blink, Blink Bold, Blink Underline, and Blink Bold Underline, select the Advanced option in the Color Scheme dialog. The Color Scheme dialog also allows you to enable or disable the display of Overstrike bold, Show underline and Enable blink text attributes within the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen.

Related Topics

  1. Global Options/Terminal/Appearance/Advanced
  2. Overview of Color Schemes
  3. Session Options/Terminal/Appearance


Overview of Keymaps

SecureCRT Icon Overview of Keymaps

Terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulators, such as SecureCRT, use a keyboard emulation or “keymap” to map keystrokes from your local keyboard to the keystrokes that a remote host would expect. For example, assume you are a Windows NT user running a SecureCRT session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. that is configured with the VT220 terminal emulation and associated keymap. When you press the F1 key (which in NT would open the Help system), SecureCRT sends a Hold Screen command to the remote host as if you were pressing the F1 key on a VT220 terminal.

In SecureCRT, every session uses a keymap. Keymaps can also be used for more than one session. SecureCRT provides built-in keymaps for ANSI, Linux, SCO ANSI, TN3270, VShell, VT100, VT102, VT220, WYSE50, and WYSE60 terminal emulation. You can also create custom keymaps using the Keymap Editor.

Selecting a Keymap

SecureCRT automatically chooses a built-in keymap to use based on the terminal emulation selected in the Terminal/Emulation category of the Session Options dialog. To select a different keymap for a session, check the Select an alternate keyboard emulation option in the Terminal/Emulation category and select the built-in or custom keymap that you want to use.

Related Topics

  1. Customizing a Keymap


Customizing a Keymap

SecureCRT Icon Customizing a Keymap

SecureCRT provides two mechanisms for customize the functions defined by a keymap: the Mapped Keys category; and the Keymap Editor.

Mapped Keys

In the Terminal/Emulation/Mapped Keys category of the Session Options dialog, you can associate functions and arguments with specified keys or key combinations. These associations only apply to the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. in use and will not carry over to other sessions. The associations made only supersede the current keymap and do not change the keymap itself.

You can also return a keymap back to its original configuration by clicking on the default button in the Map Selected Key dialog.

Keymap Editor

The Keymap Editor allows you to modify an existing keymap or create a new one. In this way, you can make keymap customizations that can be used with multiple sessions.


Table of Keymap Functions

SecureCRT Icon Table of Keymap Functions

Key combinations can be mapped to any one of the Send String, Menu, Scroll Bar, Telnet, VT, SSH, and Run Script function genres, or can be disabled completely.

You can also map a key that launches local commands. By assigning a key to the function Launch Application and entering the appropriate executable file, SecureCRT can open whatever application you need.

Function Genre

Function Name and Parameter

Action

Disable

N/A

Disables the selected key or key combination.

Launch Application

N/A

Launches specified application.

Menu

MENU_CLEAR_SCREEN

Clears the terminal screen.

MENU_CLEAR_SCREEN_AND_

SCROLLBACK

Clears both the terminal screen and the scrollback buffer.

MENU_CLEAR_SCROLLBACK

Clears the scrollback buffer.

MENU_CLOSE_WINDOW

Closes the active window.

MENU_CONNECT

Opens a new SecureCRT window and brings up the SecureCRT Connect dialog.

MENU_COPY

Copies the text selected in the SecureCRT terminal screen.

MENU_COPY_PASTE

Copies the text selected in the SecureCRT terminal screen and pastes it back to the terminal screen.

MENU_DEBUG_LOG

Writes every character received by SecureCRT, including terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. escape sequences, to the session log file.

MENU_DISCONNECT

Closes the current connection A data path or circuit between two computers over a phone line, network cable, or other means. .

MENU_DISCONNECT_ALL

Closes all current connections.

MENU_EXIT

Exits SecureCRT.

MENU_FIND

Opens the Find dialog for text searching.

MENU_GOTO_COMMAND_
SESSION_WINDOW

Switches focus between the command and session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows.

MENU_GOTO_CONNECT_BAR

Changes focus to the Connect bar.

MENU_GOTO_SESSION_MANAGER

Changes focus to the Session Manager.

MENU_LOG_SESSION

Toggles session logging.

MENU_NEW_WINDOW

Opens a new SecureCRT window.

MENU_PASTE

Pastes the contents of the Clipboard to the SecureCRT terminal screen.

MENU_PRINT_AUTO

Toggles Auto Print.

MENU_PRINT_CANCEL

Turns Auto Print off.

MENU_PRINT_EJECT_PAGE

Sends the contents of the pass-through printing buffer to the printer.

MENU_PRINT_SCREEN

Prints the contents of the SecureCRT terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen.

MENU_PRINT_SELECTION

Prints the current selection

MENU_QUICK_CONNECT

Opens a new SecureCRT window and brings up the SecureCRT Quick Connect dialog.

MENU_RECEIVE_ASCII

Opens the Specify Filename to Receive as ASCII dialog.

MENU_RECEIVE_KERMIT

Starts the transfer of the file(s) from the currently connected server.

MENU_RECEIVE_XMODEM

Opens the Specify Filename to Receive using Xmodem dialog. For more information on Xmodem, see Overview of Xmodem.

MENU_RECEIVE_YMODEM

Starts the transfer of the file(s) from the currently connected server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . For more information on Ymodem, see Overview of Ymodem.

MENU_RECENT_n

Opens the session indicated by the nth item on the Recently Used Sessions List group of the File menu. Valid values for n are the integers 1-4.

MENU_RECONNECT

Reconnects you to the session that most recently had focus.

MENU_RECONNECT_ALL

Re-establishes a connection on all currently disconnected sessions (honors the Connect to multiple sessions sequentially option setting).

MENU_RESET

Resets the SecureCRT terminal emulator.

MENU_SAVE_SETTINGS_NOW

Saves session settings.

MENU_SCRIPT_CANCEL

Cancels the currently running script.

MENU_SCRIPT_CANCEL_
RECORDING

Stops the recording in progress and nothing is saved.

MENU_SCRIPT_RUN

Opens the Select Script to Run dialog where you can choose and start a script. For more information on scripts, see Creating ActiveX Scripts.

MENU_SCRIPT_START_
RECORDING

Instructs SecureCRT to record all keystrokes and responses in the current session until the Stop Recording Script or Cancel Recording Script option is selected. If a script is being recorded and a session is disconnected, you will be prompted to save the script.

MENU_SCRIPT_STOP_
RECORDING

Stops the recording in progress and prompts you to save the recorded script as a Visual Basic (.vbs) or Python (.py) script file. If a script is being recorded and a session is disconnected, you will also be prompted to save the script.

MENU_SELECT_ALL

Selects the contents of the scrollback buffer.

MENU_SEND_ASCII

Opens the Select File to Send as ASCII dialog.

MENU_SEND_BINARY

Opens the Select File to Send as Binary dialog.

MENU_SEND_BREAK

Sends a BREAK command.

MENU_SEND_KERMIT

Opens the Select File to Send using Kermit dialog.

MENU_SEND_XMODEM

Opens the Select File to Send using Xmodem dialog. For more information on Xmodem, see Overview of Xmodem.

MENU_SEND_YMODEM

Opens the Select Files to Send using Ymodem dialog. For more information on Ymodem, see Overview of Ymodem.

MENU_SEND_ZMODEM

Starts the transfer of the file(s) selected in the Select Files to Send using Zmodem dialog to the currently connected server. For more information on Zmodem, see Overview of Zmodem.

MENU_TAB_1

Sets focus to Tab 1.

MENU_TAB_2

Sets focus to Tab 2.

MENU_TAB_3

Sets focus to Tab 3.

MENU_TAB_4

Sets focus to Tab 4.

MENU_TAB_5

Sets focus to Tab 5.

MENU_TAB_6

Sets focus to Tab 6.

MENU_TAB_7

Sets focus to Tab 7.

MENU_TAB_8

Sets focus to Tab 8.

MENU_TAB_9

Sets focus to Tab 9.

MENU_TAB_10

Sets focus to Tab 10.

MENU_TAB_CLONE

Creates a new session that is identical to the current session. For more information, see the Session Tabs topic.

MENU_TAB_CLONE_IN_NEW_

WINDOW

Creates a new session that is identical to the current session in a new window.

MENU_TAB_CLOSE

Closes the active tab.

MENU_TAB_CLOSE_ALL

Closes all tabs.

MENU_TAB_LOCK

Locks tab.

MENU_TAB_NEW

Creates a new tab.

MENU_TAB_NEW_SFTP

Opens a new tab containing an SFTP command line (available in SecureCRT only).

MENU_TAB_NEXT

Changes the focus to the next tab.

MENU_TAB_PREV

Changes the focus to the previous tab.

MENU_TAB_RENAME

Allows you to rename the active tab.

MENU_TAB_SECUREFX

Starts VanDyke Software's SecureFX® with the same session configuration, if the program is installed (available in SecureCRT only).

MENU_TAB_SEND_TO_NEW_

WINDOW

Sends tab or tile to new window.

MENU_THEMES_AQUA

Sets the session to the predefined Aqua color scheme.

MENU_THEMES_BLACK

Sets the session to the predefined Black color scheme.

MENU_THEMES_BLUE

Sets the session to the predefined Blue color scheme.

MENU_THEMES_OFFICE2000

Sets the session to the predefined Office2000 color scheme.

MENU_THEMES_OFFICE2003

Sets the session to the predefined Office2003 color scheme.

MENU_THEMES_SHADED

Sets the session to the predefined Shaded color scheme.

MENU_THEMES_SILVER

Sets the session to the predefined Silver color scheme.

MENU_TOGGLE_ALPHA_
TRANSPARENCY

Toggles the active window transparency between fully opaque and the transparency value set in the Terminal / Appearance / Advanced category of the Global Options dialog.

MENU_TOGGLE_ALWAYS_
ON_TOP

Toggles state of the Always on Top option.

MENU_TOGGLE_BUTTON_BAR

Toggles display of the SecureCRT button bar.

MENU_TOGGLE_COMMAND_
WINDOW

Toggles display of the SecureCRT Command window.

MENU_TOGGLE_CONNECT_BAR

Toggles display of the. SecureCRT Connect bar.

MENU_TOGGLE_FULL_SCREEN

Toggles full screen mode.

MENU_TOGGLE_HORZ_SCROLLBAR

Toggles display of the. SecureCRT horizontal scroll bar.

MENU_TOGGLE_MENU_BAR

Toggles display of the SecureCRT menu bar.

MENU_TOGGLE_SEND_COMMANDS_

TO_ALL_SESSIONS

Toggles state of the Send commands to all sessions option.

MENU_TOGGLE_SESSION_
MANAGER

Toggles display of the Session Manager.

MENU_TOGGLE_SESSION_TABS

Toggles display of tabs.

MENU_TOGGLE_STATUS_BAR

Toggles display of the. SecureCRT status bar.

MENU_TOGGLE_TOOLBAR

Toggles display of the SecureCRT toolbar.

MENU_TOGGLE_VERT_SCROLLBAR

Toggles display of the. SecureCRT vertical scroll bar.

MENU_TOOLS_CREATE_PUBLIC_KEY

Opens the Key Generation wizard.

MENU_TOOLS_CONVERT_PRIVATEKEY_

TO_OPENSSH_FORMAT

Converts a VanDyke generated private key to OpenSSH format so that it can be used for authentication with other SSH2 clients. You will be prompted for the key to convert and where to save the converted key.

MENU_TOOLS_EXPORTPUBLICKEY_

FROM_CERTIFICATE

Exports the public key from an X.509 certificate. You will be prompted for the certificate to use and where to save the public key. After the public key has been exported, you will need to complete these instructions in order to use it.

MENU_TOOLS_KEYMAP_EDITOR

Opens the Keymap Editor.

MENU_TOOLS_MANAGE_
AGENT_KEYS

Opens the Manage Agent Keys dialog which allows you to add keys to and remove keys from the list of accepted agent keys.

MENU_TOOLS_PUBLIC_KEY_

ASSISTANT

Opens the Public-Key Assistant dialog, allowing you to manage your public keys on remote servers.

This option is only available when you are using the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. protocol. Also note that not all remote systems support the public-key assistant subsystem.

MENU_TRACE_OPTIONS

Displays normally hidden protocol negotiation information along with standard information shown in the SecureCRT window.

MENU_WINDOW_n

Cycles focus to the nth SecureCRT window as designated in the Window menu. Valid values for n are integers 1-0, where the value 0 indicates the 10th window.

MENU_WINDOW_CASCADE

Resizes and displays all open session windows to be slightly overlapped and descending from the upper-left corner of the main window. The specified geometry settings are used.

MENU_WINDOW_NEXT

Cycles focus to the next SecureCRT window.

MENU_WINDOW_PREV

Cycles focus to the previous SecureCRT window.

MENU_WINDOW_TABS

Toggles the tabbed interface display setting.

MENU_WINDOW_TILE_HORZ

Resizes and displays all open session windows to be the height of the main window, equal-sized and horizontally positioned to fill the entire main window.

MENU_WINDOW_TILE_VERT

Resizes and displays all open session windows to be the width of the main window, equal-sized and vertically positioned to fill the entire main window.

MENU_ZOOM_IN

Increases the font size

MENU_ZOOM_OUT

Decreases the font size

MENU_ZMODEM_ADD_FILE

Opens the Select Files to Send using Zmodem dialog. For more information on Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. , see Overview of Zmodem.

Run Script

N/A scriptfile

Runs scriptfile.

Scroll Bar

SB_BEGIN

Scrolls to the beginning of the scrollback buffer.

SB_COLUMN_LEFT

Moves the contents of the terminal screen right by one column. Same as clicking on the horizontal scroll bar left arrow.

SB_COLUMN_RIGHT

Moves the contents of the terminal screen left by one column. Same as clicking on the horizontal scroll bar right arrow.

SB_END

Scrolls to the end of the scrollback buffer.

SB_HALF_PAGE_DOWN

Moves the contents of the terminal screen up by one-half of a page.

SB_HALF_PAGE_UP

Moves the contents of the terminal screen down by one-half of a page.

SB_LINE_DOWN

Moves the contents of the terminal screen up by one line. Same as clicking on the vertical scroll bar down arrow.

SB_LINE_UP

Moves the contents of the terminal screen down by one line. Same as clicking on the vertical scroll bar up arrow.

SB_PAGE_DOWN

Moves the contents of the terminal screen up by one page. Same as clicking between the down arrow and the slider in the vertical scroll bar "trough".

SB_PAGE_LEFT

Moves the contents of the terminal screen right by one page (number of logical columns). Same as clicking between the left arrow and the slider on the horizontal scroll bar.

SB_PAGE_RIGHT

Moves the contents of the terminal screen left by one page (number of logical columns). Same as clicking between the right arrow and the slider on the horizontal scroll bar.

SB_PAGE_UP

Moves the contents of the terminal screen down by one page. Same as clicking between the up arrow and the slider in the vertical scroll bar "trough".

Send String

N/A string

Sends "string".

SSH

SSH functions will only work with SSH connections.

SSH_BREAK

Sends the BREAK control function to the remote host.

SSH_CLOSE_SESSION

Closes the current terminal session.

SSH_FLUSH_AGENT

Flushes the SSH agent cache.

SSH_NEW_SESSION

Opens a new terminal session.

SSH_NEXT_SESSION

Switches to the next terminal session.

SSH_PREV_SESSION

Switches to the previous terminal session.

Telnet Telnet is a protocol that provides an interface for communications between clients and servers.

TN_ABORT_OUTPUT

Sends the Abort Output (AO) control function to the remote host.

TN_ARE_YOU_THERE

Sends the Are You There (AYT) control function to the remote host.

TN_BREAK

Sends the BREAK control function to the remote host.

TN_INTERRUPT_PROCESS

Sends the Interrupt Process (IP) control function to the remote host.

TN_SYNCH

Sends the SYNCH control function to the remote host. Used in combination with the IP control function to ensure that the host and client A computer or application that uses services provided by a server. are in synch with each other after an IP control function is called.

VT

Each VT function sends the key codes associated with the name of the VT function.

VT_AUTO_PRINT

Toggles Auto Print.

VT_BREAK

See Telnet function TN_BREAK

VT_CURSOR_DOWN

Sends ESC [ B

VT_CURSOR_LEFT

Sends ESC [ D

VT_CURSOR_RIGHT

Sends ESC [ C

VT_CURSOR_UP

Sends ESC [ A

VT_F6

Sends ESC [ 1 7 ~

VT_F7

Sends ESC [ 1 8 ~

VT_F8

Sends ESC [ 1 9 ~

VT_F9

Sends ESC [ 2 0 ~

VT_F10

Sends ESC [ 2 1 ~

VT_F11

Sends ESC [ 2 3 ~

VT_F12

Sends ESC [ 2 4 ~

VT_F13

Sends ESC [ 2 5 ~

VT_F14

Sends ESC [ 2 6 ~

VT_F15

Sends ESC [ 2 8 ~

VT_F16

Sends ESC [ 2 9 ~

VT_F17

Sends ESC [ 3 1 ~

VT_F18

Sends ESC [ 3 2 ~

VT_F19

Sends ESC [ 3 3 ~

VT_F20

Sends ESC [ 3 4 ~

VT_FIND

Sends ESC [ 1 ~

VT_HOLD_SCREEN

Performs a Hold Screen.

VT_INSERT_HERE

Sends ESC [ 2 ~

VT_KEYPAD_0

Sends 0

VT_KEYPAD_1

Sends 1

VT_KEYPAD_2

Sends 2

VT_KEYPAD_3

Sends 3

VT_KEYPAD_4

Sends 4

VT_KEYPAD_5

Sends 5

VT_KEYPAD_6

Sends 6

VT_KEYPAD_7

Sends 7

VT_KEYPAD_8

Sends 8

VT_KEYPAD_9

Sends 9

VT_KEYPAD_COMMA

Sends a ","

VT_KEYPAD_ENTER

Sends a CR

VT_KEYPAD_MINUS

Sends a "-"

VT_KEYPAD_PERIOD

Sends a "."

VT_NEXT_SCREEN

Sends ESC [ 6 ~

VT_PF1

Sends ESC O P (VT100 PF1 key).

VT_PF2

Sends ESC O Q (VT100 PF2 key).

VT_PF3

Sends ESC O R (VT100 PF3 key).

VT_PF4

Sends ESC O S (VT100 PF4 key).

VT_PREV_SCREEN

Sends ESC [ 5 ~

VT_PRINT_SCREEN

Performs a Print Screen.

VT_REMOVE

Sends ESC [ 3 ~

VT_SELECT

Sends ESC [ 4 ~


Default TN3270 Keymappings

SecureCRT Icon Default TN3270 Keymappings

The following is a table of the default key assignments for the TN3270 keymap file.

Key | Mapped To
PF1 - PF12 | F1 - F12
PF13 - PF24 | SHIFT+F1 - SHIFT+F12
PA1 | ALT+F1
PA2 | ALT+F2
PA3 | ALT+F3
RESET | ESC
CLEAR | SHIFT+ESC
NEWLINE/RETURN | ENTER
ENTER/TRANSMIT | SHIFT+ENTER
DELETE | DELETE
ERASE EOF | END
ERASE INPUT | SHIFT+END
INSERT | INSERT
ATTN | PAUSE/BREAK


ASCII Control Codes

SecureCRT Icon ASCII Control Codes

This table lists the values for the ASCII control Characters (ASCII decimal values 0 - 31). Decimal and Hex values are provided to aid in conversion.

Note: SecureCRT requires octal values.

CTRL | Decimal | Hex | Octal
^@ | 0 | 0x00 | \000
^A | 1 | 0x01 | \001
^B | 2 | 0x02 | \002
^C | 3 | 0x03 | \003
^D | 4 | 0x04 | \004
^E | 5 | 0x05 | \005
^F | 6 | 0x06 | \006
^G | 7 | 0x07 | \007
^H | 8 | 0x08 | \010
^I | 9 | 0x09 | \011
^J | 10 | 0x0A | \012
^K | 11 | 0x0B | \013
^L | 12 | 0x0C | \014
^M | 13 | 0x0D | \015
^N | 14 | 0x0E | \016
^O | 15 | 0x0F | \017
^P | 16 | 0x10 | \020
^Q | 17 | 0x11 | \021
^R | 18 | 0x12 | \022
^S | 19 | 0x13 | \023
^T | 20 | 0x14 | \024
^U | 21 | 0x15 | \025
^V | 22 | 0x16 | \026
^W | 23 | 0x17 | \027
^X | 24 | 0x18 | \030
^Y | 25 | 0x19 | \031
^Z | 26 | 0x1A | \032
^[ | 27 | 0x1B | \033
^\ | 28 | 0x1C | \034
^] | 29 | 0x1D | \035
^^ | 30 | 0x1E | \036
^_ | 31 | 0x1F | \037


Send String And Function Key Commands

SecureCRT Icon Send String and Function Key Commands

The following commands can be included as part of a keymap, button, or anti-idle string.

Command | Action
\r | Sends a carriage return (CR)
\n | Sends a linefeed (LF)
\b | Sends a backspace
\e | Sends an escape
\t | Sends a tab
\\ | Sends a backslash character
\v | Pastes the contents of the Clipboard to the active session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. window
\p | Pauses for one second

Note: When mapping a key, you can send arbitrary octal codes using Send String commands.


Emulation-Specific Keymappings

SecureCRT Icon Emulation-Specific Keymappings

The SecureCRT built-in keymaps for Linux, VT220, and VT100 have several key assignments that do not match the traditional Windows key assignments. The following tables list those emulation-specific keys.

Linux |  |  |
Key | Literal Value | Octal Value | Hexidecimal Value
F1 | ESC[[A | \033\133\133\101 | 0x1B 0x5B 0x5B 0x41
F2 | ESC[[B | \033\133\133\102 | 0x1B 0x5B 0x5B 0x42
F3 | ESC[[C | \033\133\133\103 | 0x1B 0x5B 0x5B 0x43
F4 | ESC[[D | \033\133\133\104 | 0x1B 0x5B 0x5B 0x44
F5 | ESC[[E | \033\133\133\105 | 0x1B 0x5B 0x5B 0x45

VT220 |  |  |
Key | Literal Value | Octal Value | Hexidecimal Value
F1 | VT_HOLD_SCREEN | local function - nothing sent to remote
F2 | VT_PRINT_SCREEN | local function - nothing sent to remote
F3 | VT_PF3 | \033\117\122 | 0x1B 0x4F 0x52
F4 | VT_PF4 | \033\117\123 | 0x1B 0x4F 0x53
F5 | TN_BREAK | protocol function - no escape sequence
INS | VT_FIND | \033\133\061\176 | 0x1B 0x5B 0x31 0x7F
HOME | VT_INSERT_HERE | \033\133\062\176 | 0x1B 0x5B 0x32 0x7F
PG_UP | VT_REMOVE | \033\133\063\176 | 0x1B 0x5B 0x33 0x7F
DEL | VT_SELECT | \033\133\064\176 | 0x1B 0x5B 0x34 0x7F
END | VT_PREV_SCREEN | \033\133\065\176 | 0x1B 0x5B 0x35 0x7F
PG_DN | VT_NEXT_SCREEN | \033\133\066\176 | 0x1B 0x5B 0x36 0x7F

VT100 |  |  |
Key | Literal Value | Octal Value | Hexidecimal Value
F1 | VT_PF1 | \033\117\120 | 0x1B 0x4F 0x50
F2 | VT_PF2 | \033\117\121 | 0x1B 0x4F 0x51
F3 | VT_PF3 | \033\117\122 | 0x1B 0x4F 0x52
F4 | VT_PF4 | \033\117\123 | 0x1B 0x4F 0x53
NM_LK | VT_PF1 | \033\117\120 | 0x1B 0x4F 0x50
/ | VT_PF2 | \033\117\121 | 0x1B 0x4F 0x51
* | VT_PF3 | \033\117\122 | 0x1B 0x4F 0x52
_ | VT_PF4 | \033\117\123 | 0x1B 0x4F 0x53


Determine Escape Sequence Key Codes

SecureCRT Icon Determine Escape Sequence Key Codes

If you need to determine the escape sequence for a particular key that a terminal emulator sends to a remote system (e.g., for use in scripting or custom key mappings), there are a couple of ways to do this.

Using any terminal emulator, connect to a remote system running UNIX. You should be able to use the following command from your shell to determine what sequence of characters the remote system receives when a particular key is pressed:

cat –v

For example, if you press the PF1 key from a VT100 terminal (or an emulator which maps the PF1 key), you should see:

^[OP

(This is typically read: ESC O P.)

In SecureCRT, using the VT100 keyboard emulation, this can be sent by pressing the NUM LOCK key.

Using SecureCRT's ActiveX scripting support with VBScript, you could send this sequence using the following command string:

crt.Screen.Send Chr(27) & "OP"

Using SecureCRT's Python scripting support, you could send this sequence using the following command string:

crt.Screen.Send(chr(27) + "OP")

In the examples above, "27" is the ASCII decimal value for the ESC character.

Similarly, in SecureCRT's Session Options/Terminal/Emulation/Mapped Keys dialog or Keymap Editor, you can use "\e" to represent the ESC character, or use the octal ASCII value "\033". More information about this can be found in the Table of Keymap Functions and Send String and Function Key Commands sections.

Using the Keymap Editor, you can also find out the default mappings for the keys you press. For example, with the VT100 keymap loaded, clicking on the F1 button in the Keymap Editor will show you "VT_PF1", which is an internal alias for the sequence "ESC O P" (or "^[OP", "\033OP", etc.).

It is important to understand that there are no absolute values that any particular key sends, so what one remote system accepts for PF1 may not be consistent on a different system. Moreover, there are many ways of representing the same escape sequence, including decimal (e.g., "Chr(27)" in VBScript), backslash escape characters (e.g., "\e" for ESC in SecureCRT), and octal (e.g., "\033OP" or "\033\117\120").


Creating ActiveX Scripts

SecureCRT Icon Creating ActiveX Scripts

SecureCRT is capable of hosting "ActiveX Script" engines. The most common ActiveX script engines are VBScript and JScript (Microsoft’s version of JavaScript), both of which are freely available from Microsoft. Chances are you already have them installed if you’ve installed Internet Explorer 4.0.

ActiveX script engines communicate with SecureCRT via standard interfaces. Therefore, SecureCRT can host any compliant script engine to run your scripts. The advantage of this approach is that you can script SecureCRT using the language of your choice. If an ActiveX script engine is available for your preferred scripting language, you can write scripts that will work with SecureCRT.

Note: If both the Automate logon and the Logon script session options are enabled, then all Expect/Send sequences configured in the Session Options/Connection/Logon Actions Automate logon section will be processed before the specified Logon script file is launched.

Note2: A script cannot be run from another script. This includes scripts started manually and logon scripts.

Scripts for SecureCRT are text files that you create with your text editor.

A script header is not required as long as the file extension is registered in the registry with a script engine (as common file extensions are). If you want to use a header (for example, if you are using a file without an extension or with an extension that is not common), the header must begin on the first line of the script.

Script headers will be used by SecureCRT to identify which script language the script is written in and the version of SecureCRT scripting interface. Each line of the script header must begin with a (#) character. A SecureCRT script header includes a $language line that identifies the script engine and an $interface line to identify SecureCRT's interface version.

The syntax of the script header is always the same regardless of the script language you are using.

A simple but complete SecureCRT script with a header that identifies it as VBScript is shown below:

# $language = "VBScript"
# $interface = "1.0"

Sub Main
  ' Display SecureCRT's version
MsgBox "SecureCRT version is: " & crt.Version
End Sub

Note: A SecureCRT script header may also contain blank lines that begin with (#).

The quoted string following $language identifies the script engine. If you are writing scripts that use Microsoft’s JScript language, the appropriate identifier is JScript. If you are using another script engine you’ll need to consult the documentation for the identifier for that language. Currently the script header should specify version 1.0 for $interface. Future versions of SecureCRT may support other versions. The example script above has a subroutine named main where all of the script’s code is located. When SecureCRT executes scripts it always attempts to run a main routine if you have defined one.

It is not a requirement that you place your code within a main however there may be reasons why you would want to do this. The VBScript and JScript engines will parse and execute global script code (script code you have defined outside of any subroutine) before your main is executed. If you have "initialization" code that you want to ensure has been completely executed before your actual script code begins, it may be useful to place your initialization code at the global level. This will ensure that your initialization code will all execute before your main code runs.

Another reason you may want a main routine is to allow your scripts a way of aborting themselves in case of problems. In VBScript there is no built-in way of exiting a script at the global level. However, if you want to exit a subroutine it is possible to use the Exit Sub syntax to do so. For example, in VBScript:

Sub Main

  condition = DoSomething()
  If condition = 0 Then
    ' Error, bailout
    Exit Sub
  End If

End Sub

When the main routine ends the script has finished running. By placing your code within a main you have the option of invoking Exit Sub whenever it might be necessary.

The previous script samples are written in VBScript. The remainder of code samples in this document are all written in VBScript unless it is stated otherwise. The properties and methods of SecureCRT's interface can be used as documented by any compatible scripting language.

For files stored on NTFS file systems, the script header can optionally be stored in an NTFS alternate data stream called header.txt. One way to do this is to choose Run from the Windows Start menu and enter the following:

notepad myscript.txt:header.txt

Script files can be stored in UTF-8 or Unicode format. Storing a script file in UTF-8 or Unicode format enables characters from languages such as Chinese or Japanese to be included in the script.

For examples of SecureCRT scripts, see the sample scripts in the SecureCRT Installation\Scripts folder and on the VanDyke Software website in the Scripting FAQ (https://www.vandyke.com/support/crt/scripting_faq.html) section.

Related Topics

  1. Example Scripts
  2. Handling Script Errors
  3. Overview of Script Objects


Creating Python Scripts

SecureCRT Icon Creating Python Scripts

SecureCRT contains an embedded Python interpreter, which means that Python scripts can be run from SecureCRT without having to install additional software.

Note: To run a logon script in SecureCRT, you must first turn off the Automate logon option in the Connection/Logon Actions category of the Session Options dialog and then, on the same dialog, check the Logon script check box and choose the script that you want to run.

Note2: A script cannot be run from another script. This includes scripts started manually and logon scripts.

Scripts for SecureCRT are text files that you create with your text editor.

A script header is not required for Python scripts as long as the file extension “.py” is used. If you want to use a header (for example, if you are using a file without an extension or with an extension that is not common), then the header must begin on the first line of the script.

Script headers will be used by SecureCRT to identify which script language the script is written in and the version of SecureCRT scripting interface. Each line of the script header must begin with a pound/hash (#) character. A SecureCRT script header includes a $language line that identifies the script engine and an $interface line to identify SecureCRT's interface version.

The syntax of the script header is always the same regardless of the script language you are using.

A simple but complete SecureCRT script with a header that identifies it as Python is shown below:

# $language = "Python"

# $interface = "1.0"

def main():

# Display SecureCRT's version

crt.Dialog.MessageBox("SecureCRT version is: " + crt.Version)

main()

Note: A SecureCRT script header may also contain blank lines that begin with #.

The quoted string following $language identifies the script engine. For Python scripts, the appropriate identifier is Python. Currently the script header should specify version 1.0 for $interface. Future versions of SecureCRT may support other versions

It is not a requirement that you place your code within a main routine however there may be reasons why you would want to do this. The Python interpreter will parse and execute global script code (script code you have defined outside of any subroutine) before your main is executed. If you have "initialization" code that you want to ensure has been completely executed before your actual script code begins, it may be useful to place your initialization code at the global level. This will ensure that your initialization code will all execute before your main code runs.

Another reason you may want a main routine is to allow your scripts a way of aborting themselves in case of problems. In Python for SecureCRT, there is no built-in way of exiting a script at the global level. However, if you want to exit a subroutine it is possible to use the return syntax to do so. For example:

def main():

condition = DoSomething()

if (condition == 0):

# Error, bailout

return

main()

For examples of SecureCRT scripts, see the sample scripts on the VanDyke Software website in the Scripting FAQ (https://www.vandyke.com/support/securecrt/scripting_faq.html) section.

Here is an online Python language reference:

https://docs.python.org/reference/index.html

Related Topics

  1. Example Scripts
  2. Handling Script Errors
  3. Overview of Script Objects


Handling Script Errors

SecureCRT Icon Handling Script Errors

When scripting, SecureCRT provides several Application script methods to aid you in managing errors. The first is GetLastError. This method returns the error code of the script exception that most recently happened. The next method is GetLastErrorMessage, which returns the error text of the script exception that most recently happened. And, to help you determine where an error came from, SecureCRT supports the ClearLastError, method which resets the response from GetLastError and GetLastErrorMessage to ERROR_SUCCESS and "The operation completed successfully."

Related Topics

  1. Creating ActiveX Scripts
  2. Overview of Script Objects


Overview of Script Objects

SecureCRT Icon Overview of SecureCRT Script Objects

Scripts interact with SecureCRT by invoking properties and methods on SecureCRT's "top-level" or Application object or by invoking the properties and methods on "sub-objects" available through SecureCRT's application object. SecureCRT's application object is accessed in scripts with the name ‘crt’. Properties and methods on SecureCRT's sub-objects may be accessed by creating a reference to a sub-object, or through the use of VBScript’s multiple dot syntax. For example:

Dim dlg

Set dlg = crt.Dialog

dlg.Prompt("Login:")

In Python, the lines would look like:

dlg = crt.Dialog

dlg.Prompt("Login:")

Or, in VBScript and Python, without creating the reference:

crt.Dialog.Prompt("Login:")

For a complete reference to all SecureCRT script objects, see the "Script Objects Reference" section in this book.


SendKeys Keystroke Table

SecureCRT Icon SendKeys Keystroke Table

Some keystrokes do not generate characters (such as ENTER and TAB). Some keystrokes represent actions (such as BACKSPACE and BREAK). To send these kinds of keystrokes, send the arguments shown in the following table:

Key | Argument
BACKSPACE | {BACKSPACE}, {BS}, or {BKSP}
BREAK | {BREAK}
CAPS LOCK | {CAPSLOCK}
DEL or DELETE | {DELETE} or {DEL}
DOWN ARROW | {DOWN}
END | {END}
ENTER | {ENTER} or ~
ESC | {ESC}
HELP | {HELP}
HOME | {HOME}
INS or INSERT | {INSERT} or {INS}
LEFT ARROW | {LEFT}
NUM LOCK | {NUMLOCK}
PAGE DOWN | {PGDN}
PAGE UP | {PGUP}
PRINT SCREEN | {PRTSC}
RIGHT ARROW | {RIGHT}
SCROLL LOCK | {SCROLLLOCK}
TAB | {TAB}
UP ARROW | {UP}
F1, F2, ... F16 | {F1}, {F2}, ... {F16}
0, 1, ... 9 on number pad | {NUM_0}, {NUM_1}, ... {NUM_9}
. on number pad | {NUM_.}
/ on number pad | {NUM_/}
* on number pad | {NUM_*}
- on number pad | {NUM_-}
+ on number pad | {NUM_+}
ENTER on number pad | {NUM_ENTER}
HOME on number pad | {NUM_HOME}
PAGE UP on number pad | {NUM_PGUP}
END on number pad | {NUM_END}
PAGE DOWN on number pad | {NUM_PGDN}
UP ARROW on number pad | {NUM_UP}
DOWN ARROW on number pad | {NUM_DOWN}
LEFT ARROW on number pad | {NUM_LEFT}
RIGHT ARROW on number pad | {NUM_RIGHT}


Application Object

SecureCRT Icon Application Object

Description

Top-level object. Provides access to all of SecureCRT's properties and methods.

Syntax

crt.Property [ = expression ]

crt.Method([arglist])

Remarks

The name crt is used to access all of SecureCRT's top-level properties and methods. Some of these top-level properties return references to other objects. When a script is run by SecureCRT it is not necessary to create the crt object. It is automatically part of the script namespace.

Application Object Properties and Methods

Properties | Methods
ActivePrinter | ClearLastError
Arguments | GetActiveTab
Clipboard | GetLastError
Dialog | GetLastErrorMessage
FileTransfer | GetScriptTab
Screen | GetTabCount
ScriptFullName | GetTab
Session | OpenSessionConfiguration
Version | Quit
Window | Sleep

Properties

ActivePrinter

Description

Returns or sets the name of the active printer.

Remarks

Read/Write string property. When setting this property, the string you provide must be a value that matches the name of the printer as defined in your printer's properties. If the script tab's session is configured to use global print settings, the global printer setting is modified. Otherwise, the session printer setting is modified.

VBScript

Syntax

crt.ActivePrinter [ = printerName ]

Example

If crt.ActivePrinter <> "\\SERVER\InkJet2" Then

crt.ActivePrinter = "\\SERVER\InkJet2"

MsgBox "Updated Printer"

End If

Python

Syntax

crt.ActivePrinter [ = printerName ]

Example

if crt.ActivePrinter != "\\SERVER\InkJet2":

crt.ActivePrinter = "HP LaserJet 8000 Series PCL 5"

crt.Dialog.MessageBox("Updated Printer")

Arguments

Description

Returns a reference to SecureCRT's Arguments object.

Remarks

In VBScript, object variables assigned from the Arguments property require the "Set" syntax. See the Arguments object documentation for a description of its properties.

VBScript

Syntax

Set object = crt.Arguments

Python

Syntax

object = crt.Arguments

Clipboard

Description

Returns a reference to SecureCRT's Clipboard object.

Remarks

In VBScript, object variables assigned from the Clipboard property require the "Set" syntax. See the Clipboard object documentation for a description of its properties.

VBScript

Syntax

Set object = crt.Clipboard

Python

Syntax

object = crt.Clipboard

Dialog

Description

Returns a reference to SecureCRT's Dialog object.

Remarks

In VBScript, object variables assigned from the Dialog property require the "Set" syntax. See the Dialog object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = crt.Dialog

Python

Syntax

object = crt.Dialog

FileTransfer

Description

Returns a reference to SecureCRT's FileTransfer object.

Remarks

In VBScript, object variables assigned from the FileTransfer property require the "Set" syntax. See the FileTransfer object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = crt.FileTransfer

Python

Syntax

object = crt.FileTransfer

Screen

Description

Returns a reference to SecureCRT's Screen object.

Remarks

In VBScript, object variables assigned from the Screen property require the "Set" syntax. See the Screen object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = crt.Screen

Python

Syntax

object = crt.Screen

ScriptFullName

Description

Returns the full path and filename of the currently running script.

Remarks

None.

VBScript

Syntax

[ varname = ] crt.ScriptFullName

Python

Syntax

[ varname = ] crt.ScriptFullName

Session

Description

Returns a reference to SecureCRT's Session object.

Remarks

In VBScript, object variables assigned from the Session property require the "Set" syntax. See the Session object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = crt.Session

Python

Syntax

object = crt.Session

Version

Description

Returns a string containing SecureCRT's version.

Remarks

Read-only string property

VBScript

Syntax

crt.Version

Example

MsgBox "The version of SecureCRT is: " & crt.Version

Python

Syntax

crt.Version

Example

crt.Dialog.MessageBox("The version of SecureCRT is: " + crt.Version)

Window

Description

Returns a reference to SecureCRT's Window object.

Remarks

In VBScript, object variables assigned from the Window property require the "Set" syntax. See the Window object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = crt.Window

Python

Syntax

object = crt.Window

Methods

ClearLastError

Description

Resets the response from GetLastError and GetLastErrorMessage to ERROR_SUCCESS and "The operation completed successfully."

Remarks

This is intended to be used in conjunction with GetLastErrorMessage so that the user can determine where the error came from.

VBScript

Syntax

crt.ClearLastError

Python

Syntax

crt.ClearLastError()

GetActiveTab

Description

Returns the Tab object associated with the tab or tiled session window that is currently selected in the GUI.

Remarks

None.

VBScript

Syntax

Set object = crt.GetActiveTab

Python

Syntax

object = crt.GetActiveTab()

GetLastError

Description

Returns the error code of the script exception that most recently happened.

Remarks

This is most useful when the script is in the "resume next" error mode, meaning the script keeps executing even if errors happen.

VBScript

Syntax

varname = crt.GetLastError

Example

Sub Main()

on error resume next

CRT.Session.ConnectInTab("nowhere")

errcode = crt.GetLastError

crt.Dialog.MessageBox "Error Code: " & errcode

End Sub

Python

Syntax

varname = crt.GetLastError()

Example

def main():

try:

crt.Session.ConnectInTab("nowhere")

except ScriptError:

errcode = crt.GetLastError()

crt.Dialog.MessageBox("Error Code: " + str(errcode))

main()

GetLastErrorMessage

Description

Returns the error text of the script exception that most recently happened.

Remarks

This is most useful when the script is in the "resume next" error mode, meaning the script keeps executing even if errors happen.

VBScript

Syntax

varname = crt.GetLastErrorMessge

Example

Sub Main()

on error resume next

CRT.Session.ConnectInTab("nowhere")

errmsg = crt.GetLastErrorMessage

crt.Dialog.MessageBox "Error Message: " & errmsg

End Sub

This example would display:

Error Message: Connection failed

Python

Syntax

varname = crt.GetLastErrorMessage()

Example

def main():

try:

crt.Session.ConnectInTab("nowhere")

except ScriptError:

errmsg = crt.GetLastErrorMessage()

crt.Dialog.MessageBox("Error Message: " + errmsg)

main()

This example would display:

Error Message: Connection failed

GetScriptTab

Description

Returns the tab or tiled session window from which the script was started.

Remarks

None.

VBScript

Syntax

Set object = crt.GetScriptTab

Example

Set ScriptTab = crt.GetScriptTab

MsgBox "Tab which started this script is tab number: " & ScriptTab.index

Python

Syntax

object = crt.GetScriptTab()

Example

ScriptTab = crt.GetScriptTab()

crt.Dialog.MessageBox("Tab which started this script is tab number: " +

str(ScriptTab.Index))

GetTabCount

Description

Returns the number of tabs or tiled session windows (connected or not) that exist in the current SecureCRT window.

Remarks

Return value will always be greater than 0 (zero).

VBScript

Syntax

varname = crt.GetTabCount

Python

Syntax

varname = crt.GetTabCount()

GetTab

Description

Returns the tab object of the specified index.

Remarks

This does not bring the tab or tiled session window to the foreground. When sessions are tabbed, the index for each tab object matches its position in the tab bar. When sessions are tiled, the indexes of the tab objects may not match the indexes when tabbed, but will remain consistent while the sessions are tiled.

VBScript

Syntax

Set object = crt.GetTab(arg)

Python

Syntax

varname = crt.GetTab(arg)

OpenSessionConfiguration

Description

Loads the configuration for the specified session.

Remarks

SessionPath is a string parameter that is the relative path of the session. Returns a Config object. If SessionPath is not specified, the Default session's configuration object is returned. To access the session configuration associated with an active connection, use crt.Session.Config or objTab.Session.Config.

VBScript

Syntax

Set object.OpenSessionConfiguration [SessionPath]

Example

Set objConfig1 = crt.OpenSessionConfiguration("Routers\Telnet\Session1")

Set objDConfig = crt.OpenSessionConfiguration("Default")

Python

Syntax

object.OpenSessionConfiguration([SessionPath])

Example

objConfig1 = crt.OpenSessionConfiguration("Routers\Telnet\Session1")

objDConfig = crt.OpenSessionConfiguration("Default")

Quit

Description

Causes SecureCRT to exit.

Remarks

A script that invokes Quit will be terminated immediately and cause SecureCRT to exit.

VBScript

Syntax

crt.Quit

Python

Syntax

crt.Quit()

Sleep

Description

Specifies the time (in milliseconds) to pause the script's execution.

Remarks

The amount of time that it takes to execute the Sleep() method itself is a factor in how long the script pauses. Therefore, the accuracy of invoking Sleep with small values of 1 or 10 milliseconds will be affected by this overhead.

VBScript

Syntax

crt.Sleep millisec

Example

' Send a CR and pause for one second

crt.Screen.Send vbCr

crt.Sleep 1000

Python

Syntax

crt.Sleep(millisec)

Example

# Send a newline and pause for one second

crt.Screen.Send("\n")

crt.Sleep(1000)


Arguments Object

SecureCRT Icon Arguments Object

Description

The Arguments object allows scripts to access arguments that are passed to the script by one or more SecureCRT /ARG command-line options.

Syntax

crt.Arguments.Property

crt.Arguments.Method(arg)

Remarks

The SecureCRT /ARG command-line option allows you to write common scripts where specific values used by the scripts (such as a hostname or port) are passed to the script through the SecureCRT command line. Script arguments are passed as an argument to each /ARG <argument> option.

Arguments Object Properties and Methods

Properties | Methods
Count | GetArg

Properties

Count

Description

Returns the number of arguments passed to SecureCRT using SecureCRT's /ARG command-line option.

Remarks

Read-only numeric property.

If SecureCRT is started with no /ARG command-line options, the crt.Arguments.Count property is set to 0.

VBScript

Syntax

crt.Arguments.Count

Python

Syntax

crt.Arguments.Count

Methods

GetArg

Description

Returns the argument data associated with each /ARG command-line option passed to SecureCRT.

Remarks

The GetArg method returns the data passed to SecureCRT. The first argument passed to SecureCRT is retrieved by calling GetArg(0). The last argument is retrieved by passing the count returned by crt.Arguments.Count minus 1.

Note: The GetArg method is the default method on the Arguments object therefore it will be invoked implicitly if it is not named. This means the following two statements are equivalent:

MsgBox crt.Arguments.GetArg(0)

MsgBox crt.Arguments(0)

VBScript

Syntax

crt.Arguments.GetArg(number)

Example

#$language = "VBScript"

#$interface = "1.0"

Sub Main()

' This script should be run by SecureCRT that has two

' /ARG parameters for a hostname and port, for example:

'

' SecureCRT.exe /ARG myhostname /ARG 5555

' Detect lack of arguments.

If crt.Arguments.Count <> 2 Then

MsgBox "This script requires hostname and port

arguments"

Exit Sub

End If

'

MsgBox "Connecting to hostname: " & crt.Arguments(0)

MsgBox "Connecting to port: " & crt.Arguments(1)

...

End Sub

Python

Syntax

crt.Arguments.GetArg(number)

Example

#$language = "Python"

#$interface = "1.0"

def main():

# This script assumes that SecureCRT was run with two

# /ARG parameters for a hostname and port, such as:

#

# SecureCRT.exe /ARG myhostname /ARG 5555

# Detect lack of arguments.

if crt.Arguments.Count != 2:

crt.Dialog.MessageBox(

"This script requires hostname and port " +

"arguments")

return

crt.Dialog.MessageBox(

"Connecting to hostname: " +

crt.Arguments[0])

crt.Dialog.MessageBox(

"Connecting to port: " +

crt.Arguments[1])

...

main()


Clipboard Object

SecureCRT Icon Clipboard Object

Description

The Clipboard object provides access to the application's clipboard.

Syntax

crt.Clipboard.Property [ = expression ]

Clipboard Object Properties

Properties

Format

CF_OEMTEXT

CF_TEXT

CF_UNICODETEXT

DEFAULTFORMAT

VDS_TEXT

Text

Properties

Format

Description

Returns or sets the clipboard format.

Remarks

Possible formats on Windows are: CF_TEXT, CF_OEMTEXT, CF_UNICODETEXT, and VDS_TEXT.

Possible formats on macOS are: CF_UNICODETEXT and VDS_TEXT.

The following command restores the value to the global format for the clipboard:

crt.Clipboard.Format = crt.Clipboard.DEFAULTFORMAT

VBScript

Example

#$language = "VBScript"

#$interface = "1.0"

crt.Screen.Synchronous = True

Sub Main

' Get the current clipboard format

format = crt.Clipboard.Format

' Set the clipboard format to VDS_TEXT:

crt.Clipboard.Format = crt.Clipboard.VDS_TEXT

' Restore the original clipboard format

crt.Clipboard.Format = format

End Sub

Python

Example

#$language = "Python"

#$interface = "1.0"

crt.Screen.Synchronous = True

def main():

# Get the current clipboard format

format = crt.Clipboard.Format

# Set the clipboard format to VDS_TEXT:

crt.Clipboard.Format = crt.Clipboard.VDS_TEXT

# Restore the original clipboard format

crt.Clipboard.Format = format

main()

CF_OEMTEXT

Description

Read-only property that returns the format string for CF_OEMTEXT clipboard format. This text format contains characters in the OEM character set. Each line ends with a carriage return/linefeed (CR-LF) combination. A null character signals the end of the data.

Note

This format is only supported on Windows.

VBScript

Syntax

var = crt.clipboard.CF_OEMTEXT

Python

Syntax

var = crt.clipboard.CF_OEMTEXT

CF_TEXT

Description

Read-only property that returns the format string for CF_TEXT clipboard format. In this text format, each line ends with a carriage return/linefeed (CR-LF) combination. A null character signals the end of the data. Use this format for ANSI text.

Note

This format is only supported on Windows.

VBScript

Syntax

var = crt.clipboard.CF_TEXT

Python

Syntax

var = crt.clipboard.CF_TEXT

CF_UNICODETEXT

Description

Read-only property that returns the format string for CF_UNICODETEXT clipboard format. For Windows: In Unicode text format, each line ends with a carriage return/linefeed (CR-LF) combination. A null character signals the end of the data.

VBScript

Syntax

var = crt.clipboard.CF_UNICODETEXT

Python

Syntax

var = crt.clipboard.CF_UNICODETEXT

DEFAULTFORMAT

Description

Read-only Property that returns the format string for DEFAULTFORMAT clipboard format. Setting the format to this property restores the value to the global default format for the clipboard.

VBScript

Syntax

var = crt.clipboard.DEFAULTFORMAT

Python

Syntax

var = crt.clipboard.DEFAULTFORMAT

VDS_TEXT

Description

Read-only property that returns the format string for VDS_TEXT clipboard format. This is a private clipboard format that translates certain special characters to ASCII when copying data from the screen to the clipboard. The characters that are translated are as follows:

· directional quotation marks (also known as "smart quotes") are changed to ASCII quotation marks

· "em" dashes are changed to hyphens

· "en" dashes are changed to hyphens

VBScript

Syntax

var = crt.clipboard.VDS_TEXT

Python

Syntax

var = crt.clipboard.VDS_TEXT

Text

Description

Returns or sets the contents of the clipboard.

VBScript

Syntax

crt.clipboard = varname

[ varname = ] crt.clipboard

Example

# $language = "VBScript"

# $interface = "1.0"

' Put the selected text into the clipboard:

crt.Clipboard.Text = crt.Screen.Selection

' Transfer text from the clipboard into a variable for

' use within the script:

MyStr = crt.Clipboard.Text

' Send the contents of the clipboard to the remote

' machine:

crt.Screen.Send crt.Clipboard.Text

Python

Syntax

crt.clipboard = varname

[ varname = ] crt.clipboard

Example

#$language = "Python"

#$interface = "1.0"

# Put the selected text into the clipboard:

crt.Clipboard.Text = crt.Screen.Selection

# Transfer text from the clipboard into a variable for

# use within the script:

MyStr = crt.Clipboard.Text

# Send the contents of the clipboard to the remote

# machine:

crt.Screen.Send(crt.Clipboard.Text)


CommandWindow Object

SecureCRT Icon CommandWindow Object

Description

Provides access to the Command window.

Syntax

crt.CommandWindow.Property [ = expression ]

crt.CommandWindow.Method([arglist])

Remarks

None.

CommandWindow Object Properties and Methods

Properties | Methods
SendCharactersImmediately | Send
SendToAllSessons |
Text |
Visible |

Properties

SendCharactersImmediately

Description

Returns or sets a Boolean value indicating whether Command window input should be sent immediately.

VBScript

Syntax

crt.CommandWindow.SendCharactersImmediately [ = True | False ]

Example

' Enable Send Commands to All Sessions

crt.CommandWindow.SendCharactersImmediately = True

Python

Syntax

crt.CommandWindow.SendCharactersImmediately [ = True | False ]

SendToAllSessions

Description

Returns or sets a Boolean value indicating whether Command window text should be sent to all sessions.

VBScript

Syntax

crt.CommandWindow.SendToAllSessions [ = True | False ]

Example

' Enable Send Commands to All Sessions

crt.CommandWindow.SendToAllSessions = True

Python

Syntax

crt.CommandWindow.SendToAllSessions [ = True | False ]

Text

Description

Returns or sets the text in the Command window.

Remarks

Read/Write string property. Multiple lines can be added to the Command window by CRLF.

VBScript

Syntax

crt.CommandWindow.Text [ = text ]

Example

' Populate the Command window with control character combined with visible character

crt.CommandWindow.Text = chr(27) & ":q"

' Get text currently in the Command window

strText = crt.CommandWindow.Text

' Populate Command window with multiple lines

crt.CommandWindow.Text = "ls -l" & vbcrlf & "pwd" & vbcrlf & "whoami"

Python

Syntax

crt.CommandWindow.Text [ = text ]

Example

crt.CommandWindow.Text = "ls -l\r\npwd\r\nwhoami"

Visible

Description

Returns or sets a Boolean value indicating whether the Command window is visible.

VBScript

Syntax

object = crt.CommandWindow.Visible

crt.CommandWindow.Visible = [ True | False ]

Example

' Capture current visibility/state of the Command window

bCommandWindowVisible = crt.CommandWindow.Visible

' Make sure Command window is visible

crt.CommandWindow.Visible = True

' ... do other work...

' Restore Command window's state

crt.CommandWindow.Visible = bCommandWindowVisible

Python

Syntax

object = crt.CommandWindow.Visible

crt.CommandWindow.Visible = [ True | False ]

Example

# Capture current visibility/state of the Command window

bCommandWindowVisible = crt.CommandWindow.Visible

# Make sure Command window is visible

crt.CommandWindow.Visible = True

# ... do other work...

# Restore Command window's state

crt.CommandWindow.Visible = bCommandWindowVisible

Methods

Send

Description

Sends the current text in the Command window to the remote machine.

VBScript

Syntax

crt.CommandWindow.Send

Python

Syntax

crt.CommandWindow.Send()


Dialog Object

SecureCRT Icon Dialog Object

Description

The Dialog object provides access to simple user-interface features provided by SecureCRT.

Syntax

crt.Dialog.Method([arglist])

Remarks

SecureCRT's Dialog object is accessed through the top-level object’s Dialog property.

Dialog Object Methods

Methods

FileOpenDialog

FileSaveDialog

MessageBox

Prompt

Methods

FileOpenDialog

Description

Display a file browse dialog from which the user can select a single file. The file must exist.

Remarks

If the defaultFilename parameter is simply a filename (no path provided), the file dialog browser will open in current working directory. If the defaultFilename parameter specifies an absolute path to a file, the file dialog browser will open in the parent directory of the file. The filename filter is in the following format:

<Name of Filter> (*.<extension>)|*.<extension>||

For example:

Text Files (*.txt)|*.txt||

or

Text Files (*.txt)|*.txt|Log File (*.log)|*.log||

The FileOpenDialog method returns the path to the selected file.

VBScript

Syntax

crt.Dialog.FileOpenDialog([title, [buttonLabel, [defaultFilename, [filter ]]]])

Examples

' Browse for a file of any type

filePath = crt.Dialog.FileOpenDialog("Please select a file")

' Browse for only .txt files

filePath = crt.Dialog.FileOpenDialog("Please select a text file", "Open", "", "Text Files (*.txt)|*.txt||")

Python

Syntax

crt.Dialog.FileOpenDialog([title, [buttonLabel, [defaultFilename, [filter ]]]])

Examples

# Browse for a file of any type

filePath = crt.Dialog.FileOpenDialog(title="Please select a file")

# Browse for only .txt files

filePath = crt.Dialog.FileOpenDialog(title="Please select a text file", filter="Text Files (*.txt)|*.txt||")

FileSaveDialog

Description

Display a file save dialog from which the user can select a single file to save.

Remarks

If the defaultFilename parameter is simply a filename (no path provided), the file dialog browser will open in current working directory. If the defaultFilename parameter specifies an absolute path to a file, the file dialog browser will open in the parent directory of the file. The filename filter is in the following format:

<Name of Filter> (*.<extension>)|*.<extension>||

For example:

Text Files (*.txt)|*.txt||

or

Text Files (*.txt)|*.txt|Log File (*.log)|*.log||

The FileSaveDialog method returns the path to the selected file.

VBScript

Syntax

crt.Dialog.FileSaveDialog([title, [buttonLabel, [defaultFilename, [filter ]]]])

Examples

' Save a file of any type

filePath = crt.Dialog.FileSaveDialog("Please select a file")

' Only show .txt files

filePath = crt.Dialog.FileOpenDialog("Please select a text file", "Open", "", "Text Files (*.txt)|*.txt||")

Python

Syntax

crt.Dialog.FileSaveDialog([title, [buttonLabel, [defaultFilename, [filter ]]]])

Examples

# Save a file of any type

filePath = crt.Dialog.FileSaveDialog(title="Please select a file")

# Only show .txt files

filePath = crt.Dialog.FileSaveDialog(title="Please select a text file", filter="Text Files (*.txt)|*.txt||")

MessageBox

Description

Display a message

Remarks

The MessageBox function displays a message string to the user. The optional title string sets the title or caption of the MessageBox. The buttons that appear on the MessageBox can be configured by passing a combination of numeric values in the optional ‘buttons’ parameter. By default MessageBox will display the message string with an OK button. However, many possibilities exist for displaying message boxes with different icons, and buttons.

The MessageBox function returns a numeric value that can be used to identify which button was clicked.

VBScript

Syntax

crt.Dialog.MessageBox(message [, title [, buttons]])

Example

The following code sample defines the constants that can be combined to form the "button" parameter as well as the possible numeric return values:

' button parameter options

Const ICON_STOP = 16                 ' display the ERROR/STOP icon.

Const ICON_QUESTION = 32             ' display the '?' icon

Const ICON_WARN = 48                 ' display a '!' icon.

Const ICON_INFO= 64                  ' displays "info" icon.

Const BUTTON_OK = 0                  ' OK button only

Const BUTTON_CANCEL = 1              ' OK and Cancel buttons

Const BUTTON_ABORTRETRYIGNORE = 2    ' Abort, Retry, and Ignore buttons

Const BUTTON_YESNOCANCEL = 3         ' Yes, No, and Cancel buttons

Const BUTTON_YESNO = 4               ' Yes and No buttons

Const BUTTON_RETRYCANCEL = 5         ' Retry and Cancel buttons

Const DEFBUTTON1 = 0        ' First button is default

Const DEFBUTTON2 = 256      ' Second button is default

Const DEFBUTTON3 = 512      ' Third button is default

' Possible MessageBox() return values

Const IDOK = 1              ' OK button clicked

Const IDCANCEL = 2          ' Cancel button clicked

Const IDABORT = 3           ' Abort button clicked

Const IDRETRY = 4           ' Retry button clicked

Const IDIGNORE = 5          ' Ignore button clicked

Const IDYES = 6             ' Yes button clicked

Const IDNO = 7              ' No button clicked

' Display a messagebox with Yes/No buttons.

' Make the 'No' button the default.

result = crt.Dialog.MessageBox("Login Failed, Retry?", "Error", ICON_QUESTION Or BUTTON_YESNO Or DEFBUTTON2 )

If result = IDNO Then

    Exit Sub

End If

Python

Syntax

crt.Dialog.MessageBox(message [, title [, buttons]])

Example

The following code sample defines the constants that can be combined to form the "button" parameter as well as the possible numeric return values:

# button parameter options

ICON_STOP = 16 # display the ERROR/STOP icon.

ICON_QUESTION = 32 # display the '?' icon

ICON_WARN = 48 # display a '!' icon.

ICON_INFO= 64 # displays "info" icon.

BUTTON_OK = 0 # OK button only

BUTTON_CANCEL = 1 # OK and Cancel buttons

BUTTON_ABORTRETRYIGNORE = 2 # Abort, Retry, and Ignore buttons

BUTTON_YESNOCANCEL = 3 # Yes, No, and Cancel buttons

BUTTON_YESNO = 4 # Yes and No buttons

BUTTON_RETRYCANCEL = 5 # Retry and Cancel buttons

DEFBUTTON1 = 0 # First button is default

DEFBUTTON2 = 256 # Second button is default

DEFBUTTON3 = 512 # Third button is default

# Possible MessageBox() return values

IDOK = 1 # OK button clicked

IDCANCEL = 2 # Cancel button clicked

IDABORT = 3 # Abort button clicked

IDRETRY = 4 # Retry button clicked

IDIGNORE = 5 # Ignore button clicked

IDYES = 6 # Yes button clicked

IDNO = 7 # No button clicked

# Display a messagebox with Yes/No buttons.

# Make the 'No' button the default.

result = crt.Dialog.MessageBox("Login Failed, Retry?", "Error", ICON_QUESTION | BUTTON_YESNO | DEFBUTTON2 )

if result == IDNO:

return

Prompt

Description

Prompt a user to enter a string.

Remarks

The Prompt function displays a simple dialog that has message and an edit field for the user to enter a string. The message parameter is an informational string displayed in the prompt dialog. Optionally the title of the prompt dialog may be set by passing a title string. By default the edit field is empty, but the initial contents of the edit field may be set with the optional default string. Finally, if the text entered in the edit field is to be obscured as it is entered (such as when entering a password) then the Boolean isPassword field should be set to True.

If the user clicks OK, Prompt returns the entered string; whereas, if the user clicks Cancel, Prompt returns an empty string.

VBScript

Syntax

crt.Dialog.Prompt(message [, title [, default [, isPassword ]]])

Example

Dim pass

pass = crt.Dialog.Prompt("Enter your password:", "Logon Script", "", True)

If pass = "" Then

' User clicked Cancel button

Else

' User added data

End If

Python

Syntax

crt.Dialog.Prompt(message [, title [, default [, isPassword ]]])

Example

password = crt.Dialog.Prompt("Enter your password:", "Logon Script", "", True)

if password == "":

# User clicked Cancel button

else:

# User added data


FileTransfer Object

SecureCRT Icon FileTransfer Object

Description

The FileTransfer object provides methods for performing file transfers initiated by scripts.

Syntax

crt.FileTransfer.Method([arglist])

crt.FileTransfer.Property [ = varname ]

Remarks

SecureCRT's FileTransfer object is accessed through the top-level object’s FileTransfer property. The FileTransfer object is not supported with with sessions that use TN3270 emulation.

FileTransfer Object Properties and Methods

Properties | Methods
DownloadFolder | AddToUploadList
ZmodemUploadAscii | ClearUploadList
 | ReceiveKermit
 | ReceiveXmodem
 | ReceiveYmodem
 | SendKermit
 | SendXmodem
 | SendYmodem

Properties

DownloadFolder

Description

Returns path for session download folder.

Remarks

DownloadFolder is a read-only property that returns the path for the current session's download folder. Note, files downloaded with either Xmodem, Zmodem, or Kermit are always placed in the session's download folder. Scripts can use this property to determine the location of the downloaded files.

VBScript

Syntax

crt.FileTransfer.DownloadFolder

Example

MsgBox "Download completed to: " & vblf & crt.FileTransfer.DownloadFolder

Python

Syntax

crt.FileTransfer.DownloadFolder

Example

crt.Dialog.MessageBox("Download completed to: \n" + crt.FileTransfer.DownloadFolder)

ZmodemUploadAscii

Description

Specifies ASCII or binary mode for Zmodem Zmodem is a file transfer protocol that touts speed and reliability. In this terminal emulation application, it provides a mechanism for secure file transfers as long as the remote machine has Zmodem support installed. uploads.

Remarks

ZmodemUploadAscii specifies whether files uploaded using Zmodem will be in ASCII or binary format. When ZmodemUploadAscii is set to "true", uploads will be made in ASCII. After you have run a script that sets the ZmodemUploadAscii option to true, that setting will be saved as a session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. option until it is changed back either by running another script that resets it to false or by changing the option in the Select Files to Send using Zmodem dialog. If no argument is specified for this property, the current value is returned.

Note

For this option to work properly, the installation of Zmodem on the remote machine must be able to convert ASCII to use the local convention for line termination.

VBScript

Syntax

crt.FileTransfer.ZmodemUploadAscii = [True | False]

Example

#$language = "VBScript"

#$interface = "1.0"

Option explicit

Dim szPrompt

szPrompt = "->"

crt.screen.synchronous = True

' Zmodem ASCII uploads

crt.FileTransfer.AddToZmodemUploadList "c:\temp\File1.txt"

crt.FileTransfer.AddToZmodemUploadList "c:\temp\File2.txt"

crt.FileTransfer.AddToZmodemUploadList "c:\temp\anotherFile.txt"

' Let CRT know that we want these files to be transferred as ASCII

crt.FileTransfer.ZmodemUploadAscii = True

' Start the Zmodem upload

crt.Screen.Send " rz " & vbCR

' Wait for transfer to complete

crt.Screen.WaitForString szPrompt

' Reset ASCII flag

crt.FileTransfer.ZmodemUploadAscii = False

Python

Syntax

crt.FileTransfer.ZmodemUploadAscii = [True | False]

Example

#$language = "Python"

#$interface = "1.0"

crt.Screen.Synchronous = True

# Zmodem ASCII uploads

crt.FileTransfer.AddToZmodemUploadList("c:\\temp\\File1.txt")

crt.FileTransfer.AddToZmodemUploadList("c:\\temp\\File2.txt")

crt.FileTransfer.AddToZmodemUploadList("c:\\temp\\anotherFile.txt")

# Let CRT know that we want these files to be transferred as ASCII

crt.FileTransfer.ZmodemUploadAscii = True

# Start the Zmodem upload

crt.Screen.Send("rz\n")

# Wait for transfer to complete

crt.Screen.WaitForString("->")

# Reset ASCII flag

crt.FileTransfer.ZmodemUploadAscii = False

Methods

AddToUploadList

Description

Places file on Y/Zmodem upload list.

Remarks

AddToUploadList places the specified file on a list of files that will be uploaded during the next Y/Zmodem or Kermit upload. Once one or more files have been added to the upload list, a Y/Zmodem or Kermit upload can be initiated by the script sending the appropriate command to the remote system.

Errors:

If the path provided to AddToUploadList is not a valid file, a script error is generated and the following message is displayed:

"FileTransfer.AddToUploadList: <filepath> does not exist."

VBScript

Syntax

crt.FileTransfer.AddToUploadList filepath

Example

crt.FileTransfer.AddToUploadList "c:\temp\File1.txt"

crt.FileTransfer.AddToUploadList "c:\temp\File2.txt"

' Start the upload of the two files...

crt.Screen.Send "rz" & vbCR

Python

Syntax

crt.FileTransfer.AddToUploadList(filepath)

Example

crt.FileTransfer.AddToUploadList("c:\\temp\\File1.txt")

crt.FileTransfer.AddToUploadList("c:\\temp\\File2.txt")

# Start the upload of the two files...

crt.Screen.Send("rz\n")

ClearUploadList

Description

Clears the Y/Zmodem or Kermit upload list.

Remarks

None.

VBScript

Syntax

crt.FileTransfer.ClearUploadList

Python

Syntax

crt.FileTransfer.ClearUploadList()

ReceiveKermit

Description

Initiates file download to download folder.

Remarks

ReceiveKermit initiates a Kermit download of one of more files from the remote host. Downloaded files are always placed in the session's download folder. Note that the Kermit send command should be sent or initiated on the remote system before executing ReceiveKermit for the transfer to proceed properly.

Errors:

1. If the ReceiveKermit method is executed while not connected, the following script error is generated:

"FileTransfer.ReceiveKermit: not connected"

2. If a transfer is already in progress when this is called, the following script error will be generated:

"FileTransfer.ReceiveKermit: A file transfer cannot be started while another transfer is in progress"

VBScript

Syntax

crt.FileTransfer.ReceiveKermit

Example

crt.Screen.Send "--kermit myfile.txt" & vbCRLF

crt.Screen.WaitForString "--kermit myfile.txt" & vbCRLF

crt.FileTransfer.ReceiveKermit

Python

Syntax

crt.FileTransfer.ReceiveKermit()

Example

crt.Screen.Send("-kermit myFile.txt\n")

crt.Screen.WaitForString("-kermit myFile.txt\n")

crt.FileTransfer.ReceiveKermit()

ReceiveXmodem

Description

Initiates file download to download folder.

Remarks

ReceiveXmodem initiates an Xmodem download of a file and saves the file as the specified filename in the session's download folder. Downloaded files are always placed in the session's download folder. Note that the Xmodem send command should be sent or initiated on the remote system before executing ReceiveXmodem for the transfer to proceed properly.

Errors:

1. If the ReceiveXmodem method is executed while not connected, the following script error is generated:

"FileTransfer.ReceiveXmodem: not connected"

2. If a filename passed to ReceiveXmodem is not a simple filename (i.e., if it is a path or contains path separators), the following script error will be generated:

"FileTransfer.ReceiveXmodem: Invalid filename \"% s\". Argument should not include path information."

3. If a transfer is already in progress when this is called, the following script error will be generated:

"FileTransfer.ReceiveXmodem: A file transfer cannot be started while another transfer is in progress"

VBScript

Syntax

crt.FileTransfer.ReceiveXmodem filepath

Example

crt.Screen.Send "sx -X myFile.txt" & vbCR

' Customize the wait string below to match output of remote Xmodem program.

crt.Screen.WaitForString "Give your local XMODEM receive command now." & vbCR

crt.FileTransfer.ReceiveXmodem "yourFile.txt"

Note: When using a WaitForString command as in the above example, the string being waited for should be the exact Xmodem output, including carriage returns and line feeds.

Python

Syntax

crt.FileTransfer.ReceiveXmodem(filepath)

Example

crt.Screen.Send("sx -X myFile.txt\n")

# Customize the wait string below to match output of remote Xmodem program.

crt.Screen.WaitForString("Give your local XMODEM receive command now.")

crt.FileTransfer.ReceiveXmodem("yourFile.txt")

Note: When using a WaitForString command as in the above example, the string being waited for should be the exact Xmodem output, including carriage returns and line feeds.

ReceiveYmodem

Description

Initiates file download to download folder.

Remarks

ReceiveYmodem initiates a Ymodem download of one of more files from the remote host. Downloaded files are always placed in the session's download folder. Note that the Ymodem send command should be sent or initiated on the remote system before executing ReceiveYmodem for the transfer to proceed properly.

Errors:

1. If the ReceiveYmodem method is executed while not connected, the following script error is generated:

"FileTransfer.ReceiveYmodem: not connected"

2. If a transfer is already in progress when this is called, the following script error will be generated:

"FileTransfer.ReceiveYmodem: A file transfer cannot be started while another transfer is in progress"

VBScript

Syntax

crt.FileTransfer.ReceiveYmodem

Example

crt.Screen.Send "sz --ymodem myfile.txt" & vbCR

crt.Screen.WaitForString "sz --ymodem myfile.txt" & vbCRLF

crt.FileTransfer.ReceiveYmodem

Python

Syntax

crt.FileTransfer.ReceiveYmodem()

Example

crt.Screen.Send("sz -ymodem myFile.txt\n")

crt.Screen.WaitForString("sz -ymodem myFile.txt\r\n")

crt.FileTransfer.ReceiveYmodem()

SendKermit

Description

Sends specified file.

Remarks

SendKermit sends the specified file using the Kermit protocol. Note, the appropriate Kermit receive command should be sent or initiated on the remote system before executing SendKermit for the transfer to begin properly.

Errors:

1. If the SendKermit method is executed while not connected the following script error is generated:

"FileTransfer.SendKermit: not connected"

2. If the file list is empty, the following script error is generated:

"FileTransfer.SendKermit: No files were specified for transfer."

3. If a transfer is already in progress when this is called, the following script error is generated:

"FileTransfer.SendKermit: A file transfer cannot be started while another transfer is in progress"

VBScript

Syntax

crt.FileTransfer.SendKermit

Example

' upload several files using Kermit

crt.FileTransfer.AddToUploadList "c:\temp\File1.txt"

crt.FileTransfer.AddToUploadList "c:\temp\File2.txt"

crt.FileTransfer.AddToUploadList "c:\temp\File3.txt"

crt.Screen.Send "--kermit" & vbCR

crt.FileTransfer.SendKermit

Python

Syntax

crt.FileTransfer.SendKermit()

Example

# upload several files using Kermit

crt.FileTransfer.AddToUploadList("c:\\temp\\File1.txt")

crt.FileTransfer.AddToUploadList("c:\\temp\\File2.txt")

crt.FileTransfer.AddToUploadList("c:\\temp\\File3.txt")

crt.Screen.Send("--kermit\n")

crt.FileTransfer.SendKermit()

SendXmodem

Description

Sends specified file.

Remarks

SendXmodem sends the specified file using the Xmodem protocol. The full path to the file must be specified. Note, the appropriate Xmodem receive command should be sent or initiated on the remote system before executing SendXmodem for the transfer to begin properly.

Errors:

1. If the SendXmodem method is executed while not connected the following script error is generated:

"FileTransfer.SendXmodem: not connected"

2. If the path provided to SendXmodem is not a valid file then a script error is generated and the following message is displayed:

"FileTransfer.SendXmodem: <filepath> does not exist."

3. If a transfer is already in progress when this is called, the following script error is generated:

"FileTransfer.SendXmodem: A file transfer cannot be started while another transfer is in progress"

VBScript

Syntax

crt.FileTransfer.SendXmodem filepath

Example

' upload C:\temp\myFile.txt using Xmodem

crt.Screen.Send "rx myFile.txt" & vbCR

crt.Screen.WaitForString "ready to receive"

crt.FileTransfer.SendXmodem "C:\temp\myFile.txt"

Python

Syntax

crt.FileTransfer.SendXmodem(filepath)

Example

# upload C:\temp\myFile.txt using Xmodem

crt.Screen.Send("rx myFile.txt\n")

crt.Screen.WaitForString("ready to receive")

crt.FileTransfer.SendXmodem("C:\\temp\\myFile.txt")

SendYmodem

Description

Sends specified file.

Remarks

SendYmodem sends the specified file using the Ymodem protocol. Note, the appropriate Ymodem receive command should be sent or initiated on the remote system before executing SendYmodem for the transfer to begin properly.

Errors:

1. If the SendYmodem method is executed while not connected the following script error is generated:

"FileTransfer.SendYmodem: not connected"

2. If the file list is empty, the following script error is generated:

"FileTransfer.SendYmodem: No files were specified for transfer."

3. If a transfer is already in progress when this is called, the following script error is generated:

"FileTransfer.SendYmodem: A file transfer cannot be started while another transfer is in progress"

VBScript

Syntax

crt.FileTransfer.SendYmodem

Example

' upload several files using Ymodem

crt.FileTransfer.AddToUploadList "c:\temp\File1.txt"

crt.FileTransfer.AddToUploadList "c:\temp\File2.txt"

crt.FileTransfer.AddToUploadList "c:\temp\File3.txt"

crt.Screen.Send "rz --ymodem" & vbCR

crt.FileTransfer.SendYmodem

Python

Syntax

crt.FileTransfer.SendYmodem()

Example

# upload several files using Ymodem

crt.FileTransfer.AddToUploadList("c:\\temp\\File1.txt")

crt.FileTransfer.AddToUploadList("c:\\temp\\File2.txt")

crt.FileTransfer.AddToUploadList("c:\\temp\\File3.txt")

crt.Screen.Send("rz --ymodem\n")

crt.FileTransfer.SendYmodem()


GlobalConfiguratiion Object

SecureCRT Icon GlobalConfiguration Object

Description

The GlobalConfiguration object provides methods for accessing global configuration through scripting.

Syntax

GlobalConfiguration.Property [ = expression ]

GlobalConfiguration.Method([arglist])

GlobalConfiguration Object Properties and Methods

Properties | Methods
Config | GetOption
 | Save
 | SetOption

Properties

Config

Description

Returns the global configuration.

Remarks

This configuration will not be saveable to a new name.

VBScript

Syntax

Set objectvarname = object.Config

Example

Set config = crt.Config

Python

Syntax

objectvarname = object.Config

Example

config = crt.Config

Methods

GetOption

Description

Gets the value of the specified option.

Remarks

OptionName is a string parameter that is the name of the option. This method returns the value of the specified option. If the option is a string type (S), a string is returned. If the option is a multi-string (Z), an array of strings is returned. If the option is a DWORD (D), an integer is returned.

VBScript

Syntax

varname = object.GetOption(OptionName)

Example

' In the following example, the "Show confirm disconnect
' dialog" option in the General category of the Global
' Options dialog is disabled if enabled:
bConfirmDisconnect = crt.Config.GetOption("Show Confirm Disconnect Dialog")
If bConfirmDisconnect Then
crt.Config.SetOption "Show Confirm Disconnect Dialog", False
End If

' In the following example, the "Reuse disconnected tabs"
' option in the "Terminal / Tabs/Tiling" category of the Global
' Options dialog is disabled if enabled:
bReuseDisconnTab = crt.Config.GetOption("Reuse Disconnected Tabs")
If bReuseDisconnTab Then
crt.Config.SetOption "Reuse Disconnected Tabs", False

End If

' In the following example, the "Show status indicators as
' ..." option in the "Terminal / Tabs/Tiling" category of
' the Global Options dialog is checked to see what is
' presently configured (note that Background Colors is not
' availableon Mac/Linux).
nTabStyle = crt.Config.GetOption("Status Indicator Style")
Select Case cInt(nTabStyle)
Case 0
crt.Dialog.MessageBox("Status indicators for tabs = Default Icons")
Case 1
crt.Dialog.MessageBox("Status indicators for tabs = Background Colors")
Case 2
crt.Dialog.MessageBox("Status indicators for tabs = Color Rectangles")
End Select

Python

Syntax

varname = object.GetOption(OptionName)

Example

# In the following example the GUI option 'When a session is
# renamed/moved, update sessions that use it as a firewall'
# in the General category of the Global Options dialog is
# disabled if enabled:
if crt.Config.GetOption("Update Dependent Session Firewalls"):
crt.Config.SetOption("Update Dependent Session Firewalls", False)

# In the following example the GUI option 'Connect to
# multiple sessions sequentially' in the Terminal / Advanced
# category of the Global Options dialog is enabled if
# disabled:
if not crt.Config.GetOption("Serialize Connections"):
crt.Config.SetOption("Serialize Connections", True)

# In the following example the GUI option 'Paste on
# middle/right button' in the Terminal category of the
# Global Options is checked for current state:
strRight = crt.Config.GetOption("Paste On Right Button")
strMiddle = crt.Config.GetOption("Paste On Middle Button")

if strRight == 0 and strMiddle == 0:
crt.Dialog.MessageBox("Paste on middle/right button option disabled")
elif strRight == 1:
crt.Dialog.MessageBox("Paste on right button option enabled")
elif strMiddle == 1:
crt.Dialog.MessageBox("Paste on middle button option enabled")

Save

Description

Saves the configuration.

VBScript

Syntax

object.Save

Python

Syntax

object.Save()

SetOption

Description

Sets the specified option to the specified value.

Remarks

OptionName is a string parameter that is the name of the option. Value is the value to set the option to. If the option is a string type (S), a string should be specified for the value. If the option is a multi-string (Z), an array of strings should be specified for the value. If the option is a DWORD (D), the value should be numeric. If there is an error this method will display a error message box. If the errors are not being displayed, the error message can be retrieved by using crt.GetLastErrorMessage.

VBScript

Syntax

object.SetOption OptionName, Value

Example

' In the following example, the config option for "Maximum
' columns" in the "Terminal / Appearance" category of
' the Global Options dialog is changed to user specified
' value.
nCurMaxCols = crt.Config.GetOption("Max Columns")
nNewMaxCols = crt.Dialog.Prompt("Current columns value is: " & _
nCurMaxCols & "." & vbcrlf & _
"Specify new value (from 132 to 32000).")
If nNewMaxCols = "" Then
crt.Dialog.MessageBox "No changes made."
End If
If nNewMaxCols < 132 or nNewMaxCols > 32000 Then
crt.Dialog.MessageBox "Invalid value specified. No changes made."
Else
crt.Config.SetOption "Max Columns", nNewMaxCols
crt.Dialog.MessageBox "Changing Max Columns requires a quit/restart of SecureCRT."
End If

' In the following example, the config option for "Hex
' view buffer" in the "Terminal / Appearance" category of
' the Global Options dialog is changed to user specified
' value.
nCurHexBuffer = crt.Config.GetOption("Hex View Buffer")
nNewHexBuffer = crt.Dialog.Prompt("Current hex view buffer value is: " & _
CInt(nCurHexBuffer) & "." & vbcrlf & _
"Specify new value (from 132 to 32000).")
If nNewHexBuffer = "" Then
crt.Dialog.MessageBox "No changes made."
End If
If nNewHexBuffer < 132 or nNewHexBuffer > 32000 Then
crt.Dialog.MessageBox "Invalid value specified. No changes made."
Else
crt.Config.SetOption "Hex View Buffer", nNewHexBuffer
End If

Python

Syntax

object.SetOption(OptionName, Value)

Example

# In the following example, the config option for "Initially
# send commands to" in the 'Terminal / Advanced' category of
# the Global Options dialog is changed, if necessary.

#Initial Send Commands To Value

#0 = Active; 1 = All Session; 2 = Visible

nInitSendCmdState = crt.Config.GetOption("Initial Send Commands To Value")
strBegText = "Currently Initial Command Window Send To functionaliy is configured as "
strEndText = ".\r\nWhat state would you like?\r\n" + \
"\t0 = Active Session\r\n" + \
"\t1 = All Sessions\r\n" + \
"\t2 = Visible Sessions\r\n\r\n" + \
"(Since this is an 'initial state' config option, you will need \r\n" + \
"to quit/restart SecureCRT to see the new value reflected.)"
if nInitSendCmdState == 0:
strCurrState = "Active Session"
elif nInitSendCmdState == 1:
strCurrState = "All Sessions"
elif nInitSendCmdState == 2:
strCurrState = "Visible Sessions"

nResponse = crt.Dialog.Prompt(strBegText + strCurrState + strEndText,

"Set Command Window Send To Functionality")

if nResponse == "" or int(nResponse) < 0 or int(nResponse) > 2:
crt.Dialog.MessageBox("No changes made due to invalid data or same value entered.")

nResponse = nInitSendCmdState

if int(nResponse) != nInitSendCmdState:

crt.Config.SetOption("Initial Send Commands To Value", int(nResponse))

# In the following example, the config option for "Show
# connect bar" in the 'General' category of the
# Global Options dialog is changed, if necessary.

nInitState = crt.Config.GetOption("Show Connect Bar")

if nInitState == 1:

crt.Config.SetOption("Show Connect Bar", 0)

# In the following example, the config option for "Show
# button bar on ..." in the 'Terminal / Appearance'
# category of the Global Options dialog is changed,

# if necessary.

nInitState = crt.Config.GetOption("Button Bar Location")

if nInitState == 0:
crt.Config.SetOption("Button Bar Location", 1)

# In the following example, the config option for "Custom
# menu and toolbar file" in the 'Terminal / Advanced' category
# of the Global Options dialog is changed, if necessary.

BUTTON_YESNO = 4 # Yes and No buttons
BUTTON_YESNOCANCEL = 3 # Yes, No, and Cancel buttons
IDCANCEL = 2 # Cancel button clicked
IDYES = 6 # Yes button clicked
IDNO = 7 # No button clicked

strCurrMenuToolbar = crt.Config.GetOption("Menu Toolbar File V2")
if strCurrMenuToolbar == "":
nResponse = crt.Dialog.MessageBox("Currently no custom menu file is configured.\r\n" +
"\r\nDo you want to specify a custom menu file?\r\n",
"Change Menu Toolbar File?",
BUTTON_YESNO)

else:
nResponse = crt.Dialog.MessageBox("Current Menu File: " + strCurrMenuToolbar +
"\r\nDo you want to specify a new file?\r\n"
"\tYes\t- Specify new menu file\r\n"
"\tCancel\t- Clear current file\r\n"
"\tNo\t- No changes",
"Change Menu Toolbar File?",
BUTTON_YESNOCANCEL)

if nResponse == 6:
strNewMenuToolbar = crt.Dialog.FileOpenDialog(title="Please select a menu file", filter="Menu Files (*.mnu)|*.mnu||")
if strNewMenuToolbar == "":
crt.Dialog.MessageBox("Cancel pressed or no file selected. No changes made.")
else:
crt.Config.SetOption("Menu Toolbar File V2", strNewMenuToolbar)
elif nResponse == 2:
crt.Config.SetOption("Menu Toolbar File V2", "")
else:
crt.Dialog.MessageBox("No changes made.")


Screen Object

SecureCRT Icon Screen Object

Description

The Screen object provides access to SecureCRT's terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube, and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer with a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. screen.

Syntax

Screen.Property [ = expression ]

Screen.Method([arglist])

Remarks

SecureCRT's Screen object is accessed through the top-level object’s Screen property.

Screen Object Properties and Methods

Properties | Methods
CurrentColumn | Clear
CurrentRow | Get
Columns | Get2
IgnoreEscape | IgnoreCase
MatchIndex | Print
Rows | ReadString
Selection | Send
Synchronous | SendKeys
 | SendSpecial
 | WaitForCursor
 | WaitForKey
 | WaitForString
 | WaitForStrings

Properties

CurrentColumn

Description

Returns the current column of the cursor.

Remarks

Read-only numeric property. The first column is 1. An error will be returned if there is no connection A data path or circuit between two computers over a phone line, network cable, or other means. open.

VBScript

Syntax

[ varname = ] object.CurrentColumn

Python

Syntax

[ varname = ] object.CurrentColumn

CurrentRow

Description

Returns the current row of the cursor.

Remarks

Read-only numeric property. The first row is 1. An error will be returned if there is no connection open.

VBScript

Syntax

[ varname = ] object.CurrentRow

Python

Syntax

[ varname = ] object.CurrentRow

Columns

Description

Returns the current number of columns.

Remarks

Read-only numeric property.

VBScript

Syntax

[ varname = ] object.Columns

Python

Syntax

[ varname = ] object.Columns

IgnoreEscape

Description

Allows the script to control whether escape sequences are ignored or not for WaitForString(s) and ReadString methods.

Remarks

The IgnoreEscape property toggles whether ReadString() or WaitForString() recognizes escape sequences. By default, Readstring will capture and look for escape sequences.

VBScript

Syntax

object.IgnoreEscape [ = True | False ]

Example

crt.screen.IgnoreEscape = False

' The following call will return after we receive either an

' 'Escape' or 'BEL' character from the remote

MsgBox crt.screen.Readstring(chr(27), chr(7))

crt.screen.IgnoreEscape = True

' Now that IgnoreEscape is set to true, the following call

' will always time out after 5 seconds because ReadString is

' ignoring non-printable characters

MsgBox crt.screen.Readstring(chr(27), chr(7), 5)

Python

Syntax

object.IgnoreEscape [ = True | False ]

Example

crt.Screen.IgnoreEscape = False

# The following call will return after we receive either an

# 'Escape' or 'BEL' character from the remote

crt.Dialog.MessageBox(crt.Screen.ReadString([chr(27), chr(7)]))

crt.Screen.IgnoreEscape = True

# Now that IgnoreEscape is set to true, the following call

# will always time out after 5 seconds because ReadString is

# ignoring non-printable characters

crt.Dialog.MessageBox(crt.Screen.ReadString([chr(27), chr(7)], 5))

MatchIndex

Description

Determines which index within your list of strings was found by the ReadString or WaitForStrings method.

Remarks

Is only useful in combination with either the ReadString or WaitForStrings method.

The crt.Screen.MatchIndex property is used in conjunction with the ReadString method when ReadString is passed multiple strings to wait for. When used, MatchIndex will indicate which string was found by ReadString (1=first_string, 2=second_string, etc.). A MatchIndex value of 0 indicates that a timeout occurred before a match was found.

VBScript

Syntax

[ varname = ] object.MatchIndex

Example

szOutput = crt.Screen.ReadString("error", "warning", "#", 10)

Select Case crt.Screen.MatchIndex

Case 0

MsgBox "Timed out!"

Case 1

MsgBox "Found 'error'"

Case 2

MsgBox "Found 'warning'"

Case 3

MsgBox "Found '#'"

End Select

Python

Syntax

[ varname = ] object.MatchIndex

Example

szOutput = crt.Screen.ReadString(["error", "warning", "#"], 10)

index = crt.Screen.MatchIndex

if (index == 0):

crt.Dialog.MessageBox("Timed out!")

elif (index == 1):

crt.Dialog.MessageBox("Found 'error'")

elif (index == 2):

crt.Dialog.MessageBox("Found 'warning'")

elif (index == 3):

crt.Dialog.MessageBox("Found '#'")

Rows

Description

Returns the current number of rows.

Remarks

Read-only numeric property.

VBScript

Syntax

[ varname = ] object.Rows

Python

Syntax

[ varname = ] object.Rows

Selection

Description

Returns the current selection.

VBScript

Syntax

[ varname = ] object.Selection

Example

# $language = "VBScript"

# $interface = "1.0"

' GoogleSelectedText.vbs

' send the selected text to the clipboard

crt.Clipboard.Text = crt.Screen.Selection

' Extract the selected text from the clipboard into a variable as "Text"

szSelection = crt.Clipboard.Text

' Now search on Google for the information.

g_szSearchBase = "https://www.google.com/search?hl=en&q="

Set g_shell = CreateObject("WScript.Shell")

g_shell.Run "iexplore " & g_szSearchBase & szSelection

Python

Syntax

[ varname = ] object.Selection

Example

#$language = "Python"

#$interface = "1.0"

import SecureCRT

import webbrowser

# send the selected text to the clipboard

crt.Clipboard.Text = crt.Screen.Selection

# Extract the selected text from the clipboard into a variable as "Text"

szSelection = crt.Clipboard.Text

# Now search on Google for the information.

g_szURL = "https://www.google.com/search?q=" + szSelection

webbrowser.open(g_szURL)

Synchronous

Description

Returns or sets the Synchronous setting of the screen.

Remarks

If Synchronous is False then under certain circumstances a script can miss data sent by the server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. that it is expecting to see. Synchronous is set to False by default.

VBScript

Syntax

object.Synchronous [ = True | False ]

Example

The following code that waits for two different strings, could potentially miss the second string while it is performing some operation after receiving the first string. In order to prevent this kind of condition, it temporarily sets Synchronous to True:

...

crt.screen.Synchronous = True

crt.screen.Send("someCommand")

crt.screen.WaitForString("thisString")

... do something else

crt.screen.WaitForString("thatString")

Python

Syntax

object.Synchronous [ = True | False ]

Example

The following code that waits for two different strings, could potentially miss the second string while it is performing some operation after receiving the first string. In order to prevent this kind of condition, it temporarily sets Synchronous to True:

...

crt.Screen.Synchronous = True

crt.Screen.Send("someCommand")

crt.Screen.WaitForString("thisString")

... do something else

crt.Screen.WaitForString("thatString")

Methods

Clear

Description

Clears the screen.

Remarks

None.

VBScript

Syntax

object.Clear

Python

Syntax

object.Clear()

Get

Description

Returns a string of characters read for a portion of the screen.

Remarks

Returns a string containing the characters on the screen rectangle defined by the numeric values row1,col1 (upper-left) and row2,col2 (lower-right).

VBScript

Syntax

object.Get(row1, col1, row2, col2)

Python

Syntax

object.Get(row1, col1, row2, col2)

Get2

Description

Returns the characters on each row requested.

Remarks

Returns the characters on each row requested with a \r\n, so the rows can be split by looking for the \r\n sequence. This allows the rows to be different lengths as required by the contents of the rows.

Notes

If your scripts need to work with MBCS languages, you should use the Get2 interface.

VBScript

Syntax

object.Get2(row1, col1, row2, col2)

Python

Syntax

object.Get2(row1, col1, row2, col2)

IgnoreCase

Description

Provides a global method to set case insensitivity. In addition, case insensitivity can be set per-function as described below in the WaitForStrings, WaitForString, and ReadString methods.

Remarks

If this method is true, the WaitForStrings, WaitForString, and ReadString methods are not case sensitive, otherwise, they are case sensitive (default).

VBScript

Syntax

object.IgnoreCase

Python

Syntax

object.IgnoreCase()

Print

Description

Prints the screen.

Remarks

If no printer is defined on your machine, an error will be returned.

VBScript

Syntax

object.Print

Python

Syntax

object.Print()

ReadString

Description

Captures data as it is received from the remote.

Remarks

ReadString is similar to the WaitForStrings function except in that ReadString captures data. By default, ReadString will capture all data received from the remote, including escape sequences. To enable or disable the inclusion of escape sequences in the data captured by ReadString, set the Screen.IgnoreEscape property to false/true, respectively. If the remote side is sending escape sequences and Screen.IgnoreEscape is set to true, ReadString will return the string "plug" when "p" was drawn in the upper left corner, "l" in the upper right corner, "u" in the bottom left corner, and "g" in the bottom right corner.

If a timeout parameter is provided, and ReadString reaches the timeout period without receiving the specified string(s) from the remote, ReadString will return an empty string.

Notes

This method takes an optional bCaseInsensitive parameter that defaults to false (case-sensitive wait string matching). It also takes an optional lWaitTimeout parameter, which defaults to "0" if not specified. To specify the bCaseInsensitive parameter, you must also explicitly specify the lWaitTimeout parameter when using this function in a script.

To retrieve a 1-based index of which string ReadString encountered, check the Screen.MatchIndex property.

VBScript

Syntax

[ varname = ] o bject.ReadString([string1[,string2 ... , stringn]] [, timeoutSeconds] [bCaseInsensitive])

Example

ReadString has the following three usage scenarios:

1. Returns data as soon as it is available from the remote, one character at a time. The syntax for this scenario is:

varname = crt.Screen.ReadString

Example:

char = crt.Screen.ReadString

2. Capture data until a specific string is detected from the remote (similar to how WaitForStrings() is used, except that it captures data). The syntax for this scenario is:

varname = crt.Screen.ReadString(StringToWaitFor [, TimeOutSeconds])

Example:

str = crt.Screen.ReadString("home", 10)

3. Capture data until one of a list of multiple strings is detected from the remote (similar to how WaitForStrings is used, except that it captures data). The syntax for this scenario is:

varname = crt.Screen.ReadString(StringToWaitFor [, StringToWaitFor [, ...]] [, TimeOutSeconds])

or

varname = crt.Screen.ReadString(StringsArray [, TimeOutSeconds])

Examples:

str = crt.Screen.ReadString("home", "work", ... , 10)

or

str = crt.Screen.ReadString(arrayOfStrings, 10)

Python

Syntax

[ varname = ] o bject.ReadString([stringarray] [, timeoutSeconds] [, bcaseInsensitive])

Example

ReadString has the following three usage scenarios:

1. Returns data as soon as it is available from the remote, one character at a time. The syntax for this scenario is:

varname = crt.Screen.ReadString()

Example:

char = crt.Screen.ReadString()

2. Capture data until a specific string is detected from the remote (similar to how WaitForStrings() is used, except that it captures data). The syntax for this scenario is:

varname = crt.Screen.ReadString(StringToWaitFor [, TimeOutSeconds])

Example:

str = crt.Screen.ReadString("home", 10)

3. Capture data until one of a list of multiple strings is detected from the remote (similar to how WaitForStrings is used, except that it captures data). The syntax for this scenario is:

varname = crt.Screen.ReadString(StringsArray [, TimeOutSeconds])

Example:

str = crt.Screen.ReadString(["home", "work"], 10)

Send

Description

Sends a string of characters.

Remarks

Attempting to send a string while no connection is open returns an error. For sessions using TN3270 emulation, do not append vbCr to the end of a string. To send a carriage return, call Screen.SendSpecial with "TN3270_RETURN".

Notes

The Send interface works with MBCS languages, and works correctly regardless of whether the display font can represent the characters or not, as long as the select "Character Encoding" for the session can represent the characters. This method takes an optional bSendToScreenOnly parameter that defaults to false. If it is set to true, the text will be sent only to the screen and not to the remote system. The text will also be logged if the session is logging to a file.

VBScript

Syntax

object.Send string [, bSendToScreenOnly]

Python

Syntax

object.Send(string [, bSendToScreenOnly])

SendKeys

Description

Sends key strokes to the active window.

Remarks

The SendKeys method can send more than one keystroke at a time by using compound string arguments. For example, to send the keystrokes a, b, and c, you would send the string argument "abc". The SendKeys method also uses some characters as modifiers of characters. This set of special characters consists of the plus sign (+), caret (^), percent sign (%), tilde (~), parentheses, brackets, and braces. The characters "+", "^", and "%" perform the functions of SHIFT, CTRL, and ALT, respectively. These can be combined to affect one key as in "^%c" which is the equivalent of the CTRL+ALT+C key combination. Parenthesis characters are used to group characters for modifiers, for example, "+(ec)" will send "EC". SendKeys can use up to three nested parenthesis.

To send bracket characters, send the string argument "{[}" for the left bracket and "{]}" for the right one. To send brace characters, send the string argument "{{}" for the left brace and "{}}" for the right one.

Some keystrokes do not generate characters (such as ENTER and TAB). Some keystrokes represent actions (such as BACKSPACE and BREAK). To send these kinds of keystrokes, send the arguments shown in the SendKeys keystroke table.

VBScript

Syntax

object.SendKeys string

Example

#$language = "VBScript"

#$interface = "1.0"

Sub Main()

crt.Screen.Clear

crt.screen.sendkeys("mc~")

crt.Sleep 2000

crt.screen.sendkeys("{f1}")

crt.Sleep 2000

crt.screen.sendkeys("{esc}0")

crt.Sleep 2000

crt.screen.sendkeys("{esc}0")

crt.Sleep 2000

crt.screen.sendkeys("y")

End Sub

Python

Syntax

SendKeys is not currently supported for Python.

SendSpecial

Description

Sends a built-in SecureCRT command. SendSpecial can send any of the Menu, Telnet Telnet is a protocol that provides an interface for communications between clients and servers., and VT functions listed on the Map Selected Key dialog (accessed by selecting a key in the Keymap Editor and clicking on the Map Selected Key... button).

Remarks

The string parameter to SendSpecial should describe one of the special SecureCRT or protocol functions. Attempting to use SendSpecial while no connection is opened will result in an error. For sessions using TN3270 emulation, to send a carriage return, call Screen.SendSpecial with "TN3270_RETURN". To send a Transmit, call Screen.SendSpecial with "TN3270_ENTER".

VBScript

Syntax

object.SendSpecial string

Example

screen.SendSpecial "MENU_PASTE"

screen.SendSpecial "TN_BREAK"

screen.SendSpecial "VT_PF1"

Python

Syntax

object.SendSpecial(string)

Example

crt.Screen.SendSpecial("MENU_PASTE")

crt.Screen.SendSpecial("TN_BREAK")

crt.Screen.SendSpecial("VT_PF1")

WaitForCursor

Description

Wait for the cursor to change position.

Remarks

The optional timeout parameter specifies the number of seconds to wait for the change. If a change of cursor position is detected WaitForCursor() returns True. If a timeout occurs the function returns False. If no timeout is specified then WaitForCursor() will not time out. An error will be returned if there is no connection open.

Note

For this method, if it is desired to have the wait be in milliseconds, the optional bCaseInsensitive parameter must be specified.

If bMilliseconds=false, then the wait is in seconds, which is the default.

VBScript

Syntax

[ result = ] object.WaitForCursor [timeout] [, bMilliseconds]

Python

Syntax

[ result = ] object.WaitForCursor([timeout] [, bMilliseconds])

WaitForKey

Description

Wait for a keypress event.

Remarks

The optional timeout parameter specifies the number of seconds to wait for a key event. If key event is detected WaitForKey() returns True. If a timeout occurs the function returns False. If no timeout is specified then WaitForKey() will not time out. An error will be returned if there is no connection open.

Note

For this method, if it is desired to have the wait be in milliseconds, the optional bCaseInsensitive parameter must be specified.

If bMilliseconds=false, then the wait is in seconds, which is the default.

VBScript

Syntax

[ result = ] object.WaitForKey [timeout] [, bMilliseconds]

Python

Syntax

[ result = ] object.WaitForKey([timeout] [, bMilliseconds])

WaitForString

Description

Wait for a string.

Remarks

Wait for the string to appear in the input. The timeout (seconds) parameter is optional. When the string is detected in the input WaitForString() returns True. If a timeout occurs the function returns False. An error will be returned if there is no connection open.

Notes

This method takes an optional bCaseInsensitive parameter that defaults to false (case-sensitive wait string matching). It also takes an optional lWaitTimeout parameter, which defaults to "0" if not specified. To specify the bCaseInsensitive parameter, you must also explicitly specify the lWaitTimeout parameter when using this function in a script.

For this method, if it is desired to have the wait be in milliseconds, the optional bCaseInsensitive parameter must be specified.

If bMilliseconds=false, then the wait is in seconds, which is the default.

VBScript

Syntax

[ result = ] object.WaitForString string [, timeout] [bCaseInsensitive] [, bMilliseconds]

Example

If crt.screen.WaitForString("ogin:", 10) <> True Then

MsgBox "Failed to detect login!"

Exit Sub

End If

Python

Syntax

[ result = ] object.WaitForString(string [, timeout] [, bCaseInsensitive] [, bMilliseconds])

Example

if (crt.Screen.WaitForString("ogin:", 10) != True):

crt.Dialog.MessageBox("Failed to detect login!")

WaitForStrings

Description

Wait for one of several strings to appear in the input.

Remarks

Waits for one of the strings given as arguments to appear in the input. When one of the argument strings is matched in the input, WaitForStrings() returns the argument index of the string that was found (the index of the first string given as an argument to WaitForStrings() is 1). If the optional timeout parameter is specified and a timeout occurs before any of the strings are found, WaitForStrings() returns 0. In the absence of a timeout parameter WaitForStrings() will block without timing out and will not return 0. An error will be returned if there is no connection open.

Notes

If you are using VBScript, WaitForStrings() will accept an array of strings as its first argument followed by an optional timeout. The value returned by WaitForStrings() will be the index of the string found in the array (1st element in the array = 1). A value of 0 will be returned if no strings were found within the timeout period if specified.

The WaitForString(s) interface works with MBCS languages, and depends only on the "Character Encoding" for the session being able to represent the characters being waited for, not on the characters being displayed correctly on the screen.

This method takes an optional bCaseInsensitive parameter that defaults to false (case-sensitive wait string matching). It also takes an optional lWaitTimeout parameter, which defaults to "0" if not specified. To specify the bCaseInsensitive parameter, you must also explicitly specify the lWaitTimeout parameter when using this function in a script.

For this method, if it is desired to have the wait be in milliseconds, the optional bCaseInsensitive parameter must be specified.

If bMilliseconds=false, then the wait is in seconds, which is the default.

VBScript

Syntax

[ result = ] object.WaitForStrings string1, [string2, ..., stringn] [, timeout] [bCaseInsensitive] [, bMilliseconds]

Example

Dim result

result = crt.screen.WaitForStrings("foo", "bar", "quux", "gee", 10)

MsgBox result

If result = 3 Then

MsgBox "Got quux!"

End If

If result = 0 Then

MsgBox "Timed out!"

End If

Python

Syntax

[ varname = ] object.WaitForStrings(StringsArray [, timeout] [, bcaseInsensitive] [, bMilliseconds])

Example

result = crt.Screen.WaitForStrings(["foo", "bar", "quux", "gee"], 10)

crt.Dialog.MessageBox(str(result))

if (result == 3):

crt.Dialog.MessageBox("Got quux!")

if (result == 0):

crt.Dialog.MessageBox("Timed out!")


Session Object

SecureCRT Icon Session Object

Description

The Session object provides access to the state and properties that exist for the current connection A data path or circuit between two computers over a phone line, network cable, or other means. or session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Syntax

session.Property [ = expression ]

session.Me thod([arglist])

Remarks

SecureCRT's Session object is accessed through the top-level object’s Session property.

Session Object Properties and Methods

Properties | Methods
Config | Connect
Connected | ConnectInTab
Label | Disconnect
LocalAddress | Lock
Locked | Log
LogFileName | LogUsingSessionOptions
Logging | Print
Path | SetStatusText
RemoteAddress | Unlock
RemotePort |

Properties

Config

Description

Returns the configuration associated with the session.

Remarks

This configuration will not be saveable to a new name.

VBScript

Syntax

Set objectvarname = object.Config

Example

Set config = crt.Session.Config

Python

Syntax

objectvarname = object.Config

Example

config = crt.Session.Config

Connected

Description

Returns a Boolean value indicating whether the current session is connected or not.

Remarks

Boolean read-only property.

VBScript

Syntax

[ varname = ] object.Connected

Python

Syntax

[ varname = ] object.Connected

Label

Description

Returns or sets the session's label.

Remarks

Read/write string property. Tabs can be renamed by right-clicking on the name on the session tab and selecting Rename. The name change remains in effect until the tab is reused or until SecureCRT exits.

VBScript

Syntax

crt.Session.Label [ = string ]

[ varname = ] crt.Session.Label

Python

Syntax

crt.Session.Label [ = string ]

[ varname = ] crt.Session.Label

LocalAddress

Description

Returns the IP address of the local machine in the form of a string.

Remarks

LocalAddress is a read-only string property. The LocalAddress property should only be accessed if the session is connected. Attempting to access LocalAddress while not connected is an error.

VBScript

Syntax

[ varname = ] object.LocalAddress

Python

Syntax

[ varname = ] object.LocalAddress

Locked

Description

Returns a Boolean value indicating whether the current session is locked or not.

Remarks

Boolean read-only property.

VBScript

Syntax

[ varname = ] object.Locked

Python

Syntax

[ varname = ] object.Locked

LogFileName

Description

Returns or sets the name of the current log file.

Remarks

If filename is invalid a runtime error is generated. See also: session.Log

If the log filename contains parameter substitutions that are known when the function is called, they are filled in. Otherwise, the literal string is returned.

VBScript

Syntax

[ varname = ] object.LogFileName [ = filename ]

Python

Syntax

[ varname = ] object.LogFileName [ = filename ]

Logging

Description

Returns a Boolean value indicating whether the current session is logging or not.

Remarks

Boolean read-only property.

VBScript

Syntax

[ varname = ] object.Logging

Python

Syntax

[ varname = ] object.Logging

Path

Description

Returns the path for the current session as it is found within the Session Manager or the Connect dialog, including the name of the session itself.

Remarks

Path is a read-only string property that returns the organizational folder path for a saved session as it appears in the Session Manager. If the session object used when making this call is not associated with a saved session, the name Default is returned, indicating that the session corresponds to an ad hoc connection, not a saved session. Path separators are operating system specific; on Windows the value returned will have "\" as the path separator; on Linux/macOS versions of SecureCRT, "/" the used as the path separator.

If the sessions are organized as shown below:

Sessions

- Routers

- Region 01

- Region 02

- Cisco Router 1

- Cisco Router 2

- Cisco Router 3

where Cisco Router 3 is the saved session used to make a connection in a tab, the following line of script code:

strSessionPath = crt.GetScriptTab().Session.Path

would produce a string variable named strSessionPath with a value of Routers\Region 02\Cisco Router 3 in the Windows versions of SecureCRT, and a value of Routers/Region 02/Cisco Router 3 on Linux and macOS.

VBScript

Syntax

[ varname = ] object.Path

Example

If crt.session.path = "work\server0" Then

myprompt = "linux"

End If

Python

Syntax

[ varname = ] object.Path

Example

if crt.Session.Path == "work\server0":

myprompt = "linux"

RemoteAddress

Description

Returns the IP address of the remote host in the form of a string.

Remarks

RemoteAddress is a read-only string property. The RemoteAddress property should only be accessed if the session is connected. Attempting to access RemoteAddress while not connected is an error. Note that the IP address is not available when the session is connected through a SOCKS Version 5 proxy.

VBScript

Syntax

[ varname = ] object.RemoteAddress

Python

Syntax

[ varname = ] object.RemoteAddress

RemotePort

Description

Returns the port number of the remote port.

VBScript

Syntax

[ varname = ] object.RemotePort

Python

Syntax

[ varname = ] object.RemotePort

Methods

Connect

Description

Connects to a session.

Remarks

The Connect method takes a string parameter that specifies how a connection is to be made. The format of the string parameter matches the format of the command line arguments to SecureCRT. The Connect method can accept an empty argument set.

The command crt.Session.Connect() means "connect to the current session". If a connection has not been made before, the command will fail. If a connection already exists, nothing happens, otherwise, this command is equivalent to pressing the Reconnect button.

Examples:

Connect using a predefined session:

crt.session.Connect("/s mysession")

Connect to "myhost" on port 2345 using the Telnet Telnet is a protocol that provides an interface for communications between clients and servers. protocol and Default session parameters:

crt.session.Connect("/telnet myhost 2345")

The Connect method takes a parameter (True or False) that determines whether or not the script should wait for the connection to fully authenticate before continuing. For instance, the connect call in the examples below will wait until the connection has been fully authenticated before returning and allowing the script to execute the error check just below the connect call. This parameter only applies to SSH1 and SSH2 connections. Whereas, passing False would allow the error check to execute before the connection has a chance to finish. You will probably want to use False only in cases where you want to script the logon process for the session you are attempting to connect to. The default value for this parameter is True.

The Connect method also takes an optional parameter (True or False) that specifies whether or not to suppress pop-up messages. This parameter defaults to False (don't suppress).

VBScript

Syntax

object.Connect [arg [, True|False] [, True|False]]

Examples

# $language = "VBScript"

# $interface = "1.0"

On Error Resume Next

crt.Session.Connect "/SSH2 /PASSWORD password username@hostname", True

If Err.Number <> 0 Then

MsgBox "Connection Failed"

Else

MsgBox "Connection Successful"

End If

The following is an example script that uses the /ENCRYPTEDPASSWORD command-line option.

# $language = "VBScript"

# $interface = "1.0"

set config = crt.OpenSessionConfiguration("<session name>")

CRT.dialog.messagebox(config.GetOption("Password"))

crt.Session.Connect "/SSH2 /ENCRYPTEDPASSWORD " & config.GetOption("Password") & " <username>@<hostname>", True

Python

Syntax

object.Connect(arg [, True|False] [, True|False])

Examples

# $language = "Python"

# $interface = "1.0"

errcode = 0

try:

crt.Session.Connect("/SSH2 /PASSWORD password username@hostname", True)

except ScriptError:

errcode = crt.GetLastError()

if errcode != 0:

crt.Dialog.MessageBox("Connection Failed")

else:

crt.Dialog.MessageBox("Connection Successful")

The following is an example script that uses the /ENCRYPTEDPASSWORD command-line option.

# $language = "Python"

# $interface = "1.0"

import SecureCRT

set config = crt.OpenSessionConfiguration("<session name>")

crt.Dialog.Messagebox(config.GetOption("Password"))

crt.Session.Connect("/SSH2 /ENCRYPTEDPASSWORD " + config.GetOption("Password") + "<username>@<hostname>", True)

ConnectInTab

Description

Connects to a session in a tab or tiled session window.

Remarks

Takes the same arguments as Connect. This also returns a Tab object.

The ConnectInTab method also takes two optional parameters (True or False). The first determines whether or not the script should wait for the connection to fully authenticate before continuing. The first parameter only applies to SSH1 and SSH2 connections. The second optional parameter specifies whether the call fails silently or raises an exception. If the second parameter is False and the connection attempt fails, an exception is raised and the method returns an empty object. If the second parameter is True and the connection attempt fails, the method returns a valid Tab object, which can then be used to check for connection status in order to determine if the connection attempt was successful. See the Connect method above for additional examples. ConnectInTab is not supported with sessions that use TN3270 emulation.

VBScript

Syntax

Set objTab = object.ConnectInTab [arg [, True|False] [, True|False]]

Examples

Connect in a tab using a predefined session:

Set tab = crt.session.ConnectInTab("/s mysession")

Connect in a tab to "myhost" on port 2345 using the Telnet Telnet is a protocol that provides an interface for communications between clients and servers. protocol and Default session parameters:

Set tab = crt.session.ConnectInTab("/telnet myhost 2345")

Close tab if attempt to connect fails:

Set objNewTab = crt.Session.ConnectInTab("Host_Does_Not_Exist",,True)

MsgBox _

"Script Tab's index: " & crt.GetScriptTab().Index & vbcrlf & _

"New Tab's index: " & objNewTab.Index

If Not objNewTab.Session.Connected Then

' Make sure we're not re-using disconnected

' tabs, we don't want to close the script

' tab, just any new tabs that get created by

' calls to ConnectInTab(), but which don't

' result in a successful connection.

If crt.GetScriptTab().Index <> objNewTab.Index Then

crt.Dialog.MessageBox("Closing failed tab")

objNewTab.Close()

End If

End If

Python

Syntax

objTab = object.ConnectInTab [arg [, True|False] [, True|False]]

Example

Connect in a tab using a predefined session:

crt.Session.ConnectInTab("/s mysession")

Connect in a tab to "myhost" on port 2345 using the Telnet protocol and Default session parameters:

crt.Session.ConnectInTab("/telnet myhost 2345")

Close tab if attempt to connect fails:

objNewTab = crt.Session.ConnectInTab("Host_Does_Not_Exist", failSilently=True)

crt.Dialog.MessageBox(

"Script Tab's index: " + str(crt.GetScriptTab().Index) + "\n" +

"New Tab's index: " + str(objNewTab.Index))

if objNewTab.Session.Connected != True:

# Make sure we're not re-using disconnected

# tabs, we don't want to close the script

# tab, just any new tabs that get created by

# calls to ConnectInTab(), but which don't

# result in a successful connection.

if crt.GetScriptTab().Index != objNewTab.Index:

crt.Dialog.MessageBox("Closing failed tab")

objNewTab.Close()

Disconnect

Description

Disconnects the current session.

Remarks

If the current session is not connected, Disconnect does nothing.

VBScript

Syntax

object.Disconnect

Python

Syntax

object.Disconnect()

Lock

Description

Locks the current session (or all sessions).

Remarks

All the parameters are optional. The default for prompt is false. If prompt is true, the Lock Session dialog will be displayed. The default for password is the empty string ("") and the default for lockallsessions and hideoutput is false.

VBScript

Syntax

object.Lock([,prompt [,password, [,lockallsessions [,hideoutput]]]])

Python

Syntax

object.Lock([,prompt [,password, [,lockallsessions [,hideoutput]]]])

Log

Description

Enables or disables logging.

Remarks

Starts or stops logging depending on the Boolean state of the "start" parameter. When logging is being started the optional Boolean "append" and "raw" parameters may be set to True to open the log file for appending or to log raw characters respectively. The append and raw parameters are optional and are false if not specified (When "start" is false the values of append and raw are ignored).

VBScript

Syntax

object.Log(start[, append[, raw]])

Python

Syntax

object.Log(start[, append[, raw]])

LogUsingSessionOptions

Description

Turns on logging using the logging options for the current session.

Remarks

If the session is an ad hoc session, the Default session's logging options will be used.

VBScript

Syntax

object.LogUsingSessionOptions

Python

Syntax

object.LogUsingSessionOptions()

Print

Description

Starts or stops autoprint.

Remarks

Starts or stops autoprint depending on the Boolean start parameter.

VBScript

Syntax

object.Print(start)

Python

Syntax

object.Print(start)

SetStatusText

Description

Allows you to set the text within the status bar for a specific session.

Remarks

Sets the status bar message to the specified text string.

VBScript

Syntax

object.SetStatusText(text)

Python

Syntax

object.SetStatusText(text)

Unlock

Description

Unlocks the current session (or all sessions).

Remarks

All the parameters are optional. The default for prompt is false. If prompt is true, the Unlock Session dialog will be displayed. The default for password is the empty string ("") and the default for unlockallsessions is false.

VBScript

Syntax

object.Unlock([,prompt [,password, [,unlockallsessions]]])

Python

Syntax

object.Unlock([,prompt [,password, [,unlockallsessions]]])


SessionConfiguration Object

SecureCRT Icon SessionConfiguration Object

Description

The SessionConfiguration object provides methods for accessing session configuration through scripting.

Syntax

SessionConfiguration.Method([arglist])

Remarks

Can be used in the following cases:

• Change settings in an existing session before connecting.

• Convert an Excel spreadsheet to save SecureCRT or SecureFX (if installed) sessions.

SessionConfiguration Object Methods

Methods

ConnectInTab

GetOption

Save

SetOption

Methods

ConnectInTab

Description

Connects to a session in a tab or tiled session window.

Remarks

This method returns a Tab object. ConnectInTab is not supported with sessions that use TN3270 emulation.

VBScript

Syntax

Set objTab = object.ConnectInTab

Example

Set objConfig = crt.OpenSessionConfiguration("Test")

objConfig.SetOption "Hostname", "host"

Set objTab = objConfig.ConnectInTab

Python

Syntax

objTab = object.ConnectInTab()

Example

objConfig = crt.OpenSessionConfiguration("Test")

objConfig.SetOption("Hostname", "host")

objTab = objConfig.ConnectInTab()

GetOption

Description

Gets the value of the specified option.

Remarks

OptionName is a string parameter that is the name of the option. This method returns the value of the specified option. If the option is a string type (S), a string is returned. If the option is a multi-string (Z), an array of strings is returned. If the option is a DWORD (D), an integer is returned.

VBScript

Syntax

varname = object.GetOption(OptionName)

Example

Set objTab = crt.GetScriptTab
Set objConfig = objTab.Session.Config
szUsername = objConfig.GetOption("Username")
szSessionName = objTab.Session.Path
MsgBox "Username for current session (" & _
szSessionName & ") = " & szUsername

vPortForwards = objConfig.GetOption("Port Forward Table V2")
nElements = UBound(vPortForwards)
If nElements = -1 Then
MsgBox "No port forward configuration defined"
Else
MsgBox nElements + 1 & _
" port forward entries exist in this session (" & _
objTab.Session.Path & ")"
End If

In the following example, the current session’s Description is displayed.

Set objTab = crt.GetScriptTab
Set objConfig = objTab.Session.Config
strDescription = Join(objConfig.GetOption("Description"), vbcrlf)
crt.Dialog.MessageBox "Current Session's Description: " & vbcrlf & _
strDescription

Python

Syntax

varname = object.GetOption(OptionName)

Example

objTab = crt.GetScriptTab()

objConfig = objTab.Session.Config

szUsername = objConfig.GetOption("Username")

szSessionName = objTab.Session.Path

crt.Dialog.MessageBox("Username for current session (" +

szSessionName + ") = " + szUsername)

vPortForwards = objConfig.GetOption("Port Forward Table V2")

nElements = len(vPortForwards)

if nElements == 0:

crt.Dialog.MessageBox("No port forward configuration defined")

else:

crt.Dialog.MessageBox(str(nElements) +

" port forward entries exist in this session (" + objTab.Session.Path + ")")

In the following example, the current session’s Description is displayed.

objTab = crt.GetScriptTab()

objConfig = objTab.Session.Config

formattedDescription = []

arrDescription = objConfig.GetOption("Description")

nElements = len(arrDescription)

for index in xrange(nElements):

formattedDescription.append(arrDescription[index])

formattedDescription.append("\n")

strDescription = ''.join(formattedDescription)

crt.Dialog.MessageBox("Current Session's Description: \n" + strDescription)

Save

Description

Saves the configuration.

Remarks

If SessionPath is not provided, the configuration will be saved to the .ini file that is associated with the Config object used. If the SessionPath provided is the same as an existing session configuration, the existing .ini file will be overwritten with the settings contained in the Config object used. If the SessionPath provided does not exist, a new session of that name will be created in the session path specified. Note that the session path is not a full file system path, rather it is the path relative to the folders as they appear within the SecureCRT Connect dialog, with the built-in "Sessions" folder being the "root" path. In the graphic below, the path to the selected session would be Redhat8 - SSH2\redhat.

VBScript

Syntax

object.Save [SessionPath]

Example

' Save configuration to a new session.
objConfig.Save "Redhat8 - SSH2\redhat - PF"

Python

Syntax

object.save([SessionPath])

Example

# Save configuration to a new session.

objConfig.Save("Redhat8 - SSH2\redhat - PF")

SetOption

Description

Sets the specified option to the specified value.

Remarks

OptionName is a string parameter that is the name of the option. Value is the value to set the option to. If the option is a string type (S), a string should be specified for the value. If the option is a multi-string (Z), an array of strings should be specified for the value. If the option is a DWORD (D), the value should be numeric. If there is an error this method will display a error message box. If the errors are not being displayed, the error message can be retrieved by using crt.GetLastErrorMessage. It is not recommended to change a session's emulation to or from TN3270. Also, rows and columns cannot be changed for sessions using TN3270 emulation.

VBScript

Syntax

object.SetOption OptionName, Value

Example

Config.SetOption "Terminal Protocol Name", "SSH2"

In the following example, the current session’s Description is changed.

Set objTab = crt.GetScriptTab

Set objConfig = objTab.Session.Config

strNewDescription = _

"This host is located in room 304." & vbcrlf & _

"Requires SSH2 publickey authentication."

' Update the Config object's description;

' convert string to array using Split()

objConfig.SetOption "Description", Split(strNewDescription, vbcrlf)

' Display updated configuration

strDescription = Join(objConfig.GetOption("Description"), vbcrlf)

crt.Dialog.MessageBox "Session's Updated Description (New): " & _

vbcrlf & _

strDescription

' Save the configuration

objConfig.Save

The following shows how to use a password in a script. The example uses Server1's password to connect to Server.

Note: When set, the Password parameter must be encoded. The Session Password Saved parameter must be set to true for the Password parameter to be used.

Sub Main ()

set config = crt.OpenSessionConfiguration("Server")

set config1 = crt.OpenSessionConfiguration("Server1")

config.SetOption "Session Password Saved", 1

config.SetOption "Password", config1.GetOption("Password")

config.ConnectInTab

End Sub

Python

Syntax

object.SetOption(OptionName, Value)

Example

config.SetOption("Terminal Protocol Name", "SSH2")

In the following example, the current session’s Description is changed.

objTab = crt.GetScriptTab()

objConfig = objTab.Session.Config

arrNewDescription = []

arrNewDescription.append("This host is located in room 304.")

arrNewDescription.append("Requires SSH2 publickey authentication.")

# Update the Config object's description;

objConfig.SetOption("Description", arrNewDescription)

# Display updated configuration

formattedDescription = []

arrDescription = objConfig.GetOption("Description")

nElements = len(arrDescription)

for index in xrange(nElements):

formattedDescription.append(arrDescription[index])

formattedDescription.append("\n")

strDescription = ''.join(formattedDescription)

crt.Dialog.MessageBox("Session's Updated Description (New): \n" + strDescription)

# Save the configuration

objConfig.Save()

The following shows how to use a password in a script. The example uses Server1's password to connect to Server.

Note: When set, the Password parameter must be encoded. The Session Password Saved parameter must be set to true for the Password parameter to be used.

def main():

config = crt.OpenSessionConfiguration("Server")

config1 = crt.OpenSessionConfiguration("Server1")

config.SetOption("Session Password Saved", 1)

config.SetOption("Password", config1.GetOption("Password"))

config.ConnectInTab()

main()


Tab Object

SecureCRT Icon Tab Object

Description

The Tab object provides access to the tab functions that exist for the current connection A data path or circuit between two computers over a phone line, network cable, or other means. or session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts.. The Tab object can also be used to work with tiled session windows.

Syntax

objTab.Property [ = expression ]

objTab.Method([arglist])

Tab Object Properties and Methods

Properties | Methods
Caption | Activate
Index | Clone
Screen | Close
Session | ConnectSftp
 | ResetCaption

Properties

Caption

Description

Returns or sets the caption of the specified tab object.

Remarks

Setting this property sets the caption of the tab or tiled session window and sets the caption of the main application window if the tab or tiled session window is active. Tabs can be renamed by right-clicking on the name on the session tab and selecting Rename. The name change remains in effect until the tab is reused or until SecureCRT exits.

VBScript

Syntax

[ varname = ] tab.Caption

tab.Caption = newCaption

Python

Syntax

[ varname = ] tab.Caption

tab.Caption = newCaption

Index

Description

Returns the index for the tab object referenced by object.

Remarks

When sessions are tabbed, the index for each tab object matches its position in the tab bar. When sessions are tiled, the indexes of the tab objects may not match the indexes when tabbed, but will remain consistent while the sessions are tiled.

VBScript

Syntax

object.Index

Python

Syntax

object.Index

Screen

Description

Returns a reference to the Screen object associated with the tab object.

Remarks

Object variables assigned from the screen property require the "Set" syntax. See the Screen object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = tab.Screen

Python

Syntax

object = tab.Screen

Session

Description

Returns a reference to the Session object associated with the tab object..

Remarks

See the Session object documentation for a description of its properties and methods.

VBScript

Syntax

Set object = tab.Session

Python

Syntax

object = tab.Session

Methods

Activate

Description

Brings the tab or tiled session window referenced by object to the foreground.

Remarks

A tab can receive and send text whether active or not. This method simulates a user clicking on a tab or tiled session window to activate.

VBScript

Syntax

object.Activate

Python

Syntax

object.Activate()

Clone

Description

Returns a reference to a tab object cloned from the specified object tab reference.

Remarks

Cloned sessions benefit from their parent session already having been authenticated to the server. Therefore, cloned sessions require no additional authentication.

VBScript

Syntax

Set cloneTab = object.Clone

Python

Syntax

cloneTab = object.Clone()

Close

Description

Closes the tab or tiled session window referenced by object.

Remarks

Any active connection associated with the tab (or tiled session window) referenced by object is terminated when the tab (or tiled session window) is closed. The tab or tiled session window running the script cannot be closed.

VBScript

Syntax

object.Close

Python

Syntax

object.Close()

ConnectSftp

Description

Creates an SFTP tab based on this tab. When in tiled mode, creates an SFTP session window based on this tiled session.

Remarks

SFTP sessions benefit from their parent session already having been authenticated to the server. Therefore, SFTP sessions require no additional authentication.

VBScript

Syntax

Set sftpTab = object.ConnectSftp

Python

Syntax

sftpTab = object.ConnectSftp()

ResetCaption

Description

Resets the caption to the state it was in before Caption was called to set it.

Remarks

None.

VBScript

Syntax

object.ResetCaption

Python

Syntax

object.ResetCaption()


Window Object

SecureCRT Icon Window Object

Description

The Window object provides access to properties and methods relating to SecureCRT's window such as the window’s visible state, caption, etc.

Syntax

Window.P roperty [ = expression ]

Window.Method([arglist])

Remarks

SecureCRT's Window object is accessed through the top-level object’s Window property.

Window Object Properties and Methods

Properties | Methods
Active | Activate
Caption | Show
State |

Properties

Active

Description

Returns True if SecureCRT's window is the active window, otherwise False.

Remarks

Boolean read-only property. On Linux, False may be returned even if the SecureCRT icon is flashing.

VBScript

Syntax

[ varname = ] crt.Window.Active

Python

Syntax

[ varname = ] crt.Window.Active

Caption

Description

Returns or sets the title or caption of SecureCRT's application window.

Remarks

Read/write string property.

VBScript

Syntax

crt.Window.Caption [ = string ]

[ varname = ] crt.Window.Caption

Python

Syntax

crt.Window.Caption [ = string ]

[ varname = ] crt.Window.Caption

State

Description

Returns a number indicating the state of SecureCRT's application window.

Remarks

Read-only numeric property. The state may be one of the following values depending on SecureCRT's window state:

0 - hidden

1 - visible (normal)

2 - minimized

3 - maximized

VBScript

Syntax

crt.Window.State

Python

Syntax

crt.Window.State

Methods

Activate

Description

Gives focus to the SecureCRT window, bringing the window to the top of the desktop.

Remarks

On Linux, calling Activate() from a script may cause the SecureCRT icon to flash instead of raising SecureCRT to the top. This is the required behavior for this operating system.

VBScript

Syntax

crt.Window.Activate

Python

Syntax

crt.Window.Activate()

Show

Description

Shows, hides, minimizes, or maximizes SecureCRT's application window

Remarks

The state may be one of the following values:

0 - Hide

1 - Show (Normal)

2 - Minimize

3 - Maximize

VBScript

Syntax

crt.Window.Show state

Python

Syntax

crt.Window.Show(state)


Example Scripts

SecureCRT Icon Example Scripts

Example VBScript and Python scripts can be found in the SecureCRT installation folder. VBScripts use the file extension .vbs and Python scripts use the file extension .py. If you would like to modify an example script, please modify a copy of the script file because if the original scripts are updated, the installer will overwrite the example scripts.

The following are descriptions of the example scripts:

• AddCommentToLogFile – This example script allows you to add a custom line of text to your SecureCRT log file.

• AutoResponder – Demonstrates how to set up a list of commands/text that get sent to the remote as soon as a corresponding "trigger" string/text is detected from the remote system.

• BasicReadStringExample – This example script captures the output of a command (ls -l) sent to a remote machine by using the Screen.ReadString() method. The captured text is then displayed in a message box window.

• ConnectToMultipleSessionsAndSendCommands – Reads in sessions from a file (one session per line) and connects to each one (one at a time) and sends a series of commands to the remote, then disconnects from the session and moves on to the next session.

• CopyOutputToClipboard – This script example is designed to run while connected to a Cisco Pix firewall or other router device.

• GoogleSelectedText – When this script is launched, the text selected within the terminal window is used as the search term for a web search using google.com.

• LogOutputOfSpecificCommand-UseReadString – Sends commands one by one as listed in the g_vCommands() array to the remote machine. The results of each command are captured into a variable, and then written to an individual log file (one log file for each command). Once all the commands have been run, Windows Explorer is launched, with the first command output file selected within the explorer window.

• SaveSelectedTextToFile – If non-whitespace text is selected within the terminal screen, the user will be prompted for a location and filename in which to store the selected text. The selected text will then be saved to the file specified by the user.

• SendCommandToAllTabs – This example script shows how to send the same command to all tabs that currently have an active connection.

• UseIEAsCustomDialog – This sample script shows how the Internet Explorer automation object can be used to create custom dialog that can be used within a SecureCRT script.

• UseIEAsListOutput – This example script shows how to create a custom dialog using the InternetExplorer.Application ActiveX object. This example also shows how data can be passed between the InternetExplorer object and SecureCRT.


Introduction to SysAdmin Issues

SecureCRT Icon Introduction to System Administration Issues

The topics included in this section contain information that may be useful to system administrators who find it necessary to configure SecureCRT for use by a large number of different users.

These topics include:

Specifying the Configuration Directory:

How to specify the directory in which the SecureCRT configuration files will be stored or loaded.

Caching Passphrases: | How to configure SecureCRT to remember passphrases used with public-private key authentication.
Administrative Template | How to configure administrator options from Microsoft Management Consol.
FIPS Mode | How to enable FIPS mode.


Specifying the Configuration Folder

SecureCRT Icon Specifying the Configuration Folder

This topic explains how to specify the folder SecureCRT will use to store and load the initialization files containing the settings for global and session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. options.

If this is the first time you have installed SecureCRT

If this is the first installation of SecureCRT on your system, the Browse for Folder dialog will appear when SecureCRT is run for the first time after installation. In the Browse for Folder dialog, select the folder in which you would like to store the settings for global and session options and then click on the OK button.

If you are installing SecureCRT over a previous version:

If you have an earlier version of SecureCRT installed on your system as well as a 5.0 version installed, the Migrate SecureCRT Settings dialog will appear the first time you run the 5.0 version. In this dialog, you are asked if you want to migrate the options settings from your earlier version of SecureCRT. If you would like to migrate the configuration settings from the prior version to the newer version of SecureCRT, you must also specify the configuration folder at this time:

1. Specify the configuration folder by entering the full folder path or by clicking on the Browse button and selecting the path from the Browse for Folder dialog.

2. Once you have specified the configuration folder (if different than the default configuration folder), click on the Yes button. Your configuration settings will be migrated and stored in the configuration folder that you specified in the first step above.

Note: If you do not want to migrate your configuration settings from the older installation of SecureCRT, click on the No button in the Migrate SecureCRT Settings dialog and the Browse for Folder dialog will appear, in which you will be able to specify the SecureCRT configuration folder.

Changing the Configuration Folder

To change the configuration folder, complete the following steps:

1. Start SecureCRT.

2. Open the Options menu and click on Global Options... to open the Global Options dialog.

3. Click on the General/Configuration Paths category.

4. In the Configuration folder entry box, enter the path to the desired configuration folder.

5. Click on the OK button to exit the Global Options dialog and restart SecureCRT to instate the change of folders.

Note: Changes to the configuration folder will not take effect until SecureCRT is restarted.

Specifying a Configuration Folder from the Command Line

The command-line option /F folder allows you to specify an alternate configuration folder when you start SecureCRT from the command line. When SecureCRT is started with the /F option, the specified folder will override the default setting for the current instance of SecureCRT. Each instance of SecureCRT can use a different configuration folder.

To specify a configuration folder from the command line, enter the following command:

SecureCRT /F folder

Note: If the folder pathname contains spaces, you must enclose the argument inside quotation marks.


Accepting a Host Key

The New Host Key dialog appears when SecureCRT attempts to connect to an SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. whose host key is not contained in the host key database. This can happen when SecureCRT first encounters an SSH server or when the host name given is an alias that resolves to several different IP addresses.

Note: SecureCRT will warn you about aliases where possible. However, if you are connecting through a firewall, this will not be possible because the firewall prevents SecureCRT from discovering the possibility of the existence of an alias.

For SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. connections, the New Host Key dialog displays the server's public key in a fingerprint format for easier verification. You should check this fingerprint against the actual server fingerprint to verify that the server to which you have connected is legitimate.

Choose one of the options below to proceed with the connection A data path or circuit between two computers over a phone line, network cable, or other means.

· Accept once: Choosing this option causes the host key from the SSH server to be accepted, but the host key is not saved in the database.

· Accept & save: Choosing this option causes the host key from the SSH server to be accepted and it is saved in the database.

· Cancel: Choosing this option causes the host key to not be accepted and the connection process is terminated.

Host Key Database

SecureCRT keeps the host keys that you accept in the host key database. The location of the host key database folder can be found in the SSH Host Keys category in the Global Options dialog.


Advanced Serial Configuration Settings

The following information may be helpful to users who need a lower level of control over the serial connection.

The INI options mentioned below are found in the session's .ini file, for example <hostname>.ini in the Sessions subfolder of the Config folder. For ad hoc connections, the Default.ini file should be edited.

To avoid the possibility of damaging the INI files, close SecureCRT before editing INI files.

The location of your installation's Configuration folder is found in the General / Configuration Paths category of SecureCRT's Global Options dialog.

In SecureCRT, the serial protocol provides some config file options (INI only, but can be manipulated through scripting prior to establishing a serial connection). These options allow for finer-grained control over some of the hardware flow control lines.

Most individuals on Windows should probably use DTR/DSR flow control. Individuals should probably not use RTS/CTS in combination with DTR/DSR flow control.

Serial options which are configurable by way of the SecureCRT graphical user interface (Session Options dialog) include:

· DTR/DSR hardware flow control (not available in SecureCRT for macOS and Linux platforms)

· RTS/CTS hardware flow control

· XON/XOFF software flow control

The two hardware flow control options are described in more detail below.

DTR/DSR Hardware Flow Control

This flow control option is NOT applicable to SecureCRT on macOS or Linux platforms.

Typical serial cables will have SecureCRT's DTR pin crossed onto the remote device's DSR pin. The device's DTR pin will be crossed onto SecureCRT's DSR pin as well. This means that a wire connects SecureCRT's DSR pin to the device's DTR pin.

When DTR/DSR flow control is on, SecureCRT monitors the DSR pin to determine whether or not the remote side can receive data. Physically, this pin has the same state as the DTR pin on the remote device, because they are connected by a wire. When the remote device can receive data, it turns on its DTR pin which turns on SecureCRT's DSR pin, and allows SecureCRT to proceed with sending data.

The same process is used in reverse. When SecureCRT can receive data, it turns on its DTR pin, which turns on the device's DSR pin. When SecureCRT is not able to receive data, it turns off its DTR pin, which turns off the device's DSR pin.

When DTR/DSR hardware flow control is enabled, SecureCRT:

· Monitors the state of the DSR pin. SecureCRT stops sending data when it detects the DSR pin has been turned off.

· Manipulates the state of the DTR pin. When SecureCRT cannot receive any more data, it turns off the DTR pin.

· Ignores data received when the output DTR pin is off.

SecureCRT does not do this directly, but instructs the serial driver to act accordingly.

When DTR/DSR hardware flow control is NOT enabled, SecureCRT:

· Ignores the state of the DSR pin.

· Turns the DTR pin on, and does not change it.

Individuals who wish to override this behavior can set:

D:"DTR Flow Control"=0000000x

...where x is one of the following:

0 - Set DTR off, and leave it

1 - Set DTR on, and leave it (user interface DTR/DTS option = off)

2 - DTR hand-shake (user interface DTR/DTS option = on)

The setting of the INI "DTR Flow Control" variable only controls the way SecureCRT handles the DTR pin. It does not affect whether SecureCRT is sensitive to the DSR pin. This continues to be controlled by the user interface DTR/DTS option on the Session Options / Connection dialog.

RTS/CTS Hardware Flow Control

There are several different ways that RTS/CTS can be wired in serial cables, along with several different ways that the signals can be used.

RTS/CTS was originally a one-way flow control mechanism. The computer would turn RTS on when it wanted to send some data, and the device would respond by turning CTS on when it was ready to receive the data.

However, such a setup doesn't make much sense when communicating between two computers, or if a device is actually faster than the computer to which it is connected.

Modern NULL modem cables will probably do one of two things:

· RTS/CTS is cross-linked -- the wire from the RTS on one side is connected to the other side's CTS pin. This causes RTS/CTS to work much like DTR/DSR.

· The CTS pin can be physically connected to the RTS pin within the connector itself, making RTS/CTS flow control essentially a NO-OP.

When RTS/CTS hardware flow control is enabled, SecureCRT:

· Monitors the CTS pin and suspends output whenever it is turned off.

· Turns on the RTS pin whenever the input buffer is less than 1/2 full.

· Turns off the RTS pin whenever the input buffer is more than 3/4 full.

When RTS/CTS hardware flow control is NOT enabled, SecureCRT:

· Ignores the CTS pin.

· Turns the RTS pin on and leaves it on.

Individuals who wish to override this behavior can set:

D:"RTS Flow Control"=0000000x

...where x is one of the following:

0 - Set RTS off, and leave it off.

1 - Set RTS on, and leave it on (use interface RTS/CTS option = off).

2 - RTS hand-shake (user interface RTS/CTS option = on).

3 - RTS toggle: RTS is on/high if there are bytes to send. Otherwise it is off/low. This corresponds to the original way RTS/CTS worked. This option is only available under NT/2000/XP, not on Windows 95 and derived systems (e.g., 98, 98se, ME, etc.).

In summary, the INI "RTS Flow Control" variable does not affect SecureCRT's sensitivity to the CTS pin. It only affects the way SecureCRT manipulates the RTS pin.


Answerback Substitutions

SecureCRT Icon Answerback Substitutions

When the Answerback option has been selected, SecureCRT will respond to the ENQ character with the specified answerback message defined in the Terminal/Emulation/Advanced category of the Session Options dialog. You can include the following substitution variables to be sent to the remote server when the server sends the ENQ (control byte 5) command:

\a - IPv6 address of the first adapter on the local machine (the client)

\b - Break

\c - Computer Name of the local machine (the client)

\e - Escape

\i - IPv4 address of the first adapter on the local machine (the client)

\l - Windows login name associated with the SecureCRT process running on the local machine (the client)

\m - MAC address of the first adapter on the local machine (the client)

\n - Newline

\p - Pause

\r - Carriage return

\t - Tab

\u - Username used to login to the remote server

\v - Send the current contents of the paste buffer

For example:

\i; \m; \l

will be sent to the remote server as:

127.0.0.1; 01-02-03-04-05-06-07-08; jdoe


Downloading a File with Ymodem

SecureCRT Icon Downloading a File with Ymodem

To download a file from a remote machine, complete the following steps:

1. On the remote machine, issue the appropriate Ymodem command to instruct the Ymodem software to send the file that you want to download. The remote machine software should then prompt you to initiate the transfer.

2. To initiate the Ymodem download, open the SecureCRT Transfer menu and select Receive Ymodem. The file will be transferred and saved to the default download directory when you select the command.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Uploading a File with Ymodem


Locking a Session

SecureCRT Icon Locking a Session

Sessions can be locked or unlocked by selecting the Lock/Unlock Session option on the File menu. When this option is selected, the Lock Session or Unlock Session dialog appears, as appropriate, allowing you to assign a password and lock the session, or give the original password to unlock the session. The Lock Session or Unlock Session dialogs also allow you to lock or unlock all sessions simultaneously using a single password.

When the Hide output option is set, all the output on the screen and in the scrollback buffer will be hidden until the session is unlocked. Output from commands or scripts that were running while the session was locked will be displayed when the session is unlocked.

When a session is locked, actions that would affect the session are disallowed, including the following:

• Keyboard input

• Starting and canceling scripts

• Disconnecting and reconnecting the session

• Starting a file transfer

• Closing the session

• Editing the session options

Scripts that are started before a session is locked will continue to run, but can only access their own session and any unlocked sessions. This means that a script that is running in one session cannot access a different tab that is locked.

A MENU_TAB_LOCK menu function is available for use in custom keymaps, toolbars, and the user button bar.


Menu Configuration Command Strings

SecureCRT Icon Menu Configuration Command Strings

Several example menu files can be found in the SecureCRT install folder in the Menus subfolder. The file default.mnu contains most of the currently supported commands. It is recommended that you use one of the examples as a template for creating a custom menu.

WARNING: Before modifying an example menu file, it should be renamed or copied to a different location because otherwise, it will be overwritten when an update of SecureCRT is installed.

The following are command strings that can be used in the menu configuration file in addition to those in the default.mnu example menu. For more information, see Customizing the User Interface.

MENU_WINDOW_NEXT | Changes focus to the next application window
MENU_WINDOW_PREV | Changes focus to the previous application window
MENU_WINDOW_CLOSE_ALL | Close all open application windows

MENU_WINDOW_LIST1

Show list of windows

MENU_TAB_LIST1

Show list of tabs in current window

MENU_LOAD_DEFAULT_MAIN_MENU | Load the default main menu
MENU_LOAD_DEFAULT_SYS_MENU | Load the default system menu
MENU_LOAD_DEFAULT_CONTEXT_MENU | Load the default context menu
MENU_LOAD_DEFAULT_TOOLBAR | Load the default toolbar menu

These items should only be used in the system menu

SYS_MENU_RESTORE | The system menu Restore item
SYS_MENU_SIZE | The system menu Size item
SYS_MENU_MOVE | The system menu Move item
SYS_MENU_MINIMIZE | The system menu Minimize item
SYS_MENU_MAXIMIZE | The system menu Maximize item
SYS_MENU_CLOSE | The system menu Close/Exit item


Overview of Ymodem

SecureCRT Icon Overview of Ymodem

Ymodem is a simple file transfer protocol that supports basic error detection methods to ensure that information is not lost or corrupted during a transfer. Ymodem is based on Xmodem and is essentially the same except that Ymodem sends the file's name, size, and timestamp before actually transferring the file.

The SecureCRT Ymodem implementation supports both 128-byte and Ymodem-1K (1024-byte) packet sizes.

Unlike Xmodem, Ymodem supports multiple-file (“batch”) transfers.

Topics for this section include:

Changing the Default File Transfer Directories

Downloading a File with Ymodem

Uploading a File with Ymodem


Raw Quick Connect Options

SecureCRT Icon Raw Quick Connect Options

When Raw is selected as the Protocol in the Quick Connect dialog, the options are as follows:

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.


RLogin Quick Connect Options

SecureCRT Icon RLogin Quick Connect Options

When RLogin is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Hostname

The hostname or IP address of the remote host.

Username

The username used to log onto the remote machine.


Sending a Serial Break

SecureCRT Icon Sending a Serial Break

When using a serial connection, there are several ways to send a break-line condition.

• If the VT220 keymap is selected, you can use the F5 key.

• When using any of the keymappings supplied with SecureCRT, you can generate a break by using the CTRL plus PAUSE/BREAK key combination.

• You can also use the Button Bar or Keymap Editor to arbitrarily map the Telnet function TN_BREAK to a button or to any key you like.


Serial Quick Connect Options

SecureCRT Icon Serial Quick Connect Options

When Serial is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Port

The serial port (COM1, COM2, etc.) used by the session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Baud rate

Select the baud rate for the device. The default value is 38400. The baud rate can be changed from the Session Options/Connection/Serial dialog while a session is connected.

Data bits

The number of communication data bits. The default value is 8.

Parity

Choose the parity setting supported by the connected device. The default setting is None.

Stop bits

The number of stop bits sent after each character. The default value is 1.

DTR/DSR

Select this option to use the DTR/DSR (data-terminal-ready/data-set-ready) signals with the connected device. By default, this is not selected. For more information about flow control settings, please see Advanced Serial Configuration Settings.

RTS/CTS

Select this option to use RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, this option is not selected. For more information about flow control settings, please see Advanced Serial Configuration Settings.

XON/XOFF

Select this option to use XON/XOFF software flow control. By default, this option is not selected.

Name of pipe

If Named Pipe is specified as the Port, the identifier for a named pipe can be entered in this field.


SSH1 Quick Connect Options

SecureCRT Icon SSH1 Quick Connect Options

When ssh1 is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Hostname

The hostname or IP address of the remote machine that provides the SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. service.

Port

The port number of the SSH1 service on the remote machine. For SSH1, the default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine.

Authentication

SecureCRT supports three types of authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. The most secure method of authentication supported in SecureCRT is public-key authentication. See also: identity file, public-private key pair. for connecting to SSH1 servers: password, RSA, and TIS.

Password authentication transmits the user's password to the server A computer program that provides services to other computer programs (called clients). Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption of the data channel. For this reason, some SSH1 servers reject the use of password authentication if the cipher is set to None.

RSA authentication uses a public/private key pair to authenticate the connection. The general mechanism behind RSA authentication is that the SSH1 server "challenges" the client A computer or application that uses services provided by a server. to decrypt a message encoded using the user's public key stored on the server. Upon connecting, the SSH1 server generates a random value, encrypts the value using the user's public key and sends the encrypted challenge to the client. The client authenticates the connection by successfully decrypting the challenge using the user's private key. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. . The first time you connect to an SSH1 server using RSA authentication, SecureCRT will prompt you for the location of this file. Also, prior to using RSA authentication, the public key must be made available to the SSH1 server.

Note: RSA authentication is only supported by the SSH1 protocol and is not an available option for the SSH2 protocol. See Public-Key Authentication for SSH1 to learn more about generating identity files and other setup issues.

TIS firewall authentication uses the TIS firewall server to provide a challenge phrase / response combination. SSH1 servers must be configured to offer TIS authentication

.


SSH2 Quick Connect Options

SecureCRT Icon SSH2 Quick Connect Options

When ssh2 is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Hostname

The hostname or IP address of the remote machine that provides the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features than the SSH1 protocol provides. service.

Port

The port number of the SSH2 service on the remote machine. For SSH2, the default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine.

Authentication group

SecureCRT supports several authentication methods for connecting to SSH2 servers, and will attempt to connect using them in the order that you specify.

Password authentication transmits the user's password to the server to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. of the data channel.

Note: If the remote machine supports both the SSH2 protocol and changing passwords at the protocol level, the password for an SSH2 session can be changed from the Password Properties dialog, which is accessed by selecting Password in the Authentication group and clicking on the Properties button.

PublicKey authentication uses a public/private key pair to authenticate the connection. During the authentication process, the client A computer or application that uses services provided by a server. and the server negotiate a public key to use for the connection. Once a public key has been determined, the client uses the corresponding private key to perform a signature operation over a unique connection identifier. This signature is then sent to the server for verification. If verification is successful, the client is given permission to connect to the server. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity file contains the public and private key pair and is used by SecureCRT. The Identity.pub file contains only the public key which is usually appended to the authorized_keys file. . Also, prior to using public-key authentication, the public key must be made available to the SSH2 server. For more information on generating private-public key pairs, see Public-Key Authentication for SSH2.

Keyboard Interactive authentication allows you to use the keyboard to respond to challenges put forth by the server.

GSSAPI (Generic Security Services Application Program Interface) is a generic API for performing client/server authentication. GSSAPI allows SecureCRT to authenticate with a server without knowing anything about the specific authentication mechanism in use. For more information about using GSSAPI, see the GSSAPI Properties dialog.

SecureCRT also supports the use of X.509 certificates.


TAPI Quick Connect Options

SecureCRT Icon TAPI Quick Connect Options

When tapi is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Dial using

Select the modem you would like to use from the Dial using list of modems. If you have a modem installed, you can also configure it while in the Session Options dialog by selecting the modem and clicking on the Configure button.

Country code

Enter the country code associated with the number you are dialing.

Area code

Enter the area code for the number you are dialing.

Phone number

Enter the phone number that you are dialing. SecureCRT also allows you to specify any alternate phone numbers you wish to dial using the same session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .


Telnet Quick Connect Options

SecureCRT Icon Telnet Quick Connect Options

When Telnet is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine. For Telnet Telnet is a protocol that provides an interface for communications between clients and servers. , the default port is 23.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.


Telnet/TLS Quick Connect Options

SecureCRT Icon Telnet/TLS Quick Connect Options

When Telnet/TLS is selected as the Protocol in the Quick Connect dialog, the connection A data path or circuit between two computers over a phone line, network cable, or other means. options are as follows:

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine. For Telnet/TLS , the default port is 992.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.


Uploading a File with Ymodem

SecureCRT Icon Uploading a File with Ymodem

To upload a file to a remote machine, complete the following steps:

1. On the remote machine, issue the appropriate Ymodem command to instruct the Ymodem software to receive the file that you want to upload. This will cause SecureCRT to open the Select Files to Send using Ymodem dialog. Note that Ymodem must be installed on the remote machine to transfer files with Ymodem.

Note: Another way to open this dialog is to open the Transfer menu and select Send Ymodem.

2. In the Select Files to Send using Ymodem dialog, select the file(s) that you want to upload to the remote machine and click on the Add button to add the file(s) to the Files to send list. You can also choose to send your file(s) in ASCII instead of binary by checking the Upload files as ASCII check box.

3. When you have finished adding all the files that you want to upload, click on the OK button.

Related Topics

  1. Changing the Default File Transfer Directories
  2. Downloading a File with Ymodem
  3. Overview of Ymodem


Using an Exported Public Key

SecureCRT Icon Using an Exported Public Key

In order to use a public key that has been exported, you will need to complete the following steps:

1. Configure the SSH2 server to recognize your public-key file (e.g., Identity.pub). Instructions are provided for configuring VanDyke Software's VShell® server, OpenSSH, SSH Communications, and Data Fellows servers.

2. Configure SecureCRT to use the certificate store with the exported public key(s).

a. Open the Session Options dialog and navigate to the Connection/SSH2 category.

b. In the Authentication group, enable PublicKey authentication.

c. Select PublicKey from in the Authentication list and click on the Properties button.

d. Select Use identity or certificate file and enter capi::rawkey::my in the entry box.

If you would like this to be the default for all sessions, open the Global Options dialog, navigate to the SSH2 category, and repeat Step d.

Return to the Tools Menu


Using Compression

SecureCRT Icon Using Compression

Data that is to be transferred over an SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. connection A data path or circuit between two computers over a phone line, network cable, or other means. can be automatically compressed before it is encrypted and sent. The data is then automatically uncompressed after it is received and decrypted. Compressing data can improve transfer speed over slower network links.

To configure SecureCRT to compress session A session is a set of options that are assigned to a connection to a remote machine. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. data for an SSH1 session, follow these steps:

1. Select the SecureCRT session for which you want to compress data.

2. Open the Options menu and select the Session Options… command.

3. Select the Connection/SSH1/Advanced category.

4. In the Options group, select the type of Compression that you want (this option is None by default).

5. You can then choose the compression Level setting. The Level ranges from 0 (minimal compression) to 9 (maximum compression). A higher Level means better compression but slower performance. The default value is 5.

To configure SecureCRT to compress session data for an SSH2 session, follow these steps:

1. Select the SecureCRT session for which you want to compress data.

2. Open the Options menu and select the Session Options… command.

3. Select the Connection/SSH2/Advanced category.

4. In the Options group, select the type of Compression that you want (this option is None by default).

5. You can then choose the compression Level setting. The Level ranges from 0 (minimal compression) to 9 (maximum compression). A higher Level means better compression but slower performance. The default value is 5.


Using NTLM

SecureCRT Icon Using NTLM

To use NT LAN Manager (NTLM) (a Windows authentication protocol) with SecureCRT Telnet and Telnet/TLS sessions, you must have a valid Windows security context for NTLM authentication to succeed. Typically, in a Windows network, this means that the local machine and remote server would be members of the same (or trusted) Active Directory Domains. Once a user authenticates to Windows on the client side, the user then has a security context that can be used to authenticate the client to the remote server (assuming that the security context is valid between both the client and server).

As an example, the remote machine must have a username and password associated with the session that is attempting to access the Telnet server. The server's machine must have that same username and password listed under its Users and Passwords facility in the Windows Control Panel.

Note: If a user's password is changed on the local machine, it must also be changed on the Telnet server.

In SecureCRT, NTLM authentication is enabled by default. You can disable NTLM by unchecking the Enable NTLM authentication option on the Session Options/Connection/Telnet dialog.